<?php

function calc_rating($rating,$ratOrTal=0,$max="")
 {
   include($_SESSION['adminpath']."/dbopen.php");
   if ($rating==0) {return 0;}

   ## Get Scales
   $cwd=getcwd();
   $e=explode("/",$cwd);
   $maxE=count($e)-1;
   $install=$e[$maxE];
   $query="SHOW TABLES LIKE 'ootp_sql_admin';";
   $result=mysql_query($query,$db);
   if ((mysql_num_rows($result))&&(($_SESSION['ratings']=="")||($_SESSION['talents']=="")||($_SESSION['others']=="")))
    {
      $query="SELECT * FROM ootp_sql_admin WHERE install IN ('4dm1n','$install') AND module='Admin';";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result)) 
       {
         while ($row=mysql_fetch_array($result))
          {
            $field=$row['setting'];
	    $val=$row['value'];
   	    $val=stripslashes($val);
	    switch ($field)
  	     {
   	       case 'Ratings'     : $ratings=$val;      break;
	       case 'Talents'     : $talents=$val;      break;
   	       case 'Others'      : $others=$val;       break;
   	     }
	  }
      	 $_SESSION['ratings']=$ratings;
	 $_SESSION['talents']=$talents;
	 $_SESSION['others']=$others;
       }
    }

   $scale=$_SESSION['ratings'];
   if ($ratOrTal==1) {$scale=$_SESSION['talents'];}
   if ($ratOrTal==2) {$scale=$_SESSION['others'];}
   if (($scale=="")||($scale==0)) {$scale='Hidden';}

   if ($max!="") {$rating=max($rating,$max);}

   switch ($scale)
    {
      case "2-8":
	$rat=intval(($rating/31) + 2);
	$rat=min(8,$rat);
	$rat=max(2,$rat);
        break;
      case "20-80":
        $rat=intval(($rating+10)/15);
	$rat=min(13,$rat);
	$rat=max(1,$rat);
	$rat=5*$rat+15;
	break;
      case "Hidden": $rat=0; break;
      default:
        switch ($scale)
	 {
	   case "1-5":   $maxRat=5;   break; 
           case "1-10":  $maxRat=10;  break;
           case "1-20":  $maxRat=20;  break;
	   case "1-100"; $maxRat=100; break;
	 }
	$sc=200/$maxRat;
	$rat=intval(($rating+$sc)/$sc);
	$rat=min($maxRat,$rat);
	$rat=max(1,$rat);
    }

   return $rat;    
 }

function calc_movement($mvmnt,$gb)
 {
   $rat=200.5-(5*((18+(54-$gb)*.6)+((200-$mvmnt)/6))/2);
   return $rat;
 }

function get_pitch_rating($pitch,$ir,$gb,$mvmnt,$velo)
{
   $velo=$velo*10;
   switch ($pitch)
    {
      case 'fastball':
        $rat=($velo*0.6) + ($ir*0.4);
        break;
      case 'slider':
        $rat=($velo*0.3) + ($ir*0.7);
	break;
      case 'forkball':
      case 'splitter':
      case 'cutter':
        $rat=($velo*0.4) + ($ir*0.4) + ($mvmnt*0.2);
        break;
      case 'sinker':
        $rat=($velo*0.3) + ($ir*0.3) + ($mvmnt*0.4);
        break;
      case 'changeup':
      case 'knuckleball':
      case 'circlechange':
        $rat=$ir;
        break;
      case 'curveball':
      case 'screwball':
      case 'knucklecurve':
        $rat=($velo*0.2) + ($ir*0.8);
        break;
    }
   return $rat;
 }

function get_level($lvl)
 {
   switch ($lvl)
    {
      case 1: $txt="ML"; break;
      case 2: $txt="AAA"; break;
      case 3: $txt="AA"; break;
      case 4: $txt="A"; break;
      case 5: $txt="SS"; break;
      case 6: $txt="R"; break;
      case 7: $txt="INT"; break;
      case 8: $txt="WL"; break;
      case 9: $txt="COL"; break;
      case 10: $txt="HS"; break;
      default: $txt=$lvl; break;
      
    }
   return $txt;
 }

function get_award($awid)
 {
    switch ($awid)
     {
       case 0:
         $txt="Player of the Week";
	 break;
       case 1:
         $txt="Pitcher of the Month";
         break;
       case 2:
         $txt="Batter of the Month";
         break;
       case 3:
         $txt="Rookie of the Month";
         break;
       case 4:
         $txt="Oustanding Pitcher";
         break;
       case 5:
         $txt="Oustanding Hitter";
         break;
       case 6:
         $txt="Oustanding Rookie";
         break;
       case 7:
         $txt="Gold Glove";
         break;
       case 8:
         $txt=$awid;
         break;
       case 9:
         $txt="All-Star";
         break;
       default:
         $txt=$awid." not found";
	 break;
     }
    return $txt;
 }
 
function get_pos($pos)
 {
   switch ($pos)
    {
      case 0:
        $txt="PH";
	break;
      case 1:
        $txt="P";
	break;
      case 2:
        $txt="C";
	break;
      case 3:
        $txt="1B";
	break;
      case 4:
        $txt="2B";
	break;
      case 5:
        $txt="3B";
	break;
      case 6:
        $txt="SS";
	break;
      case 7:
        $txt="LF";
	break;
      case 8:
        $txt="CF";
	break;
      case 9:
        $txt="RF";
	break;
      case 10:
        $txt="DH";
	break;
      case 11:
        $txt="SP";
	break;
      case 12:
        $txt="MR";
	break;
      case 13:
        $txt="CL";
	break;
	  case 20:
	     $txt="OF";
	break;
	  case 21:
	     $txt="RP";
	break;
      default:
        $txt="-";
	break;
    }
   return $txt;
 }

function get_velo($velo)
 {
  switch ($velo)
   {
     case 1:  $txt="<75 Mph";    break;
     case 2:  $txt="81-83 Mph";  break;
     case 3:  $txt="82-84 Mph";  break;
     case 4:  $txt="83-85 Mph";  break;
     case 5:  $txt="84-86 Mph";  break;
     case 6:  $txt="85-87 Mph";  break;
     case 7:  $txt="86-88 Mph";  break;
     case 8:  $txt="87-89 Mph";  break;
     case 9:  $txt="89-90 Mph";  break;
     case 10: $txt="90-92 Mph";  break;
     case 11: $txt="91-93 Mph";  break;
     case 12: $txt="92-94 Mph";  break;
     case 13: $txt="93-95 Mph";  break;
     case 14: $txt="94-96 Mph";  break;
     case 15: $txt="95-97 Mph";  break;
     case 16: $txt="96-98 Mph";  break;
     case 17: $txt="97-99 Mph";  break;
     case 18: $txt="98-100 Mph"; break;
     case 19: $txt="99-101 Mph"; break;
     case 20: $txt="101+ Mph";   break;
   }
  return $txt;
 }

function hof_pos($pos)
 {
   switch ($pos)
    {
      case 2: $val=20;break;
      case 3: $val=1;break;
      case 4: $val=14;break;
      case 5: $val=13;break;
      case 6: $val=16;break;
      case 7: $val=3;break;
      case 8: $val=12;break;
      case 9: $val=6;break;
      default: $val=0;break;      
    }
   return $val;
 }
 
function ss_pos($pos)
 {
   switch ($pos)
    {
      case 2: $val=20;break;
      case 3: $val=1;break;
      case 4: $val=11;break;
      case 5: $val=7;break;
      case 6: $val=14;break;
      case 7: $val=3;break;
      case 8: $val=5;break;
      case 9: $val=4;break;
      default: $val=0;break;
    }
   return $val;
 }

function datediff($start,$end)
 {
   $start_ts = strtotime($start);
   $end_ts = strtotime($end);

   $diff = $end_ts - $start_ts;
   return round($diff / 86400);
 }

function get_ll_cat($catID)
 {
   switch ($catID)
    {
      ## Batter Stats
      case 0: $txt="GS"; break;
      case 1: $txt="PA"; break;
      case 2: $txt="AB"; break;
      case 3: $txt="H"; break;
      case 4: $txt="K"; break;
      case 5: $txt="TB"; break;
      case 6: $txt="2B"; break;
      case 7: $txt="3B"; break;
      case 8: $txt="HR"; break;
      case 9: $txt="SB"; break;
      case 10: $txt="RBI"; break;
      case 11: $txt="R"; break;
      case 12: $txt="BB"; break;
      case 13: $txt="IBB"; break;
      case 14: $txt="HBP"; break;
      case 15: $txt="SH"; break;
      case 16: $txt="SF"; break;
      case 17: $txt="EBH"; break;
      case 18: $txt="AVG"; break;
      case 19: $txt="OBP"; break;
      case 20: $txt="SLG"; break;
      case 21: $txt="RC"; break;
      case 22: $txt="RC/27"; break;
      case 23: $txt="ISO"; break;
      case 24: $txt="TAVG"; break;
      case 25: $txt="OPS"; break;
      case 26: $txt="VORP"; break;

      ## Pitcher Stats
      case 27: $txt="G"; break;
      case 28: $txt="GS"; break;
      case 29: $txt="W"; break;
      case 30: $txt="L"; break;
      case 31: $txt="Win%"; break;
      case 32: $txt="SV"; break;
      case 33: $txt="HLD"; break;
      case 34: $txt="IP"; break;
      case 35: $txt="BF"; break;
      case 36: $txt="HRA"; break;
      case 37: $txt="BB"; break;
      case 38: $txt="K"; break;
      case 39: $txt="WP"; break;
      case 40: $txt="ERA"; break;
      case 41: $txt="BABIP"; break;
      case 42: $txt="WHIP"; break;
      case 43: $txt="K/BB"; break;
      case 44: $txt="RA/9IP"; break;
      case 45: $txt="HR/9IP"; break;
      case 46: $txt="H/9IP"; break;
      case 47: $txt="BB/9IP"; break;
      case 48: $txt="K/9IP"; break;
      case 49: $txt="VORP"; break;
      case 50: $txt="RA"; break;
      case 51: $txt="GF"; break;
      case 52: $txt="QS"; break;
      case 53: $txt="QS%"; break;
      case 54: $txt="CG"; break;
      case 55: $txt="CG%"; break;
      case 56: $txt="SHO"; break;
      case 57: $txt="GB%"; break;
      default: $txt=$catID; break;
    }	    
   return $txt;
 }

function ordinal_suffix($value, $sup = 0) {
    if(substr($value, -2, 2) == 11 || substr($value, -2, 2) == 12 || substr($value, -2, 2) == 13){
        $suffix = "th";
    }
    else if (substr($value, -1, 1) == 1){
        $suffix = "st";
    }
    else if (substr($value, -1, 1) == 2){
        $suffix = "nd";
    }
    else if (substr($value, -1, 1) == 3){
        $suffix = "rd";
    }
    else {
        $suffix = "th";
    }
    if($sup){
        $suffix = "<sup>" . $suffix . "</sup>";
    }
    return $value . $suffix;
}

function get_hand($handID)
 {
  switch ($handID)
   {
     case 3: $hand="S"; break;
     case 2: $hand="L"; break;
     case 1: $hand="R"; break;
     default: $hand="U"; break;
   }
  return $hand;
 }

function cm_to_ft_in($len)
 {
   $in=$len/2.54;
   $ft=floor($in/12);
   $in=$in%12;
   $in=round($in);
   $txt=$ft."' ".$in."\"";
   return $txt;
 }

?>
