<?Php
include_once("session_functions.php");
include_once("gen_functions.php");
include_once("nav_functions.php");
include_once("date.class.php");
get_settings();

function page_head($title,$htmlpath,$refresh=0,$focus="")
 {
   echo "<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Strict//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd'>\n";
   echo "<html>\n";
   echo "<head>\n";
   if ($title=="")
    {
       $title="StatsLab SQL Utilities for OOTP11";     
    }
    else {$title.=" - StatsLab for OOTP11";}
   echo "<title>".$title."</title>\n";
   if ($refresh>0) {echo "<meta http-equiv=refresh content='$refresh'>\n";}
   echo "<link rel='stylesheet' type='text/css' href='./ootpsqlstyles.css'>\n";
   echo "<link rel='stylesheet' type='text/css' href='".$htmlpath."/styles.css'>\n";

   echo "<script src='sorttable.js'></script>\n";
   echo "</head>\n";
   
   echo "\n";
   if ($focus=="") {echo "<body>\n";}
    else {echo "<body onload=\"document.$focus.focus()\">\n";}
   echo "<div id='pagebody'>\n";

   if (isset($_SESSION['configerr']))
    {
      echo " <p class='error'>".$_SESSION['configerr']."</p>";
    }
 }

function main_nav($lgID,$htmlpath,$title="")
 {
   if ($lgID=="") {$lgID=$_SESSION['lgid'];}
   if ($lgID=="") {$lgID=100;}
   if ($htmlpath=="") {$htmlpath=$_SESSION['htmlpath'];}
   if ($title=="") {$title=$_SERVER['PHP_SELF'];}

   include($_SESSION['adminpath']."/dbopen.php");
   $query="SHOW TABLES LIKE 'leagues';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      if ((!isset($_SESSION['lgname'])) || (!isset($_SESSION['lgdate'])))
       {
         if (!isset($_SESSION['lgid'])) {$_SESSION['lgid']=100;}
         $query="SELECT name,leagues.current_date FROM leagues WHERE league_id=".$_SESSION['lgid']." GROUP BY leagues.current_date;";
         $result=mysql_query($query,$db);
         $row=mysql_fetch_array($result);
         $lgname=$row[0];
         $lgdate=$row[1];
   
         $_SESSION['lgname']=$lgname;
         $_SESSION['lgdate']=$lgdate;
       }

      $query="SELECT league_id,abbr,logo_file,background_color_id,text_color_id FROM leagues WHERE league_id=$lgID;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $abbr=$row['abbr'];
      $logo=$row['logo_file'];
      $background_color_id=$row['background_color_id'];
      $text_color_id=$row['text_color_id'];
    }
   $defbg="#1E1E9E";
   $deftxt="#DD0101";
   if ($background_color_id=="") {$background_color_id=$defbg;}
   if ($text_color_id=="") {$text_color_id=$deftxt;}
   if ((substr_count("#",$background_color_id)!=1)&&(strlen($background_color_id)!=7)) {$background_color_id=$defbg;}
   if ((substr_count("#",$text_color_id)!=1)&&(strlen($text_color_id)!=7)) {$text_color_id=$deftxt;}

   $date=new Date($_SESSION['lgdate']);
   echo "  <div style='clear:both;float:left;width:959px;padding:0;margin:0;border:0;'>\n";   ## class='shadow'
   echo "   <div style='clear:both;float:left;width:110px;height:110px;padding:10px 12px 10px 8px;margin:0;background-image:url($htmlpath/images/report_header_logo_left_bg.jpg); background-repeat:no-repeat;'><a href='$htmlpath/leagues/league_".$lgID."_home.html'><img src='$htmlpath/images/".str_replace(".png","_110.png",$logo)."' width=110 height=110 border=0></a></div>\n";
   echo "   <div style='clear:right;float:left;padding:0;margin:0;width:829px;height:130px;'>\n";
   echo "    <div style='clear:both;float:left;padding:0;margin:0;width:829px;height:36px;'>\n";
   echo "     <div style='clear:both;float:left;width:8px;height:36px;'><img src='$htmlpath/images/report_header_banner_left.jpg' border=0></div>\n";
   echo "     <div style='float:left;width:410px;height:36px;padding:8px 0 0 0;background-image:url($htmlpath/images/report_header_banner_mid.jpg); background-repeat:repeat-x;'><span style='color:#FFFFFF; font-size:14px; font-weight:bold;'>".$date->format("m-d-Y")."</span></div>\n";
   echo "     <div style='float:left;width:411px;height:36px;padding:0;margin:0;'><img src='$htmlpath/images/report_header_banner_right.jpg' border=0></div>\n";
   echo "    </div>\n";
   echo "    <div id='mainmenu' style='float:left;width:821px;height:21px;margin:0;padding:7px 8px 0 0;background-image:url($htmlpath/images/report_header_menu_bg.jpg); background-repeat:repeat-x;'>\n";   ## class='head_2'
   echo "     <ul style='float:right;'>\n";
   echo "      <li><a href='".$htmlpath."/index.html' class='menu' id='first'>BNN Home</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_home.html' class='menu'>$abbr</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_scores.html' class='menu'>Scores</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_standings.html' class='menu'>Standings</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_stats.html' class='menu'>Stats</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_teams.html' class='menu'>Teams</a></li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_players.html' class='menu'>Players</a><li>\n";
   echo "      <li><a href='".$htmlpath."/leagues/league_".$lgID."_transactions_0_0.html' class='menu'>Transactions</a></li>\n";
   echo "      <li><a href='".$htmlpath."/history/league_".$lgID."_index.html' class='menu'>History</a></li>\n";
   echo "     </ul>\n";
   echo "    </div>   <!-- END mainmenu DIV -->\n";
   echo "   <div style='float:left;width:821px;height:59px;background-color:$background_color_id;margin:0;padding:7px 0 0 8px;'><span style='color:$text_color_id; font-size:24px; font-weight:bold;'>".$_SESSION['lgname']."</span><br><span style='color:$text_color_id; font-size:18px; font-weight:bold;'>$title</span></div>\n";
   echo "   </div>\n";
   echo "  </div>\n";
 }

function page_foot($htmlpath)
 {
   echo " <div id='bottombar'>\n";
   echo "  <a href='http://www.ootpdevelopments.com'><img src='".$htmlpath."/images/bnn_logo_bottom.jpg' /></a>\n";
   echo "  <div id='credits'>\n";
   echo "   StatsLab SQL Utilities for OOTP11 v.".get_version()."<br />\n";
   echo "   ".date('l, F jS, Y');
   echo "\n  </div>   <!-- END credits DIV -->\n";
   echo " </div>   <!-- END bottombar DIV -->\n";
   echo "</div>   <!-- END pagebody DIV -->\n";
   echo "</body>\n";
   echo "</html>\n"; 
 }

function print_data_table($result,$colnames="",$sort=0,$width="")
 {
   global $lgpath;
   $cntf=mysql_num_fields($result);
   $cntr=mysql_num_rows($result);
   if ($colnames=="")
    {
      for ($i=0;$i<$cntf;$i++)
       {
         $col[$i]=mysql_field_name($result,$i);
       }
    }
    else
    {
      $col=explode("|",$colnames);
    }

   ##### Open Table #####
   echo "   <table";
   if ($sort==1) {echo " class='sortable'";}
   if ($width!=="") {echo " style='width:".$width.";'";}
   echo ">\n";

   ##### Show Headers #####
   echo "    <thead>\n";
   echo "     <tr class='headline'>\n";
   for ($i=0;$i<$cntf;$i++)
    {
      $fieldname=mysql_field_name($result,$i);
      $cls="hsc2".left_align($fieldname);
      switch ($fieldname)
       {
     case 'hide':
	 case 'pfname':
	 case 'pfullname':
	 case 'plname':
	   break;
     default:
	   echo "     <td class='".$cls."'>".$col[$i]."</td>\n";
	   break;
       }
    }
   echo "     </tr>\n";
   echo "    </thead>\n";

   ##### Show Data #####
   $rownum=0;
   while ($row=mysql_fetch_array($result))
    {
      echo "    <tr>\n";
      for ($i=0;$i<$cntf;$i++)
       {
         $fieldname=mysql_field_name($result,$i);
	 $cls="s".(($rownum%2)+1);
	 $cls.=left_align($fieldname);
	 switch ($fieldname)
	  {
	    case 'hide':
	    case 'pfname':
	    case 'pfullname':
	    case 'plname':
	       break;
	    case 'award_id':
	       echo "     <td class='".$cls."'>".get_award($row[$i])."</td>\n";
	       break;
	    case 'level':
	    case 'league_level':
	       echo "     <td class='".$cls."'>".get_level($row[$i])."</td>\n";
	       break;
	    case 'll_cat':
	       echo "     <td class='".$cls."'>".get_ll_cat($row[$i])."</td>\n";
	       break;
	    case 'player_id':
	       echo "     <td class='".$cls."'><a href='./player.php?player_id=".$row[$i]."'>";
	       if (isset($row['pfname']) && isset($row['plname']))
	        {
		  $first=$row['pfname'];
		  echo $first[0].". ".$row['plname'];
		}
	        elseif (isset($row['pfullname']) && isset($row['plname'])) {echo $row['pfullname']." ".$row['plname'];}
		else {echo $row[$i];}
	       
	       echo "</a></td>\n";
	       break;
	    case 'rating':
	       $e=explode("_",$row[$i]);
	       switch ($e[0])
	        {
	          case 'batting':
	             $txt=ucwords($e[3])." (".$e[2].")";
	             if ($e[2]=="talent") {$txt="<b>".$txt."</b>";}
	             break;
	          case 'pitching':
	             if ($e[2]!="misc") {$txt=ucwords($e[3])." (".$e[2].")";}
	              else {$txt=ucwords($e[3]);}
	             if ($e[2]=="talent") {$txt="<b>".$txt."</b>";}
	             break;
	          case 'running':
	             $txt=ucwords($e[2]);
	             break;
	          case 'fielding':
	             if (isset($e[3])) {$txt=ucwords($e[2]." ".$e[3]);}
	              else {$txt=get_pos(substr($e[2],3,99))." Rating";}
	             break;
	        }
	       echo "     <td class='".$cls."' style='padding:0 2px 0 2px;'>".$txt."</td>\n";
	       break;
	    case 'position':
	    case 'role':
	       echo "     <td class='".$cls."'>".get_pos($row[$i])."</td>\n";
               break;
	    case 'batting_ratings_overall_contact':
	    case 'batting_ratings_overall_gap':
	    case 'batting_ratings_overall_power':
	    case 'batting_ratings_overall_eye':
	    case 'batting_ratings_overall_strikeouts':
	    case 'batting_ratings_overall_hp':
	    case 'batting_ratings_overall_babip':
        case 'batting_ratings_vsr_contact':
        case 'batting_ratings_vsr_gap':
        case 'batting_ratings_vsr_power':
        case 'batting_ratings_vsr_eye':
        case 'batting_ratings_vsr_strikeouts':
	    case 'batting_ratings_vsr_babip':
        case 'batting_ratings_vsl_contact':
        case 'batting_ratings_vsl_gap':
        case 'batting_ratings_vsl_power':
        case 'batting_ratings_vsl_eye':
        case 'batting_ratings_vsl_strikeouts':
	    case 'batting_ratings_vsl_babip':
	    case 'batting_ratings_misc_bunt':
	    case 'batting_ratings_misc_bunt_for_hit':
	    case 'pitching_ratings_overall_stuff':
	    case 'pitching_ratings_overall_control':
	    case 'pitching_ratings_overall_movement':
        case 'pitching_ratings_vsr_stuff':
        case 'pitching_ratings_vsr_control':
        case 'pitching_ratings_vsr_movement':
        case 'pitching_ratings_vsl_stuff':
        case 'pitching_ratings_vsl_control':
        case 'pitching_ratings_vsl_movement':
	       echo "     <td class='".$cls."'>".calc_rating($row[$i])."</td>\n";
	       break;
        case 'batting_ratings_talent_contact':
        case 'batting_ratings_talent_gap':
        case 'batting_ratings_talent_power':
        case 'batting_ratings_talent_eye':
        case 'batting_ratings_talent_strikeouts':
	    case 'batting_ratings_talent_babip':
        case 'pitching_ratings_talent_stuff':
        case 'pitching_ratings_talent_control':
        case 'pitching_ratings_talent_movement':
	       echo "     <td class='".$cls."'>".calc_rating($row[$i],1)."</td>\n";
	       break;
	    case 'running_ratings_speed':
        case 'running_ratings_stealing':
        case 'running_ratings_baserunning':
	    case 'pitching_ratings_misc_stamina':
	    case 'fielding_rating_pos1':
	    case 'fielding_rating_pos2':
	    case 'fielding_rating_pos3':
	    case 'fielding_rating_pos4':
	    case 'fielding_rating_pos5':
	    case 'fielding_rating_pos6':
	    case 'fielding_rating_pos7':
	    case 'fielding_rating_pos8':
	    case 'fielding_rating_pos9':
	       if ($row[$i]==0) {echo "     <td class='".$cls."'>-</td>\n";}
	        else {echo "     <td class='".$cls."'>".calc_rating($row[$i],2)."</td>\n";}
	       break;
	    case 'fielding_ratings_catcher_arm':
	    case 'fielding_ratings_catcher_ability':
	       if (($row[$i]<40) && (isset($row['fielding_rating_pos2']) && ($row['fielding_rating_pos2']==0))) {echo "     <td class='".$cls."'>-</td>\n";}
	        else {echo "     <td class='".$cls."'>".calc_rating($row[$i],2)."</td>\n";}
	       break;
	    case 'fielding_ratings_infield_arm':
	    case 'fielding_ratings_infield_range':
	    case 'fielding_ratings_infield_error':
	    case 'fielding_ratings_turn_doubleplay':
	       if (($row[$i]<40) && (isset($row['fielding_rating_pos3']) && ($row['fielding_rating_pos3']==0) && isset($row['fielding_rating_pos4']) && ($row['fielding_rating_pos4']==0) && isset($row['fielding_rating_pos5']) && ($row['fielding_rating_pos5']==0) && isset($row['fielding_rating_pos6']) && ($row['fielding_rating_pos6']==0))) {echo "     <td class='".$cls."'>-</td>\n";}
	        else {echo "     <td class='".$cls."'>".calc_rating($row[$i],2)."</td>\n";}
	       break;
	    case 'fielding_ratings_outfield_arm':
	    case 'fielding_ratings_outfield_range':
	    case 'fielding_rating_outfield_error':
	       if (($row[$i]<40) && (isset($row['fielding_rating_pos7']) && ($row['fielding_rating_pos7']==0) && isset($row['fielding_rating_pos8']) && ($row['fielding_rating_pos8']==0) && isset($row['fielding_rating_pos9']) && ($row['fielding_rating_pos9']==0))) {echo "     <td class='".$cls."'>-</td>\n";}
	        else {echo "     <td class='".$cls."'>".calc_rating($row[$i],2)."</td>\n";}
	       break;
	    case 'pitching_ratings_misc_velocity':
	       echo "     <td class='".$cls."'>".get_velo($row[$i])."</td>\n";
               break;
        case 'bpick':
           echo "     <td class='".$cls."'>";
           $pid=$row['player_id'];
           $pos=$row['position'];
           $pos=get_pos($pos);
           $fname=$row['pfname'];
           $lname=$row['plname'];
           $pval=$pid.",$pos ".$fname." ".$lname;
           echo "<input type='checkbox' name='player' value='$pval' />";
           echo "</td>\n";
           break;
        case 'ppick':
           echo "     <td class='".$cls."'>";
           $pid=$row['player_id'];
           $pos=$row['role'];
           $pos=get_pos($pos);
           $fname=$row['pfname'];
           $lname=$row['plname'];
           $pval=$pid.",$pos ".$fname." ".$lname;
           echo "<input type='checkbox' name='player' value='$pval' />";
           echo "</td>\n";
           break;
        case 'updown':
           if ($row[$i]>0) {$imglink="./images/up.png";}
            else {$imglink="./images/down.png";}
           echo "     <td class='".$cls."'><div style='display:none;'>".$row[$i]."</div><img src='$imglink' height='15px' width='15px'></td>\n";
           break;
	    default:
	       echo "     <td class='".$cls."'>".$row[$i]."</td>\n";
	       break;
	  }
       }
      echo "    </tr>\n";
      $rownum++;
    }
   
   
   ##### Close Table #####
   echo "   </table>\n";
 }


function t_data($text,$rownum,$fieldname="")
 {
   $cls="s".(($rownum%2)+1);
   switch ($fieldname)
    {
      case "team_id":
         $cls.="_l";
         break;
      default:
         break;
    }
   echo "<td class='".$cls."'>".$text."</td>";
 }

function left_align($fieldname)
 {
   switch ($fieldname)
    {
      case 'team_id':
      case 'first_name':
      case 'last_name':
      case 'player_id':
        $txt="_l";
	break;
      default:
        $txt="";
	break;
    }
   return $txt;
 }

function curPageURL()
 {
   $pageURL = 'http';
   if ($_SERVER["HTTPS"] == "on") {$pageURL .= "s";}
   $pageURL .= "://";
   if ($_SERVER["SERVER_PORT"] != "80") 
    {
      $pageURL .= $_SERVER["SERVER_NAME"].":".$_SERVER["SERVER_PORT"].$_SERVER["REQUEST_URI"];
    }
    else 
    {
      $pageURL .= $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
    }
   return $pageURL;
}

?>
