<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}

$view=$_GET['view'];
if ($view=="") {$view=$_POST['view'];}
foreach ($_POST as $key => $val) {$settings[$key]=$val;}
if (!isset($settings['display'])) {$settings['display']='overall';}
if (!isset($settings['ageBool'])) {$settings['ageBool']='upto';}

##### Start HTML Page #####	
$title="Player Search";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Ratings");

echo " </div>   <!-- END topbar DIV -->\n";

echo " <div id='contentpane'>\n";

##### Display Filters #####
echo " <div class='textbox'>\n";
echo "  <form method='post' action='playerSearch.php' style='clear:left;'>\n";
echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
echo "   <tr class='title'><td colspan=10>Filters</td></tr>\n";
echo "   <tr>\n";

##### Show Type Selection #####
echo "     <td style='border-bottom:1px solid gray;'>";
if ($_GET['showq']==1) {echo "<input type='hidden' name='showq' value=1 />\n";}
echo "      <table cellpadding=2 cellspacing=0 border=0 width='100%'><tr>\n";
echo "       <td><label><b>Search for:</b></label></td>";
echo "       <td><input type='radio' name='view' value='batters' id='batters'";
if ($view=='batters') {echo " checked='checked'";}
echo "onclick=\"window.location='./playerSearch.php?view=batters'\"></td>";
echo "       <td><label for='batters'>Batters</label></td>";
echo "       <td><input type='radio' name='view' value='pitchers' id='pitchers'";
if ($view=='pitchers') {echo " checked='checked'";}
echo "onclick=\"window.location='./playerSearch.php?view=pitchers'\"></td>";
echo "       <td><label for='pitchers'>Pitchers</label></td>";

if ($view!="")
 {
   echo "       <td><label for='display'>Display:</label></td>";
   echo "    <td>\n";
   echo "     <select name='display'>\n";
   echo "      <option value='overall'";
   if ($settings['display']=="overall") {echo " selected";}
   echo ">Ratings</option>\n";
   echo "      <option value='talent'";
   if ($settings['display']=="talent") {echo " selected";}
   echo ">Potential</option>\n";
   echo "     </select>\n";
   echo "    </td>\n";
   if ($view=='batters') {echo "    <td width='250px'>&nbsp;</td>\n";} else {echo "    <td width='400px'>&nbsp;</td>\n";}
   echo "    <td><a href='./playerSearch.php?view=$view'>Reset</a></td>\n";
 }

echo "      </tr></table>\n";
echo "     </td>\n";

##### Get Ratings Scales #####
$cwd=getcwd();
$e=explode("/",$cwd);
$maxE=count($e)-1;
$install=$e[$maxE];
$query="SHOW TABLES LIKE 'ootp_sql_admin';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)) 
 {
   $query="SELECT * FROM ootp_sql_admin WHERE install IN ('4dm1n','$install') AND module='Admin';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
         $val=$row['value'];
	 $val=stripslashes($val);
         switch ($field)
          {
	    case 'Ratings'     : $ratings=$val;      break;
	    case 'Talents'     : $talents=$val;      break;
	    case 'Others'      : $others=$val;       break;	
	  }
       }
    }
    else {$view="";}
 }
 else {$view="";}


switch ($ratings)
 {
   case '1-5'  : $ratMin=1;  $ratMax=5;   break;
   case '2-8'  : $ratMin=2;  $ratMax=8;   break;
   case '1-10' : $ratMin=1;  $ratMax=10;  break;
   case '1-20' : $ratMin=1;  $ratMax=20;  break;
   case '20-80': $ratMin=20; $ratMax=80;  break;
   case '1-100': $ratMin=1;  $ratMax=100; break;
   default     : $ratMin=0;  $ratMax=0;   break;
 }
switch ($talents)
 {
   case '1-5'  : $talMin=1;  $talMax=5;   break;
   case '2-8'  : $talMin=2;  $talMax=8;   break;
   case '1-10' : $talMin=1;  $talMax=10;  break;
   case '1-20' : $talMin=1;  $talMax=20;  break;
   case '20-80': $talMin=20; $talMax=80;  break;
   case '1-100': $talMin=1;  $talMax=100; break;
   default     : $talMin=0;  $talMax=0;   break;
 }
switch ($others)
 {
   case '1-5'  : $othMin=1;  $othMax=5;   break;
   case '2-8'  : $othMin=2;  $othMax=8;   break;
   case '1-10' : $othMin=1;  $othMax=10;  break;
   case '1-20' : $othMin=1;  $othMax=20;  break;
   case '20-80': $othMin=20; $othMax=80;  break;
   case '1-100': $othMin=1;  $othMax=100; break;
   default     : $othMin=0;  $othMax=0;   break;
 }

##### Show View Specific Filters #####
switch ($view)
 {
   case 'batters':
     echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show Age Filter
     echo "    <td>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0><tr>\n";
     echo "      <td><label><b>Age:<b></label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='upto' id='upto'";
     if ($settings['ageBool']=='upto') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='upto'>Through</label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='after' id='after'";
     if ($settings['ageBool']=='after') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='after'>After</label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='equal' id='equal'";
     if ($settings['ageBool']=='equal') {echo " checked='checked'";}
     echo " onclick=\"document.getElementById('Seasonal').checked=true;\"></td><td valign=top><label for='equal'>Equal</label></td>\n";
     echo "      <td width='80px'>&nbsp;</td>\n";
     echo "      <td>\n";
     echo "       <select name='age'>\n";
     echo "        <option value='All'>All</option>\n";
     for ($i=15;$i<=45;$i++)
      {
        echo "        <option value='$i'";
        if ($i==$settings['age']) {echo " selected";}
        echo ">".$i."</option>\n";
      }
     echo "       </select>\n";
     echo "      </td>\n";
     echo "     </tr></table>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";
     echo "    <td>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0><tr>\n";

     ## Show Batting Ratings
     $batArray=Array("contact"=>"Contact","gap"=>"Gap","power"=>"Power","eye"=>"Eye","strikeouts"=>"Strikeouts");
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=5>Batting Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l' colspan=2>Rating</td><td class='hsc2_l' colspan=2>Potential</td></tr>\n";
     foreach ($batArray as $rat => $lbl)
      {
        echo "      <tr>\n";
	echo "       <td>$lbl</td>\n";
	echo "       <td>\n";
	$name=$rat."RatKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Rat";
	echo "        <select name='$name'>\n";
	for ($i=$ratMin;$i<=$ratMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."TalKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Tal";
	echo "        <select name='$name'>\n";
	for ($i=$talMin;$i<=$talMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "      </tr>\n";
      }
     echo "     </table>\n";
     echo "    </td>\n";

     ## Show Fielding Ratings
     $fldArray=Array("pos2"=>"Catcher","pos3"=>"First Base","pos4"=>"Second Base","pos5"=>"Third Base","pos6"=>"Shortstop","pos7"=>"Left Field","pos8"=>"Center Field","pos9"=>"Right Field","catcher_arm"=>"Catcher Arm","infield_arm"=>"Infield Arm","outfield_arm"=>"Outfield Arm");
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=4>Fielding Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l'>Operator</td><td class='hsc2_l'>Rating</td></tr>\n";
     foreach ($fldArray as $rat => $lbl)
      {
        echo "      <tr>\n";
	echo "       <td>$lbl</td>\n";
	echo "       <td>\n";
	$name=$rat."Key";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Rat";
	echo "        <select name='$name'>\n";
	echo "         <option value='0'>None</option>\n";
	for ($i=$othMin;$i<=$othMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "      </tr>\n";
      }
     echo "     </table>\n";
     echo "    </td>\n";

     ## Show Running Ratings
     $runArray=Array("speed"=>"Speed","stealing"=>"Stealing","baserunning"=>"Baserunning");
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=4>Running Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l'>Operator</td><td class='hsc2_l'>Rating</td></tr>\n";
     foreach ($runArray as $rat => $lbl)
      {
        echo "      <tr>\n";
	echo "       <td>$lbl</td>\n";
	echo "       <td>\n";
	$name=$rat."Key";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Rat";
	echo "        <select name='$name'>\n";
	echo "         <option value='0'>None</option>\n";
	for ($i=$othMin;$i<=$othMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "      </tr>\n";
      }
     echo "     </table>\n";
     echo "    </td>\n";

     echo "     </tr></table>\n";
     echo "    </td>\n";
     break;
   case 'pitchers':
     echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Show Age Filter
     echo "    <td>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0><tr>\n";
     echo "      <td><label><b>Age:<b></label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='upto' id='upto'";
     if ($settings['ageBool']=='upto') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='upto'>Through</label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='after' id='after'";
     if ($settings['ageBool']=='after') {echo " checked='checked'";}
     echo "></td><td valign=top><label for='after'>After</label></td>\n";
     echo "      <td><input type='radio' name='ageBool' value='equal' id='equal'";
     if ($settings['ageBool']=='equal') {echo " checked='checked'";}
     echo " onclick=\"document.getElementById('Seasonal').checked=true;\"></td><td valign=top><label for='equal'>Equal</label></td>\n";
     echo "      <td width='80px'>&nbsp;</td>\n";
     echo "      <td>\n";
     echo "       <select name='age'>\n";
     echo "        <option value='All'>All</option>\n";
     for ($i=15;$i<=45;$i++)
      {
        echo "        <option value='$i'";
        if ($i==$settings['age']) {echo " selected";}
        echo ">".$i."</option>\n";
      }
     echo "       </select>\n";
     echo "      </td>\n";
     echo "     </tr></table>\n";
     echo "    </td>\n";

     ## Start New Row
     echo "   </tr>\n";
     echo "   <tr>\n";
     echo "    <td>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0><tr>\n";

     ## Show Pitching Ratings
     $pitArray=Array("stuff"=>"Stuff","control"=>"Control","movement"=>"Movement");
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=5>Pitching Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l' colspan=2>Rating</td><td class='hsc2_l' colspan=2>Potential</td></tr>\n";
     foreach ($pitArray as $rat => $lbl)
      {
        echo "      <tr>\n";
	echo "       <td>$lbl</td>\n";
	echo "       <td>\n";
	$name=$rat."RatKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Rat";
	echo "        <select name='$name'>\n";
	for ($i=$ratMin;$i<=$ratMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."TalKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Tal";
	echo "        <select name='$name'>\n";
	for ($i=$talMin;$i<=$talMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "      </tr>\n";
      }
     echo "     </table>\n";
     echo "    </td>\n";

     ## Show Pitch Ratings
     $pitchArray=Array("fastball"=>"Fastball","slider"=>"Slider","curveball"=>"Curveball","screwball"=>"Screwball","forkball"=>"Forkball","changeup"=>"Changeup","Sinker"=>"Sinker","splitter"=>"Splitter","knuckleball"=>"Knuckleball","cutter"=>"Cutter","circlechange"=>"Circle Change","knucklecurve"=>"Knuckle Curve");
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=5>Pitch Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l' colspan=2>Rating</td><td class='hsc2_l' colspan=2>Potential</td></tr>\n";
     foreach ($pitchArray as $rat => $lbl)
      {
        echo "      <tr>\n";
	echo "       <td>$lbl</td>\n";
	echo "       <td>\n";
	$name=$rat."RatKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Rat";
	echo "        <select name='$name'>\n";
	echo "         <option value='0'>None</option>\n";
	for ($i=$ratMin;$i<=$ratMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."TalKey";
	echo "        <select name='$name'>\n";
	echo "         <option value='after'";
	if ($settings[$name]=='after') {echo " selected";}
	echo ">>=</option>\n";
	echo "         <option value='upto'";
	if ($settings[$name]=='upto') {echo " selected";}
	echo "><=</option>\n";
	echo "         <option value='equal'";
	if ($settings[$name]=='equal') {echo " selected";}
	echo ">=</option>\n";
	echo "        </select>\n";
	echo "       </td>\n";
	echo "       <td>\n";
	$name=$rat."Tal";
	echo "        <select name='$name'>\n";
	echo "         <option value='0'>None</option>\n";
	for ($i=$talMin;$i<=$talMax;$i++)
	 {
	   echo "         <option value='$i'";
	   if ($settings[$name]==$i) {echo " selected";}
	   echo ">$i</option>\n";
	 }
	echo "        </select>\n";
	echo "       </td>\n";
	echo "      </tr>\n";
      }
     echo "     </table>\n";
     echo "    </td>\n";


     ## Show Misc Ratings
     echo "    <td valign='top'>\n";
     echo "     <table cellpadding=2 cellspacing=0 border=0>\n";
     echo "      <tr class='title'><td colspan=3>Misc Ratings</td></tr>\n";
     echo "      <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2_l' colspan=2>Rating</td></tr>\n";
     echo "      <tr>\n";
     echo "       <td>Velocity</td>\n";
     echo "       <td>\n";
     $name="velocityKey";
     echo "        <select name='$name'>\n";
     echo "         <option value='after'";
     if ($settings[$name]=='after') {echo " selected";}
     echo ">>=</option>\n";
     echo "         <option value='upto'";
     if ($settings[$name]=='upto') {echo " selected";}
     echo "><=</option>\n";
     echo "         <option value='equal'";
     if ($settings[$name]=='equal') {echo " selected";}
     echo ">=</option>\n";
     echo "        </select>\n";
     echo "       </td>\n";
     echo "       <td>\n";
     $name="velocityRat";
     echo "        <select name='$name'>\n";
     for ($i=1;$i<=20;$i++)
      {
        echo "         <option value='$i'";
	if ($settings[$name]==$i) {echo " selected";}
	echo ">".get_velo($i)."</option>\n";
      }
     echo "        </select>\n";
     echo "       </td>\n";
     echo "      </tr>\n";
     echo "      <tr>\n";
     echo "       <td>Endurance</td>\n";
     echo "       <td>\n";
     $name="enduranceKey";
     echo "        <select name='$name'>\n";
     echo "         <option value='after'";
     if ($settings[$name]=='after') {echo " selected";}
     echo ">>=</option>\n";
     echo "         <option value='upto'";
     if ($settings[$name]=='upto') {echo " selected";}
     echo "><=</option>\n";
     echo "         <option value='equal'";
     if ($settings[$name]=='equal') {echo " selected";}
     echo ">=</option>\n";
     echo "        </select>\n";
     echo "       </td>\n";
     echo "       <td>\n";
     $name="enduranceRat";
     echo "        <select name='$name'>\n";
     for ($i=$othMin;$i<=$othMax;$i++)
      {
        echo "         <option value='$i'";
	if ($settings[$name]==$i) {echo " selected";}
	echo ">$i</option>\n";
      }
     echo "        </select>\n";
     echo "       </td>\n";
     echo "      </tr>\n";

     echo "      <tr>\n";
     echo "       <td>Number of Pitches</td>\n";
     echo "       <td>\n";
     $name="pcountKey";
     echo "        <select name='$name'>\n";
     echo "         <option value='after'";
     if ($settings[$name]=='after') {echo " selected";}
     echo ">>=</option>\n";
     echo "         <option value='upto'";
     if ($settings[$name]=='upto') {echo " selected";}
     echo "><=</option>\n";
     echo "         <option value='equal'";
     if ($settings[$name]=='equal') {echo " selected";}
     echo ">=</option>\n";
     echo "        </select>\n";
     echo "       </td>\n";
     echo "       <td>\n";
     $name="pcountRat";
     echo "        <select name='$name'>\n";
     for ($i=1;$i<=12;$i++)
      {
        echo "         <option value='$i'";
        if ($settings[$name]==$i) {echo " selected";}
        echo ">$i</option>\n";
      }
     echo "        </select>\n";
     echo "       </td>\n";
     echo "      </tr>\n";
     echo "      <tr>\n";
     echo "       <td>Ground Ball Pct</td>\n";
     echo "       <td>\n";
     $name="ground_flyKey";
     echo "        <select name='$name'>\n";
     echo "         <option value='after'";
     if ($settings[$name]=='after') {echo " selected";}
     echo ">>=</option>\n";
     echo "         <option value='upto'";
     if ($settings[$name]=='upto') {echo " selected";}
     echo "><=</option>\n";
     echo "         <option value='equal'";
     if ($settings[$name]=='equal') {echo " selected";}
     echo ">=</option>\n";
     echo "        </select>\n";
     echo "       </td>\n";
     echo "       <td>\n";
     $name="ground_flyRat";
     echo "        <select name='$name'>\n";
     for ($i=1;$i<=100;$i++)
      {
        echo "         <option value='$i'";
        if ($settings[$name]==$i) {echo " selected";}
        echo ">$i</option>\n";
      }
     echo "        </select>\n";
     echo "       </td>\n";
     echo "      </tr>\n";
     echo "     </table>\n";
     echo "    </td>\n";



     echo "     </tr></table>\n";
     echo "    </td>\n";
     break;
 }

##### Close Form #####
if ($view!="")
 {
   echo "   </tr>\n";
   echo "   <tr>\n";
   ## Submission button
   echo "    <td><input type='submit' value='Go'></input></td>\n";
 }
echo "   </tr>\n";
echo "  </table>\n";
echo "  </form>\n";
echo " </div>\n";

if (!isset($_POST['view'])) {$view="";}

##### Find Players #####
switch ($view)
 {
   case 'batters':
     ## Get players
     $query="SELECT p.player_id,first_name,last_name,p.team_id,p.organization_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,p.position,batting_ratings_overall_contact,batting_ratings_overall_gap,batting_ratings_overall_power,batting_ratings_overall_eye,batting_ratings_overall_strikeouts,batting_ratings_talent_contact,batting_ratings_talent_gap,batting_ratings_talent_power,batting_ratings_talent_eye,batting_ratings_talent_strikeouts,running_ratings_speed,running_ratings_stealing,running_ratings_baserunning,fielding_rating_pos2,fielding_rating_pos3,fielding_rating_pos4,fielding_rating_pos5,fielding_rating_pos6,fielding_rating_pos7,fielding_rating_pos8,fielding_rating_pos9,fielding_ratings_catcher_arm,fielding_ratings_infield_arm,fielding_ratings_outfield_arm FROM players as p,players_batting as pb,players_fielding as pf WHERE p.player_id=pb.player_id AND p.player_id=pf.player_id AND pb.player_id=pf.player_id AND p.position!=1 AND p.retired=0 AND p.hidden=0";
     if ($settings['age']!="All")
      {
        $query.=" AND ($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01'))";
        switch ($settings['ageBool'])
         {
           case 'upto' : $query.="<="; break;
           case 'after': $query.=">="; break;
           case 'equal': $query.="=";  break;
         }
	$query.=$settings['age'];
      }
     $query.=" ORDER BY last_name,first_name;";
     if ($_POST['showq']==1) {echo $query;}
     $result=mysql_query($query,$db);

     if (mysql_num_rows($result))
      {
        $numFields=mysql_num_fields($result);
        while ($row=mysql_fetch_array($result))
         {
	   $pid=$row['player_id'];
           $pList[$pid]=1;
	   for ($i=0;$i<$numFields;$i++)
	    {
	      if (!isset($pList[$pid])) {continue;}
	      $fieldname=mysql_field_name($result,$i);
	      $val=$row[$fieldname];
              ## Get Ratings
	      switch ($fieldname)
	       {
	         case 'batting_ratings_overall_contact':
	         case 'batting_ratings_overall_gap':
	         case 'batting_ratings_overall_power':
	         case 'batting_ratings_overall_eye':
	         case 'batting_ratings_overall_strikeouts':
		   $players[$pid][$fieldname]=calc_rating($val);
		   break;
                 case 'batting_ratings_talent_contact':
                 case 'batting_ratings_talent_gap':
                 case 'batting_ratings_talent_power':
                 case 'batting_ratings_talent_eye':
                 case 'batting_ratings_talent_strikeouts':
		   $players[$pid][$fieldname]=calc_rating($val,1);
		   break;
                 case 'running_ratings_speed':
                 case 'running_ratings_stealing':
                 case 'running_ratings_baserunning':
      	         case 'fielding_rating_pos1':
	         case 'fielding_rating_pos2':
	         case 'fielding_rating_pos3':
	         case 'fielding_rating_pos4':
	         case 'fielding_rating_pos5':
	         case 'fielding_rating_pos6':
	         case 'fielding_rating_pos7':
                 case 'fielding_rating_pos8':
	         case 'fielding_rating_pos9':
		   if ($val==0) {$val=0;} else {$val=calc_rating($val,2);}
		   $players[$pid][$fieldname]=$val;
		   break;
	         case 'fielding_ratings_catcher_arm':
	         case 'fielding_ratings_catcher_ability':
	           if (($val<40) && (isset($row['fielding_rating_pos2']) && ($row['fielding_rating_pos2']==0))) {$val=0;}
                    else {$val=calc_rating($val,2);}
		   $players[$pid][$fieldname]=$val;
	           break;
	         case 'fielding_ratings_infield_arm':
	         case 'fielding_ratings_infield_range':
	         case 'fielding_ratings_infield_error':
	         case 'fielding_ratings_turn_doubleplay':
	           if (($val<40) && (isset($row['fielding_rating_pos3']) && ($row['fielding_rating_pos3']==0) && isset($row['fielding_rating_pos4']) && ($row['fielding_rating_pos4']==0) && isset($row['fielding_rating_pos5']) && ($row['fielding_rating_pos5']==0) && isset($row['fielding_rating_pos6']) && ($row['fielding_rating_pos6']==0))) {$val=0;}
	            else {$val=calc_rating($val,2);}
		   $players[$pid][$fieldname]=$val;
	           break;
	         case 'fielding_ratings_outfield_arm':
	         case 'fielding_ratings_outfield_range':
	         case 'fielding_rating_outfield_error':
	           if (($val<40) && (isset($row['fielding_rating_pos7']) && ($row['fielding_rating_pos7']==0) && isset($row['fielding_rating_pos8']) && ($row['fielding_rating_pos8']==0) && isset($row['fielding_rating_pos9']) && ($row['fielding_rating_pos9']==0))) {$val=0;}
	            else {$val=calc_rating($val,2);}
		   $players[$pid][$fieldname]=$val;
		   break;
	         default:
		   $players[$pid][$fieldname]=$val;
		   break;
	       }
	      ## Check Conditions
	      switch ($fieldname)
	       {
	         case 'batting_ratings_overall_contact':
                   switch ($settings['contactRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['contactRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['contactRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['contactRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'batting_ratings_overall_gap':
                   switch ($settings['gapRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['gapRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['gapRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['gapRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'batting_ratings_overall_power':
                   switch ($settings['powerRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['powerRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['powerRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['powerRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'batting_ratings_overall_eye':
                   switch ($settings['eyeRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['eyeRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['eyeRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['eyeRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'batting_ratings_overall_strikeouts':
                   switch ($settings['strikeoutsRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['strikeoutsRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['strikeoutsRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['strikeoutsRat']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'batting_ratings_talent_contact':
                   switch ($settings['contactTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['contactTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['contactTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['contactTal']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'batting_ratings_talent_gap':
                   switch ($settings['gapTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['gapTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['gapTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['gapTal']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'batting_ratings_talent_power':
                   switch ($settings['powerTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['powerTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['powerTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['powerTal']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'batting_ratings_talent_eye':
                   switch ($settings['eyeTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['eyeTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['eyeTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['eyeTal']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'batting_ratings_talent_strikeouts':
                   switch ($settings['strikeoutsTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['strikeoutsTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['strikeoutsTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['strikeoutsTal']) {unset($pList[$pid]);} break;
		    }
		   break;
 	         case 'running_ratings_speed':
                   switch ($settings['speedKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['speedRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['speedRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['speedRat']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'running_ratings_stealing':
                   switch ($settings['stealingKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['stealingRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['stealingRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['stealingRat']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'running_ratings_baserunning':
                   switch ($settings['baserunningKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['baserunningRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['baserunningRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['baserunningRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos2':
                   switch ($settings['pos2Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos2Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos2Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos2Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos3':
                   switch ($settings['pos3Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos3Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos3Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos3Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos4':
                   switch ($settings['pos4Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos4Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos4Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos4Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos5':
                   switch ($settings['pos5Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos5Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos5Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos5Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos6':
                   switch ($settings['pos6Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos6Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos6Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos6Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos7':
                   switch ($settings['pos7Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos7Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos7Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos7Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
                 case 'fielding_rating_pos8':
                   switch ($settings['pos8Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos8Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos8Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos8Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_rating_pos9':
                   switch ($settings['pos9Key'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['pos9Rat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['pos9Rat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['pos9Rat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'fielding_ratings_catcher_arm':
                   switch ($settings['catcher_armKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['catcher_armRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['catcher_armRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['catcher_armRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	          case 'fielding_ratings_infield_arm':
                   switch ($settings['infield_armKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['infield_armRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['infield_armRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['infield_armRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	          case 'fielding_ratings_outfield_arm':
                   switch ($settings['outfieldr_armKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['outfield_armRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['outfield_armRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['outfield_armRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	       }
	    }
	 }
	## Display Batters
        echo " <div class='textbox'>\n";
	echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
	echo "   <tr class='title'><td>Batters";
	if ($settings['display']=='overall') {echo " (actual ratings)";} else {echo " (potential ratings)";}
	echo "</td></tr>\n";
        echo "   <tr><td>\n";
        echo "    <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
        echo "     <thead><tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Team</td><td class='hsc2'>Level</td><td class='hsc2'>Age</td><td class='hsc2'>Pos</td><td class='hsc2'>Contact</td><td class='hsc2'>Gap</td><td class='hsc2'>Power</td><td class='hsc2'>Eye</td><td class='hsc2'>Avoid K's</td><td class='hsc2'>Sp</td><td class='hsc2'>Sta</td><td class='hsc2'>BR</td><td class='hsc2'>C</td><td class='hsc2'>1B</td><td class='hsc2'>2B</td><td class='hsc2'>3B</td><td class='hsc2'>SS</td><td class='hsc2'>LF</td><td class='hsc2'>CF</td><td class='hsc2'>RF</td><td class='hsc2'>C Arm</td><td class='hsc2'>IF Arm</td><td class='hsc2'>OF Arm</td></tr></thead>\n";
	if (isset($pList))
	 {
           ## Get Teams
	   $query="SELECT team_id,abbr,level FROM teams;";
	   $result=mysql_query($query,$db);
	   while ($row=mysql_fetch_array($result))
	    {
              $tid=$row['team_id'];
	      $teams[$tid]['abbr']=$row['abbr'];
	      $teams[$tid]['level']=get_level($row['level']);
	    }
	   $cnt=0;
	   $fldFields=Array("fielding_rating_pos2","fielding_rating_pos3","fielding_rating_pos4","fielding_rating_pos5","fielding_rating_pos6","fielding_rating_pos7","fielding_rating_pos8","fielding_rating_pos9","fielding_ratings_catcher_arm","fielding_ratings_infield_arm","fielding_ratings_outfield_arm");
	   foreach ($pList as $pid => $val)
	    {
              if ($pid=="") {continue;}
	      $cls='s'.($cnt%2+1);
	      echo "     <tr class='$cls'>";
	      echo "<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['last_name'].", ".$players[$pid]['first_name']."\"><a href='$lgpath/players/player_$pid.html'>".$players[$pid]['first_name']." ".$players[$pid]['last_name']."</a></td>";
	      $tid=$players[$pid]['team_id'];
	      $lvl=$teams[$tid]['level'];
	      $org=$players[$pid]['organization_id'];
	      echo "<td class='$cls'><a href='$lgpath/teams/team_$org.html'>".$teams[$org]['abbr']."</a></td>";
	      echo "<td class='$cls'>$lvl</td>";
	      echo "<td class='$cls'>".$players[$pid]['age']."</td>";
	      echo "<td class='$cls' sorttable_customkey=\"".$players[$pid]['position']."\">".get_pos($players[$pid]['position'])."</td>";
	      echo "<td class='$cls'>".$players[$pid]["batting_ratings_".$settings['display']."_contact"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["batting_ratings_".$settings['display']."_gap"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["batting_ratings_".$settings['display']."_power"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["batting_ratings_".$settings['display']."_eye"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["batting_ratings_".$settings['display']."_strikeouts"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["running_ratings_speed"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["running_ratings_stealing"]."</td>";
	      echo "<td class='$cls'>".$players[$pid]["running_ratings_baserunning"]."</td>";
	      foreach ($fldFields as $key => $fld)
	       {
	         if ($players[$pid][$fld]==0) {$val="-";} else {$val=$players[$pid][$fld];}
		 echo "<td class='$cls'>$val</td>";
 	       }
	      echo "</tr>\n";
	      $cnt++;
	    }
 	   if ($cnt==0) {echo "    <tr><td colspan=24>No players match search criteria</td></tr>\n";}
	 }
	else {echo "    <tr><td colspan=24>No players match search criteria</td></tr>\n";}
      }
     echo "    </table>\n";
     echo "   </td></tr></table>\n";
     echo " </div>\n";

     break;
   case 'pitchers':
     $query="SELECT p.player_id,first_name,last_name,p.team_id,p.organization_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,p.role,pitching_ratings_overall_stuff,pitching_ratings_overall_control,pitching_ratings_overall_movement,pitching_ratings_misc_velocity,pitching_ratings_misc_stamina,pitching_ratings_pitches_fastball,pitching_ratings_pitches_slider,pitching_ratings_pitches_curveball,pitching_ratings_pitches_screwball,pitching_ratings_pitches_forkball,pitching_ratings_pitches_changeup,pitching_ratings_pitches_sinker,pitching_ratings_pitches_splitter,pitching_ratings_pitches_knuckleball,pitching_ratings_pitches_cutter,pitching_ratings_pitches_circlechange,pitching_ratings_pitches_knucklecurve,pitching_ratings_talent_stuff,pitching_ratings_talent_control,pitching_ratings_talent_movement,pitching_ratings_misc_velocity,pitching_ratings_misc_stamina,pitching_ratings_pitches_talent_fastball,pitching_ratings_pitches_talent_slider,pitching_ratings_pitches_talent_curveball,pitching_ratings_pitches_talent_screwball,pitching_ratings_pitches_talent_forkball,pitching_ratings_pitches_talent_changeup,pitching_ratings_pitches_talent_sinker,pitching_ratings_pitches_talent_splitter,pitching_ratings_pitches_talent_knuckleball,pitching_ratings_pitches_talent_cutter,pitching_ratings_pitches_talent_circlechange,pitching_ratings_pitches_talent_knucklecurve,pitching_ratings_misc_ground_fly FROM players as p,players_pitching as pp WHERE p.player_id=pp.player_id AND p.position=1 AND p.retired=0 AND p.hidden=0";
     if ($settings['age']!="All")
      {
        $query.=" AND ($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01'))";
        switch ($settings['ageBool'])
         {
           case 'upto' : $query.="<="; break;
           case 'after': $query.=">="; break;
           case 'equal': $query.="=";  break;
         }
	$query.=$settings['age'];
      }
     $query.=" AND pitching_ratings_misc_ground_fly";
     switch ($settings['ground_flyKey'])
      {
        case 'upto' : $query.="<="; break;
        case 'after': $query.=">="; break;
        case 'equal': $query.="=";  break;
      }
     $query.=$settings['ground_flyRat'];
     $query.=" ORDER BY last_name,first_name";
     if ($_POST['showq']==1) {echo $query;}
     $result=mysql_query($query,$db);

     if (mysql_num_rows($result))
      {
        $numFields=mysql_num_fields($result);
        while ($row=mysql_fetch_array($result))
         {
	   $pid=$row['player_id'];
	   $pcnt=0;
           $pList[$pid]=1;
	   for ($i=0;$i<$numFields;$i++)
	    {
	      if (!isset($pList[$pid])) {continue;}
	      $fieldname=mysql_field_name($result,$i);
	      $val=$row[$fieldname];
              ## Get Ratings
	      switch ($fieldname)
	       {
       	         case 'pitching_ratings_overall_stuff':
	         case 'pitching_ratings_overall_control':
	         case 'pitching_ratings_overall_movement':
		   $players[$pid][$fieldname]=calc_rating($val);
		   break;
                 case 'pitching_ratings_pitches_fastball':
		 case 'pitching_ratings_pitches_slider':
      		 case 'pitching_ratings_pitches_curveball':
		 case 'pitching_ratings_pitches_screwball':
      		 case 'pitching_ratings_pitches_forkball':
		 case 'pitching_ratings_pitches_changeup':
      		 case 'pitching_ratings_pitches_sinker':
		 case 'pitching_ratings_pitches_splitter':
      		 case 'pitching_ratings_pitches_knuckleball':
		 case 'pitching_ratings_pitches_cutter':
      		 case 'pitching_ratings_pitches_circlechange':
		 case 'pitching_ratings_pitches_knucklecurve':
	  	   if ($val==0) {$val=0;}
		    else 
		    {
   		      $val=calc_rating($val);
		      $pcnt++;
		    }
		   $players[$pid][$fieldname]=$val;
      		   break;
                 case 'pitching_ratings_talent_stuff':
		 case 'pitching_ratings_talent_control':
	         case 'pitching_ratings_talent_movement':
		   $players[$pid][$fieldname]=calc_rating($val,1);
		   break;
                 case 'pitching_ratings_pitches_talent_fastball':
		 case 'pitching_ratings_pitches_talent_slider':
      		 case 'pitching_ratings_pitches_talent_curveball':
		 case 'pitching_ratings_pitches_talent_screwball':
      		 case 'pitching_ratings_pitches_talent_forkball':
		 case 'pitching_ratings_pitches_talent_changeup':
      		 case 'pitching_ratings_pitches_talent_sinker':
		 case 'pitching_ratings_pitches_talent_splitter':
      		 case 'pitching_ratings_pitches_talent_knuckleball':
		 case 'pitching_ratings_pitches_talent_cutter':
      		 case 'pitching_ratings_pitches_talent_circlechange':
		 case 'pitching_ratings_pitches_talent_knucklecurve':
    		   if ($val==0) {$val=0;}
		    else
		    {
   		      $val=calc_rating($val,1);
      		    }
		   $players[$pid][$fieldname]=$val;
		   break;
	         case 'pitching_ratings_misc_stamina':
		   if ($val!=0) {$val=calc_rating($val,2);}
		   $players[$pid][$fieldname]=$val;
		   break;
	         default:
		   $players[$pid][$fieldname]=$val;
		   break;
	       }
	      ## Check Conditions
	      switch ($fieldname)
	       {
	         case 'pitching_ratings_overall_stuff':
                   switch ($settings['stuffRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['stuffRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['stuffRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['stuffRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_overall_control':
                   switch ($settings['controlRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['controlRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['controlRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['controlRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_overall_movement':
                   switch ($settings['movementRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['movementRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['movementRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['movementRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_talent_stuff':
                   switch ($settings['stuffTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['stuffTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['stuffTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['stuffTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_talent_control':
                   switch ($settings['controlTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['controlTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['controlTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['controlTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_talent_movement':
                   switch ($settings['movementTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['movementTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['movementTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['movementTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_fastball':
                   switch ($settings['fastballRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['fastballRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['fastballRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['fastballRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_fastball':
                   switch ($settings['fastballTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['fastballTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['fastballTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['fastballTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_slider':
                   switch ($settings['sliderTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['sliderTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['sliderTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['sliderTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_slider':
                   switch ($settings['sliderRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['sliderRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['sliderRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['sliderRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_curveball':
                   switch ($settings['curveballTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['curveballTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['curveballTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['curveballTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_curveball':
                   switch ($settings['curveballRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['curveballRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['curveballRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['curveballRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_screwball':
                   switch ($settings['screwballTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['screwballTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['screwballTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['screwballTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_screwball':
                   switch ($settings['screwballRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['screwballRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['screwballRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['screwballRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_forkball':
                   switch ($settings['forkballTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['forkballTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['forkballTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['forkballTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_forkball':
                   switch ($settings['forkballRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['forkballRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['forkballRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['forkballRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_changeup':
                   switch ($settings['changeupTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['changeupTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['changeupTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['changeupTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_changeup':
                   switch ($settings['changeupRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['changeupRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['changeupRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['changeupRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_sinker':
                   switch ($settings['sinkerRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['sinkerRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['sinkerRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['sinkerRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_sinker':
                   switch ($settings['sinkerTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['sinkerTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['sinkerTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['sinkerTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_splitter':
                   switch ($settings['splitterRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['splitterRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['splitterRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['splitterRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_splitter':
                   switch ($settings['splitterTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['splitterTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['splitterTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['splitterTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_knuckleball':
                   switch ($settings['knuckleballRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['knuckleballRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['knuckleballRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['knuckleballRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_knuckleball':
                   switch ($settings['knuckleballTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['knuckleballTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['knuckleballTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['knuckleballTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_cutter':
                   switch ($settings['cutterRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['cutterRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['cutterRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['cutterRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_cutter':
                   switch ($settings['cutterTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['cutterTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['cutterTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['cutterTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_circlechange':
                   switch ($settings['circlechangeRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['circlechangeRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['circlechangeRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['circlechangeRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_circlechange':
                   switch ($settings['circlechangeTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['circlechangeTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['circlechangeTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['circlechangeTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_knucklecurve':
                   switch ($settings['knucklecurveRatKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['knucklecurveRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['knucklecurveRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['knucklecurveRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_pitches_talent_knucklecurve':
                   switch ($settings['knucklecurveTalKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['knucklecurveTal']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['knucklecurveTal']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['knucklecurveTal']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_misc_velocity':
                   switch ($settings['velocityKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['velocityRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['velocityRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['velocityRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	         case 'pitching_ratings_misc_stamina':
                   switch ($settings['staminaKey'])
		    {
		      case 'after': if ($players[$pid][$fieldname]<$settings['staminaRat']) {unset($pList[$pid]);} break;
		      case 'upto': if ($players[$pid][$fieldname]>$settings['staminaRat']) {unset($pList[$pid]);} break;
		      case 'equal': if ($players[$pid][$fieldname]!=$settings['staminaRat']) {unset($pList[$pid]);} break;
		    }
		   break;
	       }
	    }
           ## Filter for number of pitches
	   switch ($settings['pcountKey'])
	    {
	      case 'after': if ($pcnt<$settings['pcountRat']) {unset($pList[$pid]);} break;
	      case 'upto': if ($pcnt>$settings['pcountRat']) {unset($pList[$pid]);} break;
	      case 'equal': if ($pcnt!=$settings['pcountRat']) {unset($pList[$pid]);} break;
	    }
	 }
	## Display Batters
        echo " <div class='textbox'>\n";
	echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
	echo "   <tr class='title'><td>Pitchers";
	if ($settings['display']=='overall') {echo " (actual ratings)";} else {echo " (potential ratings)";}
	echo "</td></tr>\n";
        echo "   <tr><td>\n";
        echo "    <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
	echo "     <thead><tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Team</td><td class='hsc2'>Level</td><td class='hsc2'>Age</td><td class='hsc2'>Role</td><td class='hsc2'>Stuff</td><td class='hsc2'>Control</td><td class='hsc2'>Movement</td><td class='hsc2'>Velocity</td><td class='hsc2'>Stamina</td><td class='hsc2'>Fst</td><td class='hsc2'>Sld</td><td class='hsc2'>Crv</td><td class='hsc2'>Scw</td><td class='hsc2'>Frk</td><td class='hsc2'>Chg</td><td class='hsc2'>Snk</td><td class='hsc2'>Spl</td><td class='hsc2'>Knk</td><td class='hsc2'>Cut</td><td class='hsc2'>CCh</td><td class='hsc2'>KCv</td><td class='hsc2'>GB%</td></tr></thead>\n";
	if ($settings['display']=='overall') {$pratView='overall';$pitchView="";} else  {$pratView='talent';$pitchView="_talent";}
	if (isset($pList))
	 {
           ## Get Teams
	   $query="SELECT team_id,abbr,level FROM teams;";
	   $result=mysql_query($query,$db);
	   while ($row=mysql_fetch_array($result))
	    {
              $tid=$row['team_id'];
	      $teams[$tid]['abbr']=$row['abbr'];
	      $teams[$tid]['level']=get_level($row['level']);
	    }
	   $cnt=0;
	   $pFields=Array("pitching_ratings_".$pratView."_stuff","pitching_ratings_".$pratView."_control","pitching_ratings_".$pratView."_movement","pitching_ratings_misc_velocity","pitching_ratings_misc_stamina","pitching_ratings_pitches".$pitchView."_fastball","pitching_ratings_pitches".$pitchView."_slider","pitching_ratings_pitches".$pitchView."_curveball","pitching_ratings_pitches".$pitchView."_screwball","pitching_ratings_pitches".$pitchView."_forkball","pitching_ratings_pitches".$pitchView."_changeup","pitching_ratings_pitches".$pitchView."_sinker","pitching_ratings_pitches".$pitchView."_splitter","pitching_ratings_pitches".$pitchView."_knuckleball","pitching_ratings_pitches".$pitchView."_cutter","pitching_ratings_pitches".$pitchView."_circlechange","pitching_ratings_pitches".$pitchView."_knucklecurve","pitching_ratings_misc_ground_fly");
	   foreach ($pList as $pid => $val)
	    {
              if ($pid=="") {continue;}
	      $cls='s'.($cnt%2+1);
	      echo "     <tr class='$cls'>";
	      echo "<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['last_name'].", ".$players[$pid]['first_name']."\"><a href='$lgpath/players/player_$pid.html'>".$players[$pid]['first_name']." ".$players[$pid]['last_name']."</a></td>";
	      $tid=$players[$pid]['team_id'];
	      $lvl=$teams[$tid]['level'];
	      $org=$players[$pid]['organization_id'];
	      echo "<td class='$cls'><a href='$lgpath/teams/team_$org.html'>".$teams[$org]['abbr']."</a></td>";
	      echo "<td class='$cls'>$lvl</td>";
	      echo "<td class='$cls'>".$players[$pid]['age']."</td>";
	      echo "<td class='$cls' sorttable_customkey=\"".$players[$pid]['role']."\">".get_pos($players[$pid]['role'])."</td>";
	      foreach ($pFields as $key => $fld)
	       {
	         if ($players[$pid][$fld]==0) {$val="-";} else {$val=$players[$pid][$fld];}
                 if ($fld=='pitching_ratings_misc_velocity') {echo "<td class='$cls'>".get_velo($val)."</td>";}
		  else {echo "<td class='$cls'>$val</td>";}
 	       }
	      echo "</tr>\n";
	      $cnt++;
	    }
 	   if ($cnt==0) {echo "    <tr><td colspan=23>No players match search criteria</td></tr>\n";}
	 }
	else {echo "    <tr><td colspan=23>No players match search criteria</td></tr>\n";}
      }
     echo "    </table>\n";
     echo "   </td></tr></table>\n";
     echo " </div>\n";

     break;
 }


echo " </div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

?>
