<?php

#######################################################
# set adminpath
#  gets adminpath from stored config file
#######################################################
function set_adminpath()
 {
    if (file_exists("./config.txt"))
     {
        $fpath="./config.txt";
        $f = fopen ($fpath, "r");
        $line = explode("|",fread($f,filesize($fpath)));
        $adminpath = $line[1];
        fclose($f);
     }
     else
     {
        return 0;
     }
    
    if ($adminpath=="")
     {
        return 0;
     }

    $_SESSION['adminpath']=$adminpath;

    return 1;
 }

#######################################################
# get settings
#  gets general information for utility functions
#######################################################
function get_settings()
 {
    if (isset($_SESSION['configerr'])) {unset($_SESSION['configerr']);}
    $phpver=phpversion();
    $phpver=$phpver[0];

    ##### Load Admin Path #####
    $fpath="./config.txt";
    if (file_exists($fpath))
     {
       $f = fopen ($fpath, "r");
       $line = explode("|",fread($f,filesize($fpath)));
       $adminpath = $line[1];
       fclose($f);
       $_SESSION['adminpath']=$adminpath;
     }
     else
     {
       $_SESSION['configerr']="ERROR: OOTP SQL Utilities not configured properly (no config.txt)";
       return;
     }
    
    ##### Load Utility Configuration #####
    include($_SESSION['adminpath']."/dbopen.php");
    ## Check if admin table exists
    $cwd=getcwd();
    $e=explode("/",$cwd);
    $maxE=count($e)-1;
    $instance=$e[$maxE];
    $query="SHOW TABLES LIKE 'ootp_sql_admin';";
    $result=mysql_query($query,$db);
    if (mysql_num_rows($result)) 
     {
       $query="SELECT * FROM ootp_sql_admin WHERE module='Admin' AND install IN ('4dm1n','$instance');";
       $result=mysql_query($query,$db);
       if (mysql_num_rows($result)) 
        {
	  while ($row=mysql_fetch_array($result))
	   {
	     $field=$row['setting'];
	     $val=$row['value'];
 	     $val=stripslashes($val);
	     switch ($field)
	      {
	        case 'HTMLRoot' : $_SESSION['htmlroot']=$val; break;
		case 'HTMLPath' : $_SESSION['htmlpath']=$val; break;
 		case 'ServerURL': $_SESSION['serverurl']=$val;break;
		case 'timezone' : $tzone=$val;                break;
 		case 'noCache'  : $noCache=$val;              break;
		case 'priLgID'  : $lgid=$val;                 break;
 		case 'Ratings'  : $_SESSION['ratings']=$val;  break;
		case 'Talents'  : $_SESSION['talents']=$val;  break;
 		case 'Others'   : $_SESSION['others']=$val;   break;
	      }
 	   }
	  $_SESSION['lgpath']=$_SESSION['serverurl'].$_SESSION['htmlpath'];
 	  if (($tzone!="")&&($phpver>4)) {date_default_timezone_set($tzone);;}
	  if ($noCache==1) {$_SESSION['noCache']=1;} else {unset($_SESSION['noCache']);}
	  if (isset($_SESSION['lgid'])) {unset($_SESSION['lgid']);unset($_SESSION['lgname']);}
 	  $_SESSION['lgid']=$lgid;
	}
     }
     else
     {
       if (!isset($_SESSION['configerr']))
        {
          $_SESSION['configerr']="ERROR: OOTP SQL Utilities not configured properly (no ootp_sql_admin table)";
    	}
     }

   ##### Check league name and date #####
   if ((!isset($_SESSION['lgname'])) || (!isset($_SESSION['lgdate'])))
    {
      include($_SESSION['adminpath']."/dbopen.php");
      if (!isset($_SESSION['lgid'])) {$_SESSION['lgid']=100;}
      $query="SHOW TABLES LIKE 'leagues';";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         $query="SELECT name,leagues.current_date FROM leagues WHERE league_id=".$_SESSION['lgid']." GROUP BY leagues.current_date;";
         $result=mysql_query($query,$db);
         $row=mysql_fetch_array($result);
         $lgname=$row[0];
	 $lgdate=$row[1];
	 $_SESSION['lgname']=$lgname;
   	 $_SESSION['lgdate']=$lgdate;
      }
    }

 }

#######################################################
# check cookie
#  gets cookie information if stored
#######################################################
function check_cookie()
 {
   if (isset($_COOKIE['user_id']) && isset($_COOKIE['password']) && !isset($_SESSION['user_name']))
    {
      $userid=$_COOKIE['user_id'];
      $password=$_COOKIE['password'];
      session_login($userid,$password,1);
    }
   
   if ($_SESSION['adminpath']=="") {get_settings();}
 }

#######################################################
# session login
#  performs the login check and configures cookie
#######################################################
function session_login($userid,$password,$encrypted=0)
 {
   if (($userid=="") || ($password=="")) {return;}
   
   include($_SESSION['adminpath']."/dbopen.php");

   $query="SELECT human_manager_id,username,password FROM ootp_sql_users WHERE human_manager_id=".$userid;
   if ($encrypted==1) {$query.=" AND password='".$password."';";}
    else {$query.=" AND password=PASSWORD('".$password."');";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)!=1)
    {
      #echo $query;
      $_SESSION['error']="ERROR: Invalid user/pass combination";
      return;
    }
    else
    {
      $row=mysql_fetch_array($result);
      $user_id=$row['human_manager_id'];
      $username=$row['username'];
      $password=$row['password'];

      $_SESSION['user_id']=$user_id;
      $_SESSION['user_name']=$username;
      
      $query="SELECT is_commish,league_id,team_id,organization_id FROM human_managers WHERE human_manager_id='".$_SESSION['user_id']."';";
      $result=mysql_query($query,$db);
      
      $row=mysql_fetch_array($result);
      foreach($row AS $key => $value) {if (!is_int($key)) {$_SESSION["user_".$key]=$value;}}

      ##Create Cookie##
      $days=7;
      $expire=60*60*24*$days;
      $expire+=time();
      setcookie("user_id","",time()-1440);
      setcookie("password","",time()-1440);
      setcookie("user_id",$user_id,$expire);
      setcookie("password",$password,$expire);

      ##Log Login
      $now=time();
      $query="INSERT INTO ootp_sql_admin (module,install,setting,value) VALUES (";
      $query.="'Last Login','4dm1n','".$_SESSION['user_id']."','".$now."') ON DUPLICATE KEY UPDATE value='$now';";
      $result=mysql_query($query,$db);


    }
 }

#######################################################
# session logout
#  kills session and clears cookie
#######################################################
function session_logout()
 {
   $time=time();
   foreach ($_COOKIE as $key => $val)
    {
      setcookie($key,"",$time-1440);
    }
   unset($_SESSION['user_id']);
   unset($_SESSION['user_name']);
   unset($_SESSION['user_team_id']);
   unset($_SESSION['user_organization_id']);
   unset($_SESSION['user_is_commish']);
   unset($_SESSION['lgdate']);
 }
?>
