<?php
  session_start();
  include("html_functions.php");
  check_cookie();
  include($_SESSION['adminpath']."/dbopen.php");

  $lgpath=$_SESSION['lgpath'];
  $lid=$_GET['league_id'];
  if ($lid!="") {$lgid=$lid;}
  if ($lgid=="") {$lgid=$_SESSION['lgid'];}
  if ($lgid=="") {$lgid=100;}

  $title="Top Performances";
  page_head($title,$lgpath);

  echo " <div id='topbar'>\n";

  main_nav($lgid,$lgpath,$title);
  util_nav();
  util_sub_nav("Last Sim");

  echo " </div>   <!-- END topbar DIV -->\n";

  echo " <div id='contentpane'>\n";
  
  echo make_top_perf($lgid);
  
  echo " </div>   <!-- END contentpane DIV -->\n";

  page_foot($lgpath);

function make_top_perf($lgid=100)
 {
   $adminpath=$_SESSION['adminpath'];
   include($adminpath."/dbopen.php");

   ##### Generate Boxscores Page #####
   $lgdate=$_SESSION['lgdate'];
   $lgpath=$_SESSION['lgpath'];
   
   ##### Get Sim Length #####
   $cwd=getcwd();
   $e=explode("/",$cwd);
   $maxE=count($e)-1;
   $instance=$e[$maxE];
   $query="SELECT * FROM ootp_sql_admin WHERE module='Last Sim' AND install IN ('4dm1n','$instance') AND setting LIKE '%Length';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
	 $val=$row['value'];
	 $val=stripslashes($val);
         switch ($field)
          {
            case 'calcLength'   : $calcLength=$val;   break;
	    case 'autoSimLength': $autoSimLength=$val;break;
  	    case 'simLength'    : $simLength=$val;    break;
	  }
       }
    }
   
   if ($autoSimLength==1)
    {
      $simLen=$calcLength;
      if (($simLen=="") || ($simLen==0)) {$simLen=$simLength;}
    }
    else {$simLen=$simLength;}
   if (($simLen=="") || ($simLen==0)) {$simLen=10;}

   ##### Get Team Info #####
   $query="SELECT team_id,abbr,name,nickname,logo_file,sub_league_id,allstar_team FROM teams WHERE league_id=$lgid;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))			    
    {
      $tid=$row['team_id'];
      $tname=$row['name']." ".$row['nickname'];
      $tname=str_replace(".","",$tname);
      $teams[$tid]=$tname;
      $teamcity[$tid]=$row['name'];
      $tabbr[$tid]=$row['abbr'];
      $logos[$tid]=$row['logo_file'];

      $slid=$row['sub_league_id'];
      $teamSLID[$tid]=$slid;
      if ($row['allstar_team']==1) {$subleagues[$slid]['asID']=$tid;}
    }

   ##### Get Games w/ Great Ind Performance #####
   $queryB="SELECT game_id,pgb.player_id,first_name,last_name,h,d,t,hr,rbi,sb FROM players_game_batting as pgb,players as p WHERE pgb.player_id=p.player_id AND pgb.league_id=".$lgid." AND (hr>2 OR h>5 OR rbi>7 or sb>3 OR ((h-d-t-hr)>0 AND d>0 AND t>0 AND hr>0));";
   $resultB=mysql_query($queryB,$db);
   while ($row=mysql_fetch_array($resultB))
    {
      $gid=$row['game_id'];
      $pid=$row['player_id'];
      $fi=$row['first_name'];
      $fi=$fi[0];
      $name=$fi.". ".$row['last_name'];
      $h=$row['h'];
      $d=$row['d'];
      $t=$row['t'];
      $hr=$row['hr'];
      $s=$h-$d-$t-$hr;
      $rbi=$row['rbi'];
      $sb=$row['sb'];

      if ($hr>2) 
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> belts $hr HR's";
         $indy.="+if(game_id=$gid,".(20*$hr).",0)";
       }
      if ($h>5)
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> knocks $h hits";
         $indy.="+if(game_id=$gid,".(10*$h).",0)";
       }
      if ($rbi>7)
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> plates $rbi";
         $indy.="+if(game_id=$gid,".(10*$rbi).",0)";
       }
      if ($sb>3)
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> steals $sb bases";
         $indy.="+if(game_id=$gid,".(15*$sb).",0)";
       }
      if (($s>0)&&($d>0)&&($t>0)&&($hr>0))
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> hits for the cycle";
         $indy.="+if(game_id=$gid,75,0)";
       }
    }

   $queryP="SELECT game_id,pgp.player_id,first_name,last_name,k,(ip*3+ipf)/3 as ip,ha,cg,sho FROM players_game_pitching_stats as pgp,players as p WHERE pgp.player_id=p.player_id AND pgp.league_id=".$lgid." AND (k>14 OR ((ip*3+ipf)/3)>9 OR (ha=0 AND ((ip*3+ipf)/3)>7) OR (ha<3 AND cg=1 AND sho=1));";
   $resultP=mysql_query($queryP,$db);
   while ($row=mysql_fetch_array($resultP))
    {
      $gid=$row['game_id'];
      $pid=$row['player_id'];
      $fi=$row['first_name'];
      $fi=$fi[0];
      $name=$fi.". ".$row['last_name'];
      $k=$row['k'];
      $ip=$row['ip'];
      $ha=$row['ha'];
      $cg=$row['cg'];
      $sho=$row['sho'];
      if (floor($ip)==$ip) {$dispIP=round($ip,0);} else {$dispIP=round(floor($ip),0)." ".round((3*($ip-floor($ip))),0)."/3";}
      
      if ($k>14)
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> strikes out $k";
         $indy.="+if(game_id=$gid,".(4*$k).",0)";
       }
      if ($ip>9)
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> goes ".$dispIP." innings";
         $indy.="+if(game_id=$gid,".(6*$ip).",0)";
       }
      if (($ha==0)&&($ip>7))
       {
         if ($cg==1) {$games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> pitches a no-hitter";}
	  else {$games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> fails to allow a hit";}
         $indy.="+if(game_id=$gid,75,0)";
       }
      if (($ha<3)&&($cg==1)&&($sho==1)&&($ha!=0))
       {
         $games[$gid]['note']=$games[$gid]['note'].", <a href='./player.php?player_id=$pid'>$name</a> pitches a $ha-hit shutout";
         $indy.="+if(game_id=$gid,40,0)";
       }
    }
	 
   ##### Get Past Games #####
   $text.="<table cellpadding=0 cellspacing=0 border=0 style='clear:left;'>\n";
   if ($recordText!="") {$text.="<tr><td colspan=2><div id='first' class='textbox'>$recordText</div></td></tr>\n";}
   $text.="<tr><td valign='top'>\n";
   $text.="<div id='first' class='textbox'>\n";
   $text.=" <table cellpadding=0 cellspacing=0 border=0>\n";
   $text.="  <tr class='title'><td>Notable Games</td></tr>\n";
   $text.="  <tr>\n";
   $text.="   <td>\n";

   $query="SELECT game_id,played,home_team,away_team,games.date,innings,runs0,runs1,hits0,hits1,errors0,errors1,winning_pitcher,losing_pitcher,save_pitcher,game_type,if(game_type=4,100,0)+if(hits0<2,50,0)+if(hits1<2,50,0)+if((hits0+hits1)<7,10,if((hits0+hits1)>20,(hits0+hits1-20)/4,0))+if(innings>12,50,0)+if(ABS(runs0-runs1)<2,25,if(ABS(runs0-runs1)<3,10,0))+if(innings>9,25,0)+if((runs0+runs1)<3,50,0)+if((runs0+runs1)>19,25,0)+.001*(runs0+runs1+hits0+hits1)".$indy." as score FROM games WHERE played=1 AND DATEDIFF('".$lgdate."',games.date)<".$simLen." AND league_id=$lgid ORDER BY score DESC,date,game_id;";
   $result=mysql_query($query,$db);
   $gcnt=0;
   while ($grow=mysql_fetch_array($result))
    {
       $gid=$grow['game_id'];
       $score=$grow['score'];
       if ((($score>=50)||($gcnt<max(7,$simLen)))&&($gcnt<15))
        {
          $games[$gid]['home_team']=$grow['home_team'];
          $games[$gid]['away_team']=$grow['away_team'];
          $games[$gid]['innings']=$grow['innings'];
          $games[$gid]['runs0']=$grow['runs0'];
          $games[$gid]['runs1']=$grow['runs1'];
          $games[$gid]['hits0']=$grow['hits0'];
          $games[$gid]['hits1']=$grow['hits1'];
          $games[$gid]['errors0']=$grow['errors0'];
          $games[$gid]['errors1']=$grow['errors1'];
          $games[$gid]['winning_pitcher']=$grow['winning_pitcher'];
          $games[$gid]['losing_pitcher']=$grow['losing_pitcher'];
          $games[$gid]['save_pitcher']=$grow['save_pitcher'];
	  $games[$gid]['game_type']=$grow['game_type'];
	  $games[$gid]['gamescore']=$grow['score'];
	  $gamedate[$gid]=$grow['date'];
	}
       $gcnt++;
    }

   if (!isset($gamedate))
    {
      $text.="No games found.\n";
      $text.="  </td></tr></table>\n";
      $text.="</div>\n";
      $text.="</td></tr></table>\n";

      return $text;
    }

   asort($gamedate);

   ##Display Games
   foreach($gamedate as $gid=>$gdate)
    {
      $hid=$games[$gid]['home_team'];
      $hname=$teams[$hid];
      $aid=$games[$gid]['away_team'];
      $aname=$teams[$aid];
      $inns=$games[$gid]['innings'];
      $gtype=$games[$gid]['game_type'];

      $query2="SELECT team,inning,score FROM games_score WHERE game_id=".$gid." AND inning>".($inns-12)." ORDER BY team,inning;";
      $result2=mysql_query($query2,$db);
      $inntxt="<td class='hc' width=18>&#160;</td>";
      $ainn="";
      $hinn="";
      $inncnt=0;
      while ($row=mysql_fetch_array($result2))
       {
         if ($row['team']==0)
	  {
	    $inntxt.="<td class='hc' width=15>".$row['inning']."</td>";
	    $ainn.="<td class='ic' width=15>".$row['score']."</td>";
	    $inncnt++;
	  }
	  else
	  {
	    if (($games[$gid]['runs1']>$games[$gid]['runs0']) && ($row['inning']>8) && ($inns==$row['inning']) && ($row['score']==0)) {$row['score']="X";}
	    $hinn.="<td class='ic' width=15>".$row['score']."</td>";
	  }
       }
      for ($i=0;$i<(12-$inncnt);$i++)
       {
         $inntxt.="<td class='hc' width=15>&#160;</td>";
	 $ainn.="<td class='ic' width=15>&#160;</td>";
	 $hinn.="<td class='ic' width=15>&#160;</td>";
       }
      $inntxt.="<td class='hc' width=15>R</td><td class='hc' width=15>H</td><td class='hc' width=15>E</td>";
      $ainn.="<td class='icgb' width=15>".$games[$gid]['runs0']."</td><td class='ic' width=15>".$games[$gid]['hits0']."</td><td class='ic' width=15>".$games[$gid]['errors0']."</td>";
      $hinn.="<td class='icgb' width=15>".$games[$gid]['runs1']."</td><td class='ic' width=15>".$games[$gid]['hits1']."</td><td class='ic' width=15>".$games[$gid]['errors1']."</td>";

      $wpid=$games[$gid]['winning_pitcher'];
      $lpid=$games[$gid]['losing_pitcher'];
      $spid=$games[$gid]['save_pitcher'];
      $query3="SELECT player_id,first_name,last_name FROM players WHERE player_id=$wpid OR player_ID=$lpid OR player_ID=$spid;";
      $result3=mysql_query($query3,$db);
      while ($row=mysql_fetch_array($result3))
       {
         $pid=$row['player_id'];
	 $fi=$row['first_name'];
	 $fi=$fi[0];
	 $pitcher[$pid]="<a href='./player.php?player_id=$pid'>".$fi.". ".$row['last_name']."</a>";
       }
      $ptxt="W: ".$pitcher[$wpid]." L: ".$pitcher[$lpid];
      if ($spid!=0) {$ptxt.=" S: ".$pitcher[$spid];}
      
      $query4="SELECT p.player_id,p.team_id,pb.hr,p.first_name,p.last_name FROM players as p,players_game_batting as pb WHERE p.player_id=pb.player_id AND game_id=".$gid.";";
      $result4=mysql_query($query4,$db);
      unset($hrtxt);
      $tothr=0;
      while ($row=mysql_fetch_array($result4))
       {
         $hrcnt=$row['hr'];
	 $tid=$row['team_id'];
	 if ($gtype==4)
	  {
	    $ptid=$tid;
	    $slid=$teamSLID[$ptid];
	    $tid=$subleagues[$slid]['asID'];
	  }
         if ($hrcnt>0)
	  {
	    $fi=$row['first_name'];
	    $fi=$fi[0];
	    $hrtxt[$tid].=" <a href='./player.php?player_id=".$row['player_id']."'>".$fi.". ".$row['last_name']."</a>";
	    if ($gtype==4) {$hrtxt[$tid].=" (".$tabbr[$ptid];}
	    if ($hrcnt>1)
	     {
	       if ($gtype==4) {$hrtxt[$tid].=", ";}
	        else {$hrtxt[$tid].=" (";}
	       $hrtxt[$tid].=$hrcnt;
	     }
	    if (($gtype==4)||($hrcnt>1)) {$hrtxt[$tid].=")";}
	    $hrtxt[$tid].=",";
	    $tothr++;
	  }
       }
      if ($hrtxt[$aid]!="") {$hrtxt[$aid]=$tabbr[$aid].":".substr_replace($hrtxt[$aid],"",-1);}
      if ($hrtxt[$hid]!="") {$hrtxt[$hid]=$tabbr[$hid].":".substr_replace($hrtxt[$hid],"",-1);}
      if ($tothr==0) {$hrtxt="&nbsp;";}
       else {$hrtxt="HR - ".$hrtxt[$aid]." ".$hrtxt[$hid];}
      if (isset($games[$gid]['note']))
       {
         $gnote=$games[$gid]['note'];
	 $gnote=trim($gnote,", ");
	 $gnote="<br />Notes: ".$gnote;
       }
       else {$gnote="";}

      unset($tmpdate);
      $tmpdate=new Date($gdate); 
      $text.=" <table cellspacing=0 cellpadding=0 style='border:0px;width:440px;margin:10px;'>\n";
      $text.="  <tr>\n";
      $text.="   <td class='hl'>\n";
      $text.="    ".$tmpdate->format("M j, Y");
      $text.=": <a href='$lgpath/box_scores/game_box_$gid.html'>Box Score</a>";
      $text.=" | <a href='$lgpath/game_logs/log_$gid.html'>Game Log</a>\n";
      if ($_GET['showGS']==1) {$text.=" (".$games[$gid]['gamescore'].")";}
      $text.="   </td>\n";
      $text.="  </tr>\n";
      $text.="  <tr>\n";
      $text.="   <td>\n";
      $text.="    <table cellpadding=0 cellspacing=0 style='border:1px black solid;width:400px;margin-top:2px;margin-left:0px;'>\n";
      $text.="     <tr>\n";
      $text.="      <td style='padding:1px;width:44px;border-right:1px solid #999999;'>\n";
      $text.="       <img src='$lgpath/images/".str_replace(".png","_40.png",$logos[$aid])."' width=40 height=40><br>\n";
      $text.="       <img src='$lgpath/images/".str_replace(".png","_40.png",$logos[$hid])."' width=40 height=40>\n";
      $text.="      </td>\n";
      $text.="      <td valign='top' style='padding:0px;margin:0px'>\n";
      $text.="       <table cellspacing=0 cellpadding=1 style='width:356px;margin:0px;border:0px'>\n";
      $text.="        <tr>$inntxt</tr>\n";
      $text.="        <tr><td class='gl'><a href='$lgpath/teams/team_$aid.html'>$teamcity[$aid]</a></td>";
      $text.="$ainn</tr>\n";
      $text.="        <tr><td class='gl'><a href='$lgpath/teams/team_$hid.html'>".$teamcity[$hid]."</a></td>";
      $text.="$hinn</tr>\n";
      $text.="        <tr><td colspan=16 class='gl' style='padding:6px 4px 4px 4px;'>".$ptxt."<br />".$hrtxt.$gnote."</td></tr>\n";
      $text.="       </table>\n";
      $text.="      </td>\n";
      $text.="     </tr>\n";
      $text.="    </table>\n";
      $text.="   </td>\n";
      $text.="  </tr>\n";
      $text.=" </table>\n";
    }

   $text.="   </td>\n";
   $text.="  </tr>\n";						 
   $text.=" </table>\n";
   $text.="</div>\n";
 
   $text.="</td><td width='10px'>&nbsp;</td><td valign='top'>\n";

   ##### Get Past Games #####
   $text.="<div class='textbox' style='clear:right;'>\n";
   $text.=" <table cellpadding=0 cellspacing=0 border=0 width=460>\n";
   $text.="  <tr class='title'><td>Top Players</td></tr>\n";
   $text.="  <tr>\n";
   $text.="   <td>\n";
   
   $text.=" <div class='tablebox'>\n";
   $text.="  <table cellpadding=0 cellspacing=0 border=0>\n";
   $text.="   <tr class='title'><td>Batters</td></tr>\n";
   $text.="   <tr><td>\n";
   $query="SELECT * FROM (SELECT p.player_id,p.first_name,p.last_name,p.team_id,sum(h) as h,sum(hr) as hr,sum(rbi) as rbi,sum(r) as r,sum(sb) as sb,(sum(h)/sum(ab)) as avg,(sum(h)+sum(bb)+sum(hp))/(sum(ab)+sum(bb)+sum(hp)+sum(sf)) as obp,(sum(h)+sum(d)+2*sum(t)+3*sum(hr))/sum(ab) as slg,(0.47*(sum(h)-sum(d)-sum(t)-sum(hr)) + .78*sum(d) + 1.09*sum(t) + 1.4*sum(hr) + .33*(sum(bb)-sum(hp)) + .3*sum(sb) - .52*sum(cs) - .26*(sum(ab)-sum(h)-sum(gdp)) - .72*sum(gdp)) as lw FROM players_game_batting as pgb,players as p WHERE p.player_id=pgb.player_id AND game_id IN (SELECT game_id FROM games WHERE league_id=".$lgid." AND played=1 AND DATEDIFF('".$lgdate."',games.date)<".$simLen.") GROUP BY player_id ORDER BY lw DESC,last_name,first_name LIMIT 20) as t ORDER BY last_name,first_name;";
   $result=mysql_query($query,$db);
   $text.="   <table class='sortable' width=440>\n";
   $text.="    <thead><tr class='headline'>\n";
   $text.="     <td class='hsc2_l'>Player</td>";
   $text.="<td class='hsc2'>AVG</td>";
   $text.="<td class='hsc2'>R</td>";
   $text.="<td class='hsc2'>H</td>";
   $text.="<td class='hsc2'>HR</td>";
   $text.="<td class='hsc2'>RBI</td>";
   $text.="<td class='hsc2'>SB</td>";
   $text.="<td class='hsc2'>OPS</td>";
   $text.="</tr></thead>\n";
   $rownum=0;
   while ($row=mysql_fetch_array($result))
    {
      $cls=$rownum%2+1;
      $tid=$row['team_id'];
      $text.="    <tr>";
      $text.="<td class='s".$cls."_l' sorttable_customkey=\"".$row['last_name'].", ".$row['first_name']."\"><a href='./player.php?player_id=".$row['player_id']."'>".$row['first_name']." ".$row['last_name']."</a>, <a href='".$lgpath."/teams/team_".$tid.".html'>".$tabbr[$tid]."</a></td>";
      $text.="<td class='s".$cls."'>".strstr(sprintf("%.3f",$row['avg']),".")."</td>";
      $text.="<td class='s".$cls."'>".$row['r']."</td>";
      $text.="<td class='s".$cls."'>".$row['h']."</td>";
      $text.="<td class='s".$cls."'>".$row['hr']."</td>";
      $text.="<td class='s".$cls."'>".$row['rbi']."</td>";
      $text.="<td class='s".$cls."'>".$row['sb']."</td>";
      $ops=sprintf("%.3f",$row['obp']+$row['slg']);
      if ($ops<1) {$ops=strstr($ops,".");}      
      $text.="<td class='s".$cls."'>".$ops."</td>";
      $text.="</tr>\n";
      $rownum++;
    }
   $text.="   </table>\n";
   $text.="   </td></tr>\n";
   $text.="  </table>\n";
   $text.=" </div>\n";

   $text.=" </td></tr><tr><td>\n";

   $text.=" <div class='tablebox'>\n";
   $text.="  <table cellpadding=0 cellspacing=0 border=0>\n";
   $text.="   <tr class='title'><td>Pitchers</td></tr>\n";
   $text.="   <tr><td>\n";
   $query="SELECT * FROM (SELECT p.player_id,p.first_name,p.last_name,p.team_id,((SUM(ip)*3+SUM(ipf))/3) as ip,sum(w) as w,sum(l) as l,sum(s) as sv,sum(k) as k,9*sum(er)/((SUM(ip)*3+SUM(ipf))/3) as era,(sum(bb)+sum(ha)+sum(hp))/((SUM(ip)*3+SUM(ipf))/3) as whip,sum(ha)/sum(ab) as oavg,(((sum(ha)+sum(bb)+sum(hp))*(0.89*(1.255*(sum(ha)-sum(hra))+4*sum(hra))+0.56*(sum(bb)+sum(hp)-sum(iw))))/(sum(bf)*((SUM(ip)*3+SUM(ipf))/3)))*9*0.75 as erc,3*((SUM(ip)*3+SUM(ipf))/3)+4*sum(w)-4*sum(l)+5*sum(s)+sum(k)-2*sum(ha)-2*sum(bb) as score FROM players_game_pitching_stats as pgp,players as p WHERE p.player_id=pgp.player_id AND game_id IN (SELECT game_id FROM games WHERE league_id=".$lgid." AND played=1 AND DATEDIFF('".$lgdate."',games.date)<".$simLen.") GROUP BY p.player_id ORDER BY score DESC,last_name,first_name LIMIT 20) as t ORDER BY last_name,first_name;";
   $result=mysql_query($query,$db);
   $text.="   <table class='sortable' width=440>\n";
   $text.="    <thead><tr class='headline'>\n";
   $text.="     <td class='hsc2_l'>Player</td>";
   $text.="<td class='hsc2'>W</td>";
   $text.="<td class='hsc2'>L</td>";
   $text.="<td class='hsc2'>SV</td>";
   $text.="<td class='hsc2'>IP</td>";
   $text.="<td class='hsc2'>ERA</td>";
   $text.="<td class='hsc2'>K</td>";
   $text.="<td class='hsc2'>WHIP</td>";
   $text.="<td class='hsc2'>OAVG</td>";
   $text.="</tr></thead>\n";
   $rownum=0;
   while ($row=mysql_fetch_array($result))
    {
      $cls=$rownum%2+1;
      $tid=$row['team_id'];
      $text.="    <tr>";
      $text.="<td class='s".$cls."_l' sorttable_customkey=\"".$row['last_name'].", ".$row['first_name']."\"><a href='./player.php?player_id=".$row['player_id']."'>".$row['first_name']." ".$row['last_name']."</a>, <a href='".$lgpath."/teams/team_".$tid.".html'>".$tabbr[$tid]."</a></td>";
      $text.="<td class='s".$cls."'>".$row['w']."</td>";
      $text.="<td class='s".$cls."'>".$row['l']."</td>";
      $text.="<td class='s".$cls."'>".$row['sv']."</td>";
      $text.="<td class='s".$cls."'>".sprintf("%.1f",$row['ip'])."</td>";
      $text.="<td class='s".$cls."'>".sprintf("%.2f",$row['era'])."</td>";
      $text.="<td class='s".$cls."'>".$row['k']."</td>";
      $text.="<td class='s".$cls."'>".sprintf("%.2f",$row['whip'])."</td>";
      $oavg=sprintf("%.3f",$row['oavg']);
      if ($oavg<1) {$oavg=strstr($oavg,".");}
      $text.="<td class='s".$cls."'>".$oavg."</td>";
      $text.="</tr>\n";
      $rownum++;
    }
   $text.="   </table>\n";
   $text.="   </td></tr>\n";
   $text.="  </table>\n";
   $text.=" </div>\n";

   $text.="   </td>\n";
   $text.="  </tr>\n";						 
   $text.=" </table>\n";

   $text.="</div>\n";

   $text.="</td></tr></table>\n";

   return $text;
 }
?>
