<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");

ini_set("memory_limit","64M");

##### Get Report Settings #####
$view=$_GET['view'];
$team_id=$_GET['team_id'];
$position=$_GET['pos'];
$posFilt=$_GET['filter'];
$userOrgID=$_SESSION['user_organization_id'];

if ($team_id!="") {$view='team';}

if (($_SESSION['user_organization_id']!=$team_id)&&($view=='admin')) {$view='all_blocks';}
if ($view!="team")
 {
   $view='all_blocks';
 }

##### Check if table exists #####
$query="SHOW TABLES LIKE 'trade_block_teams';";
$result=mysql_query($query,$db);
if (!mysql_num_rows($result))
 {
   ##### Initialize Table #####
   $query="CREATE TABLE IF NOT EXISTS trade_block_teams (team_id INT, notice VARCHAR(255), catcher SMALLINT DEFAULT 0, first_base SMALLINT DEFAULT 0, second_base SMALLINT DEFAULT 0, third_base SMALLINT DEFAULT 0, shortstop SMALLINT DEFAULT 0, left_field SMALLINT DEFAULT 0, center_field SMALLINT DEFAULT 0, right_field SMALLINT DEFAULT 0, starting_pitcher SMALLINT DEFAULT 0, relief_pitcher SMALLINT DEFAULT 0, PRIMARY KEY (team_id));";
   $result=mysql_query($query,$db);
 }

##### Check if table exists #####
$query="SHOW TABLES LIKE 'trade_block_players';";
$result=mysql_query($query,$db);
if (!mysql_num_rows($result))
 {
   ##### Initialize Table #####
   $query="CREATE TABLE IF NOT EXISTS trade_block_players (player_id INT, team_id INT, headline VARCHAR(50), notice VARCHAR(255), trade_status SMALLINT DEFAULT NULL, PRIMARY KEY (player_id));";
   $result=mysql_query($query,$db);
 }

#### Check for Enabled Reports ####
$query="SHOW TABLES LIKE 'ootp_sql_admin';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)) 
 {
   $query="SELECT * FROM ootp_sql_admin WHERE setting='finEnable';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
	 $val=$row['value'];
	 $val=stripslashes($val);
         $finEnable=$val;
       }
    }
 }

##### Verify that Trade Block Status and Tables are Accurate Since Last Load #####
## Find players who've switched teams
$query="SELECT p.player_id FROM players as p,trade_block_players as tbp WHERE p.player_id=tbp.player_id AND tbp.team_id!=p.organization_id";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   $remList="";
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $remList.=",$pid";
    }
   $remList=trim($remList,",");
   ## Update entries for players who are on the block
   $query="DELETE FROM trade_block_players WHERE player_id IN ($remList);";
   mysql_query($query,$db);
 }

## Add Players Not in OOTP Trade Block
$query="UPDATE players_roster_status SET trade_status=2 WHERE trade_status=0 AND player_id IN (SELECT player_id FROM trade_block_players WHERE trade_status=2);";
mysql_query($query,$db);
$query="UPDATE players_roster_status SET trade_status=1 WHERE trade_status=0 AND player_id IN (SELECT player_id FROM trade_block_players WHERE trade_status=1);";
mysql_query($query,$db);

##### Get Manager PM/Email Information #####
$query="SELECT osu.human_manager_id,hm.league_id,t.team_id,email,forum_name,pm_link,ext_url,aim,yim,msn,icq,hide_info";
$query.=" FROM ootp_sql_users as osu,teams as t,human_managers as hm";
$query.=" WHERE osu.human_manager_id=hm.human_manager_id AND hm.team_id=t.team_id;";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
while ($row=mysql_fetch_array($result))
 {
   $tid=$row['team_id'];
   $managers[$tid]['id']=$row['human_manager_id'];
   $hide_info=$row['hide_info'];
   $managers[$tid]['hide_info']=$hide_info;
   if (($hide_info==0)||(isset($_SESSION['user_id'])))
    {   
      $managers[$tid]['email']=$row['email'];
      $managers[$tid]['forum_name']=$row['forum_name'];
      $managers[$tid]['pm_link']=$row['pm_link'];
      $managers[$tid]['aim']=$row['aim'];
      $managers[$tid]['yim']=$row['yim'];
      $managers[$tid]['msn']=$row['msn'];
      $managers[$tid]['icq']=$row['icq'];
    }
 }


##### Start Page #####
$title="Trade Block";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Front Office");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

##### All Teams Trade Block View #####
if ($view=='all_blocks')
 {
   ## Get Team Info
   $query="SELECT team_id,league_id,name,nickname,abbr,parent_team_id,league_id,level,background_color_id,text_color_id,logo_file FROM teams WHERE (league_id=$lgid OR parent_team_id IN (SELECT team_id FROM teams WHERE league_id=$lgid AND allstar_team=0)) AND allstar_team=0 ORDER BY name,nickname;";
   if ($_GET['showq']==1) {echo $query."<br/>\n";}
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $league_id=$row['league_id'];
      $name=$row['name']." ".$row['nickname'];
      $teams[$tid]['name']=$name;
      $teams[$tid]['abbr']=$row['abbr'];
      $teams[$tid]['league_id']=$row['league_id'];
      $teams[$tid]['parent_team_id']=$row['parent_team_id'];
      $lvl=get_level($row['level']);
      $teams[$tid]['level']=$lvl;
      $teams[$tid]['background_color_id']=$row['background_color_id'];
      $teams[$tid]['text_color_id']=$row['text_color_id'];
      $teams[$tid]['logo_file']=$row['logo_file'];
      if (!isset($leagues[$league_id]['lvl'])) {$leagues[$league_id]['lvl']=$lvl;}
    }

   ## Get team notice
   $query="SELECT * FROM trade_block_teams;";
   if ($_GET['showq']==1) {echo $query."<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      $numFields=mysql_num_fields($result);
      while ($row=mysql_fetch_array($result))
       {
         $tid=$row['team_id'];
	 for ($i=1;$i<$numFields;$i++) 
	  {
            $fieldname=mysql_field_name($result,$i);
	    $teams[$tid][$fieldname]=$row[$fieldname];
	  }
         $teams[$tid]['notice']=stripslashes($teams[$tid]['notice']);
         $tneeds="";
	 if ($teams[$tid]['catcher']==1) {$tneeds.=" C";}
	 if ($teams[$tid]['first_base']==1) {$tneeds.=", 1B";}
	 if ($teams[$tid]['second_base']==1) {$tneeds.=", 2B";}
	 if ($teams[$tid]['third_base']==1) {$tneeds.=", 3B";}
	 if ($teams[$tid]['shortstop']==1) {$tneeds.=", SS";}
         if ($teams[$tid]['left_field']==1) {$tneeds.=", LF";}
         if ($teams[$tid]['center_field']==1) {$tneeds.=", CF";}
	 if ($teams[$tid]['right_field']==1) {$tneeds.=", RF";}
         if ($teams[$tid]['starting_pitcher']==1) {$tneeds.=", SP";}
	 if ($teams[$tid]['relief_pitcher']==1) {$tneeds.=", RP";}
         $teams[$tid]['needs']=trim($tneeds,", ");
       }
    }

   ## Get Player Trade Block Info
   $query="SELECT * FROM trade_block_players;";
   if ($_GET['showq']==1) {echo $query."<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $players[$pid]['headline']=stripslashes($row['headline']);
         $players[$pid]['notice']=stripslashes($row['notice']);
       }
    }

   $posFilters=array('catcher','first_base','second_base','third_base','shortstop','left_field','center_field','right_field','starting_pitcher','relief_pitcher');

   ## Display Filters
   echo " <div class='textbox' style='border:0;'>\n";
   echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
   echo "   <tr>\n";
   echo "    <td style='text-align:left;'><b>Filter On:</b></td>\n";
   echo "    <td style='text-align:right;'>\n";
   echo "     <select onchange=\"window.location='./tradeBlock.php?filter='+this[this.selectedIndex].value;\">\n";
   echo "      <option value='none'>None</option>\n";
   if (($userOrgID!="")&&($teams[$userOrgID]['needs']!=""))
    {
      echo "      <option value='need'";
      if ($posFilt=='need') {echo " selected";}
      echo ">My Team Needs</option>\n";
    }
   foreach ($posFilters as $key => $val)
    {
      echo "      <option value='$val'";
      if ($posFilt==$val) {echo " selected";}
      $val=str_replace("_"," ",$val);
      $val=ucwords($val);
      echo ">$val</option>\n";
    }
   echo "     </select>\n";
   echo "    </td>\n";
   if ($posFilt=='need') {echo "    <td><b>Filtered on:</b> ".$teams[$userOrgID]['needs']."</td>\n";}
   echo "   </tr>\n";
   echo "  </table>\n";
   echo "</div>\n";

   ## Get Player List
   $pList="";
   $query="SELECT player_id FROM players_roster_status WHERE trade_status=2;";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $pList.=",$pid";
       }
      $pList=trim($pList,",");
    }

   ## Apply Filter
   if (($posFilt!="")&&($posFilt!="none"))
    {
      switch ($posFilt)
       {
         case 'catcher':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos2>0;";
	   break;
         case 'first_base':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos3>0;";
	   break;
         case 'second_base':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos4>0;";
	   break;
         case 'third_base':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos5>0;";
	   break;
         case 'shortstop':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos6>0;";
	   break;
         case 'left_field':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos7>0;";
	   break;
         case 'center_field':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos8>0;";
	   break;
         case 'right_field':
	   $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos9>0;";
	   break;
         case 'starting_pitcher':
	   $query="SELECT player_id FROM players WHERE player_id IN ($pList) AND role=11;";
	   break;
         case 'relief_pitcher':
	   $query="SELECT player_id FROM players WHERE player_id IN ($pList) AND role IN (12,13);";
	   break;
         case 'need':
	   $query="";
	   if (($teams[$userOrgID]['catcher']==1)||($teams[$userOrgID]['first_base']==1)||($teams[$userOrgID]['second_base']==1)||($teams[$userOrgID]['third_base']==1)||($teams[$userOrgID]['shortstop']==1)||($teams[$userOrgID]['left_field']==1)||($teams[$userOrgID]['center_field']==1)||($teams[$userOrgID]['right_field']==1))
	    {
	      $query="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND (";
	      $subquery="";
              if ($teams[$userOrgID]['catcher']==1) {$subquery="fielding_rating_pos2>0";}
              if ($teams[$userOrgID]['first_base']==1) {$subquery.=" OR fielding_rating_pos3>0";}
              if ($teams[$userOrgID]['second_base']==1) {$subquery.=" OR fielding_rating_pos4>0";}
              if ($teams[$userOrgID]['third_base']==1) {$subquery.=" OR fielding_rating_pos5>0";}
              if ($teams[$userOrgID]['shortstop']==1) {$subquery.=" OR fielding_rating_pos6>0";}
              if ($teams[$userOrgID]['left_field']==1) {$subquery.=" OR fielding_rating_pos7>0";}
              if ($teams[$userOrgID]['center_field']==1) {$subquery.=" OR fielding_rating_pos8>0";}
	      if ($teams[$userOrgID]['right_field']==1) {$subquery.=" OR fielding_rating_pos9>0";}
              $subquery=trim($subquery," OR");
	      $query.=$subquery.")";
 	      if (($teams[$userOrgID]['starting_pitcher']==1)||($teams[$userOrgID]['relief_pitcher']==1)) {$query.=" UNION ";}
	    }
	   
	   if (($teams[$userOrgID]['starting_pitcher']==1)&&($teams[$userOrgID]['relief_pitcher']==1)) {$query.="SELECT player_id FROM players_fielding WHERE player_id IN ($pList) AND fielding_rating_pos1>0";}
	    elseif ($teams[$userOrgID]['starting_pitcher']==1) {$query.="SELECT player_id FROM players WHERE player_id IN ($pList) AND role=11";}
	    elseif ($teams[$userOrgID]['relief_pitcher']==1) {$query.="SELECT player_id FROM players WHERE player_id IN ($pList) AND role IN (12,13)";}
	   break;

       }
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      $pList="";
      if (mysql_num_rows($result))
       {
         while ($row=mysql_fetch_array($result))
	  {	 
	    $pid=$row['player_id'];
	    $pList.=",$pid";
	  }
         $pList=trim($pList,",");
       }
    }

   if ($pList=="")
    {
      if (($posFilt!="")&&($posFilt!="none")) {echo " <div class='textbox' style='border:0;width:935px;'>No players match filter criteria</div>\n";} else {echo " <div class='textbox' style='border:0;width:935px;'>No players on the block</div>\n";}
    }
    else
    {
      ## Get Batter Ratings
      $query="SELECT player_id,batting_ratings_overall_contact,batting_ratings_overall_power,batting_ratings_overall_eye,batting_ratings_talent_contact,batting_ratings_talent_power,batting_ratings_talent_eye FROM players_batting WHERE player_id IN ($pList);";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $players[$pid]['cRat']=calc_rating($row['batting_ratings_overall_contact']);
         $players[$pid]['pRat']=calc_rating($row['batting_ratings_overall_power']);
         $players[$pid]['eRat']=calc_rating($row['batting_ratings_overall_eye']);
         $players[$pid]['cTal']=calc_rating($row['batting_ratings_talent_contact'],1);
         $players[$pid]['pTal']=calc_rating($row['batting_ratings_talent_power'],1);
         $players[$pid]['eTal']=calc_rating($row['batting_ratings_talent_eye'],1);
       }

      ## Get Pitcher Ratings
      $query="SELECT player_id,pitching_ratings_overall_stuff,pitching_ratings_overall_control,pitching_ratings_overall_movement,pitching_ratings_talent_stuff,pitching_ratings_talent_control,pitching_ratings_talent_movement FROM players_pitching WHERE player_id IN ($pList);";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $players[$pid]['sRat']=calc_rating($row['pitching_ratings_overall_stuff']);
         $players[$pid]['ctRat']=calc_rating($row['pitching_ratings_overall_control']);
         $players[$pid]['mRat']=calc_rating($row['pitching_ratings_overall_movement']);
         $players[$pid]['sTal']=calc_rating($row['pitching_ratings_talent_stuff'],1);
         $players[$pid]['ctTal']=calc_rating($row['pitching_ratings_talent_control'],1);
         $players[$pid]['mTal']=calc_rating($row['pitching_ratings_talent_movement'],1);
       }

      ## Check games played and find year to display stats from
      $query="SELECT MIN(g) as g FROM team_record as tr,teams as t WHERE tr.team_id=t.team_id AND t.league_id=$lgid AND allstar_team=0 GROUP BY league_id;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $minG=$row['g'];
      $query="SELECT MIN(year) as yr FROM players_career_batting_stats WHERE league_id=$lgid;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $minYr=$row['yr'];
      if (($minG<15)&&($minYr<$lgyear)) {$dispYr=$lgyear-1;}
       else {$dispYr=$lgyear;}

      ## Get Batter Stats
      $query="SELECT player_id,league_id,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,SUM(hr) as hr,SUM(rbi) as rbi,SUM(pa) as pa,SUM(sb) as sb,SUM(bb) as bb,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops FROM players_career_batting_stats WHERE split_id=1 AND player_id IN ($pList) AND year=$dispYr GROUP BY player_id,league_id ORDER BY player_id,league_id;";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
	    $pid=$row['player_id'];
            if (isset($players[$pid]['avg'])) {continue;}
	    $league_id=$row['league_id'];
	    $players[$pid]['blvl']=$leagues[$league_id]['lvl'];
	    $avg=$row['avg'];
	    $avg=sprintf("%.3f",$avg);
      	    if ($avg<1) {$avg=strstr($avg,".");}
            $players[$pid]['avg']=$avg;
            $players[$pid]['hr']=$row['hr'];
            $players[$pid]['rbi']=$row['rbi'];
            $players[$pid]['pa']=$row['pa'];
            $players[$pid]['sb']=$row['sb'];
            $players[$pid]['bb']=$row['bb'];
	    $ops=$row['ops'];
	    $ops=sprintf("%.3f",$ops);
      	    if ($ops<1) {$ops=strstr($ops,".");}
            $players[$pid]['ops']=$ops;
          }
       }
      
      ## Get Pitcher Stats
      $query="SELECT player_id,league_id,SUM(w) as w,SUM(l) as l,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,SUM(k) as k,(SUM(ip)+SUM(ipf)/3) as ip,SUM(bb) as bb,SUM(hra) as hra,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip FROM players_career_pitching_stats WHERE split_id=1 AND player_id IN ($pList) AND year=$dispYr GROUP BY player_id,league_id ORDER BY player_id,league_id;";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
	    $pid=$row['player_id'];
            if (isset($players[$pid]['era'])) {continue;}
	    $league_id=$row['league_id'];
            $players[$pid]['plvl']=$leagues[$league_id]['lvl'];
            $players[$pid]['w-l']=$row['w']."-".$row['l'];
	    $era=$row['era'];
	    $era=sprintf("%.2f",$era);
	    $players[$pid]['era']=$era;
            $players[$pid]['k']=$row['k'];
	    $ip=$row['ip'];
	    $ip=sprintf("%.1f",$ip);
	    $players[$pid]['ip']=$ip;
            $players[$pid]['pbb']=$row['bb'];
            $players[$pid]['hra']=$row['hra'];
	    $whip=$row['whip'];
	    $whip=sprintf("%.2f",$whip);
      	    if ($whip<1) {$whip=strstr($whip,".");}
	    $players[$pid]['whip']=$whip;
          }
       }

      ## Get Salary Info
      if ($finEnable==1)
       {
         $query="SELECT player_id,season_year,salary0,salary1,salary2,salary3,salary4,salary5,salary6,salary7,salary8,salary9,years FROM players_contract WHERE player_id IN ($pList);";
         if ($_GET['showq']==1) {echo $query."<br/>\n";}
	 $result=mysql_query($query,$db);
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $yr=$row['season_year'];
	    $remYrs=$lgyear-$yr;
	    $field='salary'.$remYrs;
	    $totYrs=$row['years'];
	    $remYrs=$lgyear+$totYrs-$remYrs-1;

	    $sal=$row[$field];
	    if ($sal==0) {$sal="MLC";} else {$sal="$".number_format($sal);}
	    $players[$pid]['salary']=$sal;
	    $players[$pid]['salThrough']=$remYrs;
	  }
       }

      ## Get Players
      $query="SELECT player_id,first_name,last_name,age,if(position=1,'P','B') as pPos,position,role,team_id,organization_id,bats,throws,injury_is_injured FROM players WHERE player_id IN ($pList) ORDER BY organization_id,pPos,last_name,first_name";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
  	  {
	    $pid=$row['player_id'];
	    $name=$row['first_name']." ".$row['last_name'];
	    $orgID=$row['organization_id'];
	    $players[$pid]['name']=$name;
	    $players[$pid]['age']=$row['age'];
	    $players[$pid]['team_id']=$row['team_id'];
	    $players[$pid]['orgID']=$orgID;

	    $pos=$row['position'];
	    if ($pos==1) {$pos=get_pos($row['role']);} else {$pos=get_pos($pos);}
	    $bats=get_hand($row['bats']);
   	    $throws=get_hand($row['throws']);
	    $inj=$row['injury_is_injured'];
	    $pPos=$row['pPos'];

	    $players[$pid]['pos']=$pos;
	    $players[$pid]['bats']=$bats;
	    $players[$pid]['throws']=$throws;
	    $players[$pid]['inj']=$inj;
	    $players[$pid]['pPos']=$pPos;

	    $teams[$orgID]['pOnBlock']=$teams[$orgID]['pOnBlock'].",".$pid;
	  }
       }

      ## Display Team Blocks
      foreach ($teams as $orgID => $val)
       {
         $prevPos="";
	 if ($teams[$orgID]['league_id']!=$lgid) {continue;}
	 if (($teams[$orgID]['notice']=="")&&($teams[$orgID]['needs']=="")&&($teams[$orgID]['pOnBlock'])=="") {continue;}

	 echo " <div class='textbox'>\n";    
	 echo "  <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
	 echo "   <tr><td colspan=18 style='background-color:".$teams[$orgID]['background_color_id'].";color:".$teams[$orgID]['text_color_id'].";font-weight:bold;font-size:2em;'>".$teams[$orgID]['name']."</td></tr>\n";
         if ($teams[$orgID]['notice']!="") {echo "   <tr><td colspan=2><b>Team Notice:</b></td><td colspan=16>".htmlspecialchars($teams[$orgID]['notice'])."</td></td></tr>\n";}
	 if ($teams[$orgID]['needs']!="") {echo "   <tr><td colspan=2><b>Team Needs:</b></td><td colspan=16>".htmlspecialchars($teams[$orgID]['needs'])."</td></td></tr>\n";}

	 $pList=$teams[$orgID]['pOnBlock'];
	 $pList=trim($pList,",");
	 if (isset($playerList)) {unset($playerList);}
	 $playerList=explode(",",$pList);
	 $statCols=4;
         if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")) {$statCols+=3;}
         if (($_SESSION['talents']=='Hidden')||($_SESSION['talents']=="")) {$statCols+=3;}
	 foreach ($playerList as $key => $pid)
	  {
            if ($pid=="") {continue;}
  	    $name=$players[$pid]['name'];
	    $age=$players[$pid]['age'];
   	    $tid=$players[$pid]['team_id'];
	    $pos=$players[$pid]['pos'];
	    $bats=$players[$pid]['bats'];
   	    $throws=$players[$pid]['throws'];
	    $inj=$players[$pid]['inj'];
	    $pPos=$players[$pid]['pPos'];

   	    if ($prevPos!=$pPos)
	     {
	       if ($pPos=='B') {echo "   <tr class='headline'><td class='hsc2_l' colspan=6>Batters</td>";}
	        else {echo "   <tr class='headline'><td class='hsc2_l' colspan=6>Pitchers</td>";}
	       if (($_SESSION['ratings']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
		  echo "<td class='hsc2' colspan=3 style='text-align:center;border-left:1px solid #AAAAAA;'>Ovr</td>";
		}
	       if (($_SESSION['talents']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
		  echo "<td class='hsc2' colspan=3 style='text-align:center;border-left:1px solid #AAAAAA;'>Pot</td>";
		}
	       echo "<td class='hsc2' colspan=$statCols style='text-align:center;border-left:1px solid #AAAAAA;'>$dispYr Stats</td><td class='hsc2_l' colspan=2 style='border-left:1px solid #AAAAAA;'>&nbsp;</td></tr>\n";
	       echo "   <tr class='headline'><td class='hsc2'>Pos</td><td class='hsc2_l'>Player</td><td class='hsc2'>Age</td><td class='hsc2_l'>Team</td><td class='hsc2'>Level</td>";
	       if ($finEnable==1) {echo "<td class='hsc2'>Salary</td>";} else {echo "<td class='hsc2'>&nbsp;</td>";}
	       if ($pPos=='B')
	        {
	          if (($_SESSION['ratings']!='Hidden')&&($_SESSION['ratings']!=""))
 		   {
		     echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>C</td><td class='hsc2'>P</td><td class='hsc2'>E</td>";
		   }
	          if (($_SESSION['talents']!='Hidden')&&($_SESSION['ratings']!=""))
 		   {
		     echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>C</td><td class='hsc2'>P</td><td class='hsc2'>E</td>";
		   }
	          if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	           {
		     echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>PA</td><td class='hsc2'>";
		   }
		   else {echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>";}
		  echo "Avg</td><td class='hsc2'>HR</td><td class='hsc2'>RBI</td>";
	          if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	           {
		     echo "<td class='hsc2'>BB</td><td class='hsc2'>SB</td>";
		   }
	          if ((($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']==""))&&(($_SESSION['talents']=='Hidden')||($_SESSION['talents']=="")))
	           {
   	             echo "<td class='hsc2' colspan=3>OPS</td>";
	           }
		}
	        else 
	        {
	          if (($_SESSION['ratings']!='Hidden')&&($_SESSION['ratings']!=""))
 		   {
		     echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>S</td><td class='hsc2'>C</td><td class='hsc2'>M</td>";
		   }
	          if (($_SESSION['talents']!='Hidden')&&($_SESSION['ratings']!=""))
 		   {
		     echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>S</td><td class='hsc2'>C</td><td class='hsc2'>M</td>";
		   }
		  echo "<td class='hsc2' style='border-left:1px solid #AAAAAA;'>W-L</td><td class='hsc2'>ERA</td>";
	          if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	           {
		     echo "<td class='hsc2'>IP</td><td class='hsc2'>BB</td><td class='hsc2'>HRA</td>";
		   }
		  echo "<td class='hsc2'>K</td>";
	          if ((($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']==""))&&(($_SESSION['talents']=='Hidden')||($_SESSION['talents']=="")))
	           {
   	             echo "<td class='hsc2' colspan=3>WHIP</td>";
	           }
		}
	       echo "<td class='hsc2'>Lvl</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>&nbsp;</td><td class='hsc2'>Headline</td></tr>\n";
	     }

	    $cls='s'.($cnt%2+1);
   	    echo "   <tr class='$cls'>";
	    echo "<td>$pos</td>";
   	    echo "<td class='".$cls."_l'><a href='$lgpath/players/player_$pid.html'>$name</a></td>";
	    echo "<td>$age</td>";
	    echo "<td class='".$cls."_l'><a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['abbr']."</a></td>";
   	    echo "<td><a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['level']."</a></td>";
	    if ($finEnable==1) {echo "<td>".$players[$pid]['salary']."</td>";} else {echo "<td class='hsc2'>&nbsp;</td>";}
            if ($pPos=='B')
	     {
	       if (($_SESSION['ratings']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
   	          echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['cRat']."</td>";
   	          echo "<td>".$players[$pid]['pRat']."</td>";
   	          echo "<td>".$players[$pid]['eRat']."</td>";
		}
	       if (($_SESSION['talents']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
   	          echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['cTal']."</td>";
   	          echo "<td>".$players[$pid]['pTal']."</td>";
   	          echo "<td>".$players[$pid]['eTal']."</td>";
		}
	       if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	        {
		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['pa']."</td><td>";
		}
	        else {echo "<td style='border-left:1px solid #AAAAAA;'>";}
	       echo $players[$pid]['avg']."</td>";
   	       echo "<td>".$players[$pid]['hr']."</td>";
   	       echo "<td>".$players[$pid]['rbi']."</td>";
	       if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	        {
   	          echo "<td>".$players[$pid]['bb']."</td>";
   	          echo "<td>".$players[$pid]['sb']."</td>";
		}
	       if ((($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']==""))&&(($_SESSION['talents']=='Hidden')||($_SESSION['talents']=="")))
	        {
   	          echo "<td colspan=3>".$players[$pid]['ops']."</td>";
	        }
   	       echo "<td>".$players[$pid]['blvl']."</td>";
	     }
	     else
	     {
	       if (($_SESSION['ratings']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
   	          echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['sRat']."</td>";
   	          echo "<td>".$players[$pid]['ctRat']."</td>";
		  echo "<td>".$players[$pid]['mRat']."</td>";
		}
	       if (($_SESSION['talents']!='Hidden')&&($_SESSION['ratings']!=""))
 		{
   	          echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['sTal']."</td>";
   	          echo "<td>".$players[$pid]['ctTal']."</td>";
		  echo "<td>".$players[$pid]['mTal']."</td>";
		}
   	       echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['w-l']."</td>";
   	       echo "<td>".$players[$pid]['era']."</td>";
	       if (($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']=="")||($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))
	        {
   	          echo "<td>".$players[$pid]['ip']."</td>";
   	          echo "<td>".$players[$pid]['pbb']."</td>";
   	          echo "<td>".$players[$pid]['hra']."</td>";
	        }
   	       echo "<td>".$players[$pid]['k']."</td>";
	       if ((($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']==""))&&(($_SESSION['talents']=='Hidden')||($_SESSION['talents']=="")))
	        {
   	          echo "<td colspan=3>".$players[$pid]['whip']."</td>";
	        }
   	       echo "<td>".$players[$pid]['plvl']."</td>";
 	     }
   	    if ($inj==1) {echo "   <td style='color:#990000;border-left:1px solid #AAAAAA;'>Inj</td>";} else {echo "<td style='border-left:1px solid #AAAAAA;'>&nbsp;</td>";}
	    echo "<td>".htmlspecialchars($players[$pid]['headline'])."</td>";
   	    echo "</tr>\n";
	    $cnt++;

   	    $prevPos=$pPos;
   	  }
	 if ($prevPos=="")
	  {
            if (($posFilt!="")&&($posFilt!="none")) {echo "   <tr><td class='s2' colspan=18 style='text-align:center;'>No players match filter criteria</td></tr>\n";} else {echo "   <tr><td class='s2' colspan=18 style='text-align:center;'>No players on the block</td></tr>\n";}
	  }
	 echo "   <tr>";
	 echo "<td colspan=9 style='border-top:1px solid black;text-align:left;'>";
	 $first=1;
	 $hide_info=$managers[$orgID]['hide_info'];
         if ($_GET['showq']==1) {echo "$orgID::hide_info::$hide_info<br/>\n";}
	 if (($hide_info==0)||(isset($_SESSION['user_id'])))
	  {
	    $pm_link=$managers[$orgID]['pm_link'];
            $email=$managers[$orgID]['email'];
	    $aim=$managers[$orgID]['aim'];
	    $yim=$managers[$orgID]['yim'];
	    $msn=$managers[$orgID]['msn'];
	    $icq=$managers[$orgID]['icq'];
            if ($_GET['showq']==1) {echo "$orgID::pm_link::$pm_link<br/>\n";}
            if ($_GET['showq']==1) {echo "$orgID::email::$email<br/>\n";}
            if ($_GET['showq']==1) {echo "$orgID::aim::$aim<br/>\n";}
            if ($_GET['showq']==1) {echo "$orgID::yim::$yim<br/>\n";}
            if ($_GET['showq']==1) {echo "$orgID::msn::$msn<br/>\n";}
            if ($_GET['showq']==1) {echo "$orgID::icq::$icq<br/>\n";}

	    echo "<b>Contact:</b> ";
	    if ($email!="")
	     {
	       $e=explode(";",$email);
	       echo "<a href='mailto:".$e[0]."'>Email</a>";
	       $first=0;
	     }
	    if ($pm_link!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='$pm_link'>PM</a>";}
            if ($aim!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='aim:goim?screenname=$aim'>AIM</a>";}
	    if ($yim!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='http://webmessenger.yahoo.com/?im=$yim'>Yahoo</a>";}
	    if ($msn!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='msnim:chat?contact=$msn'>MSN</a>";}
	    if ($icq!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='http://www.icq.com/people/cmd.php?uin=$icq&action=message'>ICQ</a>";}
	    if ($first==1) {echo "No contact information available";}
	  }
	 else {echo "&nbsp;";}
	 echo "</td>";
	 echo "<td colspan=9 style='border-top:1px solid black;text-align:right;'><a href='./tradeBlock.php?team_id=$orgID'>Expand Block</a></td</tr>\n";
	 echo "  </table>\n";
	 echo " </div>\n";
       }
    }
 }

##### Team Specific Trade Block View #####
if ($view=='team')
 {
   echo " <div class='textbox' style='border:0;'>\n";
   echo "  <table cellpadding=0 cellspacing=0 border=0 width='935px'>\n";
   echo "   <tr>\n";
   echo "    <td style='text-align:left;'><a href='./tradeBlock.php'>Back to Full Trade Block Listing</a></td>\n";
   echo "    <td style='text-align:right;'>\n";
   echo "     <select onchange=\"window.location='./tradeBlock.php?team_id='+this[this.selectedIndex].value;\">\n";
   $query="SELECT team_id,name,nickname FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      echo "      <option value=$tid";
      if ($tid==$team_id) {echo " selected";}
      echo ">".$row['name']." ".$row['nickname']."</option>\n";
    }
   echo "     </select>\n";
   echo "    </td>\n";
   echo "   </tr>\n";
   echo "  </table>\n";
   echo "</div>\n";

   ## Get Team Info
   $tList="";
   $query="SELECT team_id,league_id,name,nickname,abbr,parent_team_id,league_id,level,background_color_id,text_color_id,logo_file FROM teams WHERE (team_id=$team_id OR parent_team_id=$team_id);";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $league_id=$row['league_id'];
      $name=$row['name']." ".$row['nickname'];
      $teams[$tid]['name']=$name;
      $teams[$tid]['abbr']=$row['abbr'];
      $teams[$tid]['league_id']=$row['league_id'];
      $teams[$tid]['parent_team_id']=$row['parent_team_id'];
      $lvl=get_level($row['level']);
      $teams[$tid]['level']=$lvl;
      $teams[$tid]['background_color_id']=$row['background_color_id'];
      $teams[$tid]['text_color_id']=$row['text_color_id'];
      $teams[$tid]['logo_file']=$row['logo_file'];
      if (!isset($leagues[$league_id]['lvl'])) {$leagues[$league_id]['lvl']=$lvl;}
      $tList.=",$tid";
    }
   $tList=trim($tList,",");

   ## Get team notice
   $query="SELECT * FROM trade_block_teams WHERE team_id=$team_id;";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      $numFields=mysql_num_fields($result);
      while ($row=mysql_fetch_array($result))
       {
         $tid=$row['team_id'];
	 for ($i=1;$i<$numFields;$i++) 
	  {
            $fieldname=mysql_field_name($result,$i);
	    $teams[$tid][$fieldname]=$row[$fieldname];
	  }
	 $teams[$tid]['notice']=stripslashes($teams[$tid]['notice']);
         $tneeds="";
	 if ($teams[$tid]['catcher']==1) {$tneeds.=" C";}
	 if ($teams[$tid]['first_base']==1) {$tneeds.=", 1B";}
	 if ($teams[$tid]['second_base']==1) {$tneeds.=", 2B";}
	 if ($teams[$tid]['third_base']==1) {$tneeds.=", 3B";}
	 if ($teams[$tid]['shortstop']==1) {$tneeds.=", SS";}
         if ($teams[$tid]['left_field']==1) {$tneeds.=", RF";}
         if ($teams[$tid]['center_field']==1) {$tneeds.=", CF";}
	 if ($teams[$tid]['right_field']==1) {$tneeds.=", LF";}
         if ($teams[$tid]['starting_pitcher']==1) {$tneeds.=", SP";}
	 if ($teams[$tid]['relief_pitcher']==1) {$tneeds.=", RP";}
         $teams[$tid]['needs']=trim($tneeds,", ");
       }
    }

   echo " <div class='textbox' style='background-color:".$teams[$team_id]['background_color_id'].";color:".$teams[$team_id]['text_color_id'].";font-weight:bold;font-size:2em;text-align:center;width:935px;margin-bottom:0;border-bottom:0;'>".$teams[$team_id]['name']."</div>\n";
   echo " <div class='textbox' style='text-align:center;width:935px;margin-top:0;border-top:0;border-bottom:0;'><b>Team Notice:</b><br/>".htmlspecialchars($teams[$team_id]['notice'])."</div>\n";
   echo " <div class='textbox' style='text-align:center;width:935px;margin-top:0;border-top:0;border-bottom:0;'><b>Team Needs:</b><br/>".htmlspecialchars($teams[$team_id]['needs'])."</div>\n";

   echo " <div class='textbox' style='text-align:center;width:935px;margin-top:0;border-top:0;'><b>Contact:</b> ";
   $first=1;
   $hide_info=$managers[$team_id]['hide_info'];
   if (($hide_info==0)||(isset($_SESSION['user_id'])))
    {
      $pm_link=$managers[$team_id]['pm_link'];
      $email=$managers[$team_id]['email'];
      $aim=$managers[$team_id]['aim'];
      $yim=$managers[$team_id]['yim'];
      $msn=$managers[$team_id]['msn'];
      $icq=$managers[$team_id]['icq'];

      if ($email!="")
       {
         $e=explode(";",$email);
         echo "<a href='mailto:".$e[0]."'>Email</a>";
	 $first=0;
       }
      if ($pm_link!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='$pm_link'>PM</a>";}
      if ($aim!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='aim:goim?screenname=$aim'>AIM</a>";}
      if ($yim!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='http://webmessenger.yahoo.com/?im=$yim'>Yahoo</a>";}
      if ($msn!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='msnim:chat?contact=$msn'>MSN</a>";}
      if ($icq!="") {if ($first==0) {echo " / ";} else {$first=0;} echo "<a href='http://www.icq.com/people/cmd.php?uin=$icq&action=message'>ICQ</a>";}
      if ($first==1) {echo "No contact information available";}
    }
    else {echo "You must be logged in to see contact information";}
   echo "</div>\n";
   
   ## Get Player List
   $pList="";
   $query="SELECT player_id FROM players_roster_status WHERE team_id IN ($tList) AND trade_status=2;";
   $result=mysql_query($query,$db);
   if (!mysql_num_rows($result))
    {
      echo " <div class='textbox' style='border:0;width:935px;'>No players on the block</div>\n";
    }
    else
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $pList.=",$pid";
       }
      $pList=trim($pList,",");

      ## Get Batter Ratings
      $query="SELECT player_id,batting_ratings_overall_contact,batting_ratings_overall_gap,batting_ratings_overall_power,batting_ratings_overall_eye,batting_ratings_overall_strikeouts,batting_ratings_talent_contact,batting_ratings_talent_gap,batting_ratings_talent_power,batting_ratings_talent_eye,batting_ratings_talent_strikeouts FROM players_batting WHERE player_id IN ($pList);";
      $result=mysql_query($query,$db);
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $players[$pid]['batting_ratings_overall_contact']=calc_rating($row['batting_ratings_overall_contact']);
         $players[$pid]['batting_ratings_overall_gap']=calc_rating($row['batting_ratings_overall_gap']);
         $players[$pid]['batting_ratings_overall_power']=calc_rating($row['batting_ratings_overall_power']);
         $players[$pid]['batting_ratings_overall_eye']=calc_rating($row['batting_ratings_overall_eye']);
         $players[$pid]['batting_ratings_overall_strikeouts']=calc_rating($row['batting_ratings_overall_strikeouts']);

	 $players[$pid]['batting_ratings_talent_contact']=calc_rating($row['batting_ratings_talent_contact'],1);
         $players[$pid]['batting_ratings_talent_gap']=calc_rating($row['batting_ratings_talent_gap'],1);
         $players[$pid]['batting_ratings_talent_power']=calc_rating($row['batting_ratings_talent_power'],1);
         $players[$pid]['batting_ratings_talent_eye']=calc_rating($row['batting_ratings_talent_eye'],1);
         $players[$pid]['batting_ratings_talent_strikeouts']=calc_rating($row['batting_ratings_talent_strikeouts'],1);
       }

      ## Get Pitcher Ratings
      $query="SELECT player_id,pitching_ratings_overall_stuff,pitching_ratings_overall_control,pitching_ratings_overall_movement,pitching_ratings_talent_stuff,pitching_ratings_talent_control,pitching_ratings_talent_movement,pitching_ratings_misc_velocity,pitching_ratings_misc_stamina,pitching_ratings_pitches_fastball,pitching_ratings_pitches_slider,pitching_ratings_pitches_curveball,pitching_ratings_pitches_screwball,pitching_ratings_pitches_forkball,pitching_ratings_pitches_changeup,pitching_ratings_pitches_sinker,pitching_ratings_pitches_splitter,pitching_ratings_pitches_knuckleball,pitching_ratings_pitches_cutter,pitching_ratings_pitches_circlechange,pitching_ratings_pitches_knucklecurve,pitching_ratings_misc_velocity,pitching_ratings_misc_stamina,pitching_ratings_pitches_talent_fastball,pitching_ratings_pitches_talent_slider,pitching_ratings_pitches_talent_curveball,pitching_ratings_pitches_talent_screwball,pitching_ratings_pitches_talent_forkball,pitching_ratings_pitches_talent_changeup,pitching_ratings_pitches_talent_sinker,pitching_ratings_pitches_talent_splitter,pitching_ratings_pitches_talent_knuckleball,pitching_ratings_pitches_talent_cutter,pitching_ratings_pitches_talent_circlechange,pitching_ratings_pitches_talent_knucklecurve,pitching_ratings_misc_ground_fly FROM players_pitching WHERE player_id IN ($pList);";
      $result=mysql_query($query,$db);
      $numFields=mysql_num_fields($result);
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         for ($i=1;$i<$numFields;$i++)
	  {
	    $fieldname=mysql_field_name($result,$i);
	    $val=$row[$fieldname];
	    switch ($fieldname)
	     {
   	       case 'pitching_ratings_overall_stuff':
	       case 'pitching_ratings_overall_control':
	       case 'pitching_ratings_overall_movement':
 		 $val=calc_rating($val);
	         break;
	       case 'pitching_ratings_pitches_fastball':
   	       case 'pitching_ratings_pitches_slider':
	       case 'pitching_ratings_pitches_curveball':
   	       case 'pitching_ratings_pitches_screwball':
	       case 'pitching_ratings_pitches_forkball':
   	       case 'pitching_ratings_pitches_changeup':
	       case 'pitching_ratings_pitches_sinker':
   	       case 'pitching_ratings_pitches_splitter':
	       case 'pitching_ratings_pitches_knuckleball':
   	       case 'pitching_ratings_pitches_cutter':
	       case 'pitching_ratings_pitches_circlechange':
   	       case 'pitching_ratings_pitches_knucklecurve':
		 if ($val==0) {$val="-";} else {$val=calc_rating($val);}
	         break;
   	       case 'pitching_ratings_talent_stuff':
	       case 'pitching_ratings_talent_control':
	       case 'pitching_ratings_talent_movement':
		 $val=calc_rating($val,1);
		 break;
	       case 'pitching_ratings_pitches_talent_fastball':
   	       case 'pitching_ratings_pitches_talent_slider':
	       case 'pitching_ratings_pitches_talent_curveball':
   	       case 'pitching_ratings_pitches_talent_screwball':
	       case 'pitching_ratings_pitches_talent_forkball':
   	       case 'pitching_ratings_pitches_talent_changeup':
	       case 'pitching_ratings_pitches_talent_sinker':
               case 'pitching_ratings_pitches_talent_splitter':
	       case 'pitching_ratings_pitches_talent_knuckleball':
	       case 'pitching_ratings_pitches_talent_cutter':
	       case 'pitching_ratings_pitches_talent_circlechange':
	       case 'pitching_ratings_pitches_talent_knucklecurve':
		 if ($val==0) {$val="-";} else {$val=calc_rating($val,1);}
		 break;
	       case 'pitching_ratings_misc_stamina':  if ($val==0) {$val="-";} else {$val=calc_rating($val,2);} break;
	     }
	    $players[$pid][$fieldname]=$val;
	  }
       }

      ## Get Fielder Ratings
      $query="SELECT player_id,fielding_rating_pos2,fielding_rating_pos3,fielding_rating_pos4,fielding_rating_pos5,fielding_rating_pos6,fielding_rating_pos7,fielding_rating_pos8,fielding_rating_pos9,fielding_ratings_catcher_arm,fielding_ratings_infield_arm,fielding_ratings_outfield_arm FROM players_fielding WHERE player_id IN ($pList);";
      $result=mysql_query($query,$db);
      $numFields=mysql_num_fields($result);
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         for ($i=1;$i<$numFields;$i++)
	  {
	    $fieldname=mysql_field_name($result,$i);
	    $val=$row[$fieldname];
	    switch ($fieldname)
	     {
   	       case 'fielding_rating_pos1':
	       case 'fielding_rating_pos2':
   	       case 'fielding_rating_pos3':
	       case 'fielding_rating_pos4':
   	       case 'fielding_rating_pos5':
	       case 'fielding_rating_pos6':
   	       case 'fielding_rating_pos7':
	       case 'fielding_rating_pos8':
   	       case 'fielding_rating_pos9': if ($val==0) {$val="-";} else {$val=calc_rating($val,2);} break;
   	       case 'fielding_ratings_catcher_arm':
	       case 'fielding_ratings_catcher_ability':
 	         if (($val<40) && (isset($row['fielding_rating_pos2']) && ($row['fielding_rating_pos2']==0))) {$val="-";}
                  else {$val=calc_rating($val,2);}
	         break;
	       case 'fielding_ratings_infield_arm':
	       case 'fielding_ratings_infield_range':
	       case 'fielding_ratings_infield_error':
	       case 'fielding_ratings_turn_doubleplay':
	         if (($val<40) && (isset($row['fielding_rating_pos3']) && ($row['fielding_rating_pos3']==0) && isset($row['fielding_rating_pos4']) && ($row['fielding_rating_pos4']==0) && isset($row['fielding_rating_pos5']) && ($row['fielding_rating_pos5']==0) && isset($row['fielding_rating_pos6']) && ($row['fielding_rating_pos6']==0))) {$val="-";}
	          else {$val=calc_rating($val,2);}
	         break;
	       case 'fielding_ratings_outfield_arm':
	       case 'fielding_ratings_outfield_range':
	       case 'fielding_rating_outfield_error':
	         if (($val<40) && (isset($row['fielding_rating_pos7']) && ($row['fielding_rating_pos7']==0) && isset($row['fielding_rating_pos8']) && ($row['fielding_rating_pos8']==0) && isset($row['fielding_rating_pos9']) && ($row['fielding_rating_pos9']==0))) {$val="-";}
	          else {$val=calc_rating($val,2);}
	         break;
	     }
	    $players[$pid][$fieldname]=$val;
	  }
       }

      #### Get Batting Stats
      ## This Year
      $query="SELECT player_id,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(hp) as hp,SUM(sh) as sh,SUM(sf) as sf,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as slg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops,SUM(vorp) as vorp,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA FROM players_career_batting_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 AND year=$lgyear GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid][$lgyear]['g']=$row['g'];
	    $players[$pid][$lgyear]['ab']=$row['ab'];
	    $players[$pid][$lgyear]['h']=$row['h'];
	    $players[$pid][$lgyear]['d']=$row['d'];
	    $players[$pid][$lgyear]['t']=$row['t'];
	    $players[$pid][$lgyear]['hr']=$row['hr'];
	    $players[$pid][$lgyear]['rbi']=$row['rbi'];
	    $players[$pid][$lgyear]['r']=$row['r'];
	    $players[$pid][$lgyear]['bb']=$row['bb'];
	    $players[$pid][$lgyear]['hp']=$row['hp'];
	    $players[$pid][$lgyear]['sh']=$row['sh'];
	    $players[$pid][$lgyear]['sf']=$row['sf'];
	    $players[$pid][$lgyear]['k']=$row['k'];
	    $players[$pid][$lgyear]['sb']=$row['sb'];
	    $players[$pid][$lgyear]['cs']=$row['cs'];
	    $players[$pid][$lgyear]['avg']=$row['avg'];
	    $players[$pid][$lgyear]['obp']=$row['obp'];
	    $players[$pid][$lgyear]['slg']=$row['slg'];
	    $players[$pid][$lgyear]['ops']=$row['ops'];
	    $players[$pid][$lgyear]['vorp']=$row['vorp'];
	    $players[$pid][$lgyear]['wOBA']=$row['wOBA'];
	  }
       }

      ## 3 Year Average
      $avgString=($lgyear-3)."-".(($lgyear-1)%100)." Avg";
      $query="SELECT player_id,COUNT(DISTINCT year) as yrs,SUM(g)/COUNT(DISTINCT year) as g,SUM(ab)/COUNT(DISTINCT year) as ab,SUM(h)/COUNT(DISTINCT year) as h,SUM(d)/COUNT(DISTINCT year) as d,SUM(t)/COUNT(DISTINCT year) as t,SUM(hr)/COUNT(DISTINCT year) as hr,SUM(rbi)/COUNT(DISTINCT year) as rbi,SUM(r)/COUNT(DISTINCT year) as r,SUM(bb)/COUNT(DISTINCT year) as bb,SUM(hp)/COUNT(DISTINCT year) as hp,SUM(sh)/COUNT(DISTINCT year) as sh,SUM(sf)/COUNT(DISTINCT year) as sf,SUM(k)/COUNT(DISTINCT year) as k,SUM(sb)/COUNT(DISTINCT year) as sb,SUM(cs)/COUNT(DISTINCT year) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as slg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops,SUM(vorp)/COUNT(DISTINCT year) as vorp,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA FROM players_career_batting_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 AND year>=($lgyear-3) AND year<=($lgyear-1) GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid][$avgString]['yrs']=$row['yrs'];
	    $players[$pid][$avgString]['g']=round($row['g']);
	    $players[$pid][$avgString]['ab']=round($row['ab']);
	    $players[$pid][$avgString]['h']=round($row['h']);
	    $players[$pid][$avgString]['d']=round($row['d']);
	    $players[$pid][$avgString]['t']=round($row['t']);
	    $players[$pid][$avgString]['hr']=round($row['hr']);
	    $players[$pid][$avgString]['rbi']=round($row['rbi']);
	    $players[$pid][$avgString]['r']=round($row['r']);
	    $players[$pid][$avgString]['bb']=round($row['bb']);
	    $players[$pid][$avgString]['hp']=round($row['hp']);
	    $players[$pid][$avgString]['sh']=round($row['sh']);
	    $players[$pid][$avgString]['sf']=round($row['sf']);
	    $players[$pid][$avgString]['k']=round($row['k']);
	    $players[$pid][$avgString]['sb']=round($row['sb']);
	    $players[$pid][$avgString]['cs']=round($row['cs']);
	    $players[$pid][$avgString]['avg']=$row['avg'];
	    $players[$pid][$avgString]['obp']=$row['obp'];
	    $players[$pid][$avgString]['slg']=$row['slg'];
	    $players[$pid][$avgString]['ops']=$row['ops'];
	    $players[$pid][$avgString]['vorp']=$row['vorp'];
	    $players[$pid][$avgString]['wOBA']=$row['wOBA'];
	  }
       }


      ## Career
      $query="SELECT player_id,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(hp) as hp,SUM(sh) as sh,SUM(sf) as sf,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as slg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops,SUM(vorp) as vorp,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA FROM players_career_batting_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid]['Career']['g']=$row['g'];
	    $players[$pid]['Career']['ab']=$row['ab'];
	    $players[$pid]['Career']['h']=$row['h'];
	    $players[$pid]['Career']['d']=$row['d'];
	    $players[$pid]['Career']['t']=$row['t'];
	    $players[$pid]['Career']['hr']=$row['hr'];
	    $players[$pid]['Career']['rbi']=$row['rbi'];
	    $players[$pid]['Career']['r']=$row['r'];
	    $players[$pid]['Career']['bb']=$row['bb'];
	    $players[$pid]['Career']['hp']=$row['hp'];
	    $players[$pid]['Career']['sh']=$row['sh'];
	    $players[$pid]['Career']['sf']=$row['sf'];
	    $players[$pid]['Career']['k']=$row['k'];
	    $players[$pid]['Career']['sb']=$row['sb'];
	    $players[$pid]['Career']['cs']=$row['cs'];
	    $players[$pid]['Career']['avg']=$row['avg'];
	    $players[$pid]['Career']['obp']=$row['obp'];
	    $players[$pid]['Career']['slg']=$row['slg'];
	    $players[$pid]['Career']['ops']=$row['ops'];
	    $players[$pid]['Career']['vorp']=$row['vorp'];
	    $players[$pid]['Career']['wOBA']=$row['wOBA'];
	  }
       }

      #### Get Pitching Stats
      ## This Year
      $query="SELECT player_id,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,(SUM(ip)+SUM(ipf)/3) as ip,SUM(ha) as ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip,if(SUM(ab)=0,0,SUM(ha)/SUM(ab)) as oavg,SUM(vorp) as vorp FROM players_career_pitching_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 AND year=$lgyear GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid][$lgyear]['pg']=$row['g'];
	    $players[$pid][$lgyear]['gs']=$row['gs'];
	    $players[$pid][$lgyear]['w']=$row['w'];
	    $players[$pid][$lgyear]['l']=$row['l'];
	    $players[$pid][$lgyear]['s']=$row['s'];
	    $players[$pid][$lgyear]['era']=$row['era'];
	    $players[$pid][$lgyear]['ip']=$row['ip'];
	    $players[$pid][$lgyear]['ha']=$row['ha'];
	    $players[$pid][$lgyear]['pr']=$row['r'];
	    $players[$pid][$lgyear]['er']=$row['er'];
	    $players[$pid][$lgyear]['hra']=$row['hra'];
	    $players[$pid][$lgyear]['pbb']=$row['bb'];
	    $players[$pid][$lgyear]['pk']=$row['k'];
	    $players[$pid][$lgyear]['hld']=$row['hld'];
	    $players[$pid][$lgyear]['cg']=$row['cg'];
	    $players[$pid][$lgyear]['sho']=$row['sho'];
	    $players[$pid][$lgyear]['whip']=$row['whip'];
	    $players[$pid][$lgyear]['oavg']=$row['oavg'];
	    $players[$pid][$lgyear]['pvorp']=$row['vorp'];
	  }
       }

      ## 3 Year Average
      $query="SELECT player_id,COUNT(DISTINCT year) as yrs,SUM(g)/COUNT(DISTINCT year) as g,SUM(gs)/COUNT(DISTINCT year) as gs,SUM(w)/COUNT(DISTINCT year) as w,SUM(l)/COUNT(DISTINCT year) as l,SUM(s)/COUNT(DISTINCT year) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,(SUM(ip)+SUM(ipf)/3)/COUNT(DISTINCT year) as ip,SUM(ha)/COUNT(DISTINCT year) as ha,SUM(r)/COUNT(DISTINCT year) as r,SUM(er)/COUNT(DISTINCT year) as er,SUM(hra)/COUNT(DISTINCT year) as hra,SUM(bb)/COUNT(DISTINCT year) as bb,SUM(k)/COUNT(DISTINCT year) as k,SUM(hld)/COUNT(DISTINCT year) as hld,SUM(cg)/COUNT(DISTINCT year) as cg,SUM(sho)/COUNT(DISTINCT year) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip,if(SUM(ab)=0,0,SUM(ha)/SUM(ab)) as oavg,SUM(vorp)/COUNT(DISTINCT year) as vorp FROM players_career_pitching_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 AND year>=($lgyear-3) AND year<=($lgyear-1) GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid][$avgString]['pyrs']=$row['yrs'];
	    $players[$pid][$avgString]['pg']=round($row['g']);
	    $players[$pid][$avgString]['gs']=round($row['gs']);
	    $players[$pid][$avgString]['w']=round($row['w']);
	    $players[$pid][$avgString]['l']=round($row['l']);
	    $players[$pid][$avgString]['s']=round($row['s']);
	    $players[$pid][$avgString]['era']=$row['era'];
	    $players[$pid][$avgString]['ip']=$row['ip'];
	    $players[$pid][$avgString]['ha']=round($row['ha']);
	    $players[$pid][$avgString]['pr']=round($row['r']);
	    $players[$pid][$avgString]['er']=round($row['er']);
	    $players[$pid][$avgString]['hra']=round($row['hra']);
	    $players[$pid][$avgString]['pbb']=round($row['bb']);
	    $players[$pid][$avgString]['pk']=round($row['k']);
	    $players[$pid][$avgString]['hld']=round($row['hld']);
	    $players[$pid][$avgString]['cg']=round($row['cg']);
	    $players[$pid][$avgString]['sho']=round($row['sho']);
	    $players[$pid][$avgString]['whip']=$row['whip'];
	    $players[$pid][$avgString]['oavg']=$row['oavg'];
	    $players[$pid][$avgString]['pvorp']=$row['vorp'];
	  }
       }      

      ## Career
      $query="SELECT player_id,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,if((SUM(ip)+SUM(ipf)/3)=0,0,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era,(SUM(ip)+SUM(ipf)/3) as ip,SUM(ha) as ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+SUM(ipf)/3)=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3)) as whip,if(SUM(ab)=0,0,SUM(ha)/SUM(ab)) as oavg,SUM(vorp) as vorp FROM players_career_pitching_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 GROUP BY player_id";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid]['Career']['pg']=$row['g'];
	    $players[$pid]['Career']['gs']=$row['gs'];
	    $players[$pid]['Career']['w']=$row['w'];
	    $players[$pid]['Career']['l']=$row['l'];
	    $players[$pid]['Career']['s']=$row['s'];
	    $players[$pid]['Career']['era']=$row['era'];
	    $players[$pid]['Career']['ip']=$row['ip'];
	    $players[$pid]['Career']['ha']=$row['ha'];
	    $players[$pid]['Career']['pr']=$row['r'];
	    $players[$pid]['Career']['er']=$row['er'];
	    $players[$pid]['Career']['hra']=$row['hra'];
	    $players[$pid]['Career']['pbb']=$row['bb'];
	    $players[$pid]['Career']['pk']=$row['k'];
	    $players[$pid]['Career']['hld']=$row['hld'];
	    $players[$pid]['Career']['cg']=$row['cg'];
	    $players[$pid]['Career']['sho']=$row['sho'];
	    $players[$pid]['Career']['whip']=$row['whip'];
	    $players[$pid]['Career']['oavg']=$row['oavg'];
	    $players[$pid]['Career']['pvorp']=$row['vorp'];
	  }
       }

      $statScope=array($lgyear,$avgString,'Career');

      ## Get trade block information
      $query="SELECT * FROM trade_block_players WHERE player_id IN ($pList);";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $players[$pid]['headline']=stripslashes($row['headline']);
	    $players[$pid]['notice']=stripslashes($row['notice']);
	  }
       }

      ## Get Salary Info
      if ($finEnable==1)
       {
         $query="SELECT player_id,season_year,salary0,salary1,salary2,salary3,salary4,salary5,salary6,salary7,salary8,salary9,years FROM players_contract WHERE player_id IN ($pList);";
	 $result=mysql_query($query,$db);
	 while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $yr=$row['season_year'];
	    $remYrs=$lgyear-$yr;
	    $field='salary'.$remYrs;
	    $totYrs=$row['years'];
	    $remYrs=$lgyear+$totYrs-$remYrs-1;

	    $sal=$row[$field];
	    if ($sal==0) {$sal="MLC";} else {$sal="$".number_format($sal)." (<a href='./payroll.php?player=$pid' title='Contract detail'>$</a>)";}
	    $players[$pid]['salary']=$sal;
	    $players[$pid]['salThrough']=$remYrs;
	  }
       }

      ## Get Players
      $query="SELECT player_id,first_name,last_name,date_of_birth,age,position,role,height,weight,team_id,bats,throws,injury_is_injured,running_ratings_speed,running_ratings_stealing,running_ratings_baserunning FROM players WHERE player_id IN ($pList) ORDER BY last_name,first_name;";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         $htmlpath=$_SESSION['htmlroot'].$_SESSION['htmlpath'];
	 while ($row=mysql_fetch_array($result))
  	  {
	    $pid=$row['player_id'];
	    $name=$row['first_name']." ".$row['last_name'];
	    $dob=new Date($row['date_of_birth']);
	    $age=$row['age'];
   	    $tid=$row['team_id'];
	    $orgID=$row['organization_id'];
	    $pos=$row['position'];
	    $bats=get_hand($row['bats']);
	    $throws=get_hand($row['throws']);
	    $height=cm_to_ft_in($row['height']);
	    $weight=$row['weight']." lbs";
	    $inj=$row['injury_is_injured'];

	    $val=$row['running_ratings_speed'];
	    if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	    $speed=$val;
	    $val=$row['running_ratings_stealing'];
	    if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	    $stealing=$val;
	    $val=$row['running_ratings_baserunning'];
	    if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	    $baserunning=$val;

	    echo " <div class='textbox'>\n";
       	    echo "  <table cellpadding=0 cellspacing=0 border=0 width='935px'>\n";
	    echo "   <tr class='title2'><td colspan=2>";
	    if ($pos==1) {echo get_pos($row['role']);} else {echo get_pos($pos);}
	    echo " $name ($age yrs old)</td></tr>\n";
       	    echo "   <tr>\n";
	    echo "    <td valign='top'>";
	    $imgpath=$htmlpath."/images/player_$pid.png";            ## Check for photo by player ID
	    if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
       	    if (file_exists($imgpath)) {echo "<img src='$lgpath/images/player_$pid.png'>";}
	     else
      	     {
	       $imgpath=$htmlpath."/images/".str_replace(" ","_",$name).".png";   ## Check for capitalized name PNG
	       if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
	       if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",$name).".png'>";}
                else
		{
	       	  $imgpath=$htmlpath."/images/".str_replace(" ","_",strtolower($name)).".png";   ## Check for lowercase name PNG
		  if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
		  if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",strtolower($name)).".png'>";}
      		   else
		   {
	    	     $imgpath=$htmlpath."/images/".str_replace(" ","_",$name).".jpg";   ## Check for capitalized name JPG
		     if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
		     if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",$name).".jpg'>";}
	   	      else
		      {
		        $imgpath=$htmlpath."/images/".str_replace(" ","_",strtolower($name)).".jpg";   ## Check for lowercase name JPG
			if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
			if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",strtolower($name)).".jpg'>";}
		         else
		         {
			   $imgpath=$htmlpath."/images/".str_replace(" ","_",$name).".bmp";   ## Check for capitalized name BMP
			   if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
			   if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",$name).".bmp'>";}
	    		    else
			    {
	     		      $imgpath=$htmlpath."/images/".str_replace(" ","_",strtolower($name)).".bmp";   ## Check for lowercase name bmp
			      if ($_GET['showimg']==1) {echo "$imgpath<br/>\n";}
			      if (file_exists($imgpath)) {echo "<img src='$lgpath/images/".str_replace(" ","_",strtolower($name)).".bmp'>";}
      			       else
			       {
	     		         echo "<img src='$lgpath/images/default_player_photo.jpg'>";   ## Show default
			       }
       			    }
			 }
       		      }
		   }
       		}
	     }
       	    echo "</td>\n";
	    echo "    <td valign='top'>\n";
       
	    echo "     <table cellpadding=2 cellspacing=0 border=0 width='845px'>\n";
	    echo "      <tr class='s2_l'><td colspan=20><b>Links:</b> <a href='./player.php?player_id=$pid'>StatsLab Player Page</a>, <a href='$lgpath/players/player_$pid.html'>OOTP Player Page</a>, <a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['name']."</a></td></tr>\n";
	    echo "      <tr class='s1_l'><td colspan=2><b>DOB:</b> ".$dob->format("m/d/Y")."</td><td colspan=2><b>Bat:</b> $bats</td><td colspan=2><b>Throw:</b> $throws</td><td colspan=2><b>Ht:</b> $height</td><td colspan=2><b>Wt:</b> $weight</td>";
	    if ($finEnable==1) {echo "<td colspan=8><b>Salary:</b> ".$players[$pid]['salary']."</td>";} else {echo "<td colspan=8>&nbsp;</td>";}
	    if ($inj==1) {echo "<td colspan=2 style='text-align:right;color:#990000;font-weight:bold;'>Injured</td>";} else {echo "<td colspan=2>&nbsp;</td>";}
	    echo "</tr>\n";
	    echo "      <tr class='s2_l'><td colspan=20><b>Headline:</b> ".htmlspecialchars($players[$pid]['headline'])."</td></tr>\n";
	    echo "      <tr class='s1_l'><td colspan=20><b>Notice:</b> ".htmlspecialchars($players[$pid]['notice'])."</td></tr>\n";

	    ## Display Ratings
            if ((($_SESSION['ratings']=='Hidden')||($_SESSION['ratings']==""))&&(($_SESSION['talents']=='Hidden')||($_SESSION['talents']==""))&&(($_SESSION['others']=='Hidden')||($_SESSION['others']=="")))
	     {
               echo "      <tr class='s1'><td colspan=20 rowspan=4>&nbsp;</td></tr>\n";
	     }
	     else
	     {
	       echo "      <tr class='headline'><td colspan=20>Ratings</td></tr>\n";
	       if ($pos==1)
	        {
	          echo "      <tr class='headline'><td colspan=2>&nbsp;</td><td class='hsc2'>Stuff</td><td class='hsc2'>Control</td><td class='hsc2'>Movement</td><td class='hsc2'>Velocity</td><td class='hsc2'>Stamina</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>Fst</td><td class='hsc2'>Sld</td><td class='hsc2'>Crv</td><td class='hsc2'>Scw</td><td class='hsc2'>Frk</td><td class='hsc2'>Chg</td><td class='hsc2'>Snk</td><td class='hsc2'>Spl</td><td class='hsc2'>Knk</td><td class='hsc2'>Cut</td><td class='hsc2'>CCh</td><td class='hsc2'>KCv</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>GB%</td></tr>\n";
		  echo "      <tr class='s2'><td class='s2_l' colspan=2>Overall</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_overall_stuff']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_overall_control']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_overall_movement']."</td>";
		  echo "<td>".get_velo($players[$pid]['pitching_ratings_misc_velocity'])."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_misc_stamina']."</td>";
		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['pitching_ratings_pitches_fastball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_slider']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_curveball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_screwball']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_forkball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_changeup']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_sinker']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_splitter']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_knuckleball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_cutter']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_circlechange']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_knucklecurve']."</td>";
		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['pitching_ratings_misc_ground_fly']."</td>";
   		  echo "</tr>\n";
		  echo "      <tr class='s1'><td class='s1_l' colspan=2>Potential</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_talent_stuff']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_talent_control']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_talent_movement']."</td>";
		  echo "<td>&nbsp;</td>";
   		  echo "<td>&nbsp;</td>";
		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['pitching_ratings_pitches_talent_fastball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_slider']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_curveball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_screwball']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_forkball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_changeup']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_sinker']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_splitter']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_knuckleball']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_cutter']."</td>";
		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_circlechange']."</td>";
   		  echo "<td>".$players[$pid]['pitching_ratings_pitches_talent_knucklecurve']."</td>";
		  echo "<td style='border-left:1px solid #AAAAAA;'>&nbsp;</td>";
   		  echo "</tr>\n";
		}
  	        else
	        {
	          echo "      <tr class='headline'><td>&nbsp;</td><td class='hsc2'>Contact</td><td class='hsc2'>Gap</td><td class='hsc2'>Power</td><td class='hsc2'>Eye</td><td class='hsc2'>Avoid K's</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>Sp</td><td class='hsc2'>Sta</td><td class='hsc2'>BR</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>C</td><td class='hsc2'>1B</td><td class='hsc2'>2B</td><td class='hsc2'>3B</td><td class='hsc2'>SS</td><td class='hsc2'>LF</td><td class='hsc2'>CF</td><td class='hsc2'>RF</td><td class='hsc2' style='border-left:1px solid #AAAAAA;'>C Arm</td><td class='hsc2'>IF Arm</td><td class='hsc2'>OF Arm</td></tr>\n";
		  echo "      <tr class='s2'><td class='s2_l'>Overall</td>";
   		  echo "<td>".$players[$pid]['batting_ratings_overall_contact']."</td>";
		  echo "<td>".$players[$pid]['batting_ratings_overall_gap']."</td>";
   		  echo "<td>".$players[$pid]['batting_ratings_overall_power']."</td>";
		  echo "<td>".$players[$pid]['batting_ratings_overall_eye']."</td>";
   		  echo "<td>".$players[$pid]['batting_ratings_overall_strikeouts']."</td>";
		  echo "<td style='border-left:1px solid #AAAAAA;'>$speed</td>";
   		  echo "<td>$stealing</td>";
		  echo "<td>$baserunning</td>";
   		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['fielding_rating_pos2']."</td>";
		  echo "<td>".$players[$pid]['fielding_rating_pos3']."</td>";
   		  echo "<td>".$players[$pid]['fielding_rating_pos4']."</td>";
		  echo "<td>".$players[$pid]['fielding_rating_pos5']."</td>";
   		  echo "<td>".$players[$pid]['fielding_rating_pos6']."</td>";
		  echo "<td>".$players[$pid]['fielding_rating_pos7']."</td>";
   		  echo "<td>".$players[$pid]['fielding_rating_pos8']."</td>";
		  echo "<td>".$players[$pid]['fielding_rating_pos9']."</td>";
   		  echo "<td style='border-left:1px solid #AAAAAA;'>".$players[$pid]['fielding_ratings_catcher_arm']."</td>";
		  echo "<td>".$players[$pid]['fielding_ratings_infield_arm']."</td>";
   		  echo "<td>".$players[$pid]['fielding_ratings_outfield_arm']."</td>";
		  echo "</tr>\n";
   		  echo "      <tr class='s1'><td class='s1_l'>Potential</td>";
		  echo "<td>".$players[$pid]['batting_ratings_talent_contact']."</td>";
   		  echo "<td>".$players[$pid]['batting_ratings_talent_gap']."</td>";
		  echo "<td>".$players[$pid]['batting_ratings_talent_power']."</td>";
   		  echo "<td>".$players[$pid]['batting_ratings_talent_eye']."</td>";
		  echo "<td>".$players[$pid]['batting_ratings_talent_strikeouts']."</td>";
   		  echo "<td colspan=3 style='border-left:1px solid #AAAAAA;'>&nbsp;</td>";
		  echo "<td colspan=8 style='border-left:1px solid #AAAAAA;'>&nbsp;</td>";
   		  echo "<td colspan=3 style='border-left:1px solid #AAAAAA;'>&nbsp;</td>";
		  echo "</tr>\n";
		}
	     }
	    echo "     </table>\n";
	    echo "    </td>\n";
	    echo "   </tr>\n";

	    ## Display Stats
	    echo "   <tr>\n";
	    echo "    <td colspan=2>\n";
	    echo "     <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
	    if ($pos==1) {$nCols=20;} else {$nCols=22;}
	    echo "      <tr class='headline'><td colspan=$nCols>Major League Statistics</td></tr>\n";
	    echo "      <tr class='headline'><td class='hsc2_l'>Scope</td>";
	    if ($pos==1) 
	     {
	       echo "<td class='hsc2'>G</td><td class='hsc2'>GS</td><td class='hsc2'>W</td><td class='hsc2'>L</td><td class='hsc2'>SV</td><td class='hsc2'>ERA</td><td class='hsc2'>IP</td><td class='hsc2'>HA</td><td class='hsc2'>R</td><td class='hsc2'>ER</td><td class='hsc2'>HR</td><td class='hsc2'>BB</td><td class='hsc2'>K</td><td class='hsc2'>HLD</td><td class='hsc2'>CG</td><td class='hsc2'>SHO</td><td class='hsc2'>WHIP</td><td class='hsc2'>OAVG</td><td class='hsc2'>VORP</td>";
	       echo "</tr>\n";
	       $cnt=0;
   	       foreach ($statScope as $key => $val)
	        {
		  $cls='s'.($cnt%2+1);
		  echo "      <tr class='$cls'>";
		  if (($val==$avgString)&&($players[$pid][$val]['pyrs']==1)) {$dispVal=$val." (1 yr)";}
		   elseif (($val==$avgString)&&($players[$pid][$val]['pyrs']==2)) {$dispVal=$val." (2 yrs)";}
		   else {$dispVal=$val;}
		  echo "<td class='".$cls."_l'>$dispVal</td>";
       		  if (!isset($players[$pid][$val]['pg'])) {echo "<td colspan=".($nCols-1)." style='text-align:center;'>- No major league statistics -</td>";}
		   else
		   {
		     echo "<td>".$players[$pid][$val]['pg']."</td>";
   		     echo "<td>".$players[$pid][$val]['gs']."</td>";
		     echo "<td>".$players[$pid][$val]['w']."</td>";
   		     echo "<td>".$players[$pid][$val]['l']."</td>";
		     echo "<td>".$players[$pid][$val]['s']."</td>";
   		     echo "<td>".sprintf("%.2f",$players[$pid][$val]['era'])."</td>";
		     echo "<td>".sprintf("%.1f",$players[$pid][$val]['ip'])."</td>";
   		     echo "<td>".$players[$pid][$val]['ha']."</td>";
		     echo "<td>".$players[$pid][$val]['pr']."</td>";
   		     echo "<td>".$players[$pid][$val]['er']."</td>";
		     echo "<td>".$players[$pid][$val]['hra']."</td>";
   		     echo "<td>".$players[$pid][$val]['pbb']."</td>";
		     echo "<td>".$players[$pid][$val]['pk']."</td>";
   		     echo "<td>".$players[$pid][$val]['hld']."</td>";
		     echo "<td>".$players[$pid][$val]['cg']."</td>";
   		     echo "<td>".$players[$pid][$val]['sho']."</td>";
		     $tmp=sprintf("%.2f",$players[$pid][$val]['whip']);
   		     if ($tmp<1) {$tmp=strstr($tmp,".");}
		     echo "<td>".$tmp."</td>";
   		     $tmp=sprintf("%.3f",$players[$pid][$val]['oavg']);
		     if ($tmp<1) {$tmp=strstr($tmp,".");}
   		     echo "<td>".$tmp."</td>";
		     echo "<td>".sprintf("%.1f",$players[$pid][$val]['pvorp'])."</td>";
		   }
		  echo "</tr>\n";
   		  $cnt++;
		}
	     }
	     else
	     {
	       echo "<td class='hsc2'>G</td><td class='hsc2'>AB</td><td class='hsc2'>H</td><td class='hsc2'>2B</td><td class='hsc2'>3B</td><td class='hsc2'>HR</td><td class='hsc2'>RBI</td><td class='hsc2'>R</td><td class='hsc2'>BB</td><td class='hsc2'>HP</td><td class='hsc2'>SH</td><td class='hsc2'>SF</td><td class='hsc2'>K</td><td class='hsc2'>SB</td><td class='hsc2'>CS</td><td class='hsc2'>AVG</td><td class='hsc2'>OBP</td><td class='hsc2'>SLG</td><td class='hsc2'>OPS</td><td class='hsc2'>VORP</td><td class='hsc2'>wOBA</td>";
	       echo "</tr>\n";
	       $cnt=0;
   	       foreach ($statScope as $key => $val)
	        {
		  $cls='s'.($cnt%2+1);
	          echo "      <tr class='$cls'>";
		  if (($val==$avgString)&&($players[$pid][$val]['yrs']==1)) {$dispVal=$val." (1 yr)";}
		   elseif (($val==$avgString)&&($players[$pid][$val]['yrs']==2)) {$dispVal=$val." (2 yrs)";}
		   else {$dispVal=$val;}
		  echo "<td class='".$cls."_l'>$dispVal</td>";
                  if (!isset($players[$pid][$val]['g'])) {echo "<td colspan=".($nCols-1)." style='text-align:center;'>- No major league statistics -</td>";}
		   else
		   {
		     echo "<td>".$players[$pid][$val]['g']."</td>";
   		     echo "<td>".$players[$pid][$val]['ab']."</td>";
		     echo "<td>".$players[$pid][$val]['h']."</td>";
   		     echo "<td>".$players[$pid][$val]['d']."</td>";
		     echo "<td>".$players[$pid][$val]['t']."</td>";
   		     echo "<td>".$players[$pid][$val]['hr']."</td>";
		     echo "<td>".$players[$pid][$val]['rbi']."</td>";
   		     echo "<td>".$players[$pid][$val]['r']."</td>";
		     echo "<td>".$players[$pid][$val]['bb']."</td>";
   		     echo "<td>".$players[$pid][$val]['hp']."</td>";
		     echo "<td>".$players[$pid][$val]['sh']."</td>";
   		     echo "<td>".$players[$pid][$val]['sf']."</td>";
		     echo "<td>".$players[$pid][$val]['k']."</td>";
   		     echo "<td>".$players[$pid][$val]['sb']."</td>";
		     echo "<td>".$players[$pid][$val]['cs']."</td>";
   		     $tmp=sprintf("%.3f",$players[$pid][$val]['avg']);
		     if ($tmp<1) {$tmp=strstr($tmp,".");}
   		     echo "<td>".$tmp."</td>";
		     $tmp=sprintf("%.3f",$players[$pid][$val]['obp']);
   		     if ($tmp<1) {$tmp=strstr($tmp,".");}
		     echo "<td>".$tmp."</td>";
   		     $tmp=sprintf("%.3f",$players[$pid][$val]['slg']);
		     if ($tmp<1) {$tmp=strstr($tmp,".");}
   		     echo "<td>".$tmp."</td>";
		     $tmp=sprintf("%.3f",$players[$pid][$val]['ops']);
   		     if ($tmp<1) {$tmp=strstr($tmp,".");}
		     echo "<td>".$tmp."</td>";
   		     echo "<td>".sprintf("%.1f",$players[$pid][$val]['vorp'])."</td>";
		     $tmp=sprintf("%.3f",$players[$pid][$val]['wOBA']);
   		     if ($tmp<1) {$tmp=strstr($tmp,".");}
		     echo "<td>".$tmp."</td>";
		   }
		  echo "</tr>\n";
   		  $cnt++;
		}
	     }
	    echo "     </table>\n";
	    echo "    </td>\n";
	    echo "   </tr>\n";
	    echo "  </table>\n";
	    echo " </div>\n";
	    $cnt++;
   	  }
       }
    }
 }

##### End Page #####
echo "</div>   <!-- END contentpane DIV -->\n";
page_foot($lgpath);

?>
