<?php
header("Content-type: image/png");
include("html_functions.php");

##### Open connection to db #####
if (file_exists("./config.txt"))
 {
   $fpath="./config.txt";
   $f = fopen ($fpath, "r");
   $line = explode("|",fread($f,filesize($fpath)));
   $adminpath = $line[1];
   fclose($f);
 }

include($adminpath."/dbopen.php");

##### Get Parameters #####
foreach ($_GET as $key => $val)
 {
   switch ($key)
    {
      case 'mode'     : $mode=$val;      break;
      case 'league_id': $lgid=$val;      break;
      case 'lgyear'   : $lgyear=$val;    break;
      case 'view'     : $view=$val;      break;
      case 'collate'  : $collate=$val;   break;
      case 'scope'    : $scope=$val;     break;
      case 'stat'     : $stat=$val;   break;
      case 'zeroStats': $zeroStats=$val; break;
      case 'from'     : $from=$val;      break;
      case 'to'       : $to=$val;        break;
      case 'pList':
        $e=explode("|",$val);
        for ($i=0;$i<count($e);$i++)
         {
           $id=$e[$i];
	   $dispPIDS[$id]=1;
	 }
	$pList=str_replace("|",",",$val);
        break;
    }
 }
if (($mode!='season')&&($mode!='career')) {echo "ERROR in xyGraph.php: No mode ($mode) specified";exit;}
if ($view=="") {echo "ERROR in xyGraph.php: No view specified"; exit;}
if ($pList=="") {echo "ERROR in xyGraph.php: No $view specified"; exit;}
if ($stat=="") {echo "ERROR in xyGraph.php: No stat specified"; exit;}
if ($collate=="") {$collate='byYear';}
if ((($collate=='byAge')&&($scope=='career'))||($collate=='moday')) {$extToEnd=1;} else {$extToEnd=0;}

$reverseY=0;
switch ($stat)
 {
   case 'pos':
   case 'gb':
     $reverseY=1;
     break;
 }

$statArray=array('batters'=>'Batters','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','vorp'=>'VORP','pitchers'=>'Pitchers','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','r'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','era'=>'ERA','whip'=>'WHIP','pvorp'=>'VORP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','kperbb'=>'K/BB','wpct'=>'Win %','over'=>'Games over .500');

##### Generate Dataset #####
if ($mode=='season')
 {
   $minDay=$from;
   $maxDay=$to;
   switch ($view)
    {
      case 'players':
        ## Generate Legend Text
        $query="SELECT player_id,first_name,last_name,position,role FROM players WHERE player_id IN ($pList);";
        $result=mysql_query($query,$db);
        while ($row=mysql_fetch_array($result))
         {
	   $pid=$row['player_id'];
	   $fi=$row['first_name'];
	   $pos=$row['position'];
	   $role=$row['role'];
	   if ($pos==1) {$pos=$role;}
  	   $players[$pid]['legend']=$fi[0].". ".$row['last_name'];
	   $players[$pid]['dispname']=$fi." ".$row['last_name'];
  	   $players[$pid]['position']=get_pos($pos);
	 }
        foreach ($players as $pid => $val) {$players[$pid]['legend']=$players[$pid]['position']." ".$players[$pid]['legend'];}
	
	## Generate Query
        $query="SELECT player_id,date,";
        switch ($stat)
         {
            case 'avg':
	      $query.="h,ab";
              break;
	    case 'obp':
	      $query.="h,bb,hp,sf,ab";
	      break;
	    case 'slg':
	      $query.="h,d,t,hr,ab";
	      break;
	    case 'ops':
	      $query.="h,d,t,hr,bb,hp,sf,ab";
	      break;
	    case 'ip':
	      $query.="(3*ip+ipf)/3 as stat";
	      break;
	    case 'era':
	      $query.="er,(3*ip+ipf)/3 as ip";
	      break;
	    case 'whip':
	      $query.="ha,bb,(3*ip+ipf)/3 as ip";
	      break;
	    case 'kper9':
	      $query.="k,(3*ip+ipf)/3 as ip";
	      break;
	    case 'bbper9':
	      $query.="bb,(3*ip+ipf)/3 as ip";
	      break;
	    case 'hper9':
	      $query.="ha,(3*ip+ipf)/3 as ip";
	      break;
	    case 'kperbb':
	      $query.="k,bb";
	      break;
	    case 'pk':
	      $query.="k as stat";
	      break;
	    case 'pbb':
	      $query.="bb as stat";
	      break;
	    case 'pvorp':
	      $query.="vorp as stat";
	      break;
	    default:
	      $query.="$stat as stat";
	      break;
   	 }
	switch ($stat)
  	 {
           case 'ab':
           case 'h':
           case 'd':
	   case 't':
	   case 'hr':
	   case 'rbi':
	   case 'r':
	   case 'sb':
	   case 'cs':
	   case 'bb':
	   case 'k':
	   case 'sf':
	   case 'sh':
	   case 'ibb':
	   case 'hp':
	   case 'gdp':
	   case 'pa':
	   case 'avg':
	   case 'obp':
	   case 'slg':
	   case 'ops':
    	   case 'vorp':
	     $query.=" FROM players_game_batting as pgs";
             break;
           default:
             $query.=" FROM players_game_pitching_stats as pgs";
	     break;
   	 }
	$query.=",games as g WHERE pgs.game_id=g.game_id AND pgs.league_id=$lgid AND player_id IN ($pList) AND game_type=0 AND g.date LIKE '$lgyear%' AND pgs.year=$lgyear";
   	$query.=" ORDER BY player_id,date,g.game_id;";
   
	##### Get Data #####
	if ($_GET['showq']==1) {echo $query."<br/>\n";}
   	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
  	 {
           while ($row=mysql_fetch_array($result))
            {
	      $pid=$row['player_id'];
	      if ($pid!=$prevPID) 
	       {
	         unset($statVal);
		 unset($h);
   		 unset($d);
		 unset($t);
   		 unset($hr);
		 unset($bb);
   		 unset($hp);
		 unset($sf);
   		 unset($ab);
		 unset($pa);
   		 unset($ip);
		 unset($er);
   		 unset($k);
		 unset($ha);
   		 unset($bb);
	       }
   	      unset($tmpdate);
	      $tmpdate=new Date($row['date']);
   	      $tmpDay=$tmpdate->format("z");
	      if (($zeroStats==1)&&($tmpDay<=$minDay)&&($scope!='season')) {continue;}

	      switch ($stat)
	       {
                 case 'avg':
                   $h=$h+$row['h'];
		   $ab=$ab+$row['ab'];
   		   if ($ab==0) {$statVal=0;} else {$statVal=$h/$ab;}
		   break;
	         case 'obp':
                   $h=$h+$row['h'];
		   $bb=$bb+$row['bb'];
   		   $hp=$hp+$row['hp'];
		   $sf=$sf+$row['sf'];
   		   $ab=$ab+$row['ab'];
		   $pa=$ab+$bb+$hp+$sf;
   		   if ($pa==0) {$statVal=0;} else {$statVal=($h+$bb+$hp)/$pa;}
		   break;
	         case 'slg':
                   $h=$h+$row['h'];
		   $d=$d+$row['d'];
   		   $t=$t+$row['t'];
		   $hr=$hr+$row['hr'];
   		   $ab=$ab+$row['ab'];
		   if ($ab==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab;}
   		   break;
                 case 'ops':
                   $h=$h+$row['h'];
		   $d=$d+$row['d'];
   		   $t=$t+$row['t'];
		   $hr=$hr+$row['hr'];
   		   $bb=$bb+$row['bb'];
		   $hp=$hp+$row['hp'];
   		   $sf=$sf+$row['sf'];
		   $ab=$ab+$row['ab'];
   		   $pa=$ab+$bb+$hp+$sf;
		   if ($pa==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab+($h+$bb+$hp)/$pa;}
   		   break;
	         case 'era':
                   $er=$er+$row['er'];
		   $ip=$ip+$row['ip'];
   		   if ($ip==0) {$statVal=0;} else {$statVal=9*$er/$ip;}
		   break;
	         case 'whip':
                   $ha=$ha+$row['ha'];
		   $bb=$bb+$row['bb'];
   		   $ip=$ip+$row['ip'];
		   if ($ip==0) {$statVal=0;} else {$statVal=($ha+$bb)/$ip;}
		   break;
                 case 'kper9':
                   $k=$k+$row['k'];
		   $ip=$ip+$row['ip'];
   		   if ($ip==0) {$statVal=0;} else {$statVal=9*$k/$ip;}
		   break;
	         case 'bbper9':
                   $bb=$bb+$row['bb'];
		   $ip=$ip+$row['ip'];
   		   if ($ip==0) {$statVal=0;} else {$statVal=9*$bb/$ip;}
		   break;
	         case 'hper9':
                   $ha=$ha+$row['ha'];
		   $ip=$ip+$row['ip'];
   		   if ($ip==0) {$statVal=0;} else {$statVal=9*$ha/$ip;}
                   break;
                 case 'kperbb':
                   $k=$k+$row['k'];
		   $bb=$bb+$row['bb'];
   		   if ($bb==0) {$statVal=0;} else {$statVal=$k/$bb;}
		   break;
   	         default:
                   $statVal=$statVal+$row['stat'];
		   break;
   	       }
	      switch ($stat)
  	       {
	         case 'avg':
	         case 'obp':
	         case 'slg':
	         case 'ops':
	         case 'era':
	         case 'whip':
	         case 'kper9':
	         case 'bbper9':
	         case 'hper9':
	         case 'kperbb':
 	           $statVal=sprintf("%.4f",$statVal);
		   break;
	       }
   	      $pdata[$pid][$stat][$tmpDay]=$statVal;

	      $prevPID=$pid;
   	    }
	 }
  	 else
         {
   	   echo "No data found\n";
	   exit;
   	 }
        ## Convert Data to Graph Format
        $xData="";
	$yData="";
   	foreach ($pdata as $pid => $val)
         {
           $players[$pid]['found']=0;
	   foreach ($pdata[$pid][$stat] as $date => $statData)
  	    {
              if (($date>$maxDay)&&($scope!='season')) {continue;}
  	      if (($scope=='season')||($date>$minDay))
	       {
                 if ($players[$pid]['found']==0)
	          {
	            $xData.="|".$players[$pid]['legend']."^";
		    $yData.="|";
   		    $players[$pid]['found']=1;
		  }
   		 $xData.=$date.",";
		 $yData.=$statData.",";
   	       }
	    }
   	   $xData=trim($xData,"|,");
	   $yData=trim($yData,"|,");
   	 }
        if (count($dispPIDS)>1) {$title=$statArray[$stat]." Comparison";} else {$title=$players[$pid]['dispname']." (".$statArray[$stat].")";}
        foreach ($pdata as $pid => $val)
         {
           if ($players[$pid]['found']==0)
	    {
 	      $gNotes.=$players[$pid]['legend'];
	      foreach ($pdata[$pid][$stat] as $tmpDay => $statVal) {1;}
	      $lbl=jdtojulian($tmpDay+1);
	      $tmp=explode("/",$lbl);
   	      $lbl=$tmp[0]."/".$tmp[1];
	      switch ($stat)
  	       {
                 case 'ip':
                   $statVal=sprintf("%0.1f",$statVal);
	           break;
	         case 'era':
	         case 'whip':
	         case 'kper9':
	         case 'bbper9':
	         case 'hper9':
                 case 'kperbb':
                   $statVal=sprintf("%0.2f",$statVal);
		   break;
	         case 'avg':
                 case 'obp':
                 case 'slg':
                 case 'ops':
                 case 'wpct':
                   $statVal=sprintf("%0.3f",$statVal);
	           break;
	       }
   	      $gNotes.=" (".$stat." on ".$lbl.")";
	      $gNotes.=" did not play any games in the time frame specified, and was therefore omitted.<br/>\n";
   	    }
	 }
   	break;
      case 'teams':
        ## Get Teams in Running
        $query="SELECT team_id,name,nickname,abbr FROM teams WHERE team_id IN ($pList);";
   	if ($_GET['showq']==1) {echo $query;}
	$result=mysql_query($query,$db);
   	while ($row=mysql_fetch_array($result))
	 {
	   $tid=$row['team_id'];
   	   $teams[$tid][1]=1;
	   $teams[$tid]['dispname']=$row['name']." ".$row['nickname'];
	   $teams[$tid]['abbr']=$row['abbr'];
   	   $teams[$tid]['w']=0;
	   $teams[$tid]['l']=0;
   	   $teams[$tid]['cleared']=0;
	 }
        ## Get Data
        switch ($stat)
         {
           case 'over':
           case 'wpct':
             ## Get Team Win Percentage
             $query="SELECT date,home_team,away_team,runs0,runs1 FROM games WHERE game_type=0 AND games.date LIKE '$lgyear%' AND played=1 AND (home_team IN ($pList) OR away_team IN ($pList));";
	     if ($_GET['showq']==1) {echo "$query<br/>\n";}
	     $result=mysql_query($query,$db);
	     if (mysql_num_rows($result))
  	      {
	        while ($row=mysql_fetch_array($result))
                 {
                   unset($tmpdate);
		   $tmpdate=new Date($row['date']);
		   $gdate=$tmpdate->format("z");
   		   if (($zeroStats==1)&&($gdate<=$minDay)&&($scope!='season')) {continue;}

		   $hid=$row['home_team'];
   		   $aid=$row['away_team'];
		   $runsH=$row['runs1'];
   		   $runsA=$row['runs0'];

		   if (($gdate>$maxDay)&&($scope!='season')) {continue;}
   		   if (($gdate>$minDay)&&($scope!='season'))
		    {
		      if (($teams[$hid]['cleared']!=1)&&(isset($teams[$hid][1])))
	               {
	                 unset($teams[$hid]['wpct']);
			 unset($teams[$hid]['over']);
   			 $teams[$hid]['cleared']=1;
		       }
   		      if (($teams[$aid]['cleared']!=1)&&(isset($teams[$aid][1])))
		       {
		         unset($teams[$aid]['wpct']);
			 unset($teams[$aid]['over']);
   			 $teams[$aid]['cleared']=1;
		       }
   		    }

		   if ($runsH>$runsA)   ## Home Team Win
  		    {
                      if (isset($teams[$hid][1]))
                       {
                         $teams[$hid]['w']=$teams[$hid]['w']+1;
			 $g=$teams[$hid]['w']+$teams[$hid]['l'];
   			 $tdata[$hid]['wpct'][$gdate]=$teams[$hid]['w']/$g;
			 $tdata[$hid]['over'][$gdate]=$teams[$hid]['w']-$teams[$hid]['l'];
   		       }
		      if (isset($teams[$aid][1]))
  		       {
	                 $teams[$aid]['l']=$teams[$aid]['l']+1;
			 $g=$teams[$aid]['w']+$teams[$aid]['l'];
   			 $tdata[$aid]['wpct'][$gdate]=$teams[$aid]['w']/$g;
			 $tdata[$aid]['over'][$gdate]=$teams[$aid]['w']-$teams[$aid]['l'];
   		       }
		    }
  		    else                 ## Away Team Win
    	            {
	              if (isset($teams[$hid][1]))
	               {
                         $teams[$hid]['l']=$teams[$hid]['l']+1;
			 $g=$teams[$hid]['w']+$teams[$hid]['l'];
   			 $tdata[$hid]['wpct'][$gdate]=$teams[$hid]['w']/$g;
			 $tdata[$hid]['over'][$gdate]=$teams[$hid]['w']-$teams[$hid]['l'];
      		       }
		      if (isset($teams[$aid][1]))
  		       {
                         $teams[$aid]['w']=$teams[$aid]['w']+1;
			 $g=$teams[$aid]['w']+$teams[$aid]['l'];
   			 $tdata[$aid]['wpct'][$gdate]=$teams[$aid]['w']/$g;
			 $tdata[$aid]['over'][$gdate]=$teams[$aid]['w']-$teams[$aid]['l'];
   		       }
		    }
   		 }
	      }
  	      else
              {
		echo "No data found\n";
		exit;
   	      }
	     break;
           default:
   	     $query="SELECT team_id,date";
	     switch ($stat)
	      {
	        case 'avg': $query.=",SUM(h) as h,SUM(ab) as ab"; break;
		case 'obp': $query.=",SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab"; break;
   		case 'slg': $query.=",SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(ab) as ab"; break;
		case 'ops': $query.=",SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab"; break;
   		case 'era': $query.=",SUM(er) as er,SUM(ip)+SUM(ipf)/3 as ip"; break;
		case 'whip': $query.=",SUM(ha) as ha,SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip"; break;
   		case 'kper9': $query.=",SUM(k) as k,SUM(ip)+SUM(ipf)/3 as ip"; break;
		case 'bbper9': $query.=",SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip"; break;
   		case 'hper9': $query.=",SUM(ha) as ha,SUM(ip)+SUM(ipf)/3 as ip"; break;
		case 'kperbb': $query.=",SUM(k) as k,SUM(bb) as bb"; break;
   		case 'ip': $query.=",SUM(ip)+SUM(ipf)/3 as stat"; break;
		default:
	    	  $query.=",SUM($stat) as stat";
		  break;
   	      }
	     $query.=" FROM (SELECT team_id,g.game_id,g.date,player_id";
   	     switch ($stat)
	      {
	        case 'avg'   : $query.=",h,ab"; break;
		case 'slg'   : $query.=",h,d,t,hr,ab"; break;
   		case 'obp'   : $query.=",h,bb,hp,sf,ab"; break;
		case 'ops'   : $query.=",h,d,t,hr,bb,hp,sf,ab"; break;
   		case 'era'   : $query.=",er,ip,ipf"; break;
		case 'whip'  : $query.=",ha,bb,ip,ipf"; break;
   		case 'kper9' : $query.=",k,ip,ipf"; break;
		case 'bbper9': $query.=",bb,ip,ipf"; break;
   		case 'hper9' : $query.=",ha,ip,ipf"; break;
		case 'kperbb': $query.=",k,bb"; break;
   		case 'ip'    : $query.=",ip,ipf"; break;
		case 'pk'    : $query.=",k as pk"; break;
   		case 'pbb'   : $query.=",bb as pbb"; break;
		case 'pr'    : $query.=",r as pr"; break;
   		case 'php'   : $query.=",hp as php"; break;
		default:
	 	  $query.=",$stat";
		  break;
   	      }
	     $query.=" FROM games as g,players_game_";
   	     switch ($stat)
	      {
	        case 'ab':
	        case 'h':
	        case 'd':
	        case 't':
	        case 'hr':
	        case 'rbi':
	        case 'r':
	        case 'sb':
	        case 'cs':
	        case 'bb':
	        case 'k':
	        case 'sf':
	        case 'sh':
	        case 'ibb':
	        case 'hp':
	        case 'gdp':
	        case 'pa':
	        case 'avg':
	        case 'obp':
	        case 'slg':
	        case 'ops':
	          $query.="batting";
	          break;
	        default: $query.="pitching_stats"; break;
	      }
	     $query.=" as pgs WHERE pgs.game_id=g.game_id AND pgs.team_id IN ($pList) AND game_type=0 AND g.date LIKE '$lgyear%' AND pgs.year=$lgyear) as t1 GROUP BY team_id,date ORDER BY team_id,date;";
	     if ($_GET['showq']==1) {echo "$query<br/>\n";}
	     $result=mysql_query($query,$db);
   	     if (mysql_num_rows($result))
	      {
	        while ($row=mysql_fetch_array($result))
                 {
		   $tid=$row['team_id'];
		   if ($tid!=$prevTID)
   		    {
     		      unset($statVal);
		      unset($h);
   		      unset($d);
		      unset($t);
   		      unset($hr);
		      unset($bb);
   		      unset($hp);
		      unset($sf);
   		      unset($ab);
		      unset($pa);
   		      unset($ip);
		      unset($er);
   		      unset($k);
		      unset($ha);
   		      unset($bb);
		    }

		   unset($tmpdate);
   		   $tmpdate=new Date($row['date']);
		   $gdate=$tmpdate->format("z");

		   if (($zeroStats==1)&&($gdate<=$minDay)&&($scope!='season')) {continue;}
	   	   if (($gdate>$maxDay)&&($scope!='season')) {continue;}
	
		   switch ($stat)
		    {
		      case 'avg':
		        $h=$h+$row['h'];
			$ab=$ab+$row['ab'];
   			if ($ab==0) {$statVal=0;} else {$statVal=$h/$ab;}
			break;
		      case 'obp':
			$h=$h+$row['h'];
   			$bb=$bb+$row['bb'];
			$hp=$hp+$row['hp'];
   			$sf=$sf+$row['sf'];
			$ab=$ab+$row['ab'];
   			$pa=$ab+$bb+$hp+$sf;
			if ($pa==0) {$statVal=0;} else {$statVal=($h+$bb+$hp)/$pa;}
   			break;
	              case 'slg':
   			$h=$h+$row['h'];
			$d=$d+$row['d'];
   			$t=$t+$row['t'];
			$hr=$hr+$row['hr'];
   			$ab=$ab+$row['ab'];
			if ($ab==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab;}
   			break;
	              case 'ops':
   			$h=$h+$row['h'];
			$d=$d+$row['d'];
   			$t=$t+$row['t'];
			$hr=$hr+$row['hr'];
   			$bb=$bb+$row['bb'];
			$hp=$hp+$row['hp'];
   			$sf=$sf+$row['sf'];
			$ab=$ab+$row['ab'];
   			$pa=$ab+$bb+$hp+$sf;
			if ($pa==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab+($h+$bb+$hp)/$pa;}
   			break;
		      case 'era':
   			$er=$er+$row['er'];
			$ip=$ip+$row['ip'];
   			if ($ip==0) {$statVal=0;} else {$statVal=9*$er/$ip;}
			break;
		      case 'whip':
			$ha=$ha+$row['ha'];
   			$bb=$bb+$row['bb'];
			$ip=$ip+$row['ip'];
   			if ($ip==0) {$statVal=0;} else {$statVal=($ha+$bb)/$ip;}
			break;
		      case 'kper9':
			$k=$k+$row['k'];
   			$ip=$ip+$row['ip'];
			if ($ip==0) {$statVal=0;} else {$statVal=9*$k/$ip;}
   			break;
		      case 'bbper9':
   			$bb=$bb+$row['bb'];
			$ip=$ip+$row['ip'];
   			if ($ip==0) {$statVal=0;} else {$statVal=9*$bb/$ip;}
			break;
		      case 'hper9':
			$ha=$ha+$row['ha'];
   			$ip=$ip+$row['ip'];
			if ($ip==0) {$statVal=0;} else {$statVal=9*$ha/$ip;}
   			break;
		      case 'kperbb':
   			$k=$k+$row['k'];
			$bb=$bb+$row['bb'];
			if ($bb==0) {$statVal=0;} else {$statVal=$k/$bb;}
			break;
		      default:
			$statVal=$statVal+$row['stat'];
   			break;
		    }
   		   if ((($gdate>$minDay)&&($gdate<=$maxDay))||($scope=='season')) {$tdata[$tid][$stat][$gdate]=$statVal;}

		   $prevTID=$tid;
   		 }
	      }
  	      else
              {
		echo "No data found\n";
		exit;
	      }
	     break;
   	 }
        ## Convert Team Data to Graph Format
        $xData="";
	$yData="";
   	foreach ($tdata as $tid => $val)
         {
	   $xData.="|".$teams[$tid]['abbr']."^";
	   $yData.="|";
   	   foreach ($tdata[$tid][$stat] as $date => $statData)
     	    {
              $xData.=$date.",";
	      $yData.=$statData.",";
   	    }
	   $xData=trim($xData,"|,");
   	   $yData=trim($yData,"|,");
	 }
        if (count($dispPIDS)>1) {$title=$statArray[$stat]." Comparison";} else {$title=$teams[$tid]['dispname']." (".$statArray[$stat].")";}
   	break;
      default:
   	echo "No data found\n";
	exit;
   	break;
    }
 }  ## END of season mode data collection

## Career Mode
if ($mode=='career')
 {
   switch ($view)
    {
      case 'players':
        ## Generate Legend Text
        $query="SELECT player_id,first_name,last_name,position FROM players WHERE player_id IN ($pList);";
        $result=mysql_query($query,$db);
        while ($row=mysql_fetch_array($result))
         {
	   $pid=$row['player_id'];
	   $fi=$row['first_name'];
  	   $players[$pid]['legend']=$fi[0].". ".$row['last_name'];
	   $players[$pid]['dispname']=$fi." ".$row['last_name'];
  	   $players[$pid]['position']=get_pos($row['position']);
	 }
        $query="SELECT player_id,position FROM players_career_info WHERE player_id IN ($pList);";
        $result=mysql_query($query,$db);
        while ($row=mysql_fetch_array($result))
         {
       	   $pid=$row['player_id'];
	   $players[$pid]['position']=get_pos($row['position']);
  	 }
        foreach ($players as $pid => $val) {$players[$pid]['legend']=$players[$pid]['position']." ".$players[$pid]['legend'];}

        ## Generate Stat Query
        $query="SELECT pcs.player_id,";
        if ($collate=='byYear') {$query.="year,";} else {$query.="(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as year,";}

        switch ($stat)
         {
           case 'avg':
	     $query.="SUM(h) as h,SUM(ab) as ab";
	     break;
          case 'obp':
	     $query.="SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab";
	     break;
	   case 'slg':
	     $query.="SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(ab) as ab";
	     break;
	   case 'ops':
	     $query.="SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab";
	     break;
	   case 'ip':
	     $query.="SUM(ip)+SUM(ipf)/3 as stat";
	     break;
	   case 'era':
	     $query.="SUM(er) as er,SUM(ip)+SUM(ipf)/3 as ip";
	     break;
	   case 'whip':
	     $query.="SUM(ha) as ha,SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip";
	     break;
	   case 'kper9':
	     $query.="SUM(k) as k,SUM(ip)+SUM(ipf)/3 as ip";
	     break;
	   case 'bbper9':
	     $query.="SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip";
	     break;
	   case 'hper9':
	     $query.="SUM(ha) as ha,SUM(ip)+SUM(ipf)/3 as ip";
	     break;
	   case 'kperbb':
	     $query.="SUM(k) as k,SUM(bb) as bb";
	     break;
	   case 'pk':
	     $query.="SUM(k) as stat";
	     break;
	   case 'pbb':
	     $query.="SUM(bb) as stat";
	     break;
	   case 'pvorp':
	     $query.="SUM(vorp) as stat";
	     break;
	   default:
	     $query.="SUM($stat) as stat";
	     break;
         }
	switch ($stat)
  	 {
           case 'ab':
           case 'h':
           case 'd':
	   case 't':
	   case 'hr':
	   case 'rbi':
	   case 'r':
	   case 'sb':
	   case 'cs':
	   case 'bb':
	   case 'k':
	   case 'sf':
	   case 'sh':
	   case 'ibb':
	   case 'hp':
 	   case 'gdp':
	   case 'pa':
	   case 'avg':
	   case 'obp':
	   case 'slg':
	   case 'ops':
    	   case 'vorp':
	     $query.=" FROM players_career_batting_stats as pcs";
             break;
           default:
             $query.=" FROM players_career_pitching_stats as pcs";
             break;
	 }
   	if ($collate=='byAge') {$query.=",players as p WHERE pcs.player_id=p.player_id AND";}
         else {$query.=" WHERE";}
   	$query.=" pcs.league_id=$lgid AND split_id=1 AND pcs.player_id IN ($pList)";
	$query.=" GROUP BY player_id,pcs.year";
   	$query.=" ORDER BY player_id,year;";
   
	##### Get Data #####
	if ($_GET['showq']==1) {echo $query."<br/>\n";}
   	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
  	 {
           while ($row=mysql_fetch_array($result))
            {
	      $pid=$row['player_id'];
	      if ($pid!=$prevPID) 
  	       {
	         unset($statVal);
		 unset($h);
   		 unset($d);
		 unset($t);
   		 unset($hr);
		 unset($bb);
   		 unset($hp);
		 unset($sf);
   		 unset($ab);
		 unset($pa);
   		 unset($ip);
		 unset($er);
   		 unset($k);
		 unset($ha);
   		 unset($bb);
	       }
   	      $yr=$row['year'];

              if (($zeroStats==1)&&($yr<$from)) {continue;}
	   
	      switch ($stat)
	       {
	         case 'avg':
	           if ($scope=='career')
		    {
		      $h=$h+$row['h'];
		      $ab=$ab+$row['ab'];
   		    }
		    else 
  		    {
		      $h=$row['h'];
		      $ab=$row['ab'];
   		    }
		   if ($ab==0) {$statVal=0;} else {$statVal=$h/$ab;}
	   	   break;
 	         case 'obp':
   		   if ($scope=='career')
		    {
		      $h=$h+$row['h'];
		      $bb=$bb+$row['bb'];
   		      $hp=$hp+$row['hp'];
		      $sf=$sf+$row['sf'];
   		      $ab=$ab+$row['ab'];
		    }
  		    else 
		    {
		      $h=$row['h'];
		      $bb=$row['bb'];
   		      $hp=$row['hp'];
		      $sf=$row['sf'];
   		      $ab=$row['ab'];
		    }
   		   $pa=$ab+$bb+$hp+$sf;
		   if ($pa==0) {$statVal=0;} else {$statVal=($h+$bb+$hp)/$pa;}
   		   break;
                 case 'slg':
	           if ($scope=='career')
	 	    {
		      $h=$h+$row['h'];
		      $d=$d+$row['d'];
   		      $t=$t+$row['t'];
		      $hr=$hr+$row['hr'];
   		      $ab=$ab+$row['ab'];
		    }
  		    else 
		    {
		      $h=$row['h'];
		      $d=$row['d'];
   		      $t=$row['t'];
		      $hr=$row['hr'];
   		      $ab=$row['ab'];
		    }
   		   if ($ab==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab;}
		   break;
	         case 'ops':
	           if ($scope=='career')
		    {
		      $h=$h+$row['h'];
		      $d=$d+$row['d'];
   		      $t=$t+$row['t'];
		      $hr=$hr+$row['hr'];
   		      $bb=$bb+$row['bb'];
		      $hp=$hp+$row['hp'];
   		      $sf=$sf+$row['sf'];
		      $ab=$ab+$row['ab'];
   		    }
		    else 
		    {
		      $h=$row['h'];
		      $d=$row['d'];
   		      $t=$row['t'];
		      $hr=$row['hr'];
   		      $bb=$row['bb'];
		      $hp=$row['hp'];
   		      $sf=$row['sf'];
		      $ab=$row['ab'];
   		    }
		   $pa=$ab+$bb+$hp+$sf;
   		   if ($pa==0) {$statVal=0;} else {$statVal=($h+$d+2*$t+3*$hr)/$ab+($h+$bb+$hp)/$pa;}
		   break;
	         case 'era':
	           if ($scope=='career')
		    {
		      $er=$er+$row['er'];
		      $ip=$ip+$row['ip'];
   		    }
		    else 
  		    {
		      $er=$row['er'];
		      $ip=$row['ip'];
   		    }
		   if ($ip==0) {$statVal=0;} else {$statVal=9*$er/$ip;}
	   	   break;
                 case 'whip':
	           if ($scope=='career')
		    {
		      $ha=$ha+$row['ha'];
		      $bb=$bb+$row['bb'];
   		      $ip=$ip+$row['ip'];
		    }
  		    else 
		    {
		      $ha=$row['ha'];
   		      $bb=$row['bb'];
		      $ip=$row['ip'];
   		    }
		   if ($ip==0) {$statVal=0;} else {$statVal=($ha+$bb)/$ip;}
	   	   break;
                 case 'kper9':
	           if ($scope=='career')
		    {
	  	      $k=$k+$row['k'];
		      $ip=$ip+$row['ip'];
   		    }
		    else 
  		    {
	  	      $k=$row['k'];
		      $ip=$row['ip'];
   		    }
		   if ($ip==0) {$statVal=0;} else {$statVal=9*$k/$ip;}
	   	   break;
                 case 'bbper9':
	           if ($scope=='career')
		    {
	  	      $bb=$bb+$row['bb'];
		      $ip=$ip+$row['ip'];
   		    }
		    else 
  		    {
	  	      $bb=$row['bb'];
		      $ip=$row['ip'];
   		    }
		   if ($ip==0) {$statVal=0;} else {$statVal=9*$bb/$ip;}
	   	   break;
                 case 'hper9':
	           if ($scope=='career')
		    {
		      $ha=$ha+$row['ha'];
   		      $ip=$ip+$row['ip'];
		    }
		    else 
		    {
		      $ha=$row['ha'];
		      $ip=$row['ip'];
   		    }
		   if ($ip==0) {$statVal=0;} else {$statVal=9*$ha/$ip;}
	   	   break;
                 case 'kperbb':
	           if ($scope=='career')
		    {
		      $k=$k+$row['k'];
		      $bb=$bb+$row['bb'];
   		    }
		    else 
  		    {
		      $k=$row['k'];
		      $bb=$row['bb'];
   		    }
		   if ($bb==0) {$statVal=0;} else {$statVal=$k/$bb;}
	   	   break;
                 default:
	           if ($scope=='career') {$statVal=$statVal+$row['stat'];}
		    else {$statVal=$row['stat'];}
                   break;
	       }
   	      switch ($stat)
	       {
	         case 'avg':
	         case 'obp':
	         case 'slg':
	         case 'ops':
	         case 'era':
	         case 'whip':
	         case 'kper9':
	         case 'bbper9':
	         case 'hper9':
	         case 'kperbb':
 	           $statVal=sprintf("%.4f",$statVal);
		   break;
	       }
	      if (($yr>=$from)&&($yr<=$to)) {$pdata[$pid][$stat][$yr]=$statVal;}

	      $prevPID=$pid;
	    }
   	 }
	 else
  	 {
           echo "No data found\n";
	   exit;
   	 }
	## Convert Data to Graph Format
	$xData="";
	$yData="";
   	foreach ($pdata as $pid => $val)
	 {
	   $players[$pid]['found']=0;
	   foreach ($pdata[$pid][$stat] as $date => $statData)
  	    {
              if (($date>$maxDay)&&(($scope=='lastX')||($scope=='dRange'))) {continue;}
  	      if ((($scope!='lastX')&&($scope!='dRange'))||($date>$minDay))
	       {
                 if ($players[$pid]['found']==0)
	          {
	            $xData.="|".$players[$pid]['legend']."^";
		    $yData.="|";
   		    $players[$pid]['found']=1;
		  }
   		 $xData.=$date.",";
		 $yData.=$statData.",";
   	       }
	    }
   	   $xData=trim($xData,"|,");
	   $yData=trim($yData,"|,");
   	 }
        if (count($dispPIDS)>1) {$title=$statArray[$stat]." Comparison";} else {$title=$players[$pid]['dispname']." (".$statArray[$stat].")";}
        foreach ($pdata as $pid => $val)
         {
           if ($players[$pid]['found']==0)
	    {
 	      $gNotes.=$players[$pid]['legend'];
	      foreach ($pdata[$pid][$stat] as $tmpDay => $statVal) {1;}
	      $lbl=jdtojulian($tmpDay+1);
	      $tmp=explode("/",$lbl);
   	      $lbl=$tmp[0]."/".$tmp[1];
	      switch ($stat)
  	       {
                 case 'ip':
                   $statVal=sprintf("%0.1f",$statVal);
	           break;
	         case 'era':
	         case 'whip':
	         case 'kper9':
	         case 'bbper9':
	         case 'hper9':
                 case 'kperbb':
                   $statVal=sprintf("%0.2f",$statVal);
	           break;
                 case 'avg':
                 case 'obp':
                 case 'slg':
                 case 'ops':
                 case 'wpct':
                   $statVal=sprintf("%0.3f",$statVal);
	           break;
	       }
	      $gNotes.=" (".$stat." on ".$lbl.")";
   	      $gNotes.=" did not play any games in the time frame specified, and was therefore omitted.<br/>\n";
	    }
   	 }
	break;
      case 'teams':
        ## Generate Legend Text
        $query="SELECT team_id,name,nickname,abbr FROM (SELECT team_id,name,nickname,abbr,year FROM team_history WHERE team_id IN ($pList) AND year>=$from AND year<=$to ORDER BY team_id,year DESC) as t1 GROUP BY team_id;";
	$result=mysql_query($query,$db);
   	while ($row=mysql_fetch_array($result))
         {
           $tid=$row['team_id'];
	   $teams[$tid]['legend']=$row['abbr'];
   	   $teams[$tid]['dispname']=$row['name']." ".$row['nickname'];
	 }

	## Generate Stat Query
	$query="SELECT ths.team_id,year";

        switch ($stat)
         {
      	    case 'wpct':
	      $query.=",w,l";
	      break;
      	    case 'over':
	      $query.=",w-l as stat";
	      break;
	    default:
	      $query.=",SUM($stat) as stat";
	      break;
	 }
   	switch ($stat)
         {
           case 'w':
           case 'l':
           case 'pos':
	   case 'wpct':
	   case 'gb':
	   case 'over':
	     $query.=" FROM team_history_record as ths";
             break;
         }
        $query.=" WHERE ths.league_id=$lgid AND ths.team_id IN ($pList)";
        $query.=" GROUP BY team_id,year";
        $query.=" ORDER BY team_id,year;";

        ## Get Data
        if ($_GET['showq']==1) {echo $query;}
        $result=mysql_query($query,$db);
        if (mysql_num_rows($result))
         {
           while ($row=mysql_fetch_array($result))
	    {
              $tid=$row['team_id'];
	      if ($tid!=$prevTID)
	       {
	         unset($statVal);
	         unset($w);
		 unset($l);
   	       }
	      $yr=$row['year'];

	      if (($zeroStats==1)&&($yr<$from)) {continue;}

	      switch ($stat)
	       {
	         case 'wpct':
	           if ($scope=='career')
		    {
		      $w=$w+$row['w'];
		      $l=$l+$row['l'];
   		    }
		    else 
  		    {
		      $w=$row['w'];
		      $l=$row['l'];
   		    }
		   if (($w+$l)==0) {$statVal=0;} else {$statVal=$w/($w+$l);}
	   	   break;
                 default:
	           if ($scope=='career') {$statVal=$statVal+$row['stat'];}
		    else {$statVal=$row['stat'];}
                   break;
	       }
   	      switch ($stat)
	       {
	         case 'wpct':
 	           $statVal=sprintf("%.4f",$statVal);
		   break;
   	       }
	      if (($yr>=$from)&&($yr<=$to)) {$tdata[$tid][$stat][$yr]=$statVal;}

	      $prevTID=$tid;
   	    }
	 }
   	 else
         {
	   echo "No data found\n";
	   exit;
   	 }

        if (count($dispPIDS)>1) {$title=$statArray[$stat]." Comparison";} else {$title=$teams[$tid]['dispname']." (".$statArray[$stat].")";}

        ## Convert Team Data to Graph Format
        $xData="";
	$yData="";
   	foreach ($tdata as $tid => $val)
         {
           $teams[$tid]['found']=1;
	   $xData.="|".$teams[$tid]['legend']."^";
   	   $yData.="|";
	   foreach ($tdata[$tid][$stat] as $date => $statData)
  	    { 
              $xData.=$date.",";
	      $yData.=$statData.",";
   	    }
	   $xData=trim($xData,"|,");
   	   $yData=trim($yData,"|,");
	 }
   	break;
      default:
   	echo "No data found\n";
	exit;
   	break;
    }
 }  ## END of career mode data collection

if ($_GET['showdata']==1)
 {
   echo $xData."<br/>\n";
   echo $yData."<br/>\n";
 }

##### Draw Graph #####
## Size
$imgW=900;
$imgH=600;

$im = imagecreate($imgW, $imgH);

## Colors
$background_color = imagecolorallocate($im, 255, 255, 255);
$graph_color = imagecolorallocate($im, 220, 220, 220);
$border_color =  imagecolorallocate($im, 0, 0, 0);
$axis_color =  imagecolorallocate($im, 150, 150, 150);
$hatch_color =  imagecolorallocate($im, 190, 190, 190);
$text_color = imagecolorallocate($im, 0, 0, 0);
$white_color = imagecolorallocate($im, 255, 255, 255);
$black_color =  imagecolorallocate($im, 0, 0, 0);
$line_color=array(
	imagecolorallocate($im, 0, 0, 255),      ## Blue
	imagecolorallocate($im, 0, 255, 0),      ## Green
	imagecolorallocate($im, 255, 0, 0),      ## Red
	imagecolorallocate($im, 255, 255, 0),    ## Yellow
	imagecolorallocate($im, 255, 125, 0),    ## Orange
	imagecolorallocate($im, 255, 0, 255),    ## Lavender
	imagecolorallocate($im, 0, 255, 255),    ## Light Blue
	imagecolorallocate($im, 0, 125, 0),      ## Dark Green
	imagecolorallocate($im, 40, 0, 255),     ## Dark Blue
	imagecolorallocate($im, 90, 90, 90),     ## Dark Gray
	imagecolorallocate($im, 125, 0, 0),      ## Burgundy
	imagecolorallocate($im, 125, 0, 255),    ## Purple
	imagecolorallocate($im, 255, 125, 125),  ## Light Orange
	imagecolorallocate($im, 255, 125, 255),  ## Light Pink
	imagecolorallocate($im, 125, 125, 255),  ## Indigo
	imagecolorallocate($im, 0, 0, 255),      ## Blue
	imagecolorallocate($im, 0, 255, 0),      ## Green
	imagecolorallocate($im, 255, 0, 0),      ## Red
	imagecolorallocate($im, 255, 255, 0),    ## Yellow
	imagecolorallocate($im, 255, 125, 0),    ## Orange
	imagecolorallocate($im, 255, 0, 255),    ## Lavender
	imagecolorallocate($im, 0, 255, 255),    ## Light Blue
	imagecolorallocate($im, 0, 125, 0),      ## Dark Green
	imagecolorallocate($im, 40, 0, 255),     ## Dark Blue
	imagecolorallocate($im, 90, 90, 90),     ## Dark Gray
	imagecolorallocate($im, 125, 0, 0),      ## Burgundy
	imagecolorallocate($im, 125, 0, 255),    ## Purple
	imagecolorallocate($im, 255, 125, 125),  ## Light Orange
	imagecolorallocate($im, 255, 125, 255),  ## Light Pink
	imagecolorallocate($im, 125, 125, 255)   ## Indigo
);

$offset=50;

## Basic Structure
imagefilledrectangle($im,0,0,$imgW,$imgH,$background_color);

imagestring($im, 3, floor(($imgW/2)-7*(strlen($title)/2)), 5, $title, $text_color);
imageline($im,0,0,0,$imgH-1,$border_color);
imageline($im,0,0,$imgW-1,0,$border_color);
imageline($im,$imgW-1,0,$imgW-1,$imgH-1,$border_color);
imageline($im,0,$imgH-1,$imgW-1,$imgH-1,$border_color);

## Analyze Data for Limits
$xExp=explode("|",$xData);
for ($i=0;$i<count($xExp);$i++)
 {
   $subexp=explode("^",$xExp[$i]);
   $series[$i]['label']=str_replace("_"," ",$subexp[0]);
   $lenLbl=strlen($subexp[0]);
   if ($lenLbl>$maxLbl) {$maxLbl=$lenLbl;}
   $series[$i]['xData']=$subexp[1];
   $dataexp=explode(",",$subexp[1]);
   for ($j=0;$j<count($dataexp);$j++)
    {
      if (($xMin>$dataexp[$j])||($xMin=="")) {$xMin=$dataexp[$j];}
      if (($xMax<$dataexp[$j])||($xMax=="")) {$xMax=$dataexp[$j];}
    }
 }
$yExp=explode("|",$yData);
for ($i=0;$i<count($yExp);$i++)
 {
   $series[$i]['yData']=$yExp[$i];
   $dataexp=explode(",",$yExp[$i]);
   for ($j=0;$j<count($dataexp);$j++)
    {
      if (($yMin>$dataexp[$j])||($yMin=="")) {$yMin=$dataexp[$j];}
      if (($yMax<$dataexp[$j])||($yMax=="")) {$yMax=$dataexp[$j];}
    }
 }
$yMin=floor(100*$yMin)/100;
$yMax=ceil(100*$yMax)/100;
if ($stat=='over')
 {
   if (abs($yMin)>$yMax) {$yMax=abs($yMin);} else {$yMin=-$yMax;}
 }
if ($yMin==$yMax) {$yMax=$yMin+.1;}

$lenLbl=6*$maxLbl+40;
$legW=max($lenLbl,110);
## Draw Legend
if (count($series)>1)
 {
   $legX=$legW+5-$offset;
   imagefilledrectangle($im,$imgW-$legW,$offset,$imgW-10,$offset+22+15*$i,$graph_color);
   imagerectangle($im,$imgW-$legW,$offset,$imgW-10,$offset+22+15*$i,$hatch_color);
   imagestring($im, 3, $imgW-$legW+5, $offset+5, "Legend", $text_color);
   for ($i=0;$i<count($series);$i++)
    {
      $x2=$imgW-$legW+10;
      $y2=$offset+28+15*$i;
      imageline($im,$x2-7,$y2,$x2+7,$y2,$line_color[$i]);
      imagestring($im, 2, $x2+15, $y2-6, $series[$i]['label'], $text_color);
      switch ($i)
       {
           case 0:
	    case 6:
	    case 12:
	    case 18:
	    case 24: imagefilledrectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	    case 1:
	    case 7:
	    case 13:
	    case 19:
            case 25: imagefilledellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	    case 2:
	    case 8:
	    case 14:
	    case 20:
	    case 26: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagefilledpolygon($im,$vertices,3,$line_color[$i]);break;
	    case 3:
	    case 9:
	    case 15:
	    case 21:
	    case 27: imagerectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	    case 4:
	    case 10:
	    case 16:
	    case 22:
	    case 28: imageellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	    case 5:
	    case 11:
	    case 17:
	    case 23:
	    case 29: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagepolygon($im,$vertices,3,$line_color[$i]);break;
       }
    }
 }
 else {$legX=0;}

$xRate=($imgW-2*$offset-$legX)/($xMax-$xMin);
$yRate=($imgH-2*$offset)/($yMax-$yMin);

## Graph Structure
imagefilledrectangle($im,$offset,$offset,$imgW-$legX-$offset,$imgH-$offset,$graph_color);

imagesetthickness($im,2);
imageline($im,$offset,$offset,$offset,$imgH-$offset,$axis_color);
imageline($im,$offset,$imgH-$offset,$imgW-$legX-$offset,$imgH-$offset,$axis_color);
imagesetthickness($im,1);

## Draw Axis Lines
$yDiff=$yMax-$yMin;
if ($yDiff<=0.05) {$yscale=0.005;}
 elseif ($yDiff<=0.1) {$yscale=0.02;}
 elseif ($yDiff<=0.3) {$yscale=0.05;}
 elseif ($yDiff<=0.5) {$yscale=0.1;}
 elseif ($yDiff<=1) {$yscale=0.2;}
 elseif ($yDiff<=2) {$yscale=0.5;}
 elseif ($yDiff<=5) {$yscale=1;}
 else {$yscale=floor($yDiff/5);}


if (($yMax>0)&&($yMin<0))
 {
   $y1=($imgH-$offset*2)/2+$offset;
   unset($style);
   $style = array($hatch_color,$hatch_color,$graph_color,$graph_color);
   imagesetstyle($im,$style);
   imageline($im,$imgW-$offset-$legX,$y1,$offset-5,$y1,IMG_COLOR_STYLED);
 }
if ($reverseY==1)
 {
   $y1=$offset;
   while ($y1<=($imgH-$offset)) 
    {
      imageline($im,$imgW-$offset-$legX,$y1,$offset-5,$y1,$hatch_color);
      $lbl=$yMin+($y1-$offset)/$yRate;
      switch ($stat)
       {
         case 'era': 
	 case 'whip':
         case 'kper9':
         case 'bbper9':
         case 'hper9':
         case 'kperbb':
           $lbl=sprintf("%.2f",$lbl); break;
         case 'avg': 
         case 'obp': 
         case 'slg': 
	 case 'ops':
	 case 'wpct':
	   $lbl=sprintf("%.3f",$lbl); break;
         default: $lbl=sprintf("%.0f",$lbl); break;
       }
      switch ($lbl)
       {
         case '-0': $lbl='0'; break;
         case '-0.00': $lbl='0.00'; break;
         case '-0.000': $lbl='0.000'; break;
       }
      $xShift=floor(5*strlen($lbl))+10;
      imagestring($im,2,$offset-$xShift,$y1-6,$lbl,$text_color);
      $y1=$y1+$yscale*$yRate;
    }
 }
 else
 {
   $y1=$imgH-$offset;
   while ($offset<=$y1) 
    {
      imageline($im,$imgW-$offset-$legX,$y1,$offset-5,$y1,$hatch_color);
      $lbl=$yMin+($imgH-$offset-$y1)/$yRate;
      switch ($stat)
       {
         case 'era': 
	 case 'whip':
         case 'kper9':
         case 'bbper9':
         case 'hper9':
         case 'kperbb':
           $lbl=sprintf("%.2f",$lbl); break;
         case 'avg': 
         case 'obp': 
         case 'slg': 
	 case 'ops':
	 case 'wpct':
	   $lbl=sprintf("%.3f",$lbl); break;
         default: $lbl=sprintf("%.0f",$lbl); break;
       }
      switch ($lbl)
       {
         case '-0': $lbl='0'; break;
         case '-0.00': $lbl='0.00'; break;
         case '-0.000': $lbl='0.000'; break;
       }
      $xShift=floor(5*strlen($lbl))+10;
      imagestring($im,2,$offset-$xShift,$y1-6,$lbl,$text_color);
      $y1=$y1-$yscale*$yRate;
    }
 }
$xScale=($xMax-$xMin+1)/10;
if ($xScale<1) {$xScale=1;} else {$xScale=floor($xScale);}
for ($i=0;$i<($xMax-$xMin+1);$i++)
 {
   $idx=$i+$xMin;
   if (($i%$xScale)==0) 
    {
       $xpt=$offset+$i*$xRate;
       imageline($im,$xpt,$offset,$xpt,$imgH-$offset+5,$hatch_color);
       $lbl=round(($xpt-$offset)/$xRate,0)+$xMin;
       if ($collate=='moday')
        {
	  $lbl=jdtojulian($lbl+1);
   	  $tmp=explode("/",$lbl);
	  $lbl=$tmp[0]."/".$tmp[1];
	}
       $xShift=floor(4*strlen($lbl)/2);
       imagestring($im,2,$xpt-$xShift,$imgH-$offset+7,$lbl,$text_color);
    }
 }

## Display Axis Titles
switch ($collate)
 {
   case 'byYear': $xLabel='Year'; break;
   case 'byAge': $xLabel='Age'; break;
   case 'moday': $xLabel='Date'; break;
 }
imagestring($im, 2, floor($imgW/2)-40, $imgH-floor($offset/2), $xLabel, $text_color);
imagestringup($im, 2, 10, floor($imgH/2)-10, strtoupper($statArray[$stat]), $text_color);

## Graph Lines
for ($i=0;$i<count($series);$i++)
 {
   $x=explode(",",$series[$i]['xData']);
   $y=explode(",",$series[$i]['yData']);
   $xVal1=$x[0];
   $yVal1=$y[0];
   $x1=$offset+($xVal1-$xMin)*$xRate;
   if ($reverseY==1) 
    {
      $y1=$offset+($yVal1-$yMin)*$yRate;
    }
    else
    {
      $y1=$imgH-$offset-($yVal1-$yMin)*$yRate;
    }
   $x2=$x1;$y2=$y1;
   switch ($i)
    {
         case 0:
	 case 6:
	 case 12:
	 case 18:
	 case 24: imagefilledrectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	 case 1:
	 case 7:
	 case 13:
	 case 19:
         case 25: imagefilledellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	 case 2:
	 case 8:
	 case 14:
	 case 20:
	 case 26: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagefilledpolygon($im,$vertices,3,$line_color[$i]);break;
	 case 3:
	 case 9:
	 case 15:
	 case 21:
	 case 27: imagerectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	 case 4:
	 case 10:
	 case 16:
	 case 22:
	 case 28: imageellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	 case 5:
	 case 11:
	 case 17:
	 case 23:
	 case 29: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagepolygon($im,$vertices,3,$line_color[$i]);break;
    }
   for ($j=0;$j<count($x);$j++)
    {
      unset($style);
      $style = array($line_color[$i]);
      imagesetstyle($im,$style);

      $xVal2=$x[$j];	
      $yVal2=$y[$j];

      $x2=$x1+($xVal2-$xVal1)*$xRate;
      if ($reverseY==1)
       {
         $y2=$y1+($yVal2-$yVal1)*$yRate;
       }
       else
       {
         $y2=$y1-($yVal2-$yVal1)*$yRate;
       }
      imageline($im,$x1,$y1,$x2,$y2,$line_color[$i]);
      switch ($i)
       {
	    case 0:
	    case 6:
	    case 12:
	    case 18:
	    case 24: imagefilledrectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	    case 1:
	    case 7:
	    case 13:
	    case 19:
            case 25: imagefilledellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	    case 2:
	    case 8:
	    case 14:
	    case 20:
	    case 26: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagefilledpolygon($im,$vertices,3,$line_color[$i]);break;
	    case 3:
	    case 9:
	    case 15:
	    case 21:
	    case 27: imagerectangle($im,$x2-3,$y2-3,$x2+3,$y2+3,$line_color[$i]); break;
	    case 4:
	    case 10:
	    case 16:
	    case 22:
	    case 28: imageellipse($im,$x2,$y2,7,7,$line_color[$i]); break;
	    case 5:
	    case 11:
	    case 17:
	    case 23:
	    case 29: $vertices=array($x2,$y2-3,$x2-3,$y2+2,$x2+3,$y2+2);imagepolygon($im,$vertices,3,$line_color[$i]);break;
       }
      $x1=$x2;
      $y1=$y2;
      $xVal1=$xVal2;	
      $yVal1=$yVal2;

      if ((($j+1)==count($x))&&($xVal2!=$xMax)&&($extToEnd==1))
       {
	 $x2=$x1+($xMax-$xVal2)*$xRate;
	 unset($style);
	 $style = array($line_color[$i],$line_color[$i],$line_color[$i],$line_color[$i],$graph_color,$graph_color,$graph_color,$graph_color);
	 imagesetstyle($im,$style);
         imageline($im,$x1,$y1,$x2,$y1,IMG_COLOR_STYLED);
       }
    }
 }

## Save off image
imagepng($im);
imagedestroy($im);
?>
