<?php
session_start();
include "html_functions.php";
check_cookie();

if (!isset($_SESSION['adminpath']))
 {
    if (!set_adminpath())
     {
        echo "ERROR: Unable to find SQL admin path.";
     }
 }
if (!file_exists($_SESSION['adminpath']."/dbopen.php"))
 {
   echo "ERROR: Unable to connect to SQL.  Please verify utility configuration";
 }

include($_SESSION['adminpath']."/dbopen.php");
$err=mysql_error();
if ($err!="") 
 {
   echo "    <p class='error'>\n";
   echo "     MYSQL CONFIG ERROR: $err\n";
   echo "    </p>";
 }

$lgpath=$_SESSION['lgpath'];
$servertz=getenv("TZ");
$adminpath=$_SESSION['adminpath'];
$htmlpath=$_SESSION['htmlpath'];
$showsqlSettings=$_SESSION['showsql'];
##### Check if admin table exists #####
$cwd=getcwd();
$e=explode("/",$cwd);
$maxE=count($e)-1;
$install=$e[$maxE];
$query="SHOW TABLES LIKE 'ootp_sql_admin';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)) 
 {
   $query="SELECT * FROM ootp_sql_admin WHERE install IN ('4dm1n','$install') AND (module='Admin' OR setting='calcLength' OR setting='LastDate');";
   if ($_GET['showq']==1) {echo "$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
         $val=$row['value'];
	 $val=stripslashes($val);
         switch ($field)
          {
	    case 'maxFSize'    : $maxFSize=$val;     break;
	    case 'HTMLRoot'    : $htmlroot=$val;     break;
            case 'HTMLPath'    : $htmlpath=$val;     break;
	    case 'ServerURL'   : $serverurl=$val;    break;
	    case 'timezone'    : $timezone=$val;     break;
	    case 'showAllUsers': $showAllUsers=$val; break;
	    case 'expfilenm'   : $expfilenm=$val;    break;
	    case 'lgfile'      : $lgfile=$val;       break;
	    case 'expfile'     : $expfile=$val;      break;
	    case 'renameFiles' : $renameFiles=$val;  break;
	    case 'priLgID'     : $priLgID=$val;      break;
	    case 'Ratings'     : $ratings=$val;      break;
	    case 'Talents'     : $talents=$val;      break;
	    case 'Others'      : $others=$val;       break;	    
	    case 'asEnable'    : $asEnable=$val;     break;	    
	    case 'awEnable'    : $awEnable=$val;     break;	    
	    case 'cmEnable'    : $cmEnable=$val;     break;	    
	    case 'devEnable'   : $devEnable=$val;    break;	    
	    case 'dftEnable'   : $dftEnable=$val;    break;	    
	    case 'expEnable'   : $expEnable=$val;    break;	    
	    case 'foEnable'    : $foEnable=$val;     break;	    
	    case 'hofEnable'   : $hofEnable=$val;    break;	    
	    case 'lsEnable'    : $lsEnable=$val;     break;	    
	    case 'ratEnable'   : $ratEnable=$val;    break;	    
	    case 'wsEnable'    : $wsEnable=$val;     break;	    

	    case 'LastDate'    : $LastDate=$val;     break;
	    case 'calcLength'  : $calcLength=$val;   break;
	  }
       }
      if ($timezone=="") {$timezone=$servertz;}
      if ($expfilenm===0) {$expfilenm="";}
      if ($lgfile===0) {$lgfile="";}
      if ($expfile===0) {$expfile="";}
      if ($priLgID==0) {$priLgID=100;}
    }

   ##### Check if user table exists #####
   $query="SHOW TABLES LIKE 'ootp_sql_users';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      $query="SELECT COUNT(*) as cnt FROM ootp_sql_users;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      if (($row['cnt']>0)&&($_SESSION['user_is_commish']!=1)) {echo "You must be a commisioner to access this page<br/><a href='./login.php'>Login</a>";exit;}
    }

   ##### Check if regular season games have been played #####
   $query="SHOW TABLES LIKE 'games';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      $lgid=$priLgID;
      if ($lgid=="") {$lgid=100;}
      $date=new Date($_SESSION['lgdate']);
      $year=$date->format("Y");
	
      $query="SELECT game_id FROM games WHERE league_id=$lgid AND played=1 AND game_type=0 LIMIT 1;";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result)) {$REG=1;}
    }
 }
 else
 {
   ##### Create Admin Table #####
   $query="CREATE TABLE IF NOT EXISTS ootp_sql_admin (module VARCHAR(20), install VARCHAR(20), setting VARCHAR(60), value VARCHAR(255), PRIMARY KEY (module, install, setting))";
   $result=mysql_query($query,$db);
 }

$title="Admin";
page_head($title,$lgpath);
echo " <div id='topbar'>\n";

$lgid=$priLgID;
if ($lgid=="") {$lgid=100;}

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav('Admin');

echo " </div>   <!-- END topbar DIV -->\n";
echo " <div id='contentpane'>\n";

##### Error Messages #####
##In Process
$query="SELECT * FROM ootp_sql_admin WHERE module='File Load' AND setting='Load Status';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   $row=mysql_fetch_array($result);
   $err=$row['value'];
   if ($err!="Done")
    {
      echo "    <p class='error'>\n";
      echo "     ".$row['value']."\n";
      echo "    </p>";
    }
 }

##SQL Load Errors
if (isset($_SESSION['loaderr']))
 {
   echo "    <p class='error'>\n";
   echo "     ".$_SESSION['loaderr']."\n";
   echo "    </p>";
   unset($_SESSION['loaderr']);
 }

##### Administrative Button Functions #####
echo "   <div class='textbox' style='float:right;clear:right;width:420px;'>\n";
echo "    <table cellpadding=2 cellspacing=0 style='width:100%'>\n";
echo "     <tr class='title'><td colspan=2>Administrative Functions</td></tr>\n";
echo "     <tr class='headline'><td class='hsc2_l' colspan=2>Load Functions</td></tr>\n";
echo "     <tr class='s1'><td>&nbsp;</td><td>\n";
echo "      <FORM ACTION=\"db_update.php\" METHOD=\"post\">\n";
if ($maxFSize!="") {echo "       <input type='hidden' name='filesize' value='$maxFSize' />\n";}
echo "       <input type='submit' value='Load SQL Files' />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
if ($maxFSize!="")
 {
   echo "     <tr class='s2'>\n";
   if ($_SESSION['fsrun']==1) {unset($_SESSION['fsrun']);echo "      <td>*Run*</td>\n";}
    else {echo "      <td>&nbsp;</td>\n";}
   echo "      <td>\n";
   echo "      <FORM ACTION=\"file_split.php\" METHOD=\"get\">\n";
   echo "       <input type='hidden' name='filename' value='ALL' />\n";
   echo "       <input type='hidden' name='filesize' value='$maxFSize' />\n";
   echo "       <input type='submit' value='Split Files Over Max Size' />\n";
   echo "      </FORM>\n";
   echo "     </td></tr>\n";
   echo "     <tr class='s1'>\n";
   if ($_SESSION['delsrun']==1) {unset($_SESSION['delsrun']);echo "      <td>*Run*</td>\n";}
    else {echo "      <td>&nbsp;</td>\n";}
   echo "      <td>\n";
   echo "      <FORM ACTION=\"file_split.php\" METHOD=\"get\">\n";
   echo "       <input type='hidden' name='filename' value='DELSPLITS' />\n";
   echo "       <input type='submit' value='Delete All Split Files' />\n";
   echo "      </FORM>\n";
   echo "     </td></tr>\n";
 }
echo "     <tr class='headline'><td class='hsc2_l' colspan=2>Post-Load Functions</td></tr>\n";
echo "     <tr class='s2'>\n";
if ($_SESSION['devrun']==1) {unset($_SESSION['devrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"development.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Update Player Development' />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s1'>\n";
if ($_SESSION['cposrun']==1) {unset($_SESSION['cposrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"career_position.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Career Position' />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s2'>\n";
if ($_SESSION['pfrun']==1) {unset($_SESSION['pfrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"parkFactors.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Park Factors'";
if ($REG!=1) {echo " disabled";}
echo " />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s1'>\n";
if ($_SESSION['smrun']==1) {unset($_SESSION['smrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"seasonMetrics.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Season Metrics'";
if ($REG!=1) {echo " disabled";}
echo " />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s2'>\n";
if ($_SESSION['wsrun']==1) {unset($_SESSION['wsrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"winshares.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Win Shares'";
if ($REG!=1) {echo " disabled";}
echo " />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s1'>\n";
if ($_SESSION['cmrun']==1) {unset($_SESSION['cmrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"career.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Career Metrics' />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
echo "     <tr class='s2'>\n";
if ($_SESSION['ssrun']==1) {unset($_SESSION['ssrun']);echo "      <td>*Run*</td>\n";}
 else {echo "      <td>&nbsp;</td>\n";}
echo "      <td>\n";
echo "      <FORM ACTION=\"similarity_scores.php\" METHOD=\"post\">\n";
echo "       <input type='submit' value='Run Similarity Scores' />\n";
echo "      </FORM>\n";
echo "     </td></tr>\n";
$query="SELECT * FROM ootp_sql_admin WHERE module='Widgets' AND install='$install' LIMIT 1;";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   echo "     <tr class='s1'>\n";
   if ($_SESSION['wdgrun']==1) {unset($_SESSION['wdgrun']);echo "      <td>*Run*</td>\n";}
    else {echo "      <td>&nbsp;</td>\n";}
   echo "      <td>\n";
   echo "      <FORM ACTION=\"widget_create.php\" METHOD=\"post\">\n";
   echo "       <input type='submit' value='Generate Widgets' />\n";
   echo "      </FORM>\n";
   echo "     </td></tr>\n";
 }
echo "    </table>\n";
echo "   </div>\n";

##### Admin Settings #####
echo "   <div class='textbox' style='float:left;clear:left;width:500px;'>\n";
echo "   <FORM ACTION=\"save_admin.php\" METHOD=\"post\">\n";
echo "    <table cellpadding=2 cellspacing=0 width='100%'>";
echo "     <TR class='title'><TD colspan=2>General Settings</TD></TR>\n";
echo "     <TR><TD>Maximum SQL File Size (bytes):</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"maxFSize\" value=\"".$maxFSize."\"></TD></TR>\n";
echo "     <TR class='headline'><TD colspan=2>Server Settings</TD></TR>\n";
echo "     <TR><TD>HTML Root:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"HTMLRoot\" value=\"".$htmlroot."\"></TD></TR>\n";
echo "     <TR><TD>HTML Path:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"HTMLPath\" value=\"".$htmlpath."\"></TD></TR>\n";
echo "     <TR><TD>Server URL:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"ServerURL\" value=\"".$serverurl."\"></TD></TR>\n";
$phpver=phpversion();
$phpver=$phpver[0];
if ($phpver>4)
 {
   echo "     <TR><TD>Time Zone For Time Display:</TD><TD>";
   echo "<SELECT name='timezone'>";
   echo "<OPTION name='not_selected'>Use Server Setting</OPTION>";
   $tzones=array('14'=>'Pacific/Kiritimati','12'=>'Pacific/Auckland','11'=>'Pacific/Noumea','10'=>'Australia/Sydney','9'=>'Asia/Tokyo','8'=>'Asia/Shanghai','7'=>'Asia/Bangkok','6'=>'Asia/Bishkek','5.5'=>'Asia/Calcutta','5'=>'Asia/Tashkent','4.5'=>'Asia/Kabul','4'=>'Asia/Dubai','3'=>'Europe/Moscow','2'=>'Europe/Athens','1'=>'Europe/Amsterdam','0'=>'Europe/London','-3'=>'America/Sao_Paolo','-4'=>'America/Halifax','-5'=>'America/New_York','-6'=>'America/Chicago','-7'=>'America/Denver','-8'=>'America/Los_Angeles','-9'=>'America/Anchorage','-10'=>'Pacific/Honolulu','-11'=>'Pacific/Apia');
   foreach ($tzones as $key => $name)
    {
      echo "<OPTION value='$name'";
      if ($name==$timezone) {echo " selected";}
      echo ">$name (UTC";
      if ($key>=0) {echo "+";}
      echo "$key)</OPTION>";
    }
   echo "</SELECT>";
   echo "</TD></TR>\n";
 }
echo "     <TR><TD>Allow Non-GM's To Login:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"showAllUsers\" value=1";
if ($showAllUsers==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR class='headline'><TD colspan=2>Export Tracker Settings</TD></TR>\n";
echo "     <TR><TD>League Name:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"expfilenm\" value=\"".$expfilenm."\"></TD></TR>\n";
echo "     <TR><TD>League File Path:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"lgfile\" value=\"".$lgfile."\"></TD></TR>\n";
echo "     <TR><TD>Export File Path:</TD><TD align='left'><INPUT type=\"text\" size=40 name=\"expfile\" value=\"".$expfile."\"></TD></TR>\n";
echo "     <TR><TD>Files Are Renamed On Import:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"renameFiles\" value=1";
if ($renameFiles==1) {echo " checked='yes'";}
echo "></TD></TR>\n";

echo "     <TR class='headline'><TD colspan=2>OOTP Settings</TD></TR>\n";
echo "     <TR><TD>Primary League ID:</TD><TD><INPUT type=\"text\" size=20 maxchar=3 name=\"priLgID\" value=\"".$priLgID."\"></TD></TR>\n";
$scale=array('Hidden','1-5','2-8','1-10','1-20','20-80','1-100');
echo "     <TR><TD>Actual Ratings Scale:</TD><TD>";
echo "<SELECT name='Ratings'>";
for ($i=0;$i<count($scale);$i++)
 {
   echo "<OPTION value='".$scale[$i]."'";
   if ($scale[$i]==$ratings) {echo " selected";}
   echo ">".$scale[$i]."</OPTION>";
 }
echo "</SELECT>";
echo "</TD></TR>\n";
echo "     <TR><TD>Potential Ratings Scale:</TD><TD>";
echo "<SELECT name='Talents'>";
for ($i=0;$i<count($scale);$i++)
 {
    echo "<OPTION value='".$scale[$i]."'";
    if ($scale[$i]==$talents) {echo " selected";}
    echo ">".$scale[$i]."</OPTION>";
 }
echo "</SELECT>";
echo "</TD></TR>\n";
echo "     <TR><TD>Other Ratings Scale:</TD><TD>";
echo "<SELECT name='Others'>";
for ($i=0;$i<count($scale);$i++)
 {
   echo "<OPTION value='".$scale[$i]."'";
   if ($scale[$i]==$others) {echo " selected";}
   echo ">".$scale[$i]."</OPTION>";
 }
echo "</SELECT>";
echo "</TD></TR>\n";
echo "     <TR><TD>Last SQL Load (YYYY-MM-DD):</TD><TD align='right'>$LastDate</TD><input type='hidden' name='LastDate' value=\"$LastDate\" /></TR>\n";
echo "     <TR><TD>Calculated Sim Length:</TD><TD align='right'>".($calcLength-1)." days</TD><input type='hidden' name='calcLength' value=\"$calcLength\" /></TR>\n";
echo "     <TR class='headline'><TD colspan=2>Enabled Pages</TD></TR>\n";
echo "     <TR><TD>All-Star Voting:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"asEnable\" value=1";
if ($asEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Awards Voting:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"awEnable\" value=1";
if ($awEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Career Metrics:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"cmEnable\" value=1";
if ($cmEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Development:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"devEnable\" value=1";
if ($devEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Draft:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"dftEnable\" value=1";
if ($dftEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Export Tracker:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"expEnable\" value=1";
if ($expEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Front Office:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"foEnable\" value=1";
if ($foEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Hall of Fame Voting:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"hofEnable\" value=1";
if ($hofEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Last Sim:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"lsEnable\" value=1";
if ($lsEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Ratings:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"ratEnable\" value=1";
if ($ratEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";
echo "     <TR><TD>Win Shares:</TD><TD align='left'><INPUT type=\"checkbox\" name=\"wsEnable\" value=1";
if ($wsEnable==1) {echo " checked='yes'";}
echo "></TD></TR>\n";

echo "     <TR><TD></TD><TD><INPUT type=\"submit\" value=\"Save\"></TD></TR>\n";
echo "    </table>";
echo "   </FORM>\n";
echo "   </div>\n";

##### Get Users #####
$query="SHOW TABLES LIKE 'human_managers';";
$result=mysql_query($query,$db);
$query2="SHOW TABLES LIKE 'ootp_sql_users';";
$result2=mysql_query($query2,$db);
if (mysql_num_rows($result)&&mysql_num_rows($result2))
 {
   $query="SELECT hm.human_manager_id,username,t.name,t.nickname,osu.password FROM ootp_sql_users AS osu,human_managers AS hm,teams AS t WHERE osu.human_manager_id=hm.human_manager_id AND hm.team_id=t.team_id ORDER BY last_name,first_name;";
   $query="SELECT hm.human_manager_id,username,t.name,t.nickname,osu.password,first_name,last_name FROM ootp_sql_users AS osu,human_managers AS hm,teams AS t WHERE osu.human_manager_id=hm.human_manager_id AND hm.team_id=t.team_id UNION SELECT hm.human_manager_id,username,IF(is_commish=1,'Commissioner','No team') as name,'' as nickname,osu.password,first_name,last_name FROM ootp_sql_users AS osu,human_managers AS hm WHERE osu.human_manager_id=hm.human_manager_id AND hm.team_id=0 ORDER BY last_name,first_name;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $hmid=$row['human_manager_id'];
      $encPass=$row['password'];
      $name=$row['username']." (".$row['name']." ".$row['nickname'].")";
      $users[$hmid]['pass']=$encPass;
      $users[$hmid]['name']=$name;
    }

   ##### Javascript #####
   echo "<script type='text/javascript'>\n";
   echo "<!--\n";
   include('admin.js');
   echo "-->\n";
   echo "</script>\n";
   
   ##### User Functions #####
   echo "   <div class='textbox' style='float:right;clear:right;width:420px;'>\n";
   echo "    <table cellpadding=2 cellspacing=0 width='100%'>";
   echo "     <TR class='title'><TD colspan=3>User Functions</TD></TR>\n";
   echo "     <tr><td>Login As</td>\n";
   echo "      <td>\n";
   echo "       <form method='post' onsubmit=\"return checkSelect(document.getElementById('loginAsUser'),document.getElementById('loginPass'));\" action='login.php'>\n";
   echo "        <input type='hidden' name='login' value='login'>\n";
   echo "        <input type='hidden' name='password' id='loginPass' value=''>\n";
   echo "        <input type='hidden' name='encrypt' value=1>\n";
   echo "        <select name='username' id='loginAsUser'>\n";
   echo "         <option value=0>Please Select User</option>\n";
   foreach ($users as $hmid => $val)
    {
      echo "         <option value='".$hmid."|".$users[$hmid]['pass']."'>";
      echo $users[$hmid]['name'];
      echo "</option>\n";
    }
   echo "        </select>\n";
   echo "       </td>\n";
   echo "       <td>\n";
   echo "        <input type='submit' value='Go'>\n";
   echo "       </form>\n";
   echo "      </td></tr>\n";
   
   echo "     <tr><td>Reset Password for</td>\n";
   echo "      <td>\n";
   echo "       <form method='post' onsubmit=\"return checkSelect(document.getElementById('chgPassUser'),document.getElementById('oldpass'));\" action='login.php'>\n";
   echo "        <input type='hidden' name='login' value='passReset'>\n";
   echo "        <input type='hidden' name='oldpass' id='oldpass' value=''>\n";
   echo "        <input type='hidden' name='newpass1' value='baseball'>\n";
   echo "        <input type='hidden' name='newpass2' value='baseball'>\n";
   echo "        <input type='hidden' name='encrypt' value=1>\n";
   echo "        <select name='user_id' id='chgPassUser'>\n";
   echo "         <option value=0>Please Select User</option>\n";
   foreach ($users as $hmid => $val)
    {
      echo "         <option value='".$hmid."|".$users[$hmid]['pass']."'>";
      echo $users[$hmid]['name'];
      echo "</option>\n";
    }
   echo "        </select>\n";
   echo "       </td>\n";
   echo "       <td>\n";
   echo "        <input type='submit' value='Go'>\n";
   echo "       </form>\n";
   echo "      </td></tr>\n";
   if (isset($_SESSION['adminerror']))
    {
      echo "      <tr><td>&nbsp;</td><td colspan=2>";
      echo $_SESSION['adminerror'];
      echo "</td></tr>\n";
      unset($_SESSION['adminerror']);
    }
   
   echo "    </table>\n";
   echo "   </div>\n";
 }

##### Last Login Table #####
$query="SELECT setting,value FROM ootp_sql_admin WHERE module='Last Login';";
$result=mysql_query($query,$db);
$gmList="";
if (mysql_num_rows($result)>0)
 {
   while ($row=mysql_fetch_array($result))
    {
      $gmid=$row['setting'];
      $gmTimes[$gmid]=$row['value'];
      $gmList.=",$gmid";
    }
   $gmList=trim($gmList,",");
 }

$query="SELECT human_manager_id,first_name,last_name,organization_id,is_commish,name,nickname,abbr FROM human_managers as hm LEFT JOIN teams as t ON hm.organization_id=t.team_id ORDER BY last_name,first_name;";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)>0)
 {
   echo "   <div class='textbox' style='float:right;clear:right;width:420px;'>\n";
   echo "    <table cellpadding=2 cellspacing=0 style='width:100%'>\n";
   echo "     <tr class='title'><td>GM Login History</td></tr>\n";
   echo "     <tr><td style='padding:0px;'>\n";
   echo "      <table cellpadding=2 cellspacing=0 border=0 style='width:100%' class='sortable'>\n";
   echo "       <thead><tr class='headline'><td class='hsc2_l'>GM</td><td class='hsc2_l'>Team</td><td class='hsc2'>Last Login</td></tr></thead>\n";
   $cnt=0;
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['organization_id'];
      if (($showAllUsers==0)&&($row['is_commish']==0)&&($tid==0)) {continue;}
      $cls='s'.($cnt%2+1);
      $gmid=$row['human_manager_id'];
      echo "       <tr class='$cls'>";
      echo "<td class='".$cls."_l' sorttable_customkey='".$row['last_name'].", ".$row['first_name']."'>".$row['first_name']." ".$row['last_name']."</td>";
      if ($tid==0)
       {
         if ($row['is_commish']==1) {$tname='Commissioner';} else {$tname='No team';}
       }
       else {$tname="<a href='$lgpath/teams/team_$tid.html' title='".$row['name']." ".$row['nickname']."'>".$row['abbr']."</a>";}
      echo "<td class='".$cls."_l'>$tname</td>";
      echo "<td";
      if (isset($gmTimes[$gmid])) 
       {
         $loginTime=$gmTimes[$gmid];
	 echo " sorttable_customkey='$loginTime'>".date("D M j, Y H:i",$loginTime);
       }
       else {echo " sorttable_customkey='0'>Never";}
      echo "</td></tr>\n";
      $cnt++;
    }
   echo "      </table>\n";
   echo "     </td></tr>\n";
   echo "    </table>\n";
   echo "   </div>\n";
 }

##### End Page #####
echo " </div>   <!-- END contentpane DIV -->\n";
page_foot($serverurl.$htmlpath);
?>
