<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");
$lgdateDay=$date->format("z");
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}

$pos='All';
$year=$lgyear;
foreach ($_GET as $key => $val)
 {
   switch ($key)
    {
      case 'view': $view=$val; break;
      case 'collate': $collate=$val; break;
      case 'scope': $scope=$val; break;
      case 'stat': $statlbl=$val; break;
      case 'zeroStats': $zeroStats=$val; break;
      case 'from': $from=$val; break;
      case 'to': $to=$val; break;
      case 'pos': $pos=$val; break;
      case 'year': $year=$val; break;
      case 'pList':
        $e=explode("|",$val);
        for ($i=0;$i<count($e);$i++)
         {
           $id=$e[$i];
	   if (($view=='teams')&&($id!="")) {$dispTIDS[$id]=1;$tidList.="$id,";}
	   elseif (($view=='players')&&($id!="")) {$dispPIDS[$id]=1;$pidList.="$id,";}
	 }
	break;
    }
 }
if (!isset($_GET['stat'])) {$statlbl="";}
if ($collate=="") {$collate='byYear';}
if ($zeroStats=="") {$zeroStats=0;}
if ($scope=="") 
 {
   if ($view=='players') {$scope='career';} else {$scope='season';}
 }
if ($to<$from)
 {
   $tmp=$from;
   $from=$to;
   $to=$tmp;
 }
if ($to=="") 
 {
   if ($collate=='byYear') {$to=$lgyear;} else {$to=100;}
 }
if ($from=="")
 {
   if ($collate=='byYear')
    {
      $query="SELECT MIN(year) as year FROM team_history WHERE league_id=$lgid;";
      if ($_GET['showq']==1) {echo $query."<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         $row=mysql_fetch_array($result);
	 $from=$row['year'];
       }
       else {$from=$lgyear;}
    }
   else {$from=0;}
 }

$pidList=trim($pidList,",");
$tidList=trim($tidList,",");

$title="Historical Graphs";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Career Metrics");
  
echo " </div>   <!-- END topbar DIV -->\n";

echo " <div id='contentpane'>\n";
  
if (!extension_loaded('gd') || (!function_exists('gd_info')) || (!function_exists('imagestring')))
 {
   echo "This page will not function unless GD extension for PHP is installed.";
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }

##### Include Javascript #####
echo "<script type='text/javascript'>\n";
echo "<!--\n";
include('graph.js');
echo "-->\n";
echo "</script>\n";

##### Show Filters #####
echo "  <div class='textbox'>\n";
echo "   <table cellpadding=2 cellspacing=0 border=0 style='min-width:450px;'>\n";
echo "    <tr class='title'><td colspan=5>Settings & Filters</td></tr>\n";
echo "    <tr><form action='./carGraphs.php' method='get'>\n";
## Show Type Selection
echo "     <td><b>View:</b>";
if ($view!="") {echo " (<a href='./carGraphs.php'>Quick Links</a>)";}
echo "</td>\n";
echo "     <td><input type='radio' name='view' value='teams' id='teams'";
if ($view=='teams') {echo " checked='checked'";}
echo "onclick=\"window.location='./carGraphs.php?view=teams'\"></td>";
echo "     <td><label for='teams'>Teams</label></td>";
echo "     <td><input type='radio' name='view' value='players' id='players'";
if ($view=='players') {echo " checked='checked'";}
echo "onclick=\"window.location='./carGraphs.php?view=players'\"></td>";
echo "     <td><label for='players'>Players</label></td>";

echo "    </tr><tr>\n";

## Show Collate Selection
if ($view=='players')
 {
   echo "     <td><b>X-Axis:</b></td>\n";
   echo "     <td><input type='radio' name='collate' value='byYear' id='byYear'";
   if ($collate=='byYear') {echo " checked='checked'";}
   if ($pidList=="") {echo "onclick=\"window.location='./carGraphs.php?view=$view&collate=byYear'\"";}
    else  {echo "onclick=\"if(document.getElementById('to').value<1000){document.getElementById('to').value=$lgyear;}\"";}
   echo "></td>";
   echo "     <td><label for='byYear'>Year</label></td>";
   echo "     <td><input type='radio' name='collate' value='byAge' id='byAge'";
   if ($collate=='byAge') {echo " checked='checked'";}
   if ($pidList=="") {echo "onclick=\"window.location='./carGraphs.php?view=$view&collate=byAge'\"";}
    else  {echo "onclick=\"if(document.getElementById('from').value>1000){document.getElementById('from').value=0;}if(document.getElementById('to').value>1000){document.getElementById('to').value=100;}\"";}
   echo "></td>";
   echo "     <td><label for='byAge'>Player Age</label></td>";

   echo "    </tr><tr>\n";
 }

if (($view=="teams")||($view=='players'))
 {
   ## Show Scope Selection
   echo "     <td><b>Scope:</b></td>\n";
   echo "     <td><input type='radio' name='scope' value='season' id='season'";
   if ($scope=='season') {echo " checked='checked'";}
   echo "></td>";
   echo "     <td><label for='season'>Season Totals</label></td>";
   echo "     <td><input type='radio' name='scope' value='career' id='career'";
   if ($scope=='career') {echo " checked='checked'";}
   echo "></td>";
   echo "     <td><label for='career'>";
   if ($view=='players') {echo "Career";} else {echo "Cumulative";}
   echo " Totals</label></td>";

   echo "    </tr><tr>\n";

   ## Show From/To Entries
   echo "     <td><b>Display ";
   if ($collate=='byAge') {echo "Ages";} else {echo "Years";}
   echo ":</b></td>\n";
   echo "     <td>From</td>\n";
   echo "     <td><INPUT type='text' size=4 maxlength=4 name='from' id='from' value='$from'></td>\n";
   echo "     <td>To</td>\n";
   echo "     <td><INPUT type='text' size=4 maxlength=4 name='to' id='to' value='$to'></td>";

   echo "    </tr><tr>\n";

 }

## Show Stat Filter
switch ($view)
 {
   case 'players':
     ## Show stat filter
     echo "     <td valign='top'><b>Stat:</b></td>\n";
     echo "     <td colspan=4 valign='top'>\n";
     echo "      <select name='stat'>\n";
     $statArray=array('batters'=>'Batters','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','pitchers'=>'Pitchers','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','r'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','era'=>'ERA','whip'=>'WHIP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','kperbb'=>'K/BB');
     foreach ($statArray as $key => $val)
      {
        if (($key=='batters')||($key=='pitchers')) {echo "      <optgroup label='$val'>\n";}
	 else
	 {
	   echo "       <option value='$key'";
	   if ($key==$statlbl) {echo " selected";}
	   echo ">".$val."</option>\n";
     	 }
      }
     echo "      </select>\n";
     echo "     </td>\n";

     echo "    </tr><tr>\n";
     
     ## Zero Stats Option
     echo "     <td><b>Start at Zero</b></td>\n";
     echo "     <td><input type='checkbox' name='zeroStats' id='zeroStats' value=1";
     if ($zeroStats==1) {echo " checked='yes'";}
     echo "></td>\n";
     echo "     <td colspan=3><label for='zeroStats'>Disregard history prior to dataset</label></td>\n";

     echo "    </tr><tr>\n";

     ## Player Filter
     echo "     <td><b>Player Search Filter:</b></td>\n";
     echo "     <td>Position:</td>\n";
     echo "     <td>\n";
     echo "      <select name='pos' id='pos' onchange=\"getPlayerList(2,$lgid,document.getElementById('year').options[document.getElementById('year').selectedIndex].value,document.getElementById('pos').options[document.getElementById('pos').selectedIndex].value);\">\n";
     echo "       <option value='All'>All</option>\n";
     $posArray=array('1'=>'P','2'=>'C','3'=>'1B','4'=>'2B','5'=>'3B','6'=>'SS','7'=>'LF','8'=>'CF','9'=>'RF','10'=>'DH','13'=>'IF','14'=>'CI','15'=>'MI','16'=>'OF');
     foreach ($posArray as $key => $val)
      {
	echo "      <option value='$key'";
     	if ($key==$pos) {echo " selected";}
	echo ">".$val."</option>\n";
      }
     echo "      </select>\n";
     echo "     </td>\n";
     echo "     <td>Played In Year:</td>\n";
     echo "     <td>\n";
     echo "      <select name='year' id='year' onchange=\"getPlayerList(2,$lgid,document.getElementById('year').options[document.getElementById('year').selectedIndex].value,document.getElementById('pos').options[document.getElementById('pos').selectedIndex].value);\">\n";
     echo "       <option value='All'>All</option>\n";
     $query="SELECT MIN(year) as minYr,MAX(year) as maxYr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     for ($i=$row['minYr'];$i<=$row['maxYr'];$i++)
      {
	echo "      <option value='$i'";
     	if ($i==$year) {echo " selected";}
	echo ">$i</option>\n";
      }
     echo "      </select>\n";
     echo "     </td>\n";

     echo "    </tr><tr>\n";

     ## Show player filter
     echo "     <td colspan=2 valign='top'><b>Available Players:</b></td>\n";
     echo "     <td valign='top'>&nbsp;</td>\n";
     echo "     <td colspan=2 valign='top'><b>Included Players:</b></td>\n";
     echo "    </tr><tr>\n";
     echo "     <td colspan=2 valign='top'>\n";
     echo "      <input type='hidden' name='pList' id='pList'/>\n";
     echo "      <select name='player_list' multiple='multiple' size=10 id='player_list'>\n";
     $query="SELECT pci.player_id,first_name,last_name,minYr,maxYr,position FROM players_career_info as pci,(SELECT p.player_id,first_name,last_name,minYr,maxYr FROM players as p,(SELECT player_id,MIN(minYr) as minYr,MAX(maxYr) as maxYr FROM (SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id UNION SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t1 GROUP BY player_id) as t2 WHERE p.player_id=t2.player_id";
     if ($pos!="All")
      {
        $query.=" AND (";
        switch ($pos)
         {
	   case 13: $query.="position IN (3,4,5,6)"; break;
	   case 14: $query.="position IN (3,5)";     break;
	   case 15: $query.="position IN (4,6)";     break;
	   case 16: $query.="position IN (7,8,9)";   break;
	   default: $query.="position=$pos";         break;
	 }
	if ($pidList!="") {$query.=" OR p.player_id IN ($pidList)";}
	$query.=")";
      }
     if ($year!="All")
      {
        $query.=" AND ((minYr<=$year AND maxYr>=$year)";
	if ($pidList!="") {$query.=" OR p.player_id IN ($pidList)";}
	$query.=")";
      }
     $query.=") as t3 WHERE pci.player_id=t3.player_id ORDER BY last_name,first_name,minYr,maxYr;";
     if ($_GET['showq']==1) {echo "$query<br/>\n";}
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result)!=0)
      {
        while ($row=mysql_fetch_array($result))
         {
           $player=$row['player_id'];
	   $name=$row['first_name']." ".$row['last_name'];
	   $fi=$row['first_name'];
	   $fi=$fi[0];
	   $posVal=$row['position'];
	   $posText=get_pos($posVal);
	   $career=$row['minYr']."-".$row['maxYr'];
	   $players[$player]['dispname']=$posText." ".$name;
   	   $players[$player]['legend']=$posText."_".$fi."._".$row['last_name'];
	   $players[$player]['career']=$career;
	   if (($pos!='All')&&($pos!=$posVal)) {continue;}
	   if (($year!="All")&&(($year<$row['minYr'])||($year>$row['maxYr']))) {continue;}
	   echo "       <option value='$player,$posText $name ($career)'>$posText $name ($career)</option>\n";
	 }
      }
     echo "      </select>\n";
     echo "     </td>\n";
     echo "     <td><input type='button' onclick=\"addElem(document.getElementById('player_list'),document.getElementById('id_list'),'Select and add players to graph');\" value='Add' />\n";
     echo "         <br/>\n";
     echo "         <input type='button' onclick=\"remove(document.getElementById('id_list'),'Select and add players to graph');\" value='Remove' /></td>\n";
     echo "     <td colspan=2 valign='top'>\n";
     echo "      <select name='id_list' multiple='multiple' size=10 id='id_list'>\n";
     if (isset($dispPIDS))
      {
	foreach ($dispPIDS as $pid => $val)
         {
	   echo "       <option value='$pid'>".$players[$pid]['dispname']." (".$players[$pid]['career'].")</option>\n";
	 }
      }
     if (count($dispPIDS)==0) {echo "       <option value=0>Select and add players to graph</option>\n";}
     echo "      </select>\n";
     echo "     </td>\n";     
     break;
   case 'teams':
     ## Show stat filter
     echo "     <td valign='top'><b>Stat:</b></td>\n";
     echo "     <td colspan=4 valign='top'>\n";
     echo "      <select name='stat'>\n";
     $statArray=array('batting'=>'Batting','ab'=>'AB','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','r'=>'R','sb'=>'SB','cs'=>'CS','bb'=>'BB','k'=>'K','sf'=>'SF','sh'=>'SH','ibb'=>'IBB','hp'=>'HBP','gdp'=>'GIDP','pa'=>'PA','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','pitching'=>'Pitching','w'=>'W','l'=>'L','s'=>'SV','ip'=>'IP','g'=>'G','gs'=>'GS','gf'=>'GF','cg'=>'CG','sho'=>'SHO','qs'=>'QS','pk'=>'K','pbb'=>'BB','ha'=>'HA','hra'=>'HR','r'=>'R','er'=>'ER','hld'=>'HLD','svo'=>'SVO','bs'=>'BS','da'=>'2BA','ta'=>'3BA','bk'=>'BK','wp'=>'WP','hp'=>'HP','bf'=>'BF','era'=>'ERA','whip'=>'WHIP','kper9'=>'K/9IP','bbper9'=>'BB/9IP','hper9'=>'H/9IP','kperbb'=>'K/BB');
     $statArray=array('record'=>'Record','w'=>'Wins','l'=>'Losses','pos'=>'Finish','wpct'=>'Win%','gb'=>'GB','over'=>'Games over .500');
     foreach ($statArray as $key => $val)
      {
        if (($key=='batting')||($key=='pitching')||($key=='record')) {echo "      <optgroup label='$val'>\n";}
	 else
	 {
	   echo "       <option value='$key'";
	   if ($key==$statlbl) {echo " selected";}
	   echo ">".$val."</option>\n";
     	 }
      }
     echo "      </select>\n";
     echo "     </td>\n";

     echo "    </tr><tr>\n";

     ## Zero Stats Option
     echo "     <td><b>Start at Zero:</b></td>\n";
     echo "     <td><input type='checkbox' name='zeroStats' id='zeroStats' value=1";
     if ($zeroStats==1) {echo " checked='yes'";}
     echo "></td>\n";
     echo "     <td colspan=3><label for='zeroStats'>Disregard history prior to dataset</label></td>\n";

     echo "    </tr><tr>\n";

     ## Show team filter
     echo "     <td colspan=2 valign='top'><b>Available Teams:</b></td>\n";
     echo "     <td valign='top'>&nbsp;</td>\n";
     echo "     <td colspan=2 valign='top'><b>Included Teams:</b></td>\n";
     echo "    </tr><tr>\n";
     echo "     <td colspan=2 valign='top'>\n";
     echo "      <input type='hidden' name='pList' id='pList'/>\n";
     echo "      <select name='team_list' multiple='multiple' size=10 id='team_list'>\n";
     $query="SELECT team_id,name,nickname,abbr,MIN(year) as minYr,MAX(year) as maxYr FROM (SELECT team_id,name,nickname,abbr,year FROM team_history WHERE league_id=$lgid ORDER BY team_id,year DESC) as t1 GROUP BY team_id ORDER BY name,nickname,minYr,maxYr;";
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result)!=0)
      {
        while ($row=mysql_fetch_array($result))
         {
           $team=$row['team_id'];
	   $name=$row['name']." ".$row['nickname'];
	   $abbr=$row['abbr'];
	   $teams[$team]['abbr']=$abbr;
	   $teams[$team]['dispname']=$name;
   	   $teams[$team]['legend']=$abbr;
	   $career=$row['minYr']."-".$row['maxYr'];
	   $teams[$team]['career']=$career;
	   echo "       <option value='$team,$abbr-$name ($career)'>$abbr-$name ($career)</option>\n";
	 }
      }
     echo "      </select>\n";
     echo "     </td>\n";
     echo "     <td><input type='button' onclick=\"addElem(document.getElementById('team_list'),document.getElementById('id_list'),'Select and add teams to graph');\" value='Add' />\n";
     echo "         <br/>\n";
     echo "         <input type='button' onclick=\"remove(document.getElementById('id_list'),'Select and add teams to graph');\" value='Remove' /></td>\n";
     echo "     <td colspan=2 valign='top'>\n";
     echo "      <select name='id_list' multiple='multiple' size=10 id='id_list'>\n";
     if (isset($dispTIDS))
      {
	foreach ($dispTIDS as $team => $val)
         {
	   echo "       <option value='$team'>".$teams[$team]['abbr']."-".$teams[$team]['dispname']." (".$teams[$team]['career'].")</option>\n";
	 }
      }
     if (count($dispTIDS)==0) {echo "       <option value=0>Select and add teams to graph</option>\n";}
     echo "      </select>\n";
     echo "     </td>\n";     
     break;
   default:
     ##### Show canned report links #####
     echo "    <tr class='title'><td colspan=5>Quick Links</td></tr>\n";
     ## Get Subleague Abbreviations and Teams
     $query="SELECT sl.sub_league_id,sl.abbr,team_id FROM sub_leagues as sl,teams as t WHERE sl.league_id=t.league_id AND sl.sub_league_id=t.sub_league_id AND sl.league_id=$lgid AND allstar_team=0 ORDER BY sub_league_id;";
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result)!=0)
      {
        while ($row=mysql_fetch_array($result))
         {
  	   $slid=$row['sub_league_id'];
	   $subleagues[$slid]['abbr']=$row['abbr'];
	   $tid=$row['team_id'];
	   $subleagues[$slid]['teams']=$subleagues[$slid]['teams'].$tid.",";
	 }
      }
     $cnt=0;
     foreach ($subleagues as $slid => $val)
      {
        $subleagues[$slid]['teams']=trim($subleagues[$slid]['teams'],",");
        $cnt++;
      }
     ## Show Links
     echo "    <tr class='headline'><td class='hsc2_l' colspan=2>Leader Graphs</td>";
     echo "<td class='hsc2' colspan=3 style='text-align:center;width=500px'>Top 10</td>";
     echo "</tr>\n";
     $statArray=array('batting'=>'batting','h'=>'H','hr'=>'HR','r'=>'R','rbi'=>'RBI','bb'=>'BB','sb'=>'SB','pitching'=>'pitching','w'=>'W','l'=>'L','s'=>'SV','pk'=>'K');
     foreach ($statArray as $statName => $dispName)
      {
        if (($statName=='batting')||($statName=='pitching'))
         {
           $table=$dispName;
           echo "    <tr><td colspan=5><b>".ucwords($table)."</b></td></tr>\n";
	   continue;
	 }
	if ($statName=='pk') {$statPass='pk';$statName='k';} else {$statPass=$statName;}
        $pList="";
        unset($topPlayers);
        ## Stat Leaders
        echo "    <tr>\n";
	echo "     <td colspan=2>$dispName Leaders</td>\n";
   	$link="./carGraphs.php?view=players&scope=career&stat=$statPass";
	$query="SELECT p.player_id,sum($statName) as $statName FROM players as p,players_career_".$table."_stats as pcb WHERE p.retired=0 AND p.player_id=pcb.player_id AND pcb.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY $statName DESC LIMIT 10;";
   	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	 {
	   $link.="&pList=";
           while ($row=mysql_fetch_array($result))
            {
	      $pid=$row['player_id'];
	      $link.="$pid|";
	      if ((!isset($topPlayers[$pid]))&&(count($topPlayers)<3))
	       {
	         $topPlayers[$pid]=1;
		 $pList.=",$pid";
 	       }
	    }
	   $link=trim($link,"|");
	   echo "     <td><a href='$link'>Active</a></td>\n";
   	 }
	 else {echo "<td>&nbsp;</td>\n";}
   	$link="./carGraphs.php?view=players&scope=career&collate=byAge&stat=$statPass";
	$query="SELECT player_id,sum($statName) as $statName FROM players_career_".$table."_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY $statName DESC LIMIT 10;";
   	$result=mysql_query($query,$db);
	if (mysql_num_rows($result))
	 {
	   $link.="&pList=";
           while ($row=mysql_fetch_array($result))
            {
	      $pid=$row['player_id'];
	      $link.="$pid|";
	      if ((!isset($topPlayers[$pid]))&&(count($topPlayers)<10))
	       {
	         $topPlayers[$pid]=1;
		 $pList.=",$pid";
 	       }
            }
	   $link=trim($link,"|");
           echo "     <td><a href='$link'>Career</a></td>\n";
         }
         else {echo "       <td>&nbsp;</td>\n";}
	$pList=trim($pList,",");
	$link="./carGraphs.php?view=players&scope=career&collate=byAge&stat=$statPass&pList=";
	foreach ($topPlayers as $pid => $val) {$link.="$pid|";}
        $link=trim($link,"|");
        echo "     <td><a href='$link' title='Top 7 Career + Top 3 Active'>Combination</a></td>\n";
	echo "    </tr>\n";
      }
     break;
 }

## Close Filter table
echo "    </tr>\n";
if ($view!="") {echo "    <tr><td colspan=9><input type='submit' onclick=\"moveList(document.getElementById('id_list'),document.getElementById('pList'));\" value='Go' /></form></td></tr>\n";}
echo "   </table>\n";
echo "  </div>\n";

##### Check for settings #####
if (($view=="") || ($statlbl=="") || (($view=='teams')&&($tidList=="")) || (($view=='players')&&($pidList=="")))
 {
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }
 elseif ($_GET['showq']==1) {echo "$view::$statlbl::$pidList::$tidList<br/>\n";}

##### Generate Query and Get Data #####
switch ($view)
 {
   case 'players':
     ##### Statistical Trend #####
     ## Generate Query
     $query="SELECT pcs.player_id,";
     if ($collate=='byYear') {$query.="year,";} else {$query.="(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as year,";}

     switch ($statlbl)
      {
         case 'avg':
	   $query.="SUM(h) as h,SUM(ab) as ab";
           break;
	 case 'obp':
	   $query.="SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab";
	   break;
	 case 'slg':
	   $query.="SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(ab) as ab";
	   break;
	 case 'ops':
	   $query.="SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(ab) as ab";
	   break;
	 case 'ip':
	   $query.="SUM(ip)+SUM(ipf)/3 as stat";
	   break;
	 case 'era':
	   $query.="SUM(er) as er,SUM(ip)+SUM(ipf)/3 as ip";
	   break;
	 case 'whip':
	   $query.="SUM(ha) as ha,SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip";
	   break;
	 case 'kper9':
	   $query.="SUM(k) as k,SUM(ip)+SUM(ipf)/3 as ip";
	   break;
	 case 'bbper9':
	   $query.="SUM(bb) as bb,SUM(ip)+SUM(ipf)/3 as ip";
	   break;
	 case 'hper9':
	   $query.="SUM(ha) as ha,SUM(ip)+SUM(ipf)/3 as ip";
	   break;
	 case 'kperbb':
	   $query.="SUM(k) as k,SUM(bb) as bb";
	   break;
	 case 'pk':
	   $query.="SUM(k) as stat";
	   break;
	 case 'pbb':
	   $query.="SUM(bb) as stat";
	   break;
	 case 'pvorp':
	   $query.="SUM(vorp) as stat";
	   break;
	 default:
	   $query.="SUM($statlbl) as stat";
	   break;
      }
     switch ($statlbl)
      {
        case 'ab':
        case 'h':
        case 'd':
	case 't':
	case 'hr':
	case 'rbi':
	case 'r':
	case 'sb':
	case 'cs':
	case 'bb':
	case 'k':
	case 'sf':
	case 'sh':
	case 'ibb':
	case 'hp':
	case 'gdp':
	case 'pa':
	case 'avg':
	case 'obp':
	case 'slg':
	case 'ops':
    	case 'vorp':
	  $query.=" FROM players_career_batting_stats as pcs";
          break;
        default:
          $query.=" FROM players_career_pitching_stats as pcs";
          break;
      }
     if ($collate=='byAge') {$query.=",players as p WHERE pcs.player_id=p.player_id AND";}
      else {$query.=" WHERE";}
     $query.=" pcs.league_id=$lgid AND split_id=1 AND pcs.player_id IN ($pidList)";
     $query.=" GROUP BY player_id,pcs.year";
     $query.=" ORDER BY player_id,year;";

     ##### Get Data #####
     if ($_GET['showq']==1) {echo $query."<br/>\n";}
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
         {
	   $pid=$row['player_id'];
	   if ($pid!=$prevPID) 
	    {
	      unset($stat);
	      unset($h);
	      unset($d);
	      unset($t);
	      unset($hr);
	      unset($bb);
	      unset($hp);
	      unset($sf);
	      unset($ab);
	      unset($pa);
	      unset($ip);
	      unset($er);
	      unset($k);
	      unset($ha);
	      unset($bb);
	    }
	   $yr=$row['year'];

	   if (($zeroStats==1)&&($yr<$from)) {continue;}
	   
	   switch ($statlbl)
     	    {
              case 'avg':
	        if ($scope=='career')
		 {
		   $h=$h+$row['h'];
		   $ab=$ab+$row['ab'];
		 }
		 else 
		 {
		   $h=$row['h'];
		   $ab=$row['ab'];
 		 }
		if ($ab==0) {$stat=0;} else {$stat=$h/$ab;}
		break;
              case 'obp':
	        if ($scope=='career')
		 {
		   $h=$h+$row['h'];
		   $bb=$bb+$row['bb'];
   		   $hp=$hp+$row['hp'];
		   $sf=$sf+$row['sf'];
   		   $ab=$ab+$row['ab'];
		 }
		 else 
		 {
		   $h=$row['h'];
		   $bb=$row['bb'];
   		   $hp=$row['hp'];
		   $sf=$row['sf'];
   		   $ab=$row['ab'];
		 }
		$pa=$ab+$bb+$hp+$sf;
		if ($pa==0) {$stat=0;} else {$stat=($h+$bb+$hp)/$pa;}
                break;
              case 'slg':
	        if ($scope=='career')
		 {
		   $h=$h+$row['h'];
   		   $d=$d+$row['d'];
		   $t=$t+$row['t'];
   		   $hr=$hr+$row['hr'];
		   $ab=$ab+$row['ab'];
		 }
		 else 
		 {
		   $h=$row['h'];
   		   $d=$row['d'];
		   $t=$row['t'];
   		   $hr=$row['hr'];
		   $ab=$row['ab'];
		 }
     		if ($ab==0) {$stat=0;} else {$stat=($h+$d+2*$t+3*$hr)/$ab;}
                break;
              case 'ops':
	        if ($scope=='career')
		 {
		   $h=$h+$row['h'];
		   $d=$d+$row['d'];
   		   $t=$t+$row['t'];
		   $hr=$hr+$row['hr'];
   		   $bb=$bb+$row['bb'];
		   $hp=$hp+$row['hp'];
   		   $sf=$sf+$row['sf'];
		   $ab=$ab+$row['ab'];
		 }
		 else 
		 {
		   $h=$row['h'];
		   $d=$row['d'];
   		   $t=$row['t'];
		   $hr=$row['hr'];
   		   $bb=$row['bb'];
		   $hp=$row['hp'];
   		   $sf=$row['sf'];
		   $ab=$row['ab'];
		 }
		$pa=$ab+$bb+$hp+$sf;
		if ($pa==0) {$stat=0;} else {$stat=($h+$d+2*$t+3*$hr)/$ab+($h+$bb+$hp)/$pa;}
		break;
	      case 'era':
	        if ($scope=='career')
		 {
		   $er=$er+$row['er'];
   		   $ip=$ip+$row['ip'];
		 }
		 else 
		 {
		   $er=$row['er'];
   		   $ip=$row['ip'];
 		 }
                if ($ip==0) {$stat=0;} else {$stat=9*$er/$ip;}
                break;
              case 'whip':
	        if ($scope=='career')
		 {
		   $ha=$ha+$row['ha'];
   		   $bb=$bb+$row['bb'];
		   $ip=$ip+$row['ip'];
		 }
		 else 
		 {
		   $ha=$row['ha'];
   		   $bb=$row['bb'];
		   $ip=$row['ip'];
		 }
		if ($ip==0) {$stat=0;} else {$stat=($ha+$bb)/$ip;}
		break;
              case 'kper9':
	        if ($scope=='career')
		 {
	  	   $k=$k+$row['k'];
		   $ip=$ip+$row['ip'];
		 }
		 else 
		 {
	  	   $k=$row['k'];
		   $ip=$row['ip'];
		 }
		if ($ip==0) {$stat=0;} else {$stat=9*$k/$ip;}
	     	break;
              case 'bbper9':
	        if ($scope=='career')
		 {
	  	   $bb=$bb+$row['bb'];
		   $ip=$ip+$row['ip'];
		 }
		 else 
		 {
	  	   $bb=$row['bb'];
		   $ip=$row['ip'];
		 }
                if ($ip==0) {$stat=0;} else {$stat=9*$bb/$ip;}
 		break;
              case 'hper9':
	        if ($scope=='career')
		 {
		   $ha=$ha+$row['ha'];
   		   $ip=$ip+$row['ip'];
		 }
		 else 
		 {
		   $ha=$row['ha'];
   		   $ip=$row['ip'];
		 }
     		if ($ip==0) {$stat=0;} else {$stat=9*$ha/$ip;}
                break;
              case 'kperbb':
	        if ($scope=='career')
		 {
		   $k=$k+$row['k'];
   		   $bb=$bb+$row['bb'];
		 }
		 else 
		 {
		   $k=$row['k'];
   		   $bb=$row['bb'];
		 }
                if ($bb==0) {$stat=0;} else {$stat=$k/$bb;}
                break;
              default:
	        if ($scope=='career') {$stat=$stat+$row['stat'];}
		 else {$stat=$row['stat'];}
                break;
	    }
	   switch ($statlbl)
	    {
	      case 'avg':
	      case 'obp':
	      case 'slg':
	      case 'ops':
	      case 'era':
	      case 'whip':
	      case 'kper9':
	      case 'bbper9':
	      case 'hper9':
	      case 'kperbb':
 	        $stat=sprintf("%.4f",$stat);
		break;
	    }
	   if (($yr>=$from)&&($yr<=$to)) {$pdata[$pid][$statlbl][$yr]=$stat;}

	   $prevPID=$pid;
	 }
      }
      else
      {
        echo "<div class='textbox'>No data found</div>\n";
        echo " </div>   <!-- END contentpane DIV -->\n";
        page_foot($lgpath);
        exit;
      }
     ## Convert Data to Graph Format
     $xData="";
     $yData="";
     foreach ($pdata as $pid => $val)
      {
        $players[$pid]['found']=0;
	foreach ($pdata[$pid][$statlbl] as $date => $statData)
	 {
           if (($date>$maxDay)&&(($scope=='lastX')||($scope=='dRange'))) {continue;}
  	   if ((($scope!='lastX')&&($scope!='dRange'))||($date>$minDay))
	    {
              if ($players[$pid]['found']==0)
	       {
	         $xData.="|".$players[$pid]['legend']."^";
	         $yData.="|";
		 $players[$pid]['found']=1;
 	       }
              $xData.=$date.",";
	      $yData.=$statData.",";
	    }
	 }
	$xData=trim($xData,"|,");
	$yData=trim($yData,"|,");
      }
     if (count($dispPIDS)>1) {$title=$statArray[$statlbl]." Comparison";} else {$title=$players[$pid]['dispname']." (".$statArray[$statlbl].")";}
     foreach ($pdata as $pid => $val)
      {
        if ($players[$pid]['found']==0)
	 {
 	   $gNotes.=$players[$pid]['legend'];
           foreach ($pdata[$pid][$statlbl] as $tmpDay => $stat) {1;}
           $lbl=jdtojulian($tmpDay);
	   $tmp=explode("/",$lbl);
	   $lbl=$tmp[0]."/".$tmp[1];
	   switch ($statlbl)
	    {
              case 'ip':
                $stat=sprintf("%0.1f",$stat);
	        break;
	      case 'era':
	      case 'whip':
	      case 'kper9':
	      case 'bbper9':
	      case 'hper9':
              case 'kperbb':
                $stat=sprintf("%0.2f",$stat);
	        break;
              case 'avg':
              case 'obp':
              case 'slg':
              case 'ops':
              case 'wpct':
                $stat=sprintf("%0.3f",$stat);
	        break;
	    }
	   $gNotes.=" (".$stat." on ".$lbl.")";
	   $gNotes.=" did not play any games in the time frame specified, and was therefore omitted.<br/>\n";
	 }
      }
     break;
   case 'teams':
     ##### Statistical Trend #####
     ## Generate Legend Text
     $query="SELECT team_id,name,nickname,abbr FROM (SELECT team_id,name,nickname,abbr,year FROM team_history WHERE team_id IN ($tidList) AND year>=$from AND year<=$to ORDER BY team_id,year DESC) as t1 GROUP BY team_id;";
     if ($_GET['showq']==1) {echo "$query<br/>\n";}
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $tid=$row['team_id'];
	$teams[$tid]['legend2']=$row['abbr'];
      }

     ## Generate Query
     $query="SELECT ths.team_id,year";

     switch ($statlbl)
      {
      	 case 'wpct':
	   $query.=",w,l";
	   break;
      	 case 'over':
	   $query.=",w-l as stat";
	   break;
	 default:
	   $query.=",SUM($statlbl) as stat";
	   break;
      }
     switch ($statlbl)
      {
        case 'w':
        case 'l':
        case 'pos':
	case 'wpct':
	case 'gb':
	case 'over':
	  $query.=" FROM team_history_record as ths";
          break;
      }
     $query.=" WHERE ths.league_id=$lgid AND ths.team_id IN ($tidList)";
     $query.=" GROUP BY team_id,year";
     $query.=" ORDER BY team_id,year;";

     ## Get Data
     if ($_GET['showq']==1) {echo $query;}
     $result=mysql_query($query,$db);
     if (mysql_num_rows($result))
      {
        while ($row=mysql_fetch_array($result))
	 {
           $tid=$row['team_id'];
	   if ($tid!=$prevTID)
	    {
	      unset($stat);
	      unset($w);
	      unset($l);
	    }
	   $yr=$row['year'];

	   if (($zeroStats==1)&&($yr<$from)) {continue;}

	   switch ($statlbl)
     	    {
              case 'wpct':
	        if ($scope=='career')
		 {
		   $w=$w+$row['w'];
		   $l=$l+$row['l'];
		 }
		 else 
		 {
		   $w=$row['w'];
		   $l=$row['l'];
 		 }
		if (($w+$l)==0) {$stat=0;} else {$stat=$w/($w+$l);}
		break;
              default:
	        if ($scope=='career') {$stat=$stat+$row['stat'];}
		 else {$stat=$row['stat'];}
                break;
	    }
	   switch ($statlbl)
	    {
	      case 'wpct':
 	        $stat=sprintf("%.4f",$stat);
		break;
	    }
	   if (($yr>=$from)&&($yr<=$to)) {$tdata[$tid][$statlbl][$yr]=$stat;}

	   $prevTID=$tid;
	 }
      }
      else
      {
        echo "<div class='textbox'>No data found</div>\n";
        echo " </div>   <!-- END contentpane DIV -->\n";
        page_foot($lgpath);
        exit;
      }
     ## Convert Team Data to Graph Format
     $xData="";
     $yData="";
     foreach ($tdata as $tid => $val)
      {
        $teams[$tid]['found']=1;
        $leg=$teams[$tid]['legend'];
        $leg2=$teams[$tid]['legend2'];
	if (strcmp($leg,$leg2)==0)
	 {$xData.="|".$leg2."^";}
	 else
	 {$xData.="|".$leg2."_(".$leg.")^";}
        $yData.="|";
	foreach ($tdata[$tid][$statlbl] as $date => $statData)
	 { 
           $xData.=$date.",";
           $yData.=$statData.",";
	 }
	$xData=trim($xData,"|,");
	$yData=trim($yData,"|,");
      }
     break;
   default:
     echo "<div class='textbox'>No data found</div>\n";
     echo " </div>   <!-- END contentpane DIV -->\n";
     page_foot($lgpath);
     exit;
     break;
 }

if ($_GET['showdata']==1)
 {
   echo $xData."<br/>\n";
   echo $yData."<br/>\n";
 }

##### Draw Graph #####
echo "<div style='clear:left;float:left;margin:10px 0 0 0;'><img src='xyGraph.php?mode=career&league_id=$lgid&view=$view&scope=$scope&from=$from&to=$to&stat=$statlbl&zeroStats=$zeroStats";
if ($view=='teams') {echo "&pList=".str_replace(",","|",$tidList);}
if ($view=='players') {echo "&pList=".str_replace(",","|",$pidList)."&collate=$collate";}
if ($_GET['showq']==1) {echo "&showq=1";}
echo "' /></div>\n";

##### Show Graph Notes #####
if (isset($gNotes))
 {
   echo "<div class='textbox'>\n";
   echo " <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
   echo "  <tr class='title'><td>Notes</td></tr>\n";
   echo "  <tr><td>$gNotes</td></tr>\n";
   echo " </table>\n";
   echo "</div>\n";
 }

##### Show Data Table #####
## Analyze Data for Limits
$xExp=explode("|",$xData);
$yExp=explode("|",$yData);
for ($i=0;$i<count($xExp);$i++)
 {
   $subexp=explode("^",$xExp[$i]);
   $series[$i]['label']=str_replace("_"," ",$subexp[0]);
   $series[$i]['xData']=$subexp[1];
   $dataexp=explode(",",$subexp[1]);
   for ($j=0;$j<count($dataexp);$j++)
    {
      if (($xMin>$dataexp[$j])||($xMin=="")) {$xMin=$dataexp[$j];}
      if (($xMax<$dataexp[$j])||($xMax=="")) {$xMax=$dataexp[$j];}
    }
   $series[$i]['yData']=$yExp[$i];
 }
## Loop through and restructure data
for ($i=0;$i<count($series);$i++)
 {
   $xVals=explode(",",$series[$i]['xData']);
   $yVals=explode(",",$series[$i]['yData']);
   for ($j=0;$j<count($xVals);$j++)
    {
      $idx=$xVals[$j];
      $tableData[$idx][$i]=$tableData[$idx][$i].$yVals[$j].",";
    }
 }
ksort($tableData);
## Show Headers
echo "  <div class='textbox'>\n";
echo "   <table cellpadding=0 cellspacing=0 border=0><tr class='title'><td>Raw data</td></tr><tr><td>\n";
$cnt=count($series);
$tWidth=35+100*$cnt;
$tWidth=max(200,$tWidth);
$tWidth=min(935,$tWidth);
echo "    <table cellpadding=2 cellspacing=0 border=0 width='".$tWidth."px'>\n";
echo "     <thead><tr class='headline'><td class='hsc2_l'>";
if ($collate=='byYear') {echo "Year";} else {echo "Age";}
echo "</td>";
for ($i=0;$i<count($series);$i++)
 {
   echo "<td class='hsc2'>".$series[$i]['label']."</td>";
 }
echo "</tr></thead>\n";
## Create Data Table
$cnt=0;
foreach ($tableData as $key => $val)
 {
   $cls='s'.($cnt%2+1);
   echo "     <tr class='$cls'>";
   echo "<td '".$cls."_l'>$key</td>";

   for ($i=0;$i<count($series);$i++)
    {
      $v=$tableData[$key][$i];
      $v=trim($v,",");
      if ($v=="") {echo "<td>&nbsp;</td>";continue;}
      switch ($statlbl)
       {
         case 'ip':
           echo "<td>".sprintf("%0.1f",$v)."</td>";
	   break;
         case 'era':
         case 'whip':
         case 'kper9':
         case 'bbper9':
         case 'hper9':
         case 'kperbb':
           echo "<td>".sprintf("%0.2f",$v)."</td>";
	   break;
         case 'avg':
         case 'obp':
         case 'slg':
         case 'ops':
         case 'wpct':
           echo "<td>".sprintf("%0.3f",$v)."</td>";
	   break;
         default:
           echo "<td>".$v."</td>";
	   break;
       }
    }
   echo "</tr>\n";
   $cnt++;
 }
echo "    </table>\n";
echo "   </td></tr></table>\n";
echo "  </div>\n";

##### Close Page #####
echo " </div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

?>
