<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");
$htmlpath=$_SESSION['htmlpath'];

$ratScale=$_SESSION['ratings'];
$talScale=$_SESSION['talents'];

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$year=$date->format("Y");
$who=$_POST['who'];
if ($who=="") {$who='batters';}
$view=$_POST['view'];
if ($view=="")
 {
   if (($ratScale==0)&&($talScale==0)) {$view='stats';}
    elseif ($talScale==0) {$view='overall';}
    else {$view='talent';}
 }
$statView=$_POST['statView'];
$statLg=$_POST['statLg'];
if (($statLg!=9)&&($statLg!=10)) {$statLg='All';}
$minPT=$_POST['minPT'];
if (($minPT<0)||($minPT=="")) {$minPT=0;}

if ($_POST['showq']==1) {$_GET['showq']=1;}

$orgid=$_SESSION['user_organization_id'];

$sort1=$_POST['sort1'];
$sort2=$_POST['sort2'];
$sort3=$_POST['sort3'];
$goName='Go';
$sortMeth=$_POST['sortMeth'];
if ($sortMeth=="") {$sortMeth="F";}
if ($sortMeth=="F") {$nextSort="R";$goName='Reverse';} else {$nextSort="F";}
if (($who=='pitchers')||($who>10))
 {
   if (($sort1=="")||($sort1=='contact')||($sort1=='gap')||($sort1=='power')||($sort1=='eye')||($sort1=='strikeouts')||($sort1=='speed')||($sort1=='stealing')||($sort1=='baserunning'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort1='pk';} else {$sort1='stuff';}
    }
   if (($sort2=="")||($sort2=='contact')||($sort2=='gap')||($sort2=='power')||($sort2=='eye')||($sort2=='strikeouts')||($sort2=='speed')||($sort2=='stealing')||($sort2=='baserunning'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort2='era';} else {$sort2='control';}
    }
   if (($sort3=="")||($sort3=='contact')||($sort3=='gap')||($sort3=='power')||($sort3=='eye')||($sort3=='strikeouts')||($sort3=='speed')||($sort3=='stealing')||($sort3=='baserunning'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort3='whip';} else {$sort3='movement';}
    }
 }
 else
 {
   if (($sort1=="")||($sort1=='stuff')||($sort1=='control')||($sort1=='movement')||($sort1=='velocity')||($sort1=='stamina'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort1='h';} else {$sort1='contact';}
    }
   if (($sort2=="")||($sort2=='stuff')||($sort2=='control')||($sort2=='movement')||($sort2=='velocity')||($sort2=='stamina'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort2='hr';} else {$sort2='power';}
    }
   if (($sort3=="")||($sort3=='stuff')||($sort3=='control')||($sort3=='movement')||($sort3=='velocity')||($sort3=='stamina'))
    {
      if (($ratScale==0)&&($talScale==0)) {$sort3='bb';} else {$sort3='eye';}
    }
 }
$sort1key=$sort1;
$sort2key=$sort2;
$sort3key=$sort3;

##### Get Draft Settings #####
$cwd=getcwd();
$e=explode("/",$cwd);
$maxE=count($e)-1;
$instance=$e[$maxE];
$query="SHOW TABLES LIKE 'ootp_sql_admin';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)) 
 {
   $query="SELECT * FROM ootp_sql_admin WHERE module='Draft' AND install='$instance';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
	 $val=$row['value'];
	 $val=stripslashes($val);
         switch ($field)
          {
                case 'nRounds'     :
	    	case 'pauseAuto'   :
	    	case 'setAuto'     : 
	    	case 'autoOpen'    : 
	    	case 'flexTimer'   : 
	    	case 'dStartDt'    : 
	    	case 'dStartTm'    : 
	    	case 'timePick1'   : 
	    	case 'timePick2'   : 
	    	case 'rndSwitch'   : 
	    	case 'timeStart'   : 
	    	case 'timeStop'    : 
	    	case 'pauseWkEnd'  : 
	    	case 'emailList'   : 
		case 'replyList'   : break;
	    	case 'draftEnable' : $draftEnable=$val; break;
	    	case 'timerEnable' : $timerEnable=$val; break;
                case 'dispLimit'   : $dispLimit=$val;   break;
		default            :
                  $flgid=explode("_",$field);
		  $flgid=$flgid[1];  
		  $feeders[$flgid]=$val;
		  break;
          }
       }
    }
 }
if (($dispLimit<0)||($dispLimit=="")) {$dispLimit=200;}

##### Get League Draft Date #####
$query="SELECT draft_date FROM leagues WHERE league_id=$lgid;";
$result=mysql_query($query,$db);
$row=mysql_fetch_array($result);
$draftDate=new Date($row['draft_date']);
$draftYear=$draftDate->format("Y");
$draftDay=$draftDate->format("M-d");

##### Generate Feeder Filter #####
if (isset($feeders))
 {
   $feederFilter="";
   foreach ($feeders as $flgid=>$fage)
    {
      if (($flgid=="")||($fage=="")) {continue;}
      $feederFilter.=" OR (p.league_id=$flgid AND p.draft_league_id=$lgid AND DATEDIFF(CONCAT(YEAR(date_of_birth)+$fage,'-',MONTH(date_of_birth),'-',DAY(date_of_birth)),'".$draftDate->format("Y-m-d")."')<=0)";
    }
 }

##### Display Page Head #####
$title="Amateur Draft Warroom";
page_head($title,$lgpath);
echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Draft Util");

echo " </div>   <!-- END topbar DIV -->\n";
  
##### Include Javascript #####
echo " <script>\n";
echo " <!--\n";
include("draft.js");
include("draftFilterSorts.js");
echo " -->\n";
echo " </script>\n";

echo " <div id='contentpane'>\n";
  
if (!isset($_SESSION['user_organization_id']))
 {
   echo "You must be logged in and in control of a team to access this page.";
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }
if (($draftDate->format("Y-m-d"))<($date->format("Y-m-d")))
 {
   echo "The draft is over";
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }
##### Check for tables #####
$query="SHOW TABLES LIKE 'amateur_draft';";
$result=mysql_query($query,$db);
if (!mysql_num_rows($result))
 {
   ## Close out page
   echo " <p>Draft is not yet configured</p>\n";	 
   echo "</div>   <!-- END contentpane DIV -->\n";
   echo page_foot($lgpath);
   exit;
 }

##### Get Team Settings #####
$hmid=$_SESSION['user_id'];
$query="SELECT auto,auto_list,auto_round_x FROM ootp_sql_users WHERE human_manager_id=$hmid;";
$result=mysql_query($query,$db);
$row=mysql_fetch_array($result);
$auto=$row['auto'];
$autoList=$row['auto_list'];
$autoRnd=$row['auto_round_x'];

##### Get Drafted Players #####
$query="SELECT player_id,pick_overall FROM amateur_draft WHERE league_id=$lgid AND year=$year AND player_id IS NOT NULL;";
$result=mysql_query($query,$db);
$pidList="";
if (mysql_num_rows($result))
 {
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $ovrPick=$row['pick_overall'];
      $drafted[$pid]=$ovrPick;
      $pidList.=",$pid";
    }
   $pidList=trim($pidList,",");
 }

##### Get Draft Eligible Players #####
$ageCol="(".$date->format("Y")."-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'".$date->format("m-d")."')) as age";
$query="SELECT p.player_id,first_name,last_name,$ageCol,position,role,running_ratings_speed,running_ratings_stealing,running_ratings_baserunning FROM players as p WHERE ((draft_eligible=1 AND p.draft_league_id=$lgid)$feederFilter)";
if ($pidList!="") {$query.=" AND player_id NOT IN ($pidList)";}
$query.=";";
$result=mysql_query($query,$db);
unset($pidList);
if (mysql_num_rows($result)!=0)
 {
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $first=$row['first_name'];
      $last=$row['last_name'];
      $full=$first." ".$last;
      $sortname=$last.", ".$first;
      $fi=$first[0];
      $age=$row['age'];
      $pos=$row['position'];
      if ($pos==1)
       {
         $pos=$row['role'];
         $pidList['pitchers'].=",$pid";
         $pidList[$pos].=",$pid";
       }
       else
       {
         $pidList['batters'].=",$pid";
	 $pidList[$pos].=",$pid";

	 $val=$row['running_ratings_speed'];
	 if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	 $dplayers[$pid]['running_ratings_speed']=$val;
	 $val=$row['running_ratings_stealing'];
	 if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	 $dplayers[$pid]['running_ratings_stealing']=$val;
	 $val=$row['running_ratings_baserunning'];
	 if ($val==0) {$val="-";} else {$val=calc_rating($val,2);}
	 $dplayers[$pid]['running_ratings_baserunning']=$val;
       }

      $players[$pid]['name']=$full;
      $players[$pid]['sortname']=$sortname;
      $players[$pid]['pos']=get_pos($pos);
      $players[$pid]['sortpos']=$pos;
      $dplayers[$pid]['age']=$age;
      $dplayers[$pid]['ip']=0;
      $dplayers[$pid]['pa']=0;
    }
   $pidList['batters']=trim($pidList['batters'],",");
   $pidList['pitchers']=trim($pidList['pitchers'],",");
   for($i=2;$i<=13;$i++) {$pidList[$i]=trim($pidList[$i],",");}
 }

##### Check if Current Team's Pick #####
$query="SELECT team_id,pick_overall FROM amateur_draft WHERE league_id=$lgid AND year=$year AND player_id IS NULL ORDER BY pick_overall LIMIT 1;";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   while ($row=mysql_fetch_array($result))
    {
      $teamUp=$row['team_id'];
      $pick_id=$row['pick_overall'];
    }
 }

##### Load Team Draft List #####
$tempList=$_POST['tempList'];
if ($tempList=="")
 {
   $query="SHOW TABLES LIKE 'ootp_sql_draft_list';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      $query="SELECT * FROM ootp_sql_draft_list WHERE human_manager_id=$hmid AND league_id=$lgid AND year=$year ORDER BY porder;";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         while ($row=mysql_fetch_array($result))
          {
            $pid=$row['player_id'];
            if (!isset($drafted[$pid]) && ($pid!="")) {$dlist[$pid]=1;}
          }
       }
    }
 }
 else
 {
   $e=explode("|",$tempList);
   for ($i=0;$i<count($e);$i++)
    {
      $pid=$e[$i];
      if (($pid!="")&&($pid>0)) {$dlist[$pid]=1;}
    }
 }
   
  ##### Show Team Settings #####
  echo " <table cellpadding=0 cellspacing=0 border=0 width=910>\n";
  echo "  <tr><td valign='top'>\n";
  echo "  <div class='tablebox'>\n";
  echo "  <form method='get' action='draftProcess.php'>\n";
  echo "   <input type='hidden' name='action' value='team_settings' />\n";
  echo "   <input type='hidden' name='hmid' value='".$_SESSION['user_id']."' />\n";
  echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
  echo "   <tr class='title'><td colspan=5>Team Settings</td>\n";
  echo "   </tr>\n";
  if (($draftEnable==1)&&($timerEnable==1))
   {
     echo "   <tr class='s2_l'><td colspan=5><div id='countbox'></div></td></tr>\n";
   }
  echo "   <tr>\n";
  echo "    <td colspan=2><b>Draft List</b></td>\n";
  echo "    <td colspan=3><b>Preferences</b></td>\n";
  echo "   </tr>\n";
  echo "   <tr>\n";
  echo "    <td rowspan=5>\n";
  echo "     <input type='hidden' name='dList' id='dList'></input>\n";
  echo "     <select id='draftList' multiple='multiple' size=10 width='100%'>\n";
  if (!isset($dlist)) {echo "      <option value=0>Select a player below</option>\n";}
   else
   {
     $cnt=0;
     foreach ($dlist as $pid => $val)
      {
        $cnt++;
        echo "      <option value=$pid>".$cnt.". ".$players[$pid]['pos']." ".$players[$pid]['name']."</option>\n";
      }
   }
  echo "     </select>\n";
  echo "    </td>\n";
  echo "    <td><input type='button' onclick=\"view(document.getElementById('draftList'),'".$lgpath."/players/player_');\" value='View'></input></td>\n";
  echo "    <td><input type='checkbox' name='auto_list' value=1";
  if ($autoList==1) {echo " checked";}
  echo "></td>\n";
  echo "    <td colspan=2>Auto Draft From List</td>\n";
  echo "   </tr>\n";
  echo "   <tr>\n";
  echo "    <td><input type='button' onclick=\"moveUp(document.getElementById('draftList'));\" value='Up'></input></td>\n";
  echo "    <td><input type='checkbox' name='auto' value=1";
  if ($auto==1) {echo " checked";}
  echo "></td>\n";
  echo "    <td>Auto Draft After Round</td>\n";
  echo "    <td><input type='textbox' size=4 maxlength=2 name='autoRnd' value=$autoRnd></input>\n";
  echo "   </tr>\n";
  echo "   <tr>\n";
  echo "    <td><input type='button' onclick=\"moveDown(document.getElementById('draftList'));\" value='Down'></input></td>\n";
  echo "    <td colspan=3>&nbsp;</td>\n";
  echo "   </tr>\n";
  echo "   <tr>\n";
  echo "    <td><input type='button' onclick=\"remove(document.getElementById('draftList'));\" value='Remove'></input></td>\n";
  echo "    <td colspan=3>&nbsp;</td>\n";
  echo "   </tr>\n";
  echo "   <tr>\n";
  echo "    <td><input type='submit' onclick=\"moveList(document.getElementById('draftList'), document.getElementById('dList'));\" value='Save'></input>\n";
  echo "    <td colspan=3>&nbsp;</td>\n";
  echo "   </tr>\n";
  echo "  </form>\n";
  if (($teamUp==$orgid)&&($draftEnable==1))
   {
     echo "   <tr>\n";
     echo "    <td colspan=2>\n";
     echo "     <form method='get' onsubmit=\"return pickPlayerFromList(document.getElementById('draftList'),document.getElementById('listSelect'));\" action='draftProcess.php'>\n";
     echo "      <input type='hidden' name='action' value='selection'></input>\n";
     echo "      <input type='hidden' name='pick' id='listSelect'></input>\n";
     echo "      <input type='hidden' name='team_id' value=$orgid></input>\n";
     echo "      <input type='hidden' name='pick_id' value=$pick_id></input>\n";
     echo "      <input type='submit' value='Draft From List'></input>\n";
     echo "     </form>\n";
     echo "    </td>\n";
     echo "    <td colspan=3>&nbsp;</td>\n";
     echo "   </tr>\n";
   }
  echo "  </table>\n";  
  echo "</div>\n";
  
  echo "  </td><td width=125>&nbsp;\n";
  echo "  </td><td>\n";
  echo "  </td><td valign='top'>\n";
  
  echo "  <div class='tablebox'>\n";
  echo "     <table cellspacing=0 cellpadding=3>\n";
  echo "      <tr class='title'><td colspan=3>Selections</td></tr>\n";
  echo "      <tr class='headline'><td class='hsc2'>Rnd</td><td class='hsc2'>Pick</td><td class='hsc2_l'>Player</td></tr>\n";
  $query="SELECT round,pick_round,ad.player_id,first_name,last_name,p.position,due_date,due_time FROM amateur_draft as ad LEFT JOIN players as p ON ad.player_id=p.player_id WHERE ad.team_id=$orgid AND ad.year=$year ORDER BY pick_overall;";
  $result=mysql_query($query,$db);
  $cnt=0;
  $tzone=date("T");
  if (mysql_num_rows($result))
   {
     while ($row=mysql_fetch_array($result))
      {
        $cls="s".($cnt%2+1);
        $pid=$row['player_id'];
        if ($pid==-999) {continue;}
        echo "      <tr class='$cls'><td>".$row['round']."</td><td>".$row['pick_round']."</td>";
        if ($pid=="")
         {
  	   if ($timerEnable==1)
	    {
	      $pickText="Due: ".$row['due_date']." ".$row['due_time']." ".$tzone;
              if (($draftEnable==1)&&($firstOpen!=1))
	       {
	         $scriptText="\n<script type=\"text/javascript\">\n";
                 $pickDate=$row['due_date'];
		 $eDate=explode("-",$pickDate);
		 $pickTime=$row['due_time'];
		 $eTime=explode(":",$pickTime);
	    	 $scriptText.="   dateFuture = new Date(".$eDate[0].",".($eDate[1]-1).",".$eDate[2].",".$eTime[0].",".$eTime[1].",0);\n";
	    	 $scriptText.="   countDown(dateFuture,'countbox');   //call when everything has loaded\n";
		 $scriptText.="</script>\n";
		 $firstOpen=1;
	       }
	    }
	    else {$pickText="&nbsp;";}
         }
         else
         {
           $pickText="<a href='$lgpath/players/player_$pid.html'>".get_pos($row['position'])." ".$row['first_name']." ".$row['last_name']."</a>";
         }
        echo "<td class='".$cls."_l'>$pickText</td></tr>\n";
        $cnt++;
      }
   }
   else {echo "      <tr class='s1_l'><td colspan=3>You have no picks</td></tr>\n";}
  echo "     </table>\n";
  echo "</div>\n";

  echo "  </td></tr>\n";
  echo " </table>\n";

##### Filters #####
echo "<div class='tablebox'>\n";
echo " <table cellpadding=0 cellspacing=0 border=0 width='915px'>\n";
echo "  <tr class='title'><td>Action</td><td colspan=10>Filters</td></tr>\n";
echo "  <tr>\n";
echo "   <td rowspan=2 style='border-right:1px solid #AAAAAA;'>\n";
if (($teamUp==$orgid)&&($draftEnable==1))
 {
   echo "   <form method='get' onsubmit=\"return pickPlayer(document.getElementById('plisting'),document.getElementById('selection'));\" action='draftProcess.php'>\n";
   echo "    <input type='hidden' name='action' value='selection'></input>\n";
   echo "    <input type='hidden' name='pick' id='selection'></input>\n";
   echo "    <input type='hidden' name='team_id' value=$orgid></input>\n";
   echo "    <input type='hidden' name='pick_id' value=$pick_id></input>\n";
   echo "    <input type='submit' value='Draft Player'></input>\n";
   echo "   </form>\n";
 }
 else {echo "    <input type='button' onclick=\"addToList(document.getElementById('draftList'),document.getElementById('plisting'));\" value='Add To List'></input>\n";}
echo "   </td>\n";
echo "  <form method='post' action='draftWarroom.php' class='inline'>\n";
  
$query="SELECT team_id,name,nickname FROM teams WHERE level=".$lglvl." AND allstar_team!=1;";
$result=mysql_query($query,$db);
echo "   <td><label for='who'>Who:</label></td>\n";
echo "   <td>\n";
echo "    <select name='who' id='who' onchange=\"whoChange(); document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\"";
echo " title='Position determined by defensive ratings, except for stats view, where it's determined by player setting'";
echo ">\n";
echo "     <option value='batters'";
if ($who=="batters") {echo " selected";}
echo ">Batters</option>\n";
echo "     <option value='pitchers'";
if ($who=="pitchers") {echo " selected";}
echo ">Pitchers</option>\n";
for ($i=2;$i<=13;$i++)
 {
   echo "     <option value=".$i;
   if ($who==$i) {echo " selected";}
   echo ">".get_pos($i)."</option>\n";
 }
echo "    </select>\n";
echo "   </td>\n";
echo "   <td>\n";
echo "    <select name='view' id='view' onchange=\"whoChange(); document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" >\n";
echo "     <option value='overall'";
if ($view=="overall") {echo " selected";}
echo ">Ratings</option>\n";
echo "     <option value='talent'";
if ($view=="talent") {echo " selected";}
echo ">Potential</option>\n";
echo "     <option value='stats'";
if ($view=="stats") {echo " selected";}
echo ">Stats</option>\n";
echo "    </select>\n";
echo "   </td>\n";

## Stats Filter
echo "   <td><label>Stats From:</td>\n";
echo "   <td colspan>\n";
echo "    <select name='statLg' id='statLg' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" title='League level'>\n";
echo "     <option value='All'";
if ($statLg=="All") {echo " selected";}
echo ">All</option>\n";
echo "     <option value='9'";
if ($statLg=="9") {echo " selected";}
echo ">COL</option>\n";
echo "     <option value='10'";
if ($statLg=="10") {echo " selected";}
echo ">HS</option>\n";
echo "    </select>\n";
echo "   </td>\n";
echo "   <td colspan>\n";
echo "    <select name='statView' id='statView' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" title='Stats to display'>\n";
echo "     <option value='career'";
if ($statView=="career") {echo " selected";}
echo ">Career</option>\n";
echo "     <option value='lastyr'";
if ($statView=="lastyr") {echo " selected";}
echo ">Last Year</option>\n";
echo "     <option value='thisyr'";
if ($statView=="thisyr") {echo " selected";}
echo ">This Year</option>\n";
echo "    </select>\n";
echo "   </td>\n";
echo "   <td><label for='minPT'>Min PA/IP:</label></td>\n";
echo "   <td><input type='text' name='minPT' id='minPT' maxlength=4 size=4 value='$minPT' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" title='Minimum playing time for inclusion' /></td>\n";

echo "  </tr><tr>\n";
## Data Sorts
$dataSorts=array('both'=>'Both','age'=>'Age','lvl'=>'Level','batters'=>'Batters','contact'=>'Contact','gap'=>'Gap','power'=>'Power','eye'=>'Eye','strikeouts'=>'Strikeouts','speed'=>'Speed','stealing'=>'Stealing','baserunning'=>'Baserunning','pitchers'=>'Pitchers','stuff'=>'Stuff','control'=>'Control','movement'=>'Movement','velocity'=>'Velocity','stamina'=>'Stamina','bStats'=>'Batter Stats','g'=>'G','ab'=>'AB','r'=>'R','h'=>'H','d'=>'2B','t'=>'3B','hr'=>'HR','rbi'=>'RBI','bb'=>'BB','k'=>'K','sb'=>'SB','cs'=>'CS','avg'=>'AVG','obp'=>'OBP','slg'=>'SLG','ops'=>'OPS','wOBA'=>'wOBA','pStats'=>'Pitcher Stats','w'=>'W','l'=>'L','s'=>'SV','cg'=>'CG','sho'=>'SHO','era'=>'ERA','pg'=>'G','gs'=>'GS','ip'=>'IP','ha'=>'HA','pr'=>'R','er'=>'ER','hra'=>'HR','pbb'=>'BB','pk'=>'K','whip'=>'WHIP','oavg'=>'OAVG','babip'=>'BABIP');
echo "    <td><label for='sort1'>Sort by:</label><input type='hidden' value='$nextSort' name='sortMeth' id='sortMeth' /></td>\n";
echo "    <td>\n";
echo "     <select name='sort1' id='sort1' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" >\n";
foreach ($dataSorts as $key=>$val)
 {
   if (($key=='both')||($key=='batters')||($key=='pitchers')||($key=='bStats')||($key=='pStats')) {echo "      <optgroup label='$val'>\n";}
    else
    {
      echo "      <option value='$key'";
      if ($sort1==$key) {echo " selected";}
      if (($who=='pitchers')||($who>10))
       {
         if (($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning')||($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip'))) {echo " disabled style='color:graytext;'";}
       }
       else
       {
         if (($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina')||($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA'))) {echo " disabled style='color:graytext;'";}
       }
      echo ">$val</option>\n";
    }
 }
echo "     </select>\n";
echo "    </td>\n";
echo "    <td><label for='sort2'>then by:</label></td>\n";
echo "    <td>\n";
echo "     <select name='sort2' id='sort2' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" >\n";
foreach ($dataSorts as $key=>$val)
 {
   if (($key=='both')||($key=='batters')||($key=='pitchers')||($key=='bStats')||($key=='pStats')) {echo "      <optgroup label='$val'>\n";}
    else
    {
      echo "      <option value='$key'";
      if ($sort2==$key) {echo " selected";}
      if (($who=='pitchers')||($who>10))
       {
         if (($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning')||($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip'))) {echo " disabled style='color:graytext;'";}
       }
       else
       {
         if (($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina')||($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA'))) {echo " disabled style='color:graytext;'";}
       }
      echo ">$val</option>\n";
    }
 }
echo "     </select>\n";
echo "    </td>\n";
echo "    <td><label for='sort3'>then by:</label></td>\n";
echo "    <td>\n";
echo "     <select name='sort3' id='sort3' onchange=\"document.getElementById('sortMeth').value='F'; document.getElementById('filterGo').value='Go';\" >\n";
foreach ($dataSorts as $key=>$val)
 {
   if (($key=='both')||($key=='batters')||($key=='pitchers')||($key=='bStats')||($key=='pStats')) {echo "      <optgroup label='$val'>\n";}
    else
    {
      echo "      <option value='$key'";
      if ($sort3==$key) {echo " selected";}
      if (($who=='pitchers')||($who>10))
       {
         if (($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning')||($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip'))) {echo " disabled style='color:graytext;'";}
       }
       else
       {
         if (($key=='stuff')||($key=='control')||($key=='movement')||($key=='velocity')||($key=='stamina')||($key=='w')||($key=='l')||($key=='s')||($key=='cg')||($key=='sho')||($key=='era')||($key=='pg')||($key=='gs')||($key=='ip')||($key=='ha')||($key=='pr')||($key=='er')||($key=='hra')||($key=='pbb')||($key=='pk')||($key=='whip')||($key=='oavg')||($key=='babip')) {echo " disabled style='color:graytext;'";}
	 if (($view=='stats')&&(($key=='contact')||($key=='gap')||($key=='power')||($key=='eye')||($key=='strikeouts')||($key=='speed')||($key=='stealing')||($key=='baserunning'))) {echo " disabled style='color:graytext;'";}
 	  elseif (($view!='stats')&&(($key=='g')||($key=='ab')||($key=='r')||($key=='h')||($key=='d')||($key=='t')||($key=='hr')||($key=='rbi')||($key=='bb')||($key=='k')||($key=='sb')||($key=='cs')||($key=='avg')||($key=='obp')||($key=='slg')||($key=='ops')||($key=='wOBA'))) {echo " disabled style='color:graytext;'";}
       }
      echo ">$val</option>\n";
    }
 }
echo "     </select>\n";
echo "    </td>\n";

## Close Form
echo "   <td colspan=2>\n";
if ($_GET['showq']==1) {echo "    <input type='hidden' name='showq' value=1></input>\n";}
echo "    <input type='hidden' name='tempList' id='tempList'></input>\n";
echo "    <input type='submit' class='submitButton' id='filterGo' onclick=\"moveList(document.getElementById('draftList'), document.getElementById('tempList'));\" value='$goName' />\n";
echo "   </td>\n";
echo "  </form>\n";
echo "  </tr>\n";
echo " </table>\n";
echo "</div>\n";

echo " <form id='plisting'>\n";

##### Get Sort Keys #####
switch ($sort1)
 {
   case 'contact':
   case 'gap':
   case 'power':
   case 'eye':
   case 'strikeouts': $sort1key="batting_ratings_".$view."_".$sort1; break;
   case 'speed':
   case 'stealing':
   case 'baserunning': $sort1key="running_ratings_".$sort1; break;
   case 'stuff':
   case 'control':
   case 'movement': $sort1key="pitching_ratings_".$view."_".$sort1; break;
   case 'velocity':
   case 'stamina': $sort1key="pitching_ratings_misc_".$sort1; break;
   case 'age': $sort1key="age"; break;
   case 'lvl': $sort1key="level_id"; break;
   case 'w':
   case 'l':
   case 'sv':
   case 'cg':
   case 'sho':
   case 'era':
   case 'g':
   case 'gs':
   case 'ip':
   case 'ha':
   case 'r':
   case 'er':
   case 'hra':
   case 'bb':
   case 'k':
   case 'whip':
   case 'oavg':
   case 'babip':
   case 'ab':
   case 'h':
   case 'd':
   case 't':
   case 'hr':
   case 'rbi':
   case 'sb':
   case 'cs':
   case 'avg':
   case 'obp':
   case 'slg':
   case 'ops':
   case 'wOBA':
   case 'pg':
   case 'pr':
   case 'pbb':
   case 'pk':
     $sort1key=$sort1;
     break;
 }
switch ($sort2)
 {
   case 'contact':
   case 'gap':
   case 'power':
   case 'eye':
   case 'strikeouts': $sort2key="batting_ratings_".$view."_".$sort2; break;
   case 'speed':
   case 'stealing':
   case 'baserunning': $sort2key="running_ratings_".$sort2; break;
   case 'stuff':
   case 'control':
   case 'movement': $sort2key="pitching_ratings_".$view."_".$sort2; break;
   case 'velocity':
   case 'stamina': $sort2key="pitching_ratings_misc_".$sort2; break;
   case 'age': $sort2key="age"; break;
   case 'lvl': $sort2key="level_id"; break;
   case 'w':
   case 'l':
   case 'sv':
   case 'cg':
   case 'sho':
   case 'era':
   case 'g':
   case 'gs':
   case 'ip':
   case 'ha':
   case 'r':
   case 'er':
   case 'hra':
   case 'bb':
   case 'k':
   case 'whip':
   case 'oavg':
   case 'babip':
   case 'ab':
   case 'h':
   case 'd':
   case 't':
   case 'hr':
   case 'rbi':
   case 'sb':
   case 'cs':
   case 'avg':
   case 'obp':
   case 'slg':
   case 'ops':
   case 'wOBA':
   case 'pg':
   case 'pr':
   case 'pbb':
   case 'pk':
     $sort2key=$sort2;
     break;
 }
switch ($sort3)
 {
   case 'contact':
   case 'gap':
   case 'power':
   case 'eye':
   case 'strikeouts': $sort3key="batting_ratings_".$view."_".$sort3; break;
   case 'speed':
   case 'stealing':
   case 'baserunning': $sort3key="running_ratings_".$sort3; break;
   case 'stuff':
   case 'control':
   case 'movement': $sort3key="pitching_ratings_".$view."_".$sort3; break;
   case 'velocity':
   case 'stamina': $sort3key="pitching_ratings_misc_".$sort3; break;
   case 'age': $sort3key="age"; break;
   case 'lvl': $sort3key="level_id"; break;
   case 'w':
   case 'l':
   case 'sv':
   case 'cg':
   case 'sho':
   case 'era':
   case 'g':
   case 'gs':
   case 'ip':
   case 'ha':
   case 'r':
   case 'er':
   case 'hra':
   case 'bb':
   case 'k':
   case 'whip':
   case 'oavg':
   case 'babip':
   case 'ab':
   case 'h':
   case 'd':
   case 't':
   case 'hr':
   case 'rbi':
   case 'sb':
   case 'cs':
   case 'avg':
   case 'obp':
   case 'slg':
   case 'ops':
   case 'wOBA':
   case 'pg':
   case 'pr':
   case 'pbb':
   case 'pk':
     $sort3key=$sort3;
     break;
 }

##### Ratings #####
if ($view=="talent") {$pview="_talent";} else {$pview="";}
if (($who=="pitchers") || ($who>10))
 {
   #Show Pitchers
   if ($view!='stats')
    {
      $query="SELECT 'pick',player_id,pitching_ratings_".$view."_stuff,pitching_ratings_".$view."_control,pitching_ratings_".$view."_movement,pitching_ratings_misc_velocity,pitching_ratings_misc_stamina,pitching_ratings_pitches".$pview."_fastball,pitching_ratings_pitches".$pview."_slider,pitching_ratings_pitches".$pview."_curveball,pitching_ratings_pitches".$pview."_screwball,pitching_ratings_pitches".$pview."_forkball,pitching_ratings_pitches".$pview."_changeup,pitching_ratings_pitches".$pview."_sinker,pitching_ratings_pitches".$pview."_splitter,pitching_ratings_pitches".$pview."_knuckleball,pitching_ratings_pitches".$pview."_cutter,pitching_ratings_pitches".$pview."_circlechange,pitching_ratings_pitches".$pview."_knucklecurve,pitching_ratings_misc_ground_fly FROM players_pitching WHERE";
      if ((is_numeric($who))&&($pidList[$who]!="")) {$query.=" player_id IN (".$pidList[$who].")";}
       elseif ((!is_numeric($who))&&($pidList['pitchers']!="")) {$query.=" player_id IN (".$pidList['pitchers'].")";}
       else {$query.=" player_id IS NULL";}
      $colnames="Select|Player|Age|Role|Stuff|Control|Movement|Velocity|Stamina|Fst|Sld|Crv|Scw|Frk|Chg|Snk|Spl|Knk|Cut|CCh|KCv|GB%";
      $fields=Array('pick','player_id','age','pos','pitching_ratings_'.$view.'_stuff','pitching_ratings_'.$view.'_control','pitching_ratings_'.$view.'_movement','pitching_ratings_misc_velocity','pitching_ratings_misc_stamina','pitching_ratings_pitches'.$pview.'_fastball','pitching_ratings_pitches'.$pview.'_slider','pitching_ratings_pitches'.$pview.'_curveball','pitching_ratings_pitches'.$pview.'_screwball','pitching_ratings_pitches'.$pview.'_forkball','pitching_ratings_pitches'.$pview.'_changeup','pitching_ratings_pitches'.$pview.'_sinker','pitching_ratings_pitches'.$pview.'_splitter','pitching_ratings_pitches'.$pview.'_knuckleball','pitching_ratings_pitches'.$pview.'_cutter','pitching_ratings_pitches'.$pview.'_circlechange','pitching_ratings_pitches'.$pview.'_knucklecurve','pitching_ratings_misc_ground_fly');
    }
    else
    {
      $query="SELECT 'pick',player_id,level_id,SUM(w) as w,SUM(l) as l,SUM(s) as s,SUM(cg) as cg,SUM(sho) as sho,if((SUM(ip)+(SUM(ipf)/3))=0,0,9*SUM(er)/(SUM(ip)+(SUM(ipf)/3))) as era,SUM(g) as pg,SUM(gs) as gs,(SUM(ip)+(SUM(ipf)/3)) as ip,SUM(ha) as ha,SUM(r) as pr,SUM(er) as er,SUM(hra) as hra,SUM(bb) as pbb,SUM(k) as pk,if((SUM(ip)+(SUM(ipf)/3))=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+(SUM(ipf)/3))) as whip,if(SUM(ab)=0,0,SUM(ha)/SUM(ab)) as oavg,if((SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))=0,0,(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))) as babip";
      $query.=" FROM players_career_pitching_stats WHERE";
      if ((is_numeric($who))&&($pidList[$who]!="")) {$query.=" player_id IN (".$pidList[$who].")";}
       elseif ((!is_numeric($who))&&($pidList['pitchers']!="")) {$query.=" player_id IN (".$pidList['pitchers'].")";}
       else {$query.=" player_id IS NULL";}
      if ($statView=='lastyr') {$query.=" AND year=".($year-1);}
      if ($statView=='thisyr') {$query.=" AND year=$year";}
      if ($statLg!='All') {$query.=" AND level_id=$statLg";}
      $query.=" AND split_id=1";
      $query.=" GROUP BY player_id";
      $colnames="Select|Player|Age|Role|Lvl|W|L|SV|CG|SHO|ERA|G|GS|IP|HA|R|ER|HR|BB|K|WHIP|OAVG|BABIP";
      $fields=Array('pick','player_id','age','pos','level_id','w','l','s','cg','sho','era','pg','gs','ip','ha','pr','er','hra','pbb','pk','whip','oavg','babip');
    }
 }
 else
 {
   #Show Batters
   if ($view!='stats')
    {
      $query="SELECT 'pick',pb.player_id,batting_ratings_".$view."_contact,batting_ratings_".$view."_gap,batting_ratings_".$view."_power,batting_ratings_".$view."_eye,batting_ratings_".$view."_strikeouts,fielding_rating_pos2,fielding_rating_pos3,fielding_rating_pos4,fielding_rating_pos5,fielding_rating_pos6,fielding_rating_pos7,fielding_rating_pos8,fielding_rating_pos9,fielding_ratings_catcher_arm,fielding_ratings_infield_arm,fielding_ratings_outfield_arm";
      $query.=" FROM players_batting as pb,players_fielding as pf WHERE pf.player_id=pb.player_id";
      if ((is_numeric($who))&&($who<10)&&($pidList['batters']!="")) {$query.=" AND pf.fielding_rating_pos".$who.">0 AND pb.player_id IN (".$pidList['batters'].")";}
       elseif (($who==10)&&($pidList[$who]!="")) {$query.=" AND pb.player_id IN (".$pidList[10].")";}
       elseif ((!is_numeric($who))&&($pidList['batters']!="")) {$query.=" AND pb.player_id IN (".$pidList['batters'].")";}
       else {$query.=" AND pb.player_id IS NULL";}
      $colnames="Select|Player|Age|Position|Contact|Gap|Power|Eye|Avoid K's|Sp|Sta|BR|C|1B|2B|3B|SS|LF|CF|RF|C Arm|IF Arm|OF Arm";
      $fields=Array('pick','player_id','age','pos','batting_ratings_'.$view.'_contact','batting_ratings_'.$view.'_gap','batting_ratings_'.$view.'_power','batting_ratings_'.$view.'_eye','batting_ratings_'.$view.'_strikeouts','running_ratings_speed','running_ratings_stealing','running_ratings_baserunning','fielding_rating_pos2','fielding_rating_pos3','fielding_rating_pos4','fielding_rating_pos5','fielding_rating_pos6','fielding_rating_pos7','fielding_rating_pos8','fielding_rating_pos9','fielding_ratings_catcher_arm','fielding_ratings_infield_arm','fielding_ratings_outfield_arm');
    }
    else
    {
      $query="SELECT 'pick',player_id,level_id,SUM(g) as g,SUM(ab) as ab,SUM(r) as r,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(bb) as bb,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as slg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)) as ops,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA,SUM(pa) as pa";
      $query.=" FROM players_career_batting_stats WHERE";
      if ((is_numeric($who))&&($pidList[$who]!="")) {$query.=" player_id IN (".$pidList[$who].")";}
       elseif ((!is_numeric($who))&&($pidList['batters']!="")) {$query.=" player_id IN (".$pidList['batters'].")";}
       else {$query.=" player_id IS NULL";}
      if ($statView=='lastyr') {$query.=" AND year=".($year-1);}
      if ($statView=='thisyr') {$query.=" AND year=$year";}
      if ($statLg!='All') {$query.=" AND level_id=$statLg";}
      $query.=" AND split_id=1";
      $query.=" GROUP BY player_id";
      $colnames="Select|Player|Age|Role|Lvl|G|AB|R|H|2B|3B|HR|RBI|BB|K|SB|CS|AVG|OBP|SLG|OPS|wOBA";
      $fields=Array('pick','player_id','age','pos','level_id','g','ab','r','h','d','t','hr','rbi','bb','k','sb','cs','avg','obp','slg','ops','wOBA');
    }
 }

  ##### Post Query Processing #####
  if ($_GET['showq']==1) {echo $query;}
  $result=mysql_query($query,$db);
  $rowCnt=mysql_num_rows($result);
  $numFields=mysql_num_fields($result);
  while ($row=mysql_fetch_array($result))
   {
     $pid=$row['player_id'];
     $players[$pid]['found']=1;
     for ($i=0;$i<$numFields;$i++)
      {
        $fieldname=mysql_field_name($result,$i);
        $val=$row[$fieldname];

	if (($view=='overall')&&(strpos($fieldname,'_talent_')>0)) {continue;}
        if (($view=='talent')&&((strpos($fieldname,'_overall_')>0)||(strpos($fieldname,'_pitches_f')>0)||(strpos($fieldname,'_pitches_s')>0)||(strpos($fieldname,'_pitches_c')>0)||(strpos($fieldname,'_pitches_k')>0))) {continue;}
	   
	switch ($fieldname)
	 {
           case 'batting_ratings_overall_contact':
           case 'batting_ratings_overall_gap':
           case 'batting_ratings_overall_power':
           case 'batting_ratings_overall_eye':
           case 'batting_ratings_overall_strikeouts':
      	   case 'pitching_ratings_overall_stuff':
	   case 'pitching_ratings_overall_control':
           case 'pitching_ratings_overall_movement':
	     $val=calc_rating($val);
	     break;
           case 'pitching_ratings_pitches_fastball':
           case 'pitching_ratings_pitches_slider':
           case 'pitching_ratings_pitches_curveball':
           case 'pitching_ratings_pitches_screwball':
           case 'pitching_ratings_pitches_forkball':
           case 'pitching_ratings_pitches_changeup':
           case 'pitching_ratings_pitches_sinker':
           case 'pitching_ratings_pitches_splitter':
           case 'pitching_ratings_pitches_knuckleball':
           case 'pitching_ratings_pitches_cutter':
           case 'pitching_ratings_pitches_circlechange':
           case 'pitching_ratings_pitches_knucklecurve':
	     if ($val==0) {$val="-";} else {$val=calc_rating($val);}
	     break;
           case 'batting_ratings_talent_contact':
           case 'batting_ratings_talent_gap':
           case 'batting_ratings_talent_power':
           case 'batting_ratings_talent_eye':
           case 'batting_ratings_talent_strikeouts':
           case 'pitching_ratings_talent_stuff':
           case 'pitching_ratings_talent_control':
	   case 'pitching_ratings_talent_movement':
	     $val=calc_rating($val,1);
	     break;
           case 'pitching_ratings_pitches_talent_fastball':
           case 'pitching_ratings_pitches_talent_slider':
           case 'pitching_ratings_pitches_talent_curveball':
           case 'pitching_ratings_pitches_talent_screwball':
           case 'pitching_ratings_pitches_talent_forkball':
           case 'pitching_ratings_pitches_talent_changeup':
           case 'pitching_ratings_pitches_talent_sinker':
           case 'pitching_ratings_pitches_talent_splitter':
           case 'pitching_ratings_pitches_talent_knuckleball':
           case 'pitching_ratings_pitches_talent_cutter':
           case 'pitching_ratings_pitches_talent_circlechange':
           case 'pitching_ratings_pitches_talent_knucklecurve':
	     if ($val==0) {$val="-";} else {$val=calc_rating($val,1);}
	     break;
	   case 'fielding_rating_pos1':
	   case 'fielding_rating_pos2':
	   case 'fielding_rating_pos3':
	   case 'fielding_rating_pos4':
	   case 'fielding_rating_pos5':
	   case 'fielding_rating_pos6':
	   case 'fielding_rating_pos7':
           case 'fielding_rating_pos8':
	   case 'fielding_rating_pos9':
	   case 'pitching_ratings_misc_stamina':  if ($val==0) {$val="-";} else {$val=calc_rating($val,2);} break;
	   case 'fielding_ratings_catcher_arm':
	   case 'fielding_ratings_catcher_ability':
	     if (($val<40) && (isset($row['fielding_rating_pos2']) && ($row['fielding_rating_pos2']==0))) {$val="-";}
              else {$val=calc_rating($val,2);}
	     break;
	    case 'fielding_ratings_infield_arm':
	    case 'fielding_ratings_infield_range':
	    case 'fielding_ratings_infield_error':
	    case 'fielding_ratings_turn_doubleplay':
	      if (($val<40) && (isset($row['fielding_rating_pos3']) && ($row['fielding_rating_pos3']==0) && isset($row['fielding_rating_pos4']) && ($row['fielding_rating_pos4']==0) && isset($row['fielding_rating_pos5']) && ($row['fielding_rating_pos5']==0) && isset($row['fielding_rating_pos6']) && ($row['fielding_rating_pos6']==0))) {$val="-";}
	       else {$val=calc_rating($val,2);}
	      break;
	    case 'fielding_ratings_outfield_arm':
	    case 'fielding_ratings_outfield_range':
	    case 'fielding_rating_outfield_error':
	      if (($val<40) && (isset($row['fielding_rating_pos7']) && ($row['fielding_rating_pos7']==0) && isset($row['fielding_rating_pos8']) && ($row['fielding_rating_pos8']==0) && isset($row['fielding_rating_pos9']) && ($row['fielding_rating_pos9']==0))) {$val="-";}
	       else {$val=calc_rating($val,2);}
	      break;
           case 'player_id': $val="<a href='$lgpath/players/player_$pid.html'>".$players[$pid]['name']."</a>"; break;
           case 'pick':
              $pos=$players[$pid]['pos'];
              $pval=$pid.",$pos ".$players[$pid]['name'];
              $val="<input type='checkbox' name='player' value='$pval' />";
              break;
	   case 'position':
	   case 'role': $val=get_pos($val); break;
 	 }
	$dplayers[$pid][$fieldname]=$val;
      }
   }
  $e=explode(",",$pidList[$who]);
  foreach ($e as $key => $pid)
   {
     switch ($sort1key)
      {
        case 'age':
   	  $sortVal=200-$dplayers[$pid][$sort1key];
	  $sortVal=$sortVal*1000000000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        case 'level_id':
        case 'era':
        case 'whip':
        case 'oavg':
        case 'babip':
          if ($players[$pid]['found']==1) {$sortVal=200-$dplayers[$pid][$sort1key];} else {$sortVal=1;}
	  $sortVal=$sortVal*1000000000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        default:
          if ($players[$pid]['found']==1) {$sortVal=$dplayers[$pid][$sort1key];} else {$sortVal=1;}
	  if (!is_numeric($sortVal)) {$sortVal=0;}
	  $sortVal=$sortVal*1000000000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
      }
     switch ($sort2key)
      {
        case 'age':
   	  $sortVal=200-$dplayers[$pid][$sort2key];
	  $sortVal=$sortVal*100000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        case 'level_id':
        case 'era':
        case 'whip':
        case 'oavg':
        case 'babip':
          if ($players[$pid]['found']==1) {$sortVal=200-$dplayers[$pid][$sort2key];} else {$sortVal=1;}
	  $sortVal=$sortVal*100000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        default:
          if ($players[$pid]['found']==1) {$sortVal=$dplayers[$pid][$sort2key];} else {$sortVal=1;}
	  if (!is_numeric($sortVal)) {$sortVal=0;}
	  $sortVal=$sortVal*100000000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
      }
     switch ($sort3key)
      {
        case 'age':
   	  $sortVal=200-$dplayers[$pid][$sort3key];
	  $sortVal=$sortVal*10000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        case 'level_id':
        case 'era':
        case 'whip':
        case 'oavg':
        case 'babip':
          if ($players[$pid]['found']==1) {$sortVal=200-$dplayers[$pid][$sort3key];} else {$sortVal=1;}
	  $sortVal=$sortVal*10000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
        default:
          if ($players[$pid]['found']==1) {$sortVal=$dplayers[$pid][$sort3key];} else {$sortVal=1;}
	  if (!is_numeric($sortVal)) {$sortVal=0;}
	  $sortVal=$sortVal*10000;
	  $sortedPlayers[$pid]=$sortedPlayers[$pid]+$sortVal;
	  break;
      }
   }

  if (($rowCnt>0)||($pidList[$who]!="")) {if($sortMeth=='R') {asort($sortedPlayers);} else {arsort($sortedPlayers);}}

  ##### Determine Sort Column Number #####
  switch ($sort1)
   {
     case 'age'        : $sort1col=3; break;
     case 'contact'    : $sort1col=5; break;
     case 'gap'        : $sort1col=6; break;
     case 'power'      : $sort1col=7; break;
     case 'eye'        : $sort1col=8; break;
     case 'strikeouts' : $sort1col=9; break;
     case 'speed'      : $sort1col=10; break;
     case 'stealing'   : $sort1col=11; break;
     case 'baserunning': $sort1col=12; break;
     case 'stuff'      : $sort1col=5; break;
     case 'control'    : $sort1col=6; break;
     case 'movement'   : $sort1col=7; break;
     case 'velocity'   : $sort1col=8; break;
     case 'stamina'    : $sort1col=9; break;
     case 'lvl'        : $sort1col=5; break;
     case 'w'          : $sort1col=6; break;
     case 'l'          : $sort1col=7; break;
     case 's'          : $sort1col=8; break;
     case 'cg'         : $sort1col=9; break;
     case 'sho'        : $sort1col=10; break;
     case 'era'        : $sort1col=11; break;
     case 'pg'         : $sort1col=12; break;
     case 'gs'         : $sort1col=13; break;
     case 'ip'         : $sort1col=14; break;
     case 'ha'         : $sort1col=15; break;
     case 'pr'         : $sort1col=16; break;
     case 'er'         : $sort1col=17; break;
     case 'hra'        : $sort1col=18; break;
     case 'pbb'        : $sort1col=19; break;
     case 'pk'         : $sort1col=20; break;
     case 'whip'       : $sort1col=21; break;
     case 'oavg'       : $sort1col=22; break;
     case 'babip'      : $sort1col=23; break;
     case 'g'          : $sort1col=6; break;
     case 'ab'         : $sort1col=7; break;
     case 'r'          : $sort1col=8; break;
     case 'h'          : $sort1col=9; break;
     case 'd'          : $sort1col=10; break;
     case 't'          : $sort1col=11; break;
     case 'hr'         : $sort1col=12; break;
     case 'rbi'        : $sort1col=13; break;
     case 'bb'         : $sort1col=14; break;
     case 'k'          : $sort1col=15; break;
     case 'sb'         : $sort1col=16; break;
     case 'cs'         : $sort1col=17; break;
     case 'avg'        : $sort1col=18; break;
     case 'obp'        : $sort1col=19; break;
     case 'slg'        : $sort1col=20; break;
     case 'ops'        : $sort1col=21; break;
     case 'wOBA'       : $sort1col=22; break;
   }
  switch ($sort2)
   {
     case 'age'        : $sort2col=3; break;
     case 'contact'    : $sort2col=5; break;
     case 'gap'        : $sort2col=6; break;
     case 'power'      : $sort2col=7; break;
     case 'eye'        : $sort2col=8; break;
     case 'strikeouts' : $sort2col=9; break;
     case 'speed'      : $sort2col=10; break;
     case 'stealing'   : $sort2col=11; break;
     case 'baserunning': $sort2col=12; break;
     case 'stuff'      : $sort2col=5; break;
     case 'control'    : $sort2col=6; break;
     case 'movement'   : $sort2col=7; break;
     case 'velocity'   : $sort2col=8; break;
     case 'stamina'    : $sort2col=9; break;
     case 'lvl'        : $sort2col=5; break;
     case 'w'          : $sort2col=6; break;
     case 'l'          : $sort2col=7; break;
     case 's'          : $sort2col=8; break;
     case 'cg'         : $sort2col=9; break;
     case 'sho'        : $sort2col=10; break;
     case 'era'        : $sort2col=11; break;
     case 'pg'         : $sort2col=12; break;
     case 'gs'         : $sort2col=13; break;
     case 'ip'         : $sort2col=14; break;
     case 'ha'         : $sort2col=15; break;
     case 'pr'         : $sort2col=16; break;
     case 'er'         : $sort2col=17; break;
     case 'hra'        : $sort2col=18; break;
     case 'pbb'        : $sort2col=19; break;
     case 'pk'         : $sort2col=20; break;
     case 'whip'       : $sort2col=21; break;
     case 'oavg'       : $sort2col=22; break;
     case 'babip'      : $sort2col=23; break;
     case 'g'          : $sort2col=6; break;
     case 'ab'         : $sort2col=7; break;
     case 'r'          : $sort2col=8; break;
     case 'h'          : $sort2col=9; break;
     case 'd'          : $sort2col=10; break;
     case 't'          : $sort2col=11; break;
     case 'hr'         : $sort2col=12; break;
     case 'rbi'        : $sort2col=13; break;
     case 'bb'         : $sort2col=14; break;
     case 'k'          : $sort2col=15; break;
     case 'sb'         : $sort2col=16; break;
     case 'cs'         : $sort2col=17; break;
     case 'avg'        : $sort2col=18; break;
     case 'obp'        : $sort2col=19; break;
     case 'slg'        : $sort2col=20; break;
     case 'ops'        : $sort2col=21; break;
     case 'wOBA'       : $sort2col=22; break;
   }
  switch ($sort3)
   {
     case 'age'        : $sort3col=3; break;
     case 'contact'    : $sort3col=5; break;
     case 'gap'        : $sort3col=6; break;
     case 'power'      : $sort3col=7; break;
     case 'eye'        : $sort3col=8; break;
     case 'strikeouts' : $sort3col=9; break;
     case 'speed'      : $sort3col=10; break;
     case 'stealing'   : $sort3col=11; break;
     case 'baserunning': $sort3col=12; break;
     case 'stuff'      : $sort3col=5; break;
     case 'control'    : $sort3col=6; break;
     case 'movement'   : $sort3col=7; break;
     case 'velocity'   : $sort3col=8; break;
     case 'stamina'    : $sort3col=9; break;
     case 'lvl'        : $sort3col=5; break;
     case 'w'          : $sort3col=6; break;
     case 'l'          : $sort3col=7; break;
     case 's'          : $sort3col=8; break;
     case 'cg'         : $sort3col=9; break;
     case 'sho'        : $sort3col=10; break;
     case 'era'        : $sort3col=11; break;
     case 'pg'         : $sort3col=12; break;
     case 'gs'         : $sort3col=13; break;
     case 'ip'         : $sort3col=14; break;
     case 'ha'         : $sort3col=15; break;
     case 'pr'         : $sort3col=16; break;
     case 'er'         : $sort3col=17; break;
     case 'hra'        : $sort3col=18; break;
     case 'pbb'        : $sort3col=19; break;
     case 'pk'         : $sort3col=20; break;
     case 'whip'       : $sort3col=21; break;
     case 'oavg'       : $sort3col=22; break;
     case 'babip'      : $sort3col=23; break;
     case 'g'          : $sort3col=6; break;
     case 'ab'         : $sort3col=7; break;
     case 'r'          : $sort3col=8; break;
     case 'h'          : $sort3col=9; break;
     case 'd'          : $sort3col=10; break;
     case 't'          : $sort3col=11; break;
     case 'hr'         : $sort3col=12; break;
     case 'rbi'        : $sort3col=13; break;
     case 'bb'         : $sort3col=14; break;
     case 'k'          : $sort3col=15; break;
     case 'sb'         : $sort3col=16; break;
     case 'cs'         : $sort3col=17; break;
     case 'avg'        : $sort3col=18; break;
     case 'obp'        : $sort3col=19; break;
     case 'slg'        : $sort3col=20; break;
     case 'ops'        : $sort3col=21; break;
     case 'wOBA'       : $sort3col=22; break;
   }

  ##### Display Results #####
  echo " <div class='tablebox'>\n";
  echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
  if (($who=="pitchers") || ($who>10)) {$title="Pitchers";} else {$title="Batters";}
  if (is_numeric($who)) {$title.=": ".get_pos($who);}
  if ($rowCnt>=$dispLimit) {$title.=" (Showing first $dispLimit players)";}
  echo "   <tr class='title'><td>$title</td></tr>\n";
  echo "   <tr><td>\n";

  ##Data Table
  echo "    <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='915px'>\n";
  $col=explode("|",$colnames);
  echo "     <thead><tr class='headline'>";
  for ($i=0;$i<count($col);$i++)
   {
     $tmp="";
     if ($i==($sort1col-1)) {$tmp.="1";}
     if ($i==($sort2col-1)) {$tmp.="2";}
     if ($i==($sort3col-1)) {$tmp.="3";}
     if ($tmp!="") {$tmp="<sup>$tmp</sup>";}
     switch ($col[$i])
      {
        case 'Player': echo "<td class='hsc2_l'>".$col[$i]."</td>"; break;
        default: echo "<td class='hsc2'>".$col[$i]."$tmp</td>"; break;
      }
   }
  if ($_GET['showq']==1) {echo "<td class='hsc2'>$sort1 $sort2 $sort3</td>";}
  echo "</tr></thead>\n";
  if ($_GET['showq']==1) {echo "<tr><td class='hsc2'>$rowCnt $who ".$pidList[$who]."</td></tr>";}
  if (($rowCnt>0)||($pidList[$who]!=""))
   {
     $cnt=0;
     if (isset($sortedPlayers))
      {
        foreach ($sortedPlayers as $pid => $tmp)
	 {
           if ($cnt>=$dispLimit) {break;}
           if ($pid=="") {continue;}
           if (($view=='stats')&&(($who=="pitchers")||($who>10))&&($dplayers[$pid]['ip']<$minPT)) {continue;}
           if (($view=='stats')&&(($who=="batters")||((is_numeric($who))&&($who<11)))&&($dplayers[$pid]['pa']<$minPT)) {continue;}
           $cls='s'.($cnt%2+1);
	   echo "     <tr class='$cls'>";
	   if ($players[$pid]['found']!=1)
	    {
	      $pos=$players[$pid]['pos'];
	      $pval=$pid.",$pos ".$players[$pid]['name'];
      	      echo "<td><input type='checkbox' name='player' value='$pval' /></td>";
	      echo "<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['sortname']."\">".$players[$pid]['name']."</td>";
      	      echo "<td>".$dplayers[$pid]['age']."</td>";
	      echo "<td sorttable_customkey=\"".$players[$pid]['sortpos']."\">".$pos."</td>";
      	      echo "<td colspan=".(count($col)-4)." style='text-align:center;'>-- No ";
	      if ($statLg!='All') {echo get_level($statLg)." ";}
      	      echo "feeder league stats recorded --</td>";
	    }
	    else
   	    {
 	      foreach ($fields as $key => $fieldname)
	       {
  	         $val=$dplayers[$pid][$fieldname];
		 switch ($fieldname)
  		  {
 	            case 'player_id':
		      echo "<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['sortname']."\">$val</td>";
		      break;
	            case 'pos': 
	              $val=$players[$pid][$fieldname];
		      echo "<td sorttable_customkey=\"".$players[$pid]['sortpos']."\">$val</td>";
		      break;
                    case 'level_id': 
		      echo "<td>".get_level($val)."</td>";
		      break;
                    case 'avg': 
                    case 'obp': 
                    case 'slg': 
                    case 'ops': 
	            case 'wOBA': 
	            case 'oavg': 
	            case 'babip': 
 	              $val=sprintf("%.3f",$val);
	              if ($val<1) {$val=strstr($val,".");}
		      echo "<td>$val</td>";
		      break;
	            case 'era': 
	            case 'whip': 
                      $val=sprintf("%.2f",$val);
	              if (($val<1)&&($fieldname=='whip')) {$val=strstr($val,".");}
		      echo "<td>$val</td>";
		      break;
	            case 'ip': 
                      $val=sprintf("%.1f",$val);
		      echo "<td>$val</td>";
   		      break;
	            case 'pitching_ratings_misc_velocity': echo "<td>".get_velo($val)."</td>"; break;
	            default: echo "<td>".$val."</td>"; break;
		  }
	       }
	    }
	   if ($_GET['showq']==1) {echo "<td>$tmp</td>\n";}
           echo "</tr>\n";
	   $cnt++;
	 }
      }
     if ($cnt==0) {echo "     <tr class='s1_l'><td colspan=".count($col).">No players found</td></tr>\n";}
   }
   else {echo "     <tr class='s1_l'><td colspan=".count($col).">No players found</td></tr>\n";}
  echo "    </table>\n";

  ##Close page
  echo "   </td></tr>\n";
  echo "  </table>\n";
  echo " </div>\n";
  echo " </form>\n";
  
  echo " </div>   <!-- END contentpane DIV -->\n";

 echo $scriptText;

  page_foot($lgpath);
?>
