<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}

$adminpath=$_SESSION['adminpath'];
##### Check if admin table exists #####
$query="SHOW TABLES LIKE 'ootp_sql_admin';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result)) 
 {
   $query="SELECT * FROM ootp_sql_admin WHERE module='Admin';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      while ($row=mysql_fetch_array($result))
       {
         $field=$row['setting'];
         $val=$row['value'];
	 $val=stripslashes($val);
         switch ($field)
          {
	    case 'expfilenm'   : $lgfname=$val;    break;
	    case 'lgfile'      : $lg_file_path=$val;       break;
	    case 'expfile'     : $export_path=$val;      break;
	    case 'renameFiles' : $renameFiles=$val;  break;
	  }
       }
    }
 }

$title="Export Tracker";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();

echo " </div>   <!-- END topbar DIV -->\n";

echo " <div id='contentpane'>\n";

##### Get League File Info #####
echo "  <div class='textbox' style='width:100%;'>\n";
$e=explode(".",$lgfname);
if (count($e)>1) {$lgfilepath=$lg_file_path."/".$lgfname;} else {$lgfilepath=$lg_file_path."/".$lgfname.".lg.tar.gz";}
if (file_exists($lgfilepath))
 {
   $lgftime=filemtime($lgfilepath);
   $text="League File Updated: ".date("l F j, Y H:i:s T",$lgftime);
   echo "   <table cellpadding=2 cellspacing=0 border=0 width='935px'><tr class='title'><td>$text</td></tr></table>\n";
   echo "  </div>\n";
 }
 else
 {
   $text="ERROR: No League File Found at: \"$lgfilepath\" <br/> $fpath";
   echo "   <p class='error'>$text</p>\n";
   echo "  </div>\n";
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }

##### Get Human Controlled Leagues #####
$query="SELECT DISTINCT l.league_id,l.name FROM leagues as l,human_managers as hm WHERE l.league_id=hm.league_id AND hm.team_id!=0 ORDER BY league_id;";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   while ($row=mysql_fetch_array($result))
    {
      $lid=$row['league_id'];
      if ($lid==$lgid) {$leagues[$lid]=0;} else {$leagues[$lid]=$lid;}
      $leaguenames[$lid]=$row['name'];
    }
 }

if (!isset($leagues)) 
 {
   echo "  <p>No human controlled teams</p>\n";
   echo " </div>   <!-- END contentpane DIV -->\n";
   page_foot($lgpath);
   exit;
 }

asort($leagues);
foreach ($leagues as $lid=>$val)
 {
   $lname=$leaguenames[$lid];
   ##### Get Team Info #####
   $query="SELECT t.team_id,t.name as city,t.abbr,t.nickname,t.logo_file,sl.name as sub_league,d.name as division FROM teams as t,team_relations as tr,sub_leagues as sl,divisions as d WHERE t.league_id=$lid AND t.team_id=tr.team_id AND tr.division_id=d.division_id AND t.league_id=d.league_id AND t.sub_league_id=d.sub_league_id AND tr.sub_league_id=d.sub_league_id AND t.league_id=sl.league_id AND t.sub_league_id=sl.sub_league_id ORDER BY sl.sub_league_id,d.division_id,t.team_id;";
   $result=mysql_query($query,$db);
   echo "   <div class='textbox'>\n";
   echo "   <table cellpadding=2 cellspacing=0 border=0 width='935px';>\n";
   echo "    <tr class='title'><td>".$lname."</td></tr>\n";
   $lgcnt=0;
   $divcnt=0;
   $tcnt=0;
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $tfull=$row['city']." ".$row['nickname'];
      $logo=$row['logo_file'];
      $exptime=getExport($tid,$lgftime,$export_path,$renameFiles);
      $e=explode("^",$exptime);
      $exptime=$e[0];
      $expstat=$e[1];
      $expmsg=date("l F j, Y H:i:s T",$exptime);
      if ($exptime==0) {$expmsg="No export";}
       else
       {
         if ($expstat==1) {$expmsg="<span style='color:#339933;'>".$expmsg."<br />New Export</span>";}
	  else {$expmsg="<span style='color:#AA3333;'>".$expmsg."<br />Old Export</span>";}
       }

      $sl=$row['sub_league'];
      if ($sl!=$prevSl)
       {
         if ($lgcnt>0) 
	  {
  	    echo "\n     </table>\n";
	    echo "    </div>\n";
	    echo "   </td></tr>\n";
	  }
	 echo "   <tr class='headline'><td class='hsc2_l'>$sl</td></tr>\n";
	 echo "   <tr><td>\n";
	 echo "    <div class='tablebox'>\n";
	 echo "     <table cellpadding=5 cellspacing=0 width='915px'>\n";
	 $tcnt=0;
	 $divcnt=0;
	 $lgcnt++;
       }
      $div=$row['division'];
      if ($div!=$prevDiv)
       {
         if ($divcnt>0) {echo "</tr>\n";}
 	 echo "      <tr class='title'><td colspan=6>$div</td></tr>\n";
	 $tcnt=0;
	 $divcnt++;
       }
      if ($tcnt==0) {echo "      <tr>";}
      echo "<td width='43px' valign='top'><img src='$lgpath/images/".str_replace(".png","_40.png",$logo)."' style='width:40px;height:40px;'/></td>";
      echo "<td width='262px' valign='top'><a href='$lgpath/teams/team_$tid.html'>$tfull</a><br />";
      echo "$expmsg</td>";
      if ($tcnt==2) {echo "</tr>\n";$tcnt=-1;}
      $prevDiv=$div;
      $prevSl=$sl;
      $tcnt++;
    }
   echo "     </table>\n";
   echo "    </div>\n";
   echo "   </td></tr></table>\n";
   echo "   </div>\n";
 }

echo " </div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

#########################################
# getExport
#  - checks for a team's export file
#########################################
function getExport($team_id="",$lgftime=0,$export_path,$rename=0)
 {
   if ($team_id=="") {return -1;}
   if ($export_path=="") {return "";}

   $new=0;
   $time=0;

   $chk="team_".$team_id.".ootp";
   if ($dir = opendir($export_path))
    {
      while (false != ($file = readdir($dir)))
       {
         if (substr_count($file,$chk)==0) {continue;}
	 $ftime=filemtime($export_path."/".$file);
	 if ((substr_count($file,".imported")==0)&&($rename==1)) {return $ftime."^1";}
	 elseif ((substr_count($file,".imported")==0)&&($ftime>$lgftime)) {return $ftime."^1";}
         elseif ($ftime>$time) {$time=$ftime;}
       }
    }

   if ($rename!=1)
    {
      if ($time>$lgftime) {$new=1;}
    }
   return $time."^".$new;
 }
 
?>
