<?php
include('./xml_functions.php');
include('./gen_functions.php');

$adminpath=get_adminpath();
include($adminpath."/dbopen.php");

$lgid=$_GET['league_id'];
$year=$_GET['year'];
$pos=$_GET['pos'];
$team_id=$_GET['team_id'];
$mode=$_GET['mode'];
if ($mode=="") {$mode=1;}

if ($pos=='') {$pos='All';}
if ($team_id=='') {$team_id='All';}

##### Get Teams #####
$query="SELECT team_id,name,nickname,abbr FROM teams WHERE league_id=$lgid AND allstar_team=0;";
$result=mysql_query($query,$db);
if ($result)
 {
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $teams[$tid]['name']=$row['name']." ".$row['nickname'];
      $teams[$tid]['abbr']=$row['abbr'];
    }
 }

##### Get Players #####
if ($mode==1)   ## Seasonal graphs
 {
   $query="SELECT * FROM (";
   if (($pos=='All')||($pos==1)||($pos==11)||($pos==12)) 
    {
      $query.="SELECT p.player_id,first_name,last_name,p.role as position,p.organization_id FROM players as p,players_game_pitching_stats as pgb WHERE p.player_id=pgb.player_id AND pgb.year=$year AND pgb.league_id=$lgid";
      if ($pos==11) {$query.=" AND role>0";}
      if ($pos==12) {$query.=" AND role IN (12,13)";}
      if ($team_id!='All') {$query.=" AND organization_id=$team_id";}
      $query.=" GROUP BY p.player_id";
    }
   if ($pos=='All') {$query.=" UNION ";}
   if (($pos=='All')||(($pos>1)&&($pos<=10))||($pos>=13))
    {
      $query.="SELECT p.player_id,first_name,last_name,p.position,p.organization_id FROM players as p,players_game_batting as pgb WHERE p.player_id=pgb.player_id AND pgb.year=$year AND pgb.league_id=$lgid";
      switch ($pos)
       {
         case 'All': break;
         case 13: $query.=" AND p.position IN (3,4,5,6)"; break;
	 case 14: $query.=" AND p.position IN (3,5)"; break;
   	 case 15: $query.=" AND p.position IN (4,6)"; break;
	 case 16: $query.=" AND p.position IN (7,8,9)"; break;
   	 default: $query.=" AND p.position='$pos'"; break;
       }
      if ($team_id!='All') {$query.=" AND organization_id=$team_id";}
      $query.=" GROUP BY p.player_id";
    }
   $query.=") as t GROUP BY player_id ORDER BY last_name,first_name;";

   $result=mysql_query($query,$db);
   if ($result)
    {
      header('Content-type: text/xml');
      $memory = xmlwriter_open_memory();
      xmlwriter_start_document($memory,'1.0','UTF-8');
      xmlwriter_start_element ($memory,'PLAYER_LIST'); // <player_list>

      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $name=$row['first_name']." ".$row['last_name'];
	 $name=utf8_encode($name);
   	 $position=$row['position'];
	 $position=get_pos($position);
   	 $tid=$row['organization_id'];
	 $tabbr=$teams[$tid]['abbr'];

	 xmlwriter_start_element ($memory,'PLAYER'); // <player>

	 xmlwriter_write_element($memory,'PID',$pid);
   	 xmlwriter_write_element($memory,'NAME',$name);
	 xmlwriter_write_element($memory,'POS',$position);
   	 xmlwriter_write_element($memory,'TEAM',$tabbr);
   
	 xmlwriter_end_element($memory); // </player>
       }

      xmlwriter_end_element ($memory); // <player_list>
      echo xmlwriter_output_memory($memory,true);
    }
    else
    {
      echo $query;
    }
 }

if ($mode==2)   ## Career graphs
 {
   $query="SELECT pci.player_id,first_name,last_name,minYr,maxYr,position FROM players_career_info as pci,(SELECT p.player_id,first_name,last_name,minYr,maxYr FROM players as p,(SELECT player_id,MIN(minYr) as minYr,MAX(maxYr) as maxYr FROM (SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id UNION SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t1 GROUP BY player_id) as t2 WHERE p.player_id=t2.player_id";
   if ($year!="All") {$query.=" AND minYr<=$year AND maxYr>=$year";}
   $query.=") as t3 WHERE pci.player_id=t3.player_id";
   if ($pos!="All")
    {
      switch ($pos)
       {
         case 13: $query.=" AND position IN (3,4,5,6)"; break;
	 case 14: $query.=" AND position IN (3,5)";     break;
	 case 15: $query.=" AND position IN (4,6)";     break;
	 case 16: $query.=" AND position IN (7,8,9)";   break;
	 default: $query.=" AND position=$pos";         break;
       }
    }
   $query.=" ORDER BY last_name,first_name,minYr,maxYr;";

   $result=mysql_query($query,$db);
   if ($result)
    {
      header('Content-type: text/xml;CHARSET=UTF-8');
      $memory = xmlwriter_open_memory();
      xmlwriter_start_document($memory,'1.0','UTF-8');
      xmlwriter_start_element ($memory,'PLAYER_LIST'); // <player_list>

      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $name=$row['first_name']." ".$row['last_name'];
	 $name=utf8_encode($name);
   	 $position=$row['position'];
	 $position=get_pos($position);
   	 $yrs=$row['minYr']."-".$row['maxYr'];

	 xmlwriter_start_element ($memory,'PLAYER'); // <player>

	 xmlwriter_write_element($memory,'PID',$pid);
   	 xmlwriter_write_element($memory,'NAME',$name);
	 xmlwriter_write_element($memory,'POS',$position);
   	 xmlwriter_write_element($memory,'TEAM',$yrs);
   
	 xmlwriter_end_element($memory); // </player>
       }

      xmlwriter_end_element ($memory); // <player_list>
      echo xmlwriter_output_memory($memory,true);
    }
    else
    {
      echo $query;
    }
 }
?>
