function addElem(from,to,baseName) {
    var len = from.length;
    var toLen = to.length;
    var i, j, val, id, name, found;
    //Clear out base text
    //alert(toLen + "::" + to.options[0].value);
    if ((toLen == 1) && (to.options[0].value == '0')) {
	    to.options[0] = null;
	    toLen = 0;
    }

    //Add new elements
    for (i=0; i<len; i++) {
	    if (from.options[i].selected == true) {
		    found = false;
		    val = from.options[i].value;
		    j = val.indexOf(',');
		    name = val.substr(j+1);
		    id = val.substr(0,j);
		    for (j=0; j<toLen; j++) {
			    if (to.options[j].value == id) {
				    found = true;
				    break;
			    }
		    }
		    if (!found) {
			    to.options[toLen] = new Option(name, id);
			    toLen++;
		    }
		    from.options[i].selected = false;
	    }
    }

    //If none to add, restore base text
    toLen = to.length;
    if (toLen == 0) {
	    to.options[0]=new Option(baseName,0);
    }

    return;
}

function remove(list,whoText) {
    var found;
    var text;
    var j;
    var who;
    var fcnt=0;
    for (var i = 0; i < list.options.length; i++) {
        if(list.options[i].selected == true) {
            var message="Really remove "+list.options[i].text+"?";
            //var choice=confirm(message);
            var choice=true;
            if (choice===true) {
               list.options[i] = null;
               found=i;
               fcnt=fcnt+1;
            i--;
            }

        }
        if (i>=found) {        
        text = list.options[i].text;
        temp = new Option(text, list.options[i].value);
        list.options[i]=temp;}
    }
    if (list.options.length==0) {
        temp = new Option(whoText,0);
	list.options[0]=temp;
    }
}

function moveList(fromElem, toElem) {
    toElem.value = '';
    for (var i=0; i<fromElem.options.length; i++) {
        if (toElem.value == '') {
            if (fromElem.options[i].value!=0) {toElem.value =  fromElem.options[i].value;}
        }
        else {
            toElem.value = toElem.value + '|' + fromElem.options[i].value;
        }
    }
    return true;
}

function getPlayerList(mode,league_id,year,position,team_id) {
  var url="getPlayerList.php?mode="+mode+"&league_id="+league_id+"&year="+year;
  if (position!="") {url=url+"&pos="+position;}
  if (mode==1) {url=url+"&team_id="+team_id;}

  var toName='player_list';

  var toElem=document.getElementById(toName);

  // Initiate Request
  if (window.XMLHttpRequest) {                  // code for IE7+, Firefox, Chrome, Opera, Safari
	  xmlhttpPList=new XMLHttpRequest();
  }
  else {                                        // code for IE6, IE5
	  xmlhttpPList=new ActiveXObject("Microsoft.XMLHTTP");
  }

  xmlhttpPList.onreadystatechange=function() {

	  if ((xmlhttpPList.readyState==4) && (xmlhttpPList.status==200)) {
		  xmlDoc=xmlhttpPList.responseXML;

		  // Process Results
		  var i,x,pid,pos,name,team,years,text;
		  toElem=document.getElementById(toName);

		  for (i=0; i<toElem.length; i++) {toElem.options[i]=null;}
		  toElem.length=0;

		  var x=xmlhttpPList.responseXML.getElementsByTagName("PLAYER");
		  for (i=0; i<x.length; i++) {
	       		  xx=x[i].getElementsByTagName("PID");
			  try {pid=xx[0].firstChild.nodeValue;}
			  catch (er) {pid=0;}
			  
	       		  xx=x[i].getElementsByTagName("POS");
			  try {pos=xx[0].firstChild.nodeValue;}
			  catch (er) {pos="";}

	       		  xx=x[i].getElementsByTagName("NAME");
			  try {name=xx[0].firstChild.nodeValue;}
			  catch (er) {name="";}

	       		  xx=x[i].getElementsByTagName("TEAM");
			  try {team=xx[0].firstChild.nodeValue;}
			  catch (er) {team=0;}

	       		  xx=x[i].getElementsByTagName("YEARS");
			  try {years=xx[0].firstChild.nodeValue;}
			  catch (er) {years=0;}

			  text=pos+" "+name+" ("+team+")";
			  toElem.options[i] = new Option(text, pid+","+text);
		  }
	  }
  }

  //alert(url);
  xmlhttpPList.open("POST",url,true);
  xmlhttpPList.send();
}
