<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$year=$date->format("Y");

##### Start Page #####
$title="Hall of Fame";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Hall of Fame");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

if ($_GET['exp']==1)
 {
   echo "<div class='textbox' style='border:0;'><a href='./hall_of_fame.php'>Show Table View</a></div>\n";
   echo gen_hof_detail($lgid);
 }
 else
 {
   echo "<div class='textbox' style='border:0;'><a href='./hall_of_fame.php?exp=1'>Show Expanded View</a></div>\n";
   echo gen_hof_table($lgid);
 }

##### End Page #####
echo " </div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);


#########################################################################
# gen_hof_table
#  creates Hall of Fame Table page
#########################################################################
function gen_hof_table($lgid)
 {
   $date=new Date($_SESSION['lgdate']);
   include($_SESSION['adminpath']."/dbopen.php");
   $year=$date->format("Y");
   $lgpath=$_SESSION['lgpath'];

   $text="";

   ## Get Players
   $query="SELECT player_id,first_name,last_name,inducted,position FROM players WHERE hall_of_fame=1 ORDER BY last_name,first_name;";
   if ($_GET['showq']==1) {$text.="$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      $pidList="";
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $name=$row['first_name']." ".$row['last_name'];
	 $sortname=$row['last_name'].", ".$row['first_name'];
	 $inducted=$rwo['inducted'];
	 $players[$pid]['name']=$name;
	 $players[$pid]['sortname']=$sortname;
	 $players[$pid]['inducted']=$inducted;
	 $players[$pid]['position']=$row['position'];
	 $pidList.=$pid.",";
       }
      $pidList=trim($pidList,",");

      ## Get position & player metrics
      $query="SELECT player_id,position FROM players_career_info WHERE player_id IN ($pidList);";
      if ($_GET['showq']==1) {$text.="$query<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         while ($row=mysql_fetch_array($result))
          {
            $pid=$row['player_id'];
            $players[$pid]['position']=$row['position'];
	  }
       }

      ## Group Players
      $bList="";
      $pList="";
      foreach ($players as $pid => $val)
       {
	 $pos=$players[$pid]['position'];
	 if (($pos>=2)&&($pos<=10)) {$bList.=",$pid";}
	  else {$pList.=",$pid";}
       }
      $bList=trim($bList,",");
      $pList=trim($pList,",");

      ## Display Batters
      if ($bList!="")
       {
         $query="SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr,COUNT(DISTINCT(year)) as yrs,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(hp) as hp,SUM(sh) as sh,SUM(sf) as sf,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,SUM(pa) as pa,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as obp,if(SUM(ab)=0,0,((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as slg,(((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))+((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as ops,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND player_id IN ($bList) GROUP BY player_id;";
         if ($_GET['showq']==1) {$text.="$query<br/>\n";}
	 $result=mysql_query($query,$db);
   	 if (mysql_num_rows($result))
	  {
	    while ($row=mysql_fetch_array($result))
             {
	       $pid=$row['player_id'];
	       $players[$pid]['minYr']=$row['minYr'];
   	       $players[$pid]['maxYr']=$row['maxYr'];
	       $players[$pid]['yrs']=$row['yrs'];
   	       $players[$pid]['g']=$row['g'];
	       $players[$pid]['ab']=$row['ab'];
   	       $players[$pid]['h']=$row['h'];
	       $players[$pid]['d']=$row['d'];
   	       $players[$pid]['t']=$row['t'];
	       $players[$pid]['hr']=$row['hr'];
   	       $players[$pid]['rbi']=$row['rbi'];
	       $players[$pid]['r']=$row['r'];
   	       $players[$pid]['bb']=$row['bb'];
	       $players[$pid]['hp']=$row['hp'];
   	       $players[$pid]['sh']=$row['sh'];
	       $players[$pid]['sf']=$row['sf'];
   	       $players[$pid]['k']=$row['k'];
	       $players[$pid]['sb']=$row['sb'];
   	       $players[$pid]['cs']=$row['cs'];
	       $players[$pid]['pa']=$row['pa'];
   	       $players[$pid]['avg']=$row['avg'];
	       $players[$pid]['obp']=$row['obp'];
   	       $players[$pid]['slg']=$row['slg'];
	       $players[$pid]['ops']=$row['ops'];
   	       $players[$pid]['wOBA']=$row['wOBA'];

	       $avgHOFb['all']['yrs']=$avgHOFb['all']['yrs']+$row['yrs'];
   	       $avgHOFb['all']['g']=$avgHOFb['all']['g']+$row['g'];
	       $avgHOFb['all']['ab']=$avgHOFb['all']['ab']+$row['ab'];
   	       $avgHOFb['all']['h']=$avgHOFb['all']['h']+$row['h'];
	       $avgHOFb['all']['d']=$avgHOFb['all']['d']+$row['d'];
   	       $avgHOFb['all']['t']=$avgHOFb['all']['t']+$row['t'];
	       $avgHOFb['all']['hr']=$avgHOFb['all']['hr']+$row['hr'];
   	       $avgHOFb['all']['rbi']=$avgHOFb['all']['rbi']+$row['rbi'];
	       $avgHOFb['all']['r']=$avgHOFb['all']['r']+$row['r'];
   	       $avgHOFb['all']['bb']=$avgHOFb['all']['bb']+$row['bb'];
	       $avgHOFb['all']['hp']=$avgHOFb['all']['hp']+$row['hp'];
   	       $avgHOFb['all']['sh']=$avgHOFb['all']['sh']+$row['sh'];
	       $avgHOFb['all']['sf']=$avgHOFb['all']['sf']+$row['sf'];
   	       $avgHOFb['all']['k']=$avgHOFb['all']['k']+$row['k'];
	       $avgHOFb['all']['sb']=$avgHOFb['all']['sb']+$row['sb'];
   	       $avgHOFb['all']['cs']=$avgHOFb['all']['cs']+$row['cs'];
	       $avgHOFb['all']['pa']=$avgHOFb['all']['pa']+$row['pa'];
	       $avgHOFb['all']['pcnt']=$avgHOFb['all']['pcnt']+1;	       

	       $pos=$players[$pid]['position'];
       	       $avgHOFb[$pos]['yrs']=$avgHOFb[$pos]['yrs']+$row['yrs'];
   	       $avgHOFb[$pos]['g']=$avgHOFb[$pos]['g']+$row['g'];
	       $avgHOFb[$pos]['ab']=$avgHOFb[$pos]['ab']+$row['ab'];
   	       $avgHOFb[$pos]['h']=$avgHOFb[$pos]['h']+$row['h'];
	       $avgHOFb[$pos]['d']=$avgHOFb[$pos]['d']+$row['d'];
   	       $avgHOFb[$pos]['t']=$avgHOFb[$pos]['t']+$row['t'];
	       $avgHOFb[$pos]['hr']=$avgHOFb[$pos]['hr']+$row['hr'];
   	       $avgHOFb[$pos]['rbi']=$avgHOFb[$pos]['rbi']+$row['rbi'];
	       $avgHOFb[$pos]['r']=$avgHOFb[$pos]['r']+$row['r'];
   	       $avgHOFb[$pos]['bb']=$avgHOFb[$pos]['bb']+$row['bb'];
	       $avgHOFb[$pos]['hp']=$avgHOFb[$pos]['hp']+$row['hp'];
   	       $avgHOFb[$pos]['sh']=$avgHOFb[$pos]['sh']+$row['sh'];
	       $avgHOFb[$pos]['sf']=$avgHOFb[$pos]['sf']+$row['sf'];
   	       $avgHOFb[$pos]['k']=$avgHOFb[$pos]['k']+$row['k'];
	       $avgHOFb[$pos]['sb']=$avgHOFb[$pos]['sb']+$row['sb'];
   	       $avgHOFb[$pos]['cs']=$avgHOFb[$pos]['cs']+$row['cs'];
	       $avgHOFb[$pos]['pa']=$avgHOFb[$pos]['pa']+$row['pa'];
	       $avgHOFb[$pos]['pcnt']=$avgHOFb[$pos]['pcnt']+1;	       
   	     }
	  }

	 ## Open Table
	 $text.=" <div class='textbox'>\n";
      	 $text.="  <table cellpadding=0 cellspacing=0 border=0>\n";
	 $text.="   <tr class='title2'><td>Batters</td></tr>\n";
	 $text.="   <tr><td>\n";
	 $text.="    <table cellpadding=2 cellspacing=0 border=0 width='935px' class='sortable'>\n";
	 $text.="     <thead><tr class='headline'>";
	 $text.="<td class='hsc2'>Pos</td>";
	 $text.="<td class='hsc2_l'>Player</td>";
	 $text.="<td class='hsc2'>From</td>";
	 $text.="<td class='hsc2'>To</td>";
	 $text.="<td class='hsc2'>Yrs</td>";
	 $text.="<td class='hsc2'>G</td>";
	 $text.="<td class='hsc2'>AB</td>";
	 $text.="<td class='hsc2'>H</td>";
	 $text.="<td class='hsc2'>2B</td>";
	 $text.="<td class='hsc2'>3B</td>";
	 $text.="<td class='hsc2'>HR</td>";
	 $text.="<td class='hsc2'>RBI</td>";
	 $text.="<td class='hsc2'>R</td>";
	 $text.="<td class='hsc2'>BB</td>";
	 $text.="<td class='hsc2'>HP</td>";
	 $text.="<td class='hsc2'>SH</td>";
	 $text.="<td class='hsc2'>SF</td>";
	 $text.="<td class='hsc2'>K</td>";
	 $text.="<td class='hsc2'>SB</td>";
	 $text.="<td class='hsc2'>CS</td>";
	 $text.="<td class='hsc2'>AVG</td>";
	 $text.="<td class='hsc2'>OBP</td>";
	 $text.="<td class='hsc2'>SLG</td>";
	 $text.="<td class='hsc2'>OPS</td>";
	 $text.="<td class='hsc2'>wOBA</td>";
	 $text.="</tr></thead>\n";

	 ## Display Player Stats
	 $cnt=0;
	 foreach ($players as $pid => $val)
	  {
	    $pos=$players[$pid]['position'];
	    if (($pos<2)||($pos>10)) {continue;}
	    $cls='s'.($cnt%2+1);
	    $text.="     <tr class='$cls'>";
	    $text.="<td sorttable_customkey=\"$pos\">".get_pos($pos)."</td>";
	    $text.="<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['sortname']."\"><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $text.="<td>".$players[$pid]['minYr']."</td>";
	    $text.="<td>".$players[$pid]['maxYr']."</td>";
	    $text.="<td>".$players[$pid]['yrs']."</td>";
	    $text.="<td>".$players[$pid]['g']."</td>";
	    $text.="<td>".$players[$pid]['ab']."</td>";
	    $text.="<td>".$players[$pid]['h']."</td>";
	    $text.="<td>".$players[$pid]['d']."</td>";
	    $text.="<td>".$players[$pid]['t']."</td>";
	    $text.="<td>".$players[$pid]['hr']."</td>";
	    $text.="<td>".$players[$pid]['rbi']."</td>";
	    $text.="<td>".$players[$pid]['r']."</td>";
	    $text.="<td>".$players[$pid]['bb']."</td>";
	    $text.="<td>".$players[$pid]['hp']."</td>";
	    $text.="<td>".$players[$pid]['sh']."</td>";
	    $text.="<td>".$players[$pid]['sf']."</td>";
	    $text.="<td>".$players[$pid]['k']."</td>";
	    $text.="<td>".$players[$pid]['sb']."</td>";
	    $text.="<td>".$players[$pid]['cs']."</td>";
	    $statVal=$players[$pid]['avg'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['obp'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['slg'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['ops'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['wOBA'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $text.="</tr>\n";
	    $cnt++;
	  }

	 ## Display Totals
	 $text.="     <tfoot>\n";
	 $text.="      <tr class='headline'>";
	 $text.="<td class='hsc2_l' colspan=4>HOF Averages</td>";
	 $text.="<td class='hsc2'>Yrs</td>";
	 $text.="<td class='hsc2'>G</td>";
	 $text.="<td class='hsc2'>AB</td>";
	 $text.="<td class='hsc2'>H</td>";
	 $text.="<td class='hsc2'>2B</td>";
	 $text.="<td class='hsc2'>3B</td>";
	 $text.="<td class='hsc2'>HR</td>";
	 $text.="<td class='hsc2'>RBI</td>";
	 $text.="<td class='hsc2'>R</td>";
	 $text.="<td class='hsc2'>BB</td>";
	 $text.="<td class='hsc2'>HP</td>";
	 $text.="<td class='hsc2'>SH</td>";
	 $text.="<td class='hsc2'>SF</td>";
	 $text.="<td class='hsc2'>K</td>";
	 $text.="<td class='hsc2'>SB</td>";
	 $text.="<td class='hsc2'>CS</td>";
	 $text.="<td class='hsc2'>AVG</td>";
	 $text.="<td class='hsc2'>OBP</td>";
	 $text.="<td class='hsc2'>SLG</td>";
	 $text.="<td class='hsc2'>OPS</td>";
	 $text.="<td class='hsc2'>wOBA</td>";
	 $text.="</tr>\n";
	 for ($i=2;$i<=10;$i++)
	  {
 	    if (isset($avgHOFb[$i]))
	     {
	       $cnt=$avgHOFb[$i]['pcnt'];
   	       $text.="      <tr class='headline'>";
	       $text.="<td class='hsc2_l' colspan=4>".get_pos($i)." - $cnt Players</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['yrs']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['g']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['ab']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['h']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['d']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['t']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['hr']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['rbi']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['r']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['bb']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['hp']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['sh']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['sf']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['k']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['sb']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb[$i]['cs']/$cnt)."</td>\n";
	       $statVal=$avgHOFb[$i]['h']/$avgHOFb[$i]['ab'];
	       $statVal=sprintf("%.3f",$statVal);
   	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $statVal=($avgHOFb[$i]['h']+$avgHOFb[$i]['bb']+$avgHOFb[$i]['hp'])/($avgHOFb[$i]['ab']+$avgHOFb[$i]['bb']+$avgHOFb[$i]['hp']+$avgHOFb[$i]['sf']);
	       $statVal=sprintf("%.3f",$statVal);
   	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $statVal=($avgHOFb[$i]['h']+$avgHOFb[$i]['d']+2*$avgHOFb[$i]['t']+3*$avgHOFb[$i]['hr'])/$avgHOFb[$i]['ab'];
	       $statVal=sprintf("%.3f",$statVal);
   	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $statVal=($avgHOFb[$i]['h']+$avgHOFb[$i]['bb']+$avgHOFb[$i]['hp'])/($avgHOFb[$i]['ab']+$avgHOFb[$i]['bb']+$avgHOFb[$i]['hp']+$avgHOFb[$i]['sf'])+($avgHOFb[$i]['h']+$avgHOFb[$i]['d']+2*$avgHOFb[$i]['t']+3*$avgHOFb[$i]['hr'])/$avgHOFb[$i]['ab'];
	       $statVal=sprintf("%.3f",$statVal);
   	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $statVal=(0.72*$avgHOFb[$i]['bb']+0.75*$avgHOFb[$i]['hp']+0.9*($avgHOFb[$i]['h']-$avgHOFb[$i]['d']-$avgHOFb[$i]['t']-$avgHOFb[$i]['hr'])+0.92*0+1.24*$avgHOFb[$i]['d']+1.56*$avgHOFb[$i]['t']+1.95*$avgHOFb[$i]['hr'])/$avgHOFb[$i]['pa'];
	       $statVal=sprintf("%.3f",$statVal);
   	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $text.="</tr>\n";
	     }
	  }
	 $cnt=$avgHOFb['all']['pcnt'];
	 $text.="      <tr class='headline'>";
	 $text.="<td class='hsc2_l' colspan=4>Totals - $cnt Players</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['yrs']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['g']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['ab']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['h']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['d']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['t']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['hr']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['rbi']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['r']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['bb']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['hp']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['sh']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['sf']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['k']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['sb']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFb['all']['cs']/$cnt)."</td>\n";
	 $statVal=$avgHOFb['all']['h']/$avgHOFb['all']['ab'];
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $statVal=($avgHOFb['all']['h']+$avgHOFb['all']['bb']+$avgHOFb['all']['hp'])/($avgHOFb['all']['ab']+$avgHOFb['all']['bb']+$avgHOFb['all']['hp']+$avgHOFb['all']['sf']);
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $statVal=($avgHOFb['all']['h']+$avgHOFb['all']['d']+2*$avgHOFb['all']['t']+3*$avgHOFb['all']['hr'])/$avgHOFb['all']['ab'];
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $statVal=($avgHOFb['all']['h']+$avgHOFb['all']['bb']+$avgHOFb['all']['hp'])/($avgHOFb['all']['ab']+$avgHOFb['all']['bb']+$avgHOFb['all']['hp']+$avgHOFb['all']['sf'])+($avgHOFb['all']['h']+$avgHOFb['all']['d']+2*$avgHOFb['all']['t']+3*$avgHOFb['all']['hr'])/$avgHOFb['all']['ab'];
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $statVal=(0.72*$avgHOFb['all']['bb']+0.75*$avgHOFb['all']['hp']+0.9*($avgHOFb['all']['h']-$avgHOFb['all']['d']-$avgHOFb['all']['t']-$avgHOFb['all']['hr'])+0.92*0+1.24*$avgHOFb['all']['d']+1.56*$avgHOFb['all']['t']+1.95*$avgHOFb['all']['hr'])/$avgHOFb['all']['pa'];
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $text.="</tr>\n";
	 $text.="     </tfoot>\n";

	 ## Close Table
	 $text.="    </table>\n";
	 $text.="   </td></tr>\n";
	 $text.="  </table>\n";
	 $text.=" </div>\n";
       }
      
      ## Display Pitcher
      if ($pList!="")
       {
         $query="SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr,COUNT(DISTINCT(year)) as yrs,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,(SUM(ip)+(SUM(ipf)/3)) as ip,SUM(ha) as ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(w)+SUM(l))=0,0,SUM(w)/(SUM(w)+SUM(l))) as wPct,if((SUM(ip)+(SUM(ipf)/3))=0,0,9*SUM(er)/(SUM(ip)+(SUM(ipf)/3))) as era,if((SUM(ip)+(SUM(ipf)/3))=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+(SUM(ipf)/3))) as whip,if((SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))=0,0,(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))) as babip,SUM(ab) as ab,SUM(sf) as sf FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND player_id IN ($pList) GROUP BY player_id;";
         if ($_GET['showq']==1) {$text.="$query<br/>\n";}
	 $result=mysql_query($query,$db);
   	 if (mysql_num_rows($result))
	  {
	    while ($row=mysql_fetch_array($result))
             {
	       $pid=$row['player_id'];
	       $players[$pid]['minYr']=$row['minYr'];
   	       $players[$pid]['maxYr']=$row['maxYr'];
	       $players[$pid]['yrs']=$row['yrs'];
   	       $players[$pid]['g']=$row['g'];
   	       $players[$pid]['gs']=$row['gs'];
   	       $players[$pid]['w']=$row['w'];
   	       $players[$pid]['l']=$row['l'];
   	       $players[$pid]['s']=$row['s'];
   	       $players[$pid]['ip']=$row['ip'];
   	       $players[$pid]['ha']=$row['ha'];
   	       $players[$pid]['r']=$row['r'];
   	       $players[$pid]['er']=$row['er'];
   	       $players[$pid]['hra']=$row['hra'];
   	       $players[$pid]['bb']=$row['bb'];
   	       $players[$pid]['k']=$row['k'];
   	       $players[$pid]['hld']=$row['hld'];
   	       $players[$pid]['cg']=$row['cg'];
   	       $players[$pid]['sho']=$row['sho'];
   	       $players[$pid]['wPct']=$row['wPct'];
   	       $players[$pid]['era']=$row['era'];
   	       $players[$pid]['whip']=$row['whip'];
   	       $players[$pid]['babip']=$row['babip'];
   	       $players[$pid]['ab']=$row['ab'];
	       $players[$pid]['sf']=$row['sf'];
	       if ((($row['g']-$row['gs'])>$row['gs'])&&(($row['ip']/$row['g'])<=4)) {$role=21;} else {$role=11;}
	       $players[$pid]['position']=$role;

	       $avgHOFp['all']['yrs']=$avgHOFp['all']['yrs']+$row['yrs'];
   	       $avgHOFp['all']['g']=$avgHOFp['all']['g']+$row['g'];
   	       $avgHOFp['all']['gs']=$avgHOFp['all']['gs']+$row['gs'];
   	       $avgHOFp['all']['w']=$avgHOFp['all']['w']+$row['w'];
   	       $avgHOFp['all']['l']=$avgHOFp['all']['l']+$row['l'];
   	       $avgHOFp['all']['s']=$avgHOFp['all']['s']+$row['s'];
   	       $avgHOFp['all']['ip']=$avgHOFp['all']['ip']+$row['ip'];
   	       $avgHOFp['all']['ha']=$avgHOFp['all']['ha']+$row['ha'];
   	       $avgHOFp['all']['r']=$avgHOFp['all']['r']+$row['r'];
   	       $avgHOFp['all']['er']=$avgHOFp['all']['er']+$row['er'];
   	       $avgHOFp['all']['hra']=$avgHOFp['all']['hra']+$row['hra'];
   	       $avgHOFp['all']['bb']=$avgHOFp['all']['bb']+$row['bb'];
   	       $avgHOFp['all']['k']=$avgHOFp['all']['k']+$row['k'];
   	       $avgHOFp['all']['hld']=$avgHOFp['all']['hld']+$row['hld'];
   	       $avgHOFp['all']['cg']=$avgHOFp['all']['cg']+$row['cg'];
   	       $avgHOFp['all']['sho']=$avgHOFp['all']['sho']+$row['sho'];
   	       $avgHOFp['all']['ab']=$avgHOFp['all']['ab']+$row['ab'];
   	       $avgHOFp['all']['sf']=$avgHOFp['all']['sf']+$row['sf'];
	       $avgHOFp['all']['pcnt']=$avgHOFp['all']['pcnt']+1;	       

	       $pos=$players[$pid]['position'];
       	       $avgHOFp[$pos]['yrs']=$avgHOFp[$pos]['yrs']+$row['yrs'];
   	       $avgHOFp[$pos]['g']=$avgHOFp[$pos]['g']+$row['g'];
   	       $avgHOFp[$pos]['gs']=$avgHOFp[$pos]['gs']+$row['gs'];
   	       $avgHOFp[$pos]['w']=$avgHOFp[$pos]['w']+$row['w'];
   	       $avgHOFp[$pos]['l']=$avgHOFp[$pos]['l']+$row['l'];
   	       $avgHOFp[$pos]['s']=$avgHOFp[$pos]['s']+$row['s'];
   	       $avgHOFp[$pos]['ip']=$avgHOFp[$pos]['ip']+$row['ip'];
   	       $avgHOFp[$pos]['ha']=$avgHOFp[$pos]['ha']+$row['ha'];
   	       $avgHOFp[$pos]['r']=$avgHOFp[$pos]['r']+$row['r'];
   	       $avgHOFp[$pos]['er']=$avgHOFp[$pos]['er']+$row['er'];
   	       $avgHOFp[$pos]['hra']=$avgHOFp[$pos]['hra']+$row['hra'];
   	       $avgHOFp[$pos]['bb']=$avgHOFp[$pos]['bb']+$row['bb'];
   	       $avgHOFp[$pos]['k']=$avgHOFp[$pos]['k']+$row['k'];
   	       $avgHOFp[$pos]['hld']=$avgHOFp[$pos]['hld']+$row['hld'];
   	       $avgHOFp[$pos]['cg']=$avgHOFp[$pos]['cg']+$row['cg'];
   	       $avgHOFp[$pos]['sho']=$avgHOFp[$pos]['sho']+$row['sho'];
   	       $avgHOFp[$pos]['ab']=$avgHOFp[$pos]['ab']+$row['ab'];
   	       $avgHOFp[$pos]['sf']=$avgHOFp[$pos]['sf']+$row['sf'];
	       $avgHOFp[$pos]['pcnt']=$avgHOFp[$pos]['pcnt']+1;	       
   	     }
	  }

	 ## Open Table
	 $text.=" <div class='textbox'>\n";
      	 $text.="  <table cellpadding=0 cellspacing=0 border=0>\n";
	 $text.="   <tr class='title2'><td>Pitchers</td></tr>\n";
	 $text.="   <tr><td>\n";
	 $text.="    <table cellpadding=2 cellspacing=0 border=0 width='935px' class='sortable'>\n";
	 $text.="     <thead><tr class='headline'>";
	 $text.="<td class='hsc2'>Role</td>";
	 $text.="<td class='hsc2_l'>Player</td>";
	 $text.="<td class='hsc2'>From</td>";
	 $text.="<td class='hsc2'>To</td>";
	 $text.="<td class='hsc2'>Yrs</td>";
	 $text.="<td class='hsc2'>G</td>";
	 $text.="<td class='hsc2'>GS</td>";
	 $text.="<td class='hsc2'>W</td>";
	 $text.="<td class='hsc2'>L</td>";
	 $text.="<td class='hsc2'>SV</td>";
	 $text.="<td class='hsc2'>ERA</td>";
	 $text.="<td class='hsc2'>IP</td>";
	 $text.="<td class='hsc2'>HA</td>";
	 $text.="<td class='hsc2'>R</td>";
	 $text.="<td class='hsc2'>ER</td>";
	 $text.="<td class='hsc2'>HR</td>";
	 $text.="<td class='hsc2'>BB</td>";
	 $text.="<td class='hsc2'>K</td>";
	 $text.="<td class='hsc2'>HLD</td>";
	 $text.="<td class='hsc2'>CG</td>";
	 $text.="<td class='hsc2'>SHO</td>";
	 $text.="<td class='hsc2'>WHIP</td>";
	 $text.="<td class='hsc2'>BABIP</td>";
	 $text.="</tr></thead>\n";

	 ## Display Player Stats
	 $cnt=0;
	 foreach ($players as $pid => $val)
	  {
	    $pos=$players[$pid]['position'];
	    if (($pos>=2)&&($pos<=10)) {continue;}
	    $cls='s'.($cnt%2+1);
	    $text.="     <tr class='$cls'>";
	    $text.="<td sorttable_customkey=\"$pos\">".get_pos($pos)."</td>";
	    $text.="<td class='".$cls."_l' sorttable_customkey=\"".$players[$pid]['sortname']."\"><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $text.="<td>".$players[$pid]['minYr']."</td>";
	    $text.="<td>".$players[$pid]['maxYr']."</td>";
	    $text.="<td>".$players[$pid]['yrs']."</td>";
	    $text.="<td>".$players[$pid]['g']."</td>";
	    $text.="<td>".$players[$pid]['gs']."</td>";
	    $text.="<td>".$players[$pid]['w']."</td>";
	    $text.="<td>".$players[$pid]['l']."</td>";
	    $text.="<td>".$players[$pid]['s']."</td>";
	    $statVal=$players[$pid]['era'];
	    $statVal=sprintf("%.2f",$statVal);
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['ip'];
	    $statVal=sprintf("%.1f",$statVal);
	    $text.="<td>".$statVal."</td>";
	    $text.="<td>".$players[$pid]['ha']."</td>";
	    $text.="<td>".$players[$pid]['r']."</td>";
	    $text.="<td>".$players[$pid]['er']."</td>";
	    $text.="<td>".$players[$pid]['hra']."</td>";
	    $text.="<td>".$players[$pid]['bb']."</td>";
	    $text.="<td>".$players[$pid]['k']."</td>";
	    $text.="<td>".$players[$pid]['hld']."</td>";
	    $text.="<td>".$players[$pid]['cg']."</td>";
	    $text.="<td>".$players[$pid]['sho']."</td>";
	    $statVal=$players[$pid]['whip'];
	    $statVal=sprintf("%.2f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $statVal=$players[$pid]['babip'];
	    $statVal=sprintf("%.3f",$statVal);
	    if ($statVal<1) {$statVal=strstr($statVal,".");}
	    $text.="<td>".$statVal."</td>";
	    $text.="</tr>\n";
	    $cnt++;
	  }

	 ## Display Totals
	 $text.="     <tfoot>\n";
	 $text.="      <tr class='headline'>";
	 $text.="<td class='hsc2_l' colspan=4>HOF Averages</td>";
	 $text.="<td class='hsc2'>Yrs</td>";
	 $text.="<td class='hsc2'>G</td>";
	 $text.="<td class='hsc2'>GS</td>";
	 $text.="<td class='hsc2'>W</td>";
	 $text.="<td class='hsc2'>L</td>";
	 $text.="<td class='hsc2'>SV</td>";
	 $text.="<td class='hsc2'>ERA</td>";
	 $text.="<td class='hsc2'>IP</td>";
	 $text.="<td class='hsc2'>HA</td>";
	 $text.="<td class='hsc2'>R</td>";
	 $text.="<td class='hsc2'>ER</td>";
	 $text.="<td class='hsc2'>HR</td>";
	 $text.="<td class='hsc2'>BB</td>";
	 $text.="<td class='hsc2'>K</td>";
	 $text.="<td class='hsc2'>HLD</td>";
	 $text.="<td class='hsc2'>CG</td>";
	 $text.="<td class='hsc2'>SHO</td>";
	 $text.="<td class='hsc2'>WHIP</td>";
	 $text.="<td class='hsc2'>BABIP</td>";
	 $text.="</tr>\n";
	 $posArray=array(11,21);
	 foreach ($posArray as $key => $i)
	  {
 	    if (isset($avgHOFp[$i]))
	     {
	       $cnt=$avgHOFp[$i]['pcnt'];
   	       $text.="      <tr class='headline'>";
	       $text.="<td class='hsc2_l' colspan=4>".get_pos($i)." - $cnt Players</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['yrs']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['g']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['gs']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['w']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['l']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['s']/$cnt)."</td>\n";
	       $statVal=9*$avgHOFp[$i]['er']/$avgHOFp[$i]['ip'];
	       $statVal=sprintf("%.2f",$statVal);
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $text.="<td class='hsc2'>".sprintf("%.1f",$avgHOFp[$i]['ip']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['ha']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['r']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['er']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['hra']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['bb']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['k']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['hld']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['cg']/$cnt)."</td>\n";
	       $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp[$i]['sho']/$cnt)."</td>\n";
	       $statVal=($avgHOFp[$i]['ha']+$avgHOFp[$i]['bb'])/$avgHOFp[$i]['ip'];
	       $statVal=sprintf("%.2f",$statVal);
	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $statVal=($avgHOFp[$i]['ha']-$avgHOFp[$i]['hra'])/($avgHOFp[$i]['ab']-$avgHOFp[$i]['k']-$avgHOFp[$i]['hra']+$avgHOFp[$i]['sf']);
	       $statVal=sprintf("%.3f",$statVal);
	       if ($statVal<1) {$statVal=strstr($statVal,".");}
	       $text.="<td class='hsc2'>".$statVal."</td>";
	       $text.="</tr>\n";
	     }
	  }
	 $cnt=$avgHOFp['all']['pcnt'];
	 $text.="      <tr class='headline'>";
	 $text.="<td class='hsc2_l' colspan=4>Totals - $cnt Players</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['yrs']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['g']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['gs']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['w']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['l']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['s']/$cnt)."</td>\n";
	 $statVal=9*$avgHOFp['all']['er']/$avgHOFp['all']['ip'];
	 $statVal=sprintf("%.2f",$statVal);
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $text.="<td class='hsc2'>".sprintf("%.1f",$avgHOFp['all']['ip']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['ha']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['r']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['er']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['hra']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['bb']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['k']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['hld']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['cg']/$cnt)."</td>\n";
	 $text.="<td class='hsc2'>".sprintf("%.0f",$avgHOFp['all']['sho']/$cnt)."</td>\n";
	 $statVal=($avgHOFp['all']['ha']+$avgHOFp['all']['bb'])/$avgHOFp['all']['ip'];
	 $statVal=sprintf("%.2f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $statVal=($avgHOFp['all']['ha']-$avgHOFp['all']['hra'])/($avgHOFp['all']['ab']-$avgHOFp['all']['k']-$avgHOFp['all']['hra']+$avgHOFp['all']['sf']);
	 $statVal=sprintf("%.3f",$statVal);
	 if ($statVal<1) {$statVal=strstr($statVal,".");}
	 $text.="<td class='hsc2'>".$statVal."</td>";
	 $text.="</tr>\n";
	 $text.="     </tfoot>\n";

	 ## Close Table
	 $text.="    </table>\n";
	 $text.="   </td></tr>\n";
	 $text.="  </table>\n";
	 $text.=" </div>\n";
       }
    }
    else
    {
      $text="No players elected to Hall of Fame<br/>\n";
    }

   return $text;
 }

#########################################################################
# gen_hof_detail
#  creates Hall of Fame Detail page
#########################################################################
function gen_hof_detail($lgid)
 {
   $date=new Date($_SESSION['lgdate']);
   include($_SESSION['adminpath']."/dbopen.php");
   $year=$date->format("Y");
   $lgpath=$_SESSION['lgpath'];

   $text="";

   ##### Get Award Names ######
   $query="SELECT hitter_award_name,pitcher_award_name,rookie_award_name,defense_award_name FROM leagues WHERE league_id=$lgid;";
   $result=mysql_query($query,$db);
   $row=mysql_fetch_array($result);
   $awardName[5]=$row['hitter_award_name'];
   $awardName[4]=$row['pitcher_award_name'];
   $awardName[6]=$row['rookie_award_name'];
   $awardName[7]=$row['defense_award_name'];
   $awardName[9]='All-Star';

   ##### Get Team Names #####
   $tList="";
   $query="SELECT team_id,league_id,name,nickname FROM teams;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $teams[$tid]=$row['name']." ".$row['nickname'];
      if ($row['league_id']==$lgid) {$tList.=",$tid";}
    }
   if (isset($tList)) {$tList=trim($tList,",");}

   ##### Get Batters #####
   $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,inducted,pci.position,MIN(pcs.year) as strt,MAX(pcs.year) as lst,COUNT(DISTINCT(pcs.year)) as yrs,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(hp) as hp,SUM(sh) as sh,SUM(sf) as sf,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,SUM(pa) as pa,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as obp,if(SUM(ab)=0,0,((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as slg,(((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))+((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as ops,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA,SUM(vorp) as vorp,black_ink,gray_ink,hof_standards FROM players as p,players_career_batting_stats as pcs,players_career_info as pci WHERE p.player_id=pcs.player_id AND p.player_id=pci.player_id AND pcs.player_id=pci.player_id AND p.hall_of_fame=1 AND pcs.league_id=$lgid AND pcs.split_id=1 AND pci.position!=1 GROUP BY player_id) as tmp ORDER BY last_name,first_name;";
   if ($_GET['showq']==1) {$text.="$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $fname=$row['first_name'];
	 $lname=$row['last_name'];
	 $inducted=$row['inducted'];
         $batters[$pid]=$lname.", ".$first_name;
         $bList.=",$pid";

	 $players[$pid]['name']=$fname." ".$lname;
	 $players[$pid]['inducted']=$inducted;
	 $players[$pid]['pos']=get_pos($row['position']);
	 $players[$pid]['g']=$row['g'];
	 $players[$pid]['ab']=$row['ab'];
	 $players[$pid]['h']=$row['h'];
	 $players[$pid]['d']=$row['d'];
	 $players[$pid]['t']=$row['t'];
	 $players[$pid]['hr']=$row['hr'];
	 $players[$pid]['rbi']=$row['rbi'];
	 $players[$pid]['r']=$row['r'];
	 $players[$pid]['bb']=$row['bb'];
	 $players[$pid]['hp']=$row['hp'];
	 $players[$pid]['sh']=$row['sh'];
	 $players[$pid]['sf']=$row['sf'];
	 $players[$pid]['k']=$row['k'];
	 $players[$pid]['sb']=$row['sb'];
	 $players[$pid]['cs']=$row['cs'];
	 $players[$pid]['pa']=$row['pa'];

	 $avg=$row['avg'];
	 $obp=$row['obp'];
	 $slg=$row['slg'];
	 $ops=$row['ops'];
	 $wOBA=$row['wOBA'];
	 $vorp=$row['vorp'];
	 $avg=sprintf("%.3f",$avg);
	 $obp=sprintf("%.3f",$obp);
   	 $slg=sprintf("%.3f",$slg);
	 $ops=sprintf("%.3f",$ops);
   	 $wOBA=sprintf("%.3f",$wOBA);
	 if ($avg<1) {$avg=strstr($avg,".");}
	 if ($obp<1) {$obp=strstr($obp,".");}
  	 if ($slg<1) {$slg=strstr($slg,".");}
	 if ($ops<1) {$ops=strstr($ops,".");}
   	 if ($wOBA<1) {$wOBA=strstr($wOBA,".");}
	 $vorp=sprintf("%.1f",$vorp);

	 $players[$pid]['avg']=$avg;
	 $players[$pid]['obp']=$obp;
	 $players[$pid]['slg']=$slg;
	 $players[$pid]['ops']=$ops;
	 $players[$pid]['vorp']=$vorp;
	 $players[$pid]['wOBA']=$wOBA;
	 $players[$pid]['black_ink']=$row['black_ink'];
	 $players[$pid]['gray_ink']=$row['gray_ink'];
	 $players[$pid]['hof_standards']=$row['hof_standards'];
       }
    }
   $bList=trim($bList,",");
   if ($bList=="") {$bList=-999;}

   ## Get postseason batting stats
   $query="SELECT player_id,COUNT(DISTINCT(year)) as yrs,SUM(g) as g,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(rbi) as rbi,SUM(r) as r,SUM(bb) as bb,SUM(hp) as hp,SUM(sh) as sh,SUM(sf) as sf,SUM(k) as k,SUM(sb) as sb,SUM(cs) as cs,SUM(pa) as pa,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as obp,if(SUM(ab)=0,0,((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as slg,(((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))+((SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as ops,if(SUM(pa)=0,0,(0.72*SUM(bb)+0.75*SUM(hp)+0.9*(SUM(h)-SUM(d)-SUM(t)-SUM(hr))+0.92*0+1.24*SUM(d)+1.56*SUM(t)+1.95*SUM(hr))/SUM(pa)) as wOBA FROM players_career_batting_stats WHERE player_id IN ($bList) AND league_id=$lgid AND split_id=21 GROUP BY player_id;";
   if ($_GET['showq']==1) {$text.="$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $players[$pid]['ps']['g']=$row['g'];
	 $players[$pid]['ps']['ab']=$row['ab'];
	 $players[$pid]['ps']['h']=$row['h'];
	 $players[$pid]['ps']['d']=$row['d'];
	 $players[$pid]['ps']['t']=$row['t'];
	 $players[$pid]['ps']['hr']=$row['hr'];
	 $players[$pid]['ps']['rbi']=$row['rbi'];
	 $players[$pid]['ps']['r']=$row['r'];
	 $players[$pid]['ps']['bb']=$row['bb'];
	 $players[$pid]['ps']['hp']=$row['hp'];
	 $players[$pid]['ps']['sh']=$row['sh'];
	 $players[$pid]['ps']['sf']=$row['sf'];
	 $players[$pid]['ps']['k']=$row['k'];
	 $players[$pid]['ps']['sb']=$row['sb'];
	 $players[$pid]['ps']['cs']=$row['cs'];
	 $players[$pid]['ps']['pa']=$row['pa'];

	 $avg=$row['avg'];
	 $obp=$row['obp'];
	 $slg=$row['slg'];
	 $ops=$row['ops'];
	 $wOBA=$row['wOBA'];
	 $avg=sprintf("%.3f",$avg);
	 $obp=sprintf("%.3f",$obp);
   	 $slg=sprintf("%.3f",$slg);
	 $ops=sprintf("%.3f",$ops);
   	 $wOBA=sprintf("%.3f",$wOBA);
	 if ($avg<1) {$avg=strstr($avg,".");}
	 if ($obp<1) {$obp=strstr($obp,".");}
  	 if ($slg<1) {$slg=strstr($slg,".");}
	 if ($ops<1) {$ops=strstr($ops,".");}
   	 if ($wOBA<1) {$wOBA=strstr($wOBA,".");}

	 $players[$pid]['ps']['avg']=$avg;
	 $players[$pid]['ps']['obp']=$obp;
	 $players[$pid]['ps']['slg']=$slg;
	 $players[$pid]['ps']['ops']=$ops;
	 $players[$pid]['wOBA']=$wOBA;
       }
    }

   ## Get Teams
   $query="SELECT player_id,year,team_id FROM players_career_batting_stats WHERE player_id IN ($bList) AND league_id=$lgid AND split_id=1 ORDER BY player_id,year,team_id;";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $tid=$row['team_id'];
	 $yr=$row['year'];
	 $players[$pid]['teams'][$tid][$yr]=1;
       }
    }

   ##### Get Pitchers #####
   $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,inducted,MIN(pcs.year) as strt,MAX(pcs.year) as lst,COUNT(DISTINCT(pcs.year)) as yrs,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,(SUM(ip)+(SUM(ipf)/3)) as ip,SUM(ha) as ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(w)+SUM(l))=0,0,SUM(w)/(SUM(w)+SUM(l))) as wPct,if((SUM(ip)+(SUM(ipf)/3))=0,0,9*SUM(er)/(SUM(ip)+(SUM(ipf)/3))) as era,if((SUM(ip)+(SUM(ipf)/3))=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+(SUM(ipf)/3))) as whip,if((SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))=0,0,(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))) as babip,SUM(vorp) as vorp,black_ink,gray_ink,hof_standards FROM players as p,players_career_pitching_stats as pcs,players_career_info as pci WHERE p.player_id=pcs.player_id AND p.player_id=pci.player_id AND pcs.player_id=pci.player_id AND p.hall_of_fame=1 AND pcs.league_id=$lgid AND pcs.split_id=1 AND pci.position=1 GROUP BY player_id) as tmp ORDER BY last_name,first_name;";
   if ($_GET['showq']==1) {$text.="$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $fname=$row['first_name'];
         $lname=$row['last_name'];
	 $inducted=$row['inducted'];
         $pitchers[$pid]=$lname.", ".$first_name;
	 $pList.=",$pid";

	 $ip=$row['ip'];
	 $era=$row['era'];
	 $whip=$row['whip'];
	 $babip=$row['babip'];
	 $vorp=$row['vorp'];
	 $era=sprintf("%.2f",$era);
   	 $whip=sprintf("%.2f",$whip);
	 $babip=sprintf("%.3f",$babip);
	 $vorp=sprintf("%.1f",$vorp);
	 $ip=sprintf("%.1f",$ip);
	 if ($whip<1) {$whip=strstr($whip,".");}
   	 if ($babip<1) {$babip=strstr($babip,".");}

	 if ((($ip/$row['g'])<4.00)&&(($row['g']-$row['gs'])>$row['gs'])) {$pos="RP";} else {$pos="SP";}

	 $players[$pid]['name']=$fname." ".$lname;
	 $players[$pid]['inducted']=$inducted;
	 $players[$pid]['pos']=$pos;
	 $players[$pid]['strt']=$row['strt'];
	 $players[$pid]['lst']=$row['lst'];
	 $players[$pid]['yrs']=$row['yrs'];
	 $players[$pid]['g']=$row['g'];
	 $players[$pid]['gs']=$row['gs'];
	 $players[$pid]['w']=$row['w'];
	 $players[$pid]['l']=$row['l'];
	 $players[$pid]['s']=$row['s'];
	 $players[$pid]['ip']=$ip;
	 $players[$pid]['ha']=$row['ha'];
	 $players[$pid]['r']=$row['r'];
	 $players[$pid]['er']=$row['er'];
	 $players[$pid]['hra']=$row['hra'];
	 $players[$pid]['bb']=$row['bb'];
	 $players[$pid]['k']=$row['k'];
	 $players[$pid]['hld']=$row['hld'];
	 $players[$pid]['cg']=$row['cg'];
	 $players[$pid]['sho']=$row['sho'];
	 $players[$pid]['wPct']=$row['wPct'];
	 $players[$pid]['era']=$era;
	 $players[$pid]['whip']=$whip;
	 $players[$pid]['babip']=$babip;
	 $players[$pid]['vorp']=$vorp;
	 $players[$pid]['black_ink']=$row['black_ink'];
	 $players[$pid]['gray_ink']=$row['gray_ink'];
	 $players[$pid]['hof_standards']=$row['hof_standards'];
       }
    }
   $pList=trim($pList,",");
   if ($pList=="") {$pList=-999;}

   ## Get postseason pitching stats
   $query="SELECT player_id,COUNT(DISTINCT(year)) as yrs,SUM(g) as g,SUM(gs) as gs,SUM(w) as w,SUM(l) as l,SUM(s) as s,(SUM(ip)+(SUM(ipf)/3)) as ip,SUM(ha) as ha,SUM(r) as r,SUM(er) as er,SUM(hra) as hra,SUM(bb) as bb,SUM(k) as k,SUM(hld) as hld,SUM(cg) as cg,SUM(sho) as sho,if((SUM(w)+SUM(l))=0,0,SUM(w)/(SUM(w)+SUM(l))) as wPct,if((SUM(ip)+(SUM(ipf)/3))=0,0,9*SUM(er)/(SUM(ip)+(SUM(ipf)/3))) as era,if((SUM(ip)+(SUM(ipf)/3))=0,0,(SUM(ha)+SUM(bb))/(SUM(ip)+(SUM(ipf)/3))) as whip,if((SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))=0,0,(SUM(ha)-SUM(hra))/(SUM(ab)-SUM(k)-SUM(hra)+SUM(sf))) as babip FROM players_career_pitching_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=21 GROUP BY player_id;";
   if ($_GET['showq']==1) {$text.="$query<br/>\n";}
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];

	 $ip=$row['ip'];
	 $era=$row['era'];
	 $whip=$row['whip'];
	 $babip=$row['babip'];
	 $vorp=$row['vorp'];
	 $era=sprintf("%.2f",$era);
   	 $whip=sprintf("%.2f",$whip);
	 $babip=sprintf("%.3f",$babip);
	 $vorp=sprintf("%.1f",$vorp);
	 $ip=sprintf("%.1f",$ip);
	 if ($whip<1) {$whip=strstr($whip,".");}
   	 if ($babip<1) {$babip=strstr($babip,".");}
	
	 $players[$pid]['ps']['yrs']=$row['yrs'];
	 $players[$pid]['ps']['g']=$row['g'];
	 $players[$pid]['ps']['gs']=$row['gs'];
	 $players[$pid]['ps']['w']=$row['w'];
	 $players[$pid]['ps']['l']=$row['l'];
	 $players[$pid]['ps']['s']=$row['s'];
	 $players[$pid]['ps']['ip']=$ip;
	 $players[$pid]['ps']['ha']=$row['ha'];
	 $players[$pid]['ps']['r']=$row['r'];
	 $players[$pid]['ps']['er']=$row['er'];
	 $players[$pid]['ps']['hra']=$row['hra'];
	 $players[$pid]['ps']['bb']=$row['bb'];
	 $players[$pid]['ps']['k']=$row['k'];
	 $players[$pid]['ps']['hld']=$row['hld'];
	 $players[$pid]['ps']['cg']=$row['cg'];
	 $players[$pid]['ps']['sho']=$row['sho'];
	 $players[$pid]['ps']['wPct']=$row['wPct'];
	 $players[$pid]['ps']['era']=$era;
	 $players[$pid]['ps']['whip']=$whip;
	 $players[$pid]['ps']['babip']=$babip;
       }
    }

   ## Get Teams
   $query="SELECT player_id,year,team_id FROM players_career_pitching_stats WHERE player_id IN ($pList) AND league_id=$lgid AND split_id=1 ORDER BY player_id,year,team_id;";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $tid=$row['team_id'];
	 $yr=$row['year'];
	 $players[$pid]['teams'][$tid][$yr]=1;
       }
    }

   ##### Check if win shares table exists #####
   $query="SHOW TABLES LIKE 'players_win_shares';";
   $result=mysql_query($query,$db);
   if (!mysql_num_rows($result)) {$noWS=1;}
    else
    {
      $query="SELECT player_id,SUM(ows) as ows,SUM(pws) as pws,SUM(fwsTot) as fwsTot,SUM(wsTot) as wsTot FROM players_win_shares WHERE player_id IN ($bList,$pList) AND team_id IN ($tList) GROUP BY player_id;";
      if ($_GET['showq']==1) {$text.="$query<br/>\n";}
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result))
       {
         while ($row=mysql_fetch_array($result))
	  {
            $pid=$row['player_id'];
	    $ows=$row['ows'];
	    $pws=$row['pws'];
	    $fwsTot=$row['fwsTot'];
	    $wsTot=$row['wsTot'];
	    $players[$pid]['ows']=sprintf("%.1f",$ows);
	    $players[$pid]['pws']=sprintf("%.1f",$pws);
	    $players[$pid]['fwsTot']=sprintf("%.1f",$fwsTot);
	    $players[$pid]['wsTot']=sprintf("%.1f",$wsTot);
	  }
       }
       else {$noWS=1;}
    }

   ##### Get Awards #####
   $query="SELECT player_id,award_id,year FROM players_awards WHERE player_id IN ($bList,$pList) AND league_id=$lgid AND award_id IN (4,5,6,7,9) ORDER BY player_id,award_id,year;";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
         $awID=$row['award_id'];
         $yr=$row['year'];
	 if ($players[$pid]['awards'][$awID]['yrs']=="") {$players[$pid]['awards'][$awID]['yrs']=$yr;}
	  else {$players[$pid]['awards'][$awID]['yrs']=$players[$pid]['awards'][$awID]['yrs'].", $yr";}
	 $players[$pid]['awards'][$awID]['cnt']=$players[$pid]['awards'][$awID]['cnt']+1;
       }
    }
   
   ## Trim lists
   if (isset($players))
    {
      foreach ($players as $pid => $val)
       {
         for ($i=4;$i<=9;$i++)
          {
            if ($i==8) {continue;}
	    if ($players[$pid]['awards'][$i]['cnt']=="")
	     {
               $players[$pid]['awards'][$i]['cnt']=0;
               $players[$pid]['awards'][$i]['yrs']="&nbsp;";
	     }
	  }
       }
    }

   if ($bList==-999) {unset($bList);}
   if ($pList==-999) {unset($pList);}
	
   ##### Batters #####
   $text.=" <div class='textbox'>\n";
   $text.="  <table cellpadding=0 cellspacing=0 border=0 width='935px'>\n";
   $text.="   <tr class='title2'><td>Batters</td></tr>\n";
   if (isset($bList))
    {
      foreach ($batters as $pid => $name)
       {
         $text.="   <tr><td>\n";
	 $text.="    <div class='tablebox'>\n";
   	 $text.="     <table cellpadding=2 cellspacing=0 border=0 width='915px'>\n";
	 $text.="      <tr class='title2'><td colspan=2>".$players[$pid]['pos']." ".$players[$pid]['name']."</td></tr>\n";

	 ## Show Voting Box & Player Links
	 $text.="      <tr class='s2_l'>\n";
	 $text.="       <td><b>Links:</b> <a href='./player.php?player_id=$pid'>StatsLab Player Page</a>, <a href='$lgpath/players/player_$pid.html'>OOTP Player Page</a></td>\n";
	 $text.="       <td style='text-align:right;'><b>Inducted:</b> ".$players[$pid]['inducted']."</td>\n";
	 $text.="      </tr>\n";

	 ## Show Teams Played For
	 $text.="      <tr class='s1_l'>\n";
	 $text.="       <td colspan=2><b>Teams:</b> ";
	 $cnt=0;
	 foreach ($players[$pid]['teams'] as $tid => $val)
	  {
	    if ($cnt!=0) {$text.=", ";}
	    $text.="<a href='./teamHist.php?team_id=$tid'>".$teams[$tid]."</a> (";
	    $prevYr=-1;
	    $dset=0;
	    foreach ($players[$pid]['teams'][$tid] as $yr =>$val)
	     {
 	       if (($prevYr+1)==$yr)
	        {
		  if ($dset!=1) {$text.="-";}
	          $dset=1;
	 	}
	        elseif ($prevYr!=-1)
		{
		  if ($dset==1) $text.=$prevYr;
		  $text.=", $yr";
		  $dset=0;
		}
	        else {$text.=$yr;}
	       $prevYr=$yr;
	     }
	    if ($dset==1) {$text.=$yr;}
	    $text.=")";
	    $cnt++;
	  }
	 $text.="</td>\n";
	 $text.="      </tr>\n";

	 ## Show Accomplishments
	 $text.="      <tr class='title'><td colspan=2>Accomplishments</td></tr>\n";
	 $text.="      <tr><td valign='top'>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
   	 $text.="        <tr class='headline'><td class='hsc2_l' colspan=3>Awards</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l' width='200px'>".$awardName[6].":</td><td>".$players[$pid]['awards'][6]['yrs']."</td><td width='20px'>".$players[$pid]['awards'][6]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>".$awardName[5].":</td><td>".$players[$pid]['awards'][5]['yrs']."</td><td>".$players[$pid]['awards'][5]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>".$awardName[7].":</td><td>".$players[$pid]['awards'][7]['yrs']."</td><td>".$players[$pid]['awards'][7]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>".$awardName[9].":</td><td>".$players[$pid]['awards'][9]['yrs']."</td><td>".$players[$pid]['awards'][9]['cnt']."</td></tr>\n";
	 $text.="       </table>\n";
	 $text.="      </td><td valign='top' style='max-width:120px;border-left:1px solid black;'>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
   	 $text.="        <tr class='headline'><td class='hsc2_l' colspan=2>Career Metrics</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>Black Ink:</td><td>".$players[$pid]['black_ink']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>Gray Ink:</td><td>".$players[$pid]['gray_ink']."</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>HOF Standards:</td><td>".$players[$pid]['hof_standards']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l' colspan=2>&nbsp;</td></tr>\n";
	 $text.="       </table>\n";
	 $text.="      </td></tr>\n";

	 ## Show Statistics
	 $text.="      <tr class='title'><td colspan=2>Statistics</td></tr>\n";
   	 $text.="      <tr><td colspan=2>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
	 $text.="        <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2'>G</td><td class='hsc2'>AB</td><td class='hsc2'>H</td><td class='hsc2'>2B</td><td class='hsc2'>3B</td><td class='hsc2'>HR</td><td class='hsc2'>RBI</td><td class='hsc2'>R</td><td class='hsc2'>BB</td><td class='hsc2'>HP</td><td class='hsc2'>SH</td><td class='hsc2'>SF</td><td class='hsc2'>K</td><td class='hsc2'>SB</td><td class='hsc2'>CS</td><td class='hsc2'>AVG</td><td class='hsc2'>OBP</td><td class='hsc2'>SLG</td><td class='hsc2'>OPS</td><td class='hsc2'>VORP</td><td class='hsc2'>wOBA</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>Regular</td>";
	 $text.="<td>".$players[$pid]['g']."</td>";
	 $text.="<td>".$players[$pid]['ab']."</td>";
	 $text.="<td>".$players[$pid]['h']."</td>";
	 $text.="<td>".$players[$pid]['d']."</td>";
	 $text.="<td>".$players[$pid]['t']."</td>";
	 $text.="<td>".$players[$pid]['hr']."</td>";
	 $text.="<td>".$players[$pid]['rbi']."</td>";
	 $text.="<td>".$players[$pid]['r']."</td>";
	 $text.="<td>".$players[$pid]['bb']."</td>";
	 $text.="<td>".$players[$pid]['hp']."</td>";
	 $text.="<td>".$players[$pid]['sh']."</td>";
	 $text.="<td>".$players[$pid]['sf']."</td>";
	 $text.="<td>".$players[$pid]['k']."</td>";
	 $text.="<td>".$players[$pid]['sb']."</td>";
	 $text.="<td>".$players[$pid]['cs']."</td>";
	 $text.="<td>".$players[$pid]['avg']."</td>";
	 $text.="<td>".$players[$pid]['obp']."</td>";
	 $text.="<td>".$players[$pid]['slg']."</td>";
	 $text.="<td>".$players[$pid]['ops']."</td>";
	 $text.="<td>".$players[$pid]['vorp']."</td>";
	 $text.="<td>".$players[$pid]['wOBA']."</td>";
	 $text.="</tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>Postseason</td>";
	 if (isset($players[$pid]['ps']['ab']))
	  {
	    $text.="<td>".$players[$pid]['ps']['g']."</td>";
	    $text.="<td>".$players[$pid]['ps']['ab']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['h']."</td>";
	    $text.="<td>".$players[$pid]['ps']['d']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['t']."</td>";
	    $text.="<td>".$players[$pid]['ps']['hr']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['rbi']."</td>";
	    $text.="<td>".$players[$pid]['ps']['r']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['bb']."</td>";
	    $text.="<td>".$players[$pid]['ps']['hp']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['sh']."</td>";
	    $text.="<td>".$players[$pid]['ps']['sf']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['k']."</td>";
	    $text.="<td>".$players[$pid]['ps']['sb']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['cs']."</td>";
	    $text.="<td>".$players[$pid]['ps']['avg']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['obp']."</td>";
	    $text.="<td>".$players[$pid]['ps']['slg']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['ops']."</td>";
	    $text.="<td>&nbsp;</td>";
   	    $text.="<td>".$players[$pid]['ps']['wOBA']."</td>";
	  }
	  else
	  {
   	    $text.="<td colspan=21 align='center'>No postseason appearances</td>";
	  }
	 $text.="</tr>\n";
   	 $text.="       </table>\n";
	 $text.="      </td></tr>\n";

	 ## Show Win Shares
	 if ($noWS!=1)
	  {
	   $text.="      <tr class='title'><td colspan=2>Win Shares</td></tr>\n";
   	   $text.="      <tr><td colspan=2>\n";
	   $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
	   $text.="        <tr class='s2'>";
	   $text.="<td class='s2_l'><b>Offense:</b></td><td class='s2'>".$players[$pid]['ows']."</td>";
	   $text.="<td class='s2_l'><b>Pitching:</b></td><td class='s2'>".$players[$pid]['pws']."</td>";
	   $text.="<td class='s2_l'><b>Fielding:</b></td><td class='s2'>".$players[$pid]['fwsTot']."</td>";
	   $text.="<td class='s2_l'><b>Total:</b></td><td class='s2'>".$players[$pid]['wsTot']."</td>";
 	   $text.="</tr>\n";
	   $text.="       </table>\n";
  	   $text.="      </td></tr>\n";
	  }

	 $text.="     </table>\n";
	 $text.="    </div>\n";
   	 $text.="   </td></tr>\n";
       }
    }
    else 
    {
      $text.="   <tr><td>No batters elected</td></tr>\n";
    }
   $text.="  </table>\n";
   $text.=" </div>\n";

   ##### Pitchers #####
   $text.=" <div class='textbox'>\n";
   $text.="  <table cellpadding=0 cellspacing=0 border=0 width='935px'>\n";
   $text.="   <tr class='title2'><td>Pitchers</td></tr>\n";
   if (isset($pList))
    {
      foreach ($pitchers as $pid => $name)
       {
         $text.="   <tr><td>\n";
	 $text.="    <div class='tablebox'>\n";
   	 $text.="     <table cellpadding=2 cellspacing=0 border=0 width='915px'>\n";
	 $text.="      <tr class='title2'><td colspan=2>".$players[$pid]['pos']." ".$players[$pid]['name']."</td></tr>\n";
	 
	 ## Show Voting Box & Player Links
	 $text.="      <tr class='s2_l'>\n";
	 $text.="       <td><b>Links:</b> <a href='./player.php?player_id=$pid'>StatsLab Player Page</a>, <a href='$lgpath/players/player_$pid.html'>OOTP Player Page</a></td>\n";
	 $text.="       <td style='text-align:right;'><b>Inducted:</b> ".$players[$pid]['inducted']."</td>\n";
	 $text.="      </tr>\n";

	 ## Show Teams Played For
	 $text.="      <tr class='s1_l'>\n";
	 $text.="       <td colspan=2><b>Teams:</b> ";
	 $cnt=0;
	 foreach ($players[$pid]['teams'] as $tid => $val)
	  {
	    if ($cnt!=0) {$text.=", ";}
	    $text.="<a href='./teamHist.php?team_id=$tid'>".$teams[$tid]."</a> (";
	    $prevYr=-1;
	    $dset=0;
	    foreach ($players[$pid]['teams'][$tid] as $yr =>$val)
	     {
 	       if (($prevYr+1)==$yr)
	        {
		  if ($dset!=1) {$text.="-";}
	          $dset=1;
	 	}
	        elseif ($prevYr!=-1)
		{
		  if ($dset==1) $text.=$prevYr;
		  $text.=", $yr";
		  $dset=0;
		}
	        else {$text.=$yr;}
	       $prevYr=$yr;
	     }
	    if ($dset==1) {$text.=$yr;}
	    $text.=")";
	    $cnt++;
	  }
	 $text.="</td>\n";
	 $text.="      </tr>\n";

	 ## Show Accomplishments
	 $text.="      <tr class='title'><td colspan=2>Accomplishments</td></tr>\n";
	 $text.="      <tr><td valign='top'>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
   	 $text.="        <tr class='headline'><td class='hsc2_l' colspan=3>Awards</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l' width='200px'>".$awardName[6].":</td><td>".$players[$pid]['awards'][6]['yrs']."</td><td width='20px'>".$players[$pid]['awards'][6]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>".$awardName[4].":</td><td>".$players[$pid]['awards'][4]['yrs']."</td><td>".$players[$pid]['awards'][4]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>".$awardName[7].":</td><td>".$players[$pid]['awards'][7]['yrs']."</td><td>".$players[$pid]['awards'][7]['cnt']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>".$awardName[9].":</td><td>".$players[$pid]['awards'][9]['yrs']."</td><td>".$players[$pid]['awards'][9]['cnt']."</td></tr>\n";
	 $text.="       </table>\n";
	 $text.="      </td><td valign='top' style='max-width:120px;border-left:1px solid black;'>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
   	 $text.="        <tr class='headline'><td class='hsc2_l' colspan=2>Career Metrics</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>Black Ink:</td><td>".$players[$pid]['black_ink']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>Gray Ink:</td><td>".$players[$pid]['gray_ink']."</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>HOF Standards:</td><td>".$players[$pid]['hof_standards']."</td></tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l' colspan=2>&nbsp;</td></tr>\n";
	 $text.="       </table>\n";
	 $text.="      </td></tr>\n";

	 ## Show Statistics
	 $text.="      <tr class='title'><td colspan=2>Statistics</td></tr>\n";
   	 $text.="      <tr><td colspan=2>\n";
	 $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
	 $text.="        <tr class='headline'><td class='hsc2_l'>&nbsp;</td><td class='hsc2'>G</td><td class='hsc2'>GS</td><td class='hsc2'>W</td><td class='hsc2'>L</td><td class='hsc2'>SV</td><td class='hsc2'>ERA</td><td class='hsc2'>IP</td><td class='hsc2'>HA</td><td class='hsc2'>R</td><td class='hsc2'>ER</td><td class='hsc2'>HR</td><td class='hsc2'>BB</td><td class='hsc2'>K</td><td class='hsc2'>HLD</td><td class='hsc2'>CG</td><td class='hsc2'>SHO</td><td class='hsc2'>WHIP</td><td class='hsc2'>BABIP</td><td class='hsc2'>VORP</td></tr>\n";
	 $text.="        <tr class='s2'><td class='s2_l'>Regular</td>";
	 $text.="<td>".$players[$pid]['g']."</td>";
	 $text.="<td>".$players[$pid]['gs']."</td>";
	 $text.="<td>".$players[$pid]['w']."</td>";
	 $text.="<td>".$players[$pid]['l']."</td>";
	 $text.="<td>".$players[$pid]['s']."</td>";
	 $text.="<td>".$players[$pid]['era']."</td>";
	 $text.="<td>".$players[$pid]['ip']."</td>";
	 $text.="<td>".$players[$pid]['ha']."</td>";
	 $text.="<td>".$players[$pid]['r']."</td>";
	 $text.="<td>".$players[$pid]['er']."</td>";
	 $text.="<td>".$players[$pid]['hra']."</td>";
	 $text.="<td>".$players[$pid]['bb']."</td>";
	 $text.="<td>".$players[$pid]['k']."</td>";
	 $text.="<td>".$players[$pid]['hld']."</td>";
	 $text.="<td>".$players[$pid]['cg']."</td>";
	 $text.="<td>".$players[$pid]['sho']."</td>";
	 $text.="<td>".$players[$pid]['whip']."</td>";
	 $text.="<td>".$players[$pid]['babip']."</td>";
	 $text.="<td>".$players[$pid]['vorp']."</td>";
	 $text.="</tr>\n";
	 $text.="        <tr class='s1'><td class='s1_l'>Postseason</td>";
	 if (isset($players[$pid]['ps']['ip']))
	  {
	    $text.="<td>".$players[$pid]['ps']['g']."</td>";
	    $text.="<td>".$players[$pid]['ps']['gs']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['w']."</td>";
	    $text.="<td>".$players[$pid]['ps']['l']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['s']."</td>";
	    $text.="<td>".$players[$pid]['ps']['era']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['ip']."</td>";
	    $text.="<td>".$players[$pid]['ps']['ha']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['r']."</td>";
	    $text.="<td>".$players[$pid]['ps']['er']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['hra']."</td>";
	    $text.="<td>".$players[$pid]['ps']['bb']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['k']."</td>";
	    $text.="<td>".$players[$pid]['ps']['hld']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['cg']."</td>";
	    $text.="<td>".$players[$pid]['ps']['sho']."</td>";
   	    $text.="<td>".$players[$pid]['ps']['whip']."</td>";
	    $text.="<td>".$players[$pid]['ps']['babip']."</td>";
	    $text.="<td>&nbsp;</td>";
	  }
	  else
	  {
   	    $text.="<td colspan=19 align='center'>No postseason appearances</td>";
	  }
	 $text.="</tr>\n";
   	 $text.="       </table>\n";
	 $text.="      </td></tr>\n";

	 ## Show Win Shares
	 if ($noWS!=1)
	  {
	   $text.="      <tr class='title'><td colspan=2>Win Shares</td></tr>\n";
   	   $text.="      <tr><td colspan=2>\n";
	   $text.="       <table cellpadding=2 cellspacing=0 border=0 width='100%'>\n";
	   $text.="        <tr class='s2'>";
	   $text.="<td class='s2_l'><b>Offense:</b></td><td class='s2'>".$players[$pid]['ows']."</td>";
	   $text.="<td class='s2_l'><b>Pitching:</b></td><td class='s2'>".$players[$pid]['pws']."</td>";
	   $text.="<td class='s2_l'><b>Fielding:</b></td><td class='s2'>".$players[$pid]['fwsTot']."</td>";
	   $text.="<td class='s2_l'><b>Total:</b></td><td class='s2'>".$players[$pid]['wsTot']."</td>";
 	   $text.="</tr>\n";
	   $text.="       </table>\n";
  	   $text.="      </td></tr>\n";
	  }
	 
   	 $text.="     </table>\n";
	 $text.="    </div>\n";
   	 $text.="   </td></tr>\n";       }
    }
    else 
    {
      $text.="   <tr><td>No pitchers elected</td></tr>\n";
    }
   $text.="  </table>\n";
   $text.=" </div>\n";

   return $text;
 }
?>
