<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");

ini_set("memory_limit","64M");

##### Get Report Settings #####
$view=$_GET['view'];
$sub_league_id=$_GET['sub_league_id'];
if ($sub_league_id=="") {$sub_league_id="ALL";}
$team_id=$_GET['team_id'];
if ($team_id=="") {$team_id="ALL";}

##### Start Page #####
$title="Milestones";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Last Sim");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

##### Display Filters #####
echo " <div class='textbox'>\n";
echo "  <form method='get' action='milestones.php' style='clear:left;'>\n";
echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
echo "   <tr class='title'><td colspan=10>Filters</td></tr>\n";
echo "   <tr>\n";

## Show Type Selection
echo "     <td style='border-bottom:1px solid gray;'><label><b>Utility:</b></label></td>";
echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='milestone' id='milestone'";
if ($view=='milestone') {echo " checked='checked'";}
echo "onclick=\"window.location='./milestones.php?view=milestone'\"></td>";
echo "     <td style='border-bottom:1px solid gray;'><label for='milestone'>Milestone Watch</label></td>";
echo "     <td style='border-bottom:1px solid gray;'><input type='radio' name='view' value='records' id='records'";
if ($view=='records') {echo " checked='checked'";}
echo "onclick=\"window.location='./milestones.php?view=records'\"></td>";
echo "     <td style='border-bottom:1px solid gray;'><label for='records'>Record Watch</label></td>";

if ($view=='records')
 {
     echo "    <td style='border-bottom:1px solid gray;' colspan=2>&nbsp;</td>\n";
     echo "   </tr>\n";
     echo "   <tr>\n";

     ## Get Subleagues
     $query="SELECT sub_league_id,name,abbr FROM sub_leagues WHERE league_id=$lgid ORDER BY sub_league_id;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $slid=$row['sub_league_id'];
        $subleagues[$slid]['name']=$row['name'];
        $subleagues[$slid]['abbr']=$row['abbr'];
      }

     ## Show Subleague Filter
     echo "    <td>&nbsp;</td>\n";
     echo "    <td><b>League:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='sub_league_id' id='sub_league_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('team_id').selectedIndex=0;}\">\n";
     echo "      <option value='ALL'>All</option>\n";
     foreach ($subleagues as $slid => $val)
      {
        echo "      <option value='$slid'";
        if (($sub_league_id==$slid) && ($sub_league_id!="ALL")) {echo " selected";}
        echo ">".$subleagues[$slid]['name']."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Get Current Teams
     $query="SELECT team_id,name,nickname,abbr,level,sub_league_id FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
     $result=mysql_query($query,$db);
     while ($row=mysql_fetch_array($result))
      {
        $tid=$row['team_id'];
        $slid=$row['sub_league_id'];
        $teams[$tid]['name']=$row['name']." ".$row['nickname'];
        $teams[$tid]['abbr']=$row['abbr'];
        $teams[$tid]['level']=$row['level'];
        $teams[$tid]['city']=$row['name'];
	$teams[$tid]['slid']=$slid;
	$subleagues[$slid]['teams']=$subleagues[$slid]['teams'].",$tid";
        $LGtmList.=",$tid";
      }
     $LGtmList=trim($LGtmList,",");
     foreach ($subleagues as $slid => $val) {$subleagues[$slid]['teams']=trim($subleagues[$slid]['teams'],",");}

     ## Show Team Filter
     echo "    <td>&nbsp;</td>\n";
     echo "    <td><b>Team:</b></td>\n";
     echo "    <td>\n";
     echo "     <select name='team_id' id='team_id' onchange=\"if(this[this.selectedIndex].value!='All') {document.getElementById('sub_league_id').selectedIndex=0;}\">\n";
     echo "      <option value='ALL'>All</option>\n";
     foreach ($teams as $tid => $val)
      {
        echo "      <option value='$tid'";
        if ($drafted_by==$tid) {echo " selected";}
        echo ">".$teams[$tid]['name']."</option>\n";
      }
     echo "     </select>\n";
     echo "    </td>\n";

     ## Submission button
     echo "    <td><input type='submit' value='Go'></input></td>\n";
 }

##### Close Form #####
echo "   </tr>\n";
echo "  </table>\n";
echo "  </form>\n";
echo " </div>\n";

##### Generate Page Content and include it #####
switch ($view)
 {
   case 'milestone':
     echo make_milestones($lgid);
     break;
   case 'records':
     echo make_records($lgid,$sub_league_id,$team_id);
     break;	
 }

##### Close out page #####
echo "</div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

function make_milestones($lgid)
 {
   $adminpath=$_SESSION['adminpath'];
   include($adminpath."/dbopen.php");

   ##### Get league settings #####
   $lgdate=$_SESSION['lgdate'];
   $lgpath=$_SESSION['lgpath'];
   if ($lgid=="") {$lgid=$_SESSION['lgid'];}
   if ($lgid=="") {$lgid=100;}
   $date=new Date($_SESSION['lgdate']);
   $lgyear=$date->format("Y");
   $lgMo=$date->format("m");
   $lgDay=$date->format("d");
   $text="";

   ## Get Teams
   $query="SELECT team_id,name,nickname,abbr,level FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $teams[$tid]['name']=$row['name']." ".$row['nickname'];
      $teams[$tid]['abbr']=$row['abbr'];
      $teams[$tid]['level']=$row['level'];
      $teams[$tid]['city']=$row['name'];
    }

   ##### Get Team Games #####
   $query="SELECT game_id,home_team,away_team,played FROM games WHERE league_id=$lgid AND game_type=0;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $hid=$row['home_team'];
      $aid=$row['away_team'];
      $played=$row['played'];
      if ($played==1)
       {
         $teams[$hid]['gp']=$teams[$hid]['gp']+1;
         $teams[$aid]['gp']=$teams[$aid]['gp']+1;
       }
       else
       {
         $teams[$hid]['gr']=$teams[$hid]['gr']+1;
         $teams[$aid]['gr']=$teams[$aid]['gr']+1;
       }
    }

   ##### Get Career Record Holders #####
   $bStatArray=Array('H'=>'h','HR'=>'hr','RBI'=>'rbi','R'=>'r','SB'=>'sb','BB'=>'bb','2B'=>'d','3B'=>'t');
   foreach ($bStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,MIN(year) as minyr,MAX(year) as maxyr,SUM($stat) as stat FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $statVal=$row['stat'];
      $bleaders[$stat]['car']['pid']=$pid;
      $bleaders[$stat]['car']['pname']=$pname;
      $bleaders[$stat]['car']['years']=$row['minyr']."-".$row['maxyr'];
      $bleaders[$stat]['car']['value']=$statVal;

      $twothirds=min(round($statVal*2/3,0),1000);
      $half=min(round($statVal/2,0),500);
      if ($statVal>1500)
       {
	 $step1=1000;
	 $step2=500;
	 $dpct=.4;
       }
       elseif ($statVal>200)
       {
	 $step1=100;
	 $step2=50;
	 $dpct=.5;
       }
       elseif ($statVal>25)
       {
	 $step1=50;
	 $step2=25;
	 $dpct=.6;
       }
       else
       {
	 $step1=10;
	 $step2=5;
	 $dpct=.6;
       }
      $bleaders[$stat]['twothirds']=$twothirds;
      $bleaders[$stat]['half']=$half;
      $bleaders[$stat]['step1']=$step1;
      $bleaders[$stat]['step2']=$step2;
      $bleaders[$stat]['dpct']=$dpct;
    }
   $pStatArray=Array('W'=>'w','SV'=>'s','K'=>'k','CG'=>'cg','SHO'=>'sho','G'=>'g','HLD'=>'hld');
   foreach ($pStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,MIN(year) as minyr,MAX(year) as maxyr,SUM($stat) as stat FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $statVal=$row['stat'];
      $pleaders[$stat]['car']['pid']=$pid;
      $pleaders[$stat]['car']['pname']=$pname;
      $pleaders[$stat]['car']['years']=$row['minyr']."-".$row['maxyr'];
      $pleaders[$stat]['car']['value']=$statVal;

      $twothirds=min(round($statVal*2/3,0),1000);
      $half=min(round($statVal/2,0),500);
      if ($statVal>1500)
       {
	 $step1=1000;
	 $step2=500;
	 $dpct=.4;
       }
       elseif ($statVal>200)
       {
	 $step1=100;
	 $step2=50;
	 $dpct=.5;
       }
       elseif ($statVal>25)
       {
	 $step1=50;
	 $step2=25;
	 $dpct=.6;
       }
       else
       {
	 $step1=10;
	 $step2=5;
	 $dpct=.6;
       }
      $pleaders[$stat]['twothirds']=$twothirds;
      $pleaders[$stat]['half']=$half;
      $pleaders[$stat]['step1']=$step1;
      $pleaders[$stat]['step2']=$step2;
      $pleaders[$stat]['dpct']=$dpct;
    }

   ##### Get Active Batter Stats #####
   ## Career Totals
   $query="SELECT p.player_id,first_name,last_name,organization_id as team_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'$lgMo-$lgDay')) as age,SUM(g) as g";
   foreach ($bStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $fname=$row['first_name'];
      $lname=$row['last_name'];
      $age=$row['age'];
      $g=$row['g'];
      $players[$pid]['name']=$fname." ".$lname;
      $players[$pid]['tid']=$tid;
      $players[$pid]['age']=$age;
      foreach ($bStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
	 $players[$pid]['car'][$stat]['val']=$statVal;
	 $record=$bleaders[$stat]['car']['value'];
	 $step1=$bleaders[$stat]['step1'];
	 $step2=$bleaders[$stat]['step2'];
	 $dpct=$bleaders[$stat]['dpct'];
	 if ($statVal>$bleaders[$stat]['half'])
	  {
            if ($statVal>$bleaders[$stat]['twothirds'])
	     {
	       $diffR=$record-$statVal;
	       $mark=floor($statVal/$step2)*$step2+$step2;
	       $diffM=$mark-$statVal;
	       if (($diffR>0)&&(($record<$mark)&&($statVal>($mark-$step2))))
	       {
		  $diff=$diffR;
                  $diffPct=0;
		  $mark=$record;
		}
	        else
		{
		  $diff=$diffM;
	          $diffPct=$diff/$step2;
		}
 	     }
	     else
	     {
	       $mark=floor($statVal/$step1)*$step1+$step1;
	       if (($mark>=$record)||($mark>=(floor($record/$step1)*$step1+$step1))) {$mark=$mark-$step2;}
               $diff=$mark-$statVal;
	       $diffPct=$diff/$step1;
	     }
	    if (($diff>0)&&((($diffPct<$dpct)&&($diff<=150))||($diff<=10)))
	     {
	       $players[$pid]['car'][$stat]['milestone']=$mark;
	       $players[$pid]['car'][$stat]['diff']=$diff;
	       $carStat[$stat][$statVal]=$carStat[$stat][$statVal].",$pid";
	     }
	  }
       }
    }
   ## Season Totals
   $query="SELECT p.player_id,organization_id as team_id,SUM(g) as g";
   foreach ($bStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 AND pcs.year=$lgyear GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $g=$row['g'];
      $players[$pid]['tid']=$tid;
      $players[$pid]['sea']['g']=$g;
      $tgp=$teams[$tid]['gp'];
      if ($tgp==0) {$gpRate=0;} else {$gpRate=$g/$tgp;}
      $expG=$gpRate*$teams[$tid]['gr'];
      foreach ($bStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
         $players[$pid]['sea'][$stat]=$statVal;
	 if ($g==0) {$statRate=0;} else {$statRate=$statVal/$g;}
	 $lbl=$stat."Proj";
	 $proj=$statRate*$expG;
	 $lbl=$stat."Tot";
	 $pcarProj=($proj+$players[$pid]['car'][$stat]['val'])*10000;
	 $players[$pid]['car'][$lbl]=$pcarProj/10000;
	 $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
       }
    }

   ##### Draw Tables #####
   $text.="<div class='textbox'>\n";
   $text.=" <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
   $title="Batters";
   $text.="  <tr class='title2'><td>$title</td></tr>\n";
   $text.="  <tr><td>\n";
   ## Season
   foreach ($bStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='915px' style='border:1px solid black;margin:10px'>\n";
      $text.="   <tr class='title'><td colspan=8>$key Milestones</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l' colspan=2>Record Holder</td><td class='hsc2' colspan=2>Years</td><td class='hsc2' colspan=4>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l' colspan=2><a href='./player.php?player_id=".$bleaders[$stat]['car']['pid']."'>".$bleaders[$stat]['car']['pname']."</a></td>";
      $yr=$bleaders[$stat]['car']['years'];
      $text.="<td colspan=2>".$yr."</td>";
      $text.="<td colspan=4>".$bleaders[$stat]['car']['value']."</td>";
      $text.="</tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Age</td><td class='hsc2'>Milestone</td><td class='hsc2'>Current</td><td class='hsc2'>Diff</td><td class='hsc2'>This Year</td><td class='hsc2'>Projected</td></tr>\n";
      if (isset($carStat[$stat]))
       {
         krsort($carStat[$stat]);
         $cnt=0;
	 $totLbl=$stat."Tot";
   	 foreach ($carStat[$stat] as $statVal => $pids)
	  {
	    $pids=trim($pids,",");
	    $pexp=explode(",",$pids);
   	    for ($i=0;$i<count($pexp);$i++)
	     {
	       $pid=$pexp[$i];
               $cls='s'.($cnt%2+1);
	       $text.="   <tr class='$cls'>";
   	       $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	       $tid=$players[$pid]['tid'];
   	       $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	       $text.="<td>".$players[$pid]['age']."</td>";
   	       $text.="<td>".$players[$pid]['car'][$stat]['milestone']."</td>";
	       $text.="<td>".$players[$pid]['car'][$stat]['val']."</td>";
   	       $text.="<td>".$players[$pid]['car'][$stat]['diff']."</td>";
	       $thisYr=$players[$pid]['sea'][$stat];
   	       $projTot=round($players[$pid]['car'][$totLbl],0);
	       if ($thisYr=="")
  	        {
	          $thisYr=0;
	          $projTot=$players[$pid]['car'][$stat]['val'];
		}
   	       $text.="<td>".$thisYr."</td>";
	       $text.="<td>".$projTot."</td>";
   	       $text.="</tr>\n";
	       $cnt++;
	     }
	  }
       }
       else
       {
         $text.="   <tr class='s2'><td colspan=8 align='center'>No players approaching significant milestones</td></tr>\n";
       }
      $text.="   <tr class='headline'><td colspan=8 class='hsc2'>Show Leaderboard: <a href='./leaderHist.php?scope=Career&team_id=All&listing=top100&subleague=All&who=active&position=All&split=regular&stat=$stat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Active</a>/<a href='./leaderHist.php?scope=Career&team_id=All&listing=top100&subleague=All&who=all&position=All&split=regular&stat=$stat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>All</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.="  </td></tr>\n";
   $text.=" </table>\n";
   $text.="</div>\n";

   ##### Get Active Pitcher Stats #####
   unset($carStat);
   ## Career Totals
   $query="SELECT p.player_id,first_name,last_name,organization_id as team_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'$lgMo-$lgDay')) as age,SUM(g) as g";
   foreach ($pStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $fname=$row['first_name'];
      $lname=$row['last_name'];
      $age=$row['age'];
      $g=$row['g'];
      $players[$pid]['name']=$fname." ".$lname;
      $players[$pid]['tid']=$tid;
      $players[$pid]['age']=$age;
      foreach ($pStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
	 $players[$pid]['car'][$stat]['val']=$statVal;
         $record=$pleaders[$stat]['car']['value'];
	 $step1=$pleaders[$stat]['step1'];
	 $step2=$pleaders[$stat]['step2'];
	 $dpct=$pleaders[$stat]['dpct'];
	 if ($statVal>$pleaders[$stat]['half'])
	  {
            if ($statVal>$pleaders[$stat]['twothirds'])
	     {
	       $diffR=$record-$statVal;
	       $mark=floor($statVal/$step2)*$step2+$step2;
	       $diffM=$mark-$statVal;
	       if (($diffR>0)&&(($record<$mark)&&($statVal>($mark-$step2))))
	       {
		  $diff=$diffR;
                  $diffPct=0;
		  $mark=$record;
		}
	        else
		{
		  $diff=$diffM;
	          $diffPct=$diff/$step2;
		}
 	     }
	     else
	     {
	       $mark=floor($statVal/$step1)*$step1+$step1;
	       if (($mark>=$record)||($mark>=(floor($record/$step1)*$step1+$step1))) {$mark=$mark-$step2;}
               $diff=$mark-$statVal;
	       $diffPct=$diff/$step1;
	     }
	    if (($diff>0)&&((($diffPct<$dpct)&&($diff<=150))||($diff<=10)))
	     {
	       $players[$pid]['car'][$stat]['milestone']=$mark;
	       $players[$pid]['car'][$stat]['diff']=$diff;
	       $carStat[$stat][$statVal]=$carStat[$stat][$statVal].",$pid";
	     }
	  }
       }
    }
   ## Season Totals
   $query="SELECT p.player_id,organization_id as team_id,SUM(g) as g";
   foreach ($pStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 AND pcs.year=$lgyear GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $g=$row['g'];
      $players[$pid]['tid']=$tid;
      $players[$pid]['sea']['g']=$g;
      $tgp=$teams[$tid]['gp'];
      if ($tgp==0) {$gpRate=0;} else {$gpRate=$g/$tgp;}
      $expG=$gpRate*$teams[$tid]['gr'];
      foreach ($pStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
         $players[$pid]['sea'][$stat]=$statVal;
	 if ($g==0) {$statRate=0;} else {$statRate=$statVal/$g;}
	 $lbl=$stat."Proj";
	 $proj=$statRate*$expG;
	 $lbl=$stat."Tot";
	 $pcarProj=($proj+$players[$pid]['car'][$stat]['val'])*10000;
	 $players[$pid]['car'][$lbl]=$pcarProj/10000;
	 $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
       }
    }

   ##### Draw Tables #####
   $text.="<div class='textbox'>\n";
   $text.=" <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
   $title="Pitchers";
   $text.="  <tr class='title2'><td>$title</td></tr>\n";
   $text.="  <tr><td>\n";
   ## Season
   foreach ($pStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='915px' style='border:1px solid black;margin:10px'>\n";
      $text.="   <tr class='title'><td colspan=8>$key Milestones</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l' colspan=2>Record Holder</td><td class='hsc2' colspan=2>Years</td><td class='hsc2' colspan=4>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l' colspan=2><a href='./player.php?player_id=".$pleaders[$stat]['car']['pid']."'>".$pleaders[$stat]['car']['pname']."</a></td>";
      $yr=$pleaders[$stat]['car']['years'];
      $text.="<td colspan=2>".$yr."</td>";
      $text.="<td colspan=4>".$pleaders[$stat]['car']['value']."</td>";
      $text.="</tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Age</td><td class='hsc2'>Milestone</td><td class='hsc2'>Current</td><td class='hsc2'>Diff</td><td class='hsc2'>This Year</td><td class='hsc2'>Projected</td></tr>\n";
      if (isset($carStat[$stat]))
       {
         krsort($carStat[$stat]);
         $cnt=0;
	 $totLbl=$stat."Tot";
   	 foreach ($carStat[$stat] as $statVal => $pids)
	  {
	    $pids=trim($pids,",");
	    $pexp=explode(",",$pids);
   	    for ($i=0;$i<count($pexp);$i++)
	     {
	       $pid=$pexp[$i];
               $cls='s'.($cnt%2+1);
	       $text.="   <tr class='$cls'>";
   	       $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	       $tid=$players[$pid]['tid'];
   	       $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	       $text.="<td>".$players[$pid]['age']."</td>";
   	       $text.="<td>".$players[$pid]['car'][$stat]['milestone']."</td>";
	       $text.="<td>".$players[$pid]['car'][$stat]['val']."</td>";
   	       $text.="<td>".$players[$pid]['car'][$stat]['diff']."</td>";
	       $thisYr=$players[$pid]['sea'][$stat];
   	       $projTot=round($players[$pid]['car'][$totLbl],0);
	       if ($thisYr=="")
  	        {
	          $thisYr=0;
	          $projTot=$players[$pid]['car'][$stat]['val'];
		}
   	       $text.="<td>".$thisYr."</td>";
	       $text.="<td>".$projTot."</td>";
   	       $text.="</tr>\n";
	       $cnt++;
	     }
	  }
       }
       else
       {
         $text.="   <tr class='s2'><td colspan=8 align='center'>No players approaching significant milestones</td></tr>\n";
       }
      switch ($stat)
       {
         case 'k': $stat='pk'; break;
         case 'bb': $stat='pbb'; break;
       }
      $text.="   <tr class='headline'><td colspan=8 class='hsc2'>Show Leaderboard: <a href='./leaderHist.php?scope=Career&team_id=All&listing=top100&subleague=All&who=active&position=All&split=regular&stat=$stat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Active</a>/<a href='./leaderHist.php?scope=Career&team_id=All&listing=top100&subleague=All&who=all&position=All&split=regular&stat=$stat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>All</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.="  </td></tr>\n";
   $text.=" </table>\n";
   $text.="</div>\n";

   return $text;
 }

function make_records($lgid,$sub_league_id="ALL",$team_id="ALL")
 {
   $adminpath=$_SESSION['adminpath'];
   include($adminpath."/dbopen.php");

   ##### Get league settings #####
   $lgdate=$_SESSION['lgdate'];
   $lgpath=$_SESSION['lgpath'];
   if ($lgid=="") {$lgid=$_SESSION['lgid'];}
   if ($lgid=="") {$lgid=100;}
   $date=new Date($_SESSION['lgdate']);
   $lgyear=$date->format("Y");
   $lgMo=$date->format("m");
   $lgDay=$date->format("d");
   $text="";

   ## Get Subleagues
   $query="SELECT sub_league_id,name,abbr FROM sub_leagues WHERE league_id=$lgid ORDER BY sub_league_id;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $slid=$row['sub_league_id'];
      $subleagues[$slid]['name']=$row['name'];
      $subleagues[$slid]['abbr']=$row['abbr'];
    }

   ## Get Teams
   $query="SELECT team_id,name,nickname,abbr,level,sub_league_id FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY name,nickname;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['team_id'];
      $slid=$row['sub_league_id'];
      $teams[$tid]['name']=$row['name']." ".$row['nickname'];
      $teams[$tid]['abbr']=$row['abbr'];
      $teams[$tid]['level']=$row['level'];
      $teams[$tid]['city']=$row['name'];
      $teams[$tid]['slid']=$slid;
      $subleagues[$slid]['teams']=$subleagues[$slid]['teams'].",$tid";
      $LGtmList.=",$tid";
    }
   $LGtmList=trim($LGtmList,",");
   foreach ($subleagues as $slid => $val) {$subleagues[$slid]['teams']=trim($subleagues[$slid]['teams'],",");}

   ##### Get Team Games #####
   $query="SELECT game_id,home_team,away_team,played FROM games WHERE league_id=$lgid AND game_type=0;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $hid=$row['home_team'];
      $aid=$row['away_team'];
      $played=$row['played'];
      if ($played==1)
       {
         $teams[$hid]['gp']=$teams[$hid]['gp']+1;
         $teams[$aid]['gp']=$teams[$aid]['gp']+1;
       }
       else
       {
         $teams[$hid]['gr']=$teams[$hid]['gr']+1;
         $teams[$aid]['gr']=$teams[$aid]['gr']+1;
       }
    }

   ##### Get Career Record Holders #####
   $bStatArray=Array('H'=>'h','HR'=>'hr','RBI'=>'rbi','R'=>'r','SB'=>'sb','BB'=>'bb','2B'=>'d','3B'=>'t');
   foreach ($bStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,MIN(year) as minyr,MAX(year) as maxyr,SUM($stat) as stat FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1";
      if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
      if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
      $query.=" GROUP BY player_id ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $statVal=$row['stat'];
      $bleaders[$stat]['car']['pid']=$pid;
      $bleaders[$stat]['car']['pname']=$pname;
      $bleaders[$stat]['car']['years']=$row['minyr']."-".$row['maxyr'];
      $bleaders[$stat]['car']['value']=$statVal;
    }
   $pStatArray=Array('W'=>'w','SV'=>'s','K'=>'k','CG'=>'cg','SHO'=>'sho','G'=>'g','HA'=>'ha','HR'=>'hra','BB'=>'bb','HLD'=>'hld');
   foreach ($pStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,MIN(year) as minyr,MAX(year) as maxyr,SUM($stat) as stat FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1";
      if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
      if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
      $query.=" GROUP BY player_id ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $statVal=$row['stat'];
      $pleaders[$stat]['car']['pid']=$pid;
      $pleaders[$stat]['car']['pname']=$pname;
      $bleaders[$stat]['car']['years']=$row['minyr']."-".$row['maxyr'];
      $pleaders[$stat]['car']['value']=$statVal;
    }

   ##### Get Seasonal Record Holders #####
   foreach ($bStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,pcs.team_id,year,SUM($stat) as stat FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1";
      if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
      if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
      $query.=" GROUP BY player_id,year ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $yr=$row['year'];
      $statVal=$row['stat'];
      $bleaders[$stat]['sea']['pid']=$pid;
      $bleaders[$stat]['sea']['tid']=$row['team_id'];
      $bleaders[$stat]['sea']['pname']=$pname;
      $bleaders[$stat]['sea']['value']=$statVal;
      $bleaders[$stat]['sea']['yr']=$yr;
    }
   foreach ($pStatArray as $key => $stat)
    {
      $query="SELECT p.player_id,first_name,last_name,pcs.team_id,year,SUM($stat) as stat FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1";
      if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
      if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
      $query.=" GROUP BY player_id,year ORDER BY stat DESC LIMIT 1;";
      $result=mysql_query($query,$db);
      $row=mysql_fetch_array($result);
      $pid=$row['player_id'];
      $pname=$row['first_name']." ".$row['last_name'];
      $yr=$row['year'];
      $statVal=$row['stat'];
      $pleaders[$stat]['sea']['pid']=$pid;
      $pleaders[$stat]['sea']['tid']=$row['team_id'];
      $pleaders[$stat]['sea']['pname']=$pname;
      $pleaders[$stat]['sea']['value']=$statVal;
      $pleaders[$stat]['sea']['yr']=$yr;
    }

   ##### Get Active Batter Stats #####
   ## Career Totals
   $query="SELECT p.player_id,first_name,last_name,organization_id as team_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'$lgMo-$lgDay')) as age,SUM(g) as g";
   foreach ($bStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1";
   if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
   if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
   $query.=" GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $fname=$row['first_name'];
      $lname=$row['last_name'];
      $age=$row['age'];
      $g=$row['g'];
      $players[$pid]['name']=$fname." ".$lname;
      $players[$pid]['tid']=$tid;
      $players[$pid]['age']=$age;
      $players[$pid]['car']['g']=$g;
      foreach ($bStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
         $players[$pid]['car'][$stat]=$statVal;
       }
    }
   ## Season Totals
   $query="SELECT p.player_id,organization_id as team_id,SUM(g) as g";
   foreach ($bStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 AND pcs.year=$lgyear";
   if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
   if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
   $query.=" GROUP BY player_id";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $tid=$row['team_id'];
   	 $g=$row['g'];
	 $players[$pid]['tid']=$tid;
   	 $players[$pid]['sea']['g']=$g;
	 $tgp=$teams[$tid]['gp'];
   	 if ($tgp==0) {$gpRate=0;} else {$gpRate=$g/$tgp;}
	 $expG=$gpRate*$teams[$tid]['gr'];
   	 foreach ($bStatArray as $key => $stat)
	  {
	    $statVal=$row[$stat];
	    $players[$pid]['sea'][$stat]=$statVal;
	    $lbl=$stat."Rate";
 	    if ($g==0) {$statRate=0;} else {$statRate=$statVal/$g;}
	    $players[$pid]['sea'][$lbl]=$statRate;
 	    $lbl=$stat."Proj";
	    $proj=$statRate*$expG;
 	    $players[$pid]['sea'][$lbl]=$proj;
	    $lbl=$stat."Tot";
 	    $pseaProj=($proj+$statVal)*10000;
	    $players[$pid]['sea'][$lbl]=$pseaProj/10000;
 	    $seaProj[$stat][$pseaProj]=$seaProj[$stat][$pseaProj].",$pid";
	    $pcarProj=($proj+$players[$pid]['car'][$stat])*10000;
 	    $players[$pid]['car'][$lbl]=$pcarProj/10000;
	    $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
 	  }
       }
    }
    else
    {
      foreach ($players as $pid => $val)
       {
         $proj=0;
	 $statVal=0;
	 foreach ($bStatArray as $key => $stat)
	  {
	    $players[$pid]['sea'][$stat]=$statVal;
   	    $lbl=$stat."Tot";
	    $pseaProj=($proj+$statVal)*10000;
	    $players[$pid]['sea'][$lbl]=$pseaProj/10000;
	    $seaProj[$stat][$pseaProj]=$seaProj[$stat][$pseaProj].",$pid";
	    $pcarProj=($proj+$players[$pid]['car'][$stat])*10000;
	    $players[$pid]['car'][$lbl]=$pcarProj/10000;
	    $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
	  }
       }
    } 

   ##### Draw Tables #####
   $text.="<div class='textbox'>\n";
   $text.=" <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
   $title="";
   if ($sub_league_id!="ALL") {$title.=$subleagues[$sub_league_id]['name']." ";}
   if ($team_id!="ALL") {$title.=$teams[$team_id]['name']." ";}
   $title.="Batters";
   $text.="  <tr class='title2'><td>$title</td></tr>\n";
   $text.="  <tr><td>\n";
   ## Season
   $text.=" <div id='first' class='boxscores'>\n";
   $text.="  <table cellpadding=2 cellspacing=0 border=0 style='border:0;margin:0;'>\n";
   $text.="   <tr class='title'><td width='420px'>Seasonal Projections</td></tr>\n";
   $text.="  </table>\n";
   foreach ($bStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='400px'>\n";
      $text.="   <tr class='title'><td colspan=4>$key Projections</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Record Holder</td><td class='hsc2'>Tm</td><td class='hsc2'>Year</td><td class='hsc2'>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l'><a href='./player.php?player_id=".$bleaders[$stat]['sea']['pid']."'>".$bleaders[$stat]['sea']['pname']."</a></td>";
      $tid=$bleaders[$stat]['sea']['tid'];
      $yr=$bleaders[$stat]['sea']['yr'];
      $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$yr'>".$teams[$tid]['abbr']."</a></td>";
      $text.="<td>".$yr."</td>";
      $text.="<td>".$bleaders[$stat]['sea']['value']."</td>";
      $text.="</tr>\n";
      krsort($seaProj[$stat]);
      $cnt=0;
      $totLbl=$stat."Tot";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Current</td><td class='hsc2'>Projected</td></tr>\n";
      foreach ($seaProj[$stat] as $statVal => $pids)
       {
         $pids=trim($pids,",");
	 $pexp=explode(",",$pids);
	 for ($i=0;$i<count($pexp);$i++)
	  {
            $pid=$pexp[$i];
            $cls='s'.($cnt%2+1);
	    $text.="   <tr class='$cls'>";
   	    $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $tid=$players[$pid]['tid'];
   	    $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	    $text.="<td>".$players[$pid]['sea'][$stat]."</td>";
   	    $text.="<td>".round($players[$pid]['sea'][$totLbl],0)."</td>";
	    $text.="</tr>\n";
	    $cnt++;
    	    if ($cnt>=5) {break;}
	  }
   	 if ($cnt>=5) {break;}
       }
      $dispStat=$stat;
      if ($sub_league_id=="ALL") {$dispSL="All";} else {$dispSL=$sub_league_id;}
      if ($team_id=="ALL") {$dispTeam="All";} else {$dispTeam=$team_id;}
      $text.="   <tr class='headline'><td colspan=4 class='hsc2'>Leaderboard: <a href='./leaderHist.php?scope=Seasonal&team_id=$dispTeam&listing=top100&subleague=$dispSL&who=all&position=All&split=regular&stat=$dispStat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Show</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.=" </div>\n";
   ## Career
   $text.=" <div class='boxscores'>\n";
   $text.="  <table cellpadding=2 cellspacing=0 border=0 style='border:0;margin:0;'>\n";
   $text.="   <tr class='title'><td width='420px'>Career Projections (through remainder of this season)</td></tr>\n";
   $text.="  </table>\n";
   foreach ($bStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='400px'>\n";
      $text.="   <tr class='title'><td colspan=5>$key Projections</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Record Holder</td><td class='hsc2' colspan=3>Years</td><td class='hsc2'>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l'><a href='./player.php?player_id=".$bleaders[$stat]['car']['pid']."'>".$bleaders[$stat]['car']['pname']."</a></td>";
      $text.="<td colspan=3>".$bleaders[$stat]['car']['years']."</td>";
      $text.="<td>".$bleaders[$stat]['car']['value']."</td>";
      $text.="</tr>\n";
      krsort($carProj[$stat]);
      $cnt=0;
      $totLbl=$stat."Tot";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Age</td><td class='hsc2'>Current</td><td class='hsc2'>Projected</td></tr>\n";
      foreach ($carProj[$stat] as $statVal => $pids)
       {
         $pids=trim($pids,",");
	 $pexp=explode(",",$pids);
	 for ($i=0;$i<count($pexp);$i++)
	  {
            $pid=$pexp[$i];
            $cls='s'.($cnt%2+1);
	    $text.="   <tr class='$cls'>";
   	    $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $tid=$players[$pid]['tid'];
   	    $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	    $text.="<td>".$players[$pid]['age']."</td>";
	    $text.="<td>".$players[$pid]['car'][$stat]."</td>";
   	    $text.="<td>".round($players[$pid]['car'][$totLbl],0)."</td>";
	    $text.="</tr>\n";
	    $cnt++;
	    if ($cnt>=5) {break;}
	  }
   	 if ($cnt>=5) {break;}
       }
      $dispStat=$stat;
      if ($sub_league_id=="ALL") {$dispSL="All";} else {$dispSL=$sub_league_id;}
      if ($team_id=="ALL") {$dispTeam="All";} else {$dispTeam=$team_id;}
      $text.="   <tr class='headline'><td colspan=5 class='hsc2'>Leaderboard: <a href='./leaderHist.php?scope=Career&team_id=$dispTeam&listing=top100&subleague=$dispSL&who=all&position=All&split=regular&stat=$dispStat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Show</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.=" </div>\n";
   $text.="  </td></tr>\n";
   $text.=" </table>\n";
   $text.="</div>\n";

   ##### Get Active Pitcher Stats #####
   unset($seaProj);
   unset($carProj);
   unset($players);
   ## Career Totals
   $query="SELECT p.player_id,first_name,last_name,organization_id as team_id,($lgyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'$lgMo-$lgDay')) as age,SUM(g) as g";
   foreach ($pStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1";
   if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
   if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
   $query.=" GROUP BY player_id";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $tid=$row['team_id'];
      $fname=$row['first_name'];
      $lname=$row['last_name'];
      $age=$row['age'];
      $g=$row['g'];
      $players[$pid]['name']=$fname." ".$lname;
      $players[$pid]['tid']=$tid;
      $players[$pid]['age']=$age;
      $players[$pid]['car']['g']=$g;
      foreach ($pStatArray as $key => $stat)
       {
         $statVal=$row[$stat];
         $players[$pid]['car'][$stat]=$statVal;
       }
    }
   ## Season Totals
   $query="SELECT p.player_id,organization_id as team_id,SUM(g) as g";
   foreach ($pStatArray as $key => $stat) {$query.=",SUM($stat) as $stat";}
   $query.=" FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND p.retired=0 AND pcs.league_id=$lgid AND split_id=1 AND pcs.year=$lgyear";
   if ($sub_league_id!="ALL") {$query.=" AND pcs.team_id IN (".$subleagues[$sub_league_id]['teams'].")";}
   if ($team_id!="ALL") {$query.=" AND pcs.team_id=$team_id";}
   $query.=" GROUP BY player_id";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      while ($row=mysql_fetch_array($result))
       {
         $pid=$row['player_id'];
	 $tid=$row['team_id'];
   	 $g=$row['g'];
	 $players[$pid]['tid']=$tid;
   	 $players[$pid]['sea']['g']=$g;
	 $tgp=$teams[$tid]['gp'];
   	 if ($tgp==0) {$gpRate=0;} else {$gpRate=$g/$tgp;}
	 $expG=$gpRate*$teams[$tid]['gr'];
   	 foreach ($pStatArray as $key => $stat)
          {
            $statVal=$row[$stat];
	    $players[$pid]['sea'][$stat]=$statVal;
   	    $lbl=$stat."Rate";
	    if ($g==0) {$statRate=0;} else {$statRate=$statVal/$g;}
   	    $players[$pid]['sea'][$lbl]=$statRate;
	    $lbl=$stat."Proj";
   	    $proj=$statRate*$expG;
	    $players[$pid]['sea'][$lbl]=$proj;
   	    $lbl=$stat."Tot";
	    $pseaProj=($proj+$statVal)*10000;
   	    $players[$pid]['sea'][$lbl]=$pseaProj/10000;
	    $seaProj[$stat][$pseaProj]=$seaProj[$stat][$pseaProj].",$pid";
   	    $pcarProj=($proj+$players[$pid]['car'][$stat])*10000;
	    $players[$pid]['car'][$lbl]=$pcarProj/10000;
   	    $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
	  }
       }
    }
    else
    {
      foreach ($players as $pid => $val)
       {
         $proj=0;
	 $statVal=0;
	 foreach ($pStatArray as $key => $stat)
	  {
	    $players[$pid]['sea'][$stat]=$statVal;
   	    $lbl=$stat."Tot";
	    $pseaProj=($proj+$statVal)*10000;
	    $players[$pid]['sea'][$lbl]=$pseaProj/10000;
	    $seaProj[$stat][$pseaProj]=$seaProj[$stat][$pseaProj].",$pid";
	    $pcarProj=($proj+$players[$pid]['car'][$stat])*10000;
	    $players[$pid]['car'][$lbl]=$pcarProj/10000;
	    $carProj[$stat][$pcarProj]=$carProj[$stat][$pcarProj].",$pid";
	  }
       }
    } 

   ##### Draw Tables #####
   $text.="<div class='textbox'>\n";
   $text.=" <table cellpadding=2 cellspacing=0 border=0 width='935px'>\n";
   $title="";
   if ($sub_league_id!="ALL") {$title.=$subleagues[$sub_league_id]['name']." ";}
   if ($team_id!="ALL") {$title.=$teams[$team_id]['name']." ";}
   $title.="Pitchers";
   $text.="  <tr class='title2'><td>$title</td></tr>\n";
   $text.="  <tr><td>\n";
   ## Season
   $text.=" <div id='first' class='boxscores'>\n";
   $text.="  <table cellpadding=2 cellspacing=0 border=0 style='border:0;margin:0;'>\n";
   $text.="   <tr class='title'><td width='420px'>Seasonal Projections</td></tr>\n";
   $text.="  </table>\n";
   foreach ($pStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='400px'>\n";
      $text.="   <tr class='title'><td colspan=4>$key Projections</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Record Holder</td><td class='hsc2'>Tm</td><td class='hsc2'>Year</td><td class='hsc2'>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l'><a href='./player.php?player_id=".$pleaders[$stat]['sea']['pid']."'>".$pleaders[$stat]['sea']['pname']."</a></td>";
      $tid=$pleaders[$stat]['sea']['tid'];
      $yr=$pleaders[$stat]['sea']['yr'];
      $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$yr'>".$teams[$tid]['abbr']."</a></td>";
      $text.="<td>".$yr."</td>";
      $text.="<td>".$pleaders[$stat]['sea']['value']."</td>";
      $text.="</tr>\n";
      krsort($seaProj[$stat]);
      $cnt=0;
      $totLbl=$stat."Tot";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Current</td><td class='hsc2'>Projected</td></tr>\n";
      foreach ($seaProj[$stat] as $statVal => $pids)
       {
         $pids=trim($pids,",");
	 $pexp=explode(",",$pids);
	 for ($i=0;$i<count($pexp);$i++)
	  {
            $pid=$pexp[$i];
            $cls='s'.($cnt%2+1);
	    $text.="   <tr class='$cls'>";
   	    $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $tid=$players[$pid]['tid'];
   	    $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	    $text.="<td>".$players[$pid]['sea'][$stat]."</td>";
   	    $text.="<td>".round($players[$pid]['sea'][$totLbl],0)."</td>";
	    $text.="</tr>\n";
	    $cnt++;
    	    if ($cnt>=5) {break;}
	  }
   	 if ($cnt>=5) {break;}
       }
      $dispStat=$stat;
      switch ($stat)
       {
         case 'k': $dispStat='pk'; break;
         case 'bb': $dispStat='pbb'; break;
       }
      if ($sub_league_id=="ALL") {$dispSL="All";} else {$dispSL=$sub_league_id;}
      if ($team_id=="ALL") {$dispTeam="All";} else {$dispTeam=$team_id;}
      $text.="   <tr class='headline'><td colspan=4 class='hsc2'>Leaderboard: <a href='./leaderHist.php?scope=Seasonal&team_id=$dispTeam&listing=top100&subleague=$dispSL&who=all&position=All&split=regular&stat=$dispStat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Show</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.=" </div>\n";
   ## Career
   $text.=" <div class='boxscores'>\n";
   $text.="  <table cellpadding=2 cellspacing=0 border=0 style='border:0;margin:0;'>\n";
   $text.="   <tr class='title'><td width='420px'>Career Projections (through remainder of this season)</td></tr>\n";
   $text.="  </table>\n";
   foreach ($pStatArray as $key => $stat)
    {
      $text.="  <table cellpadding=2 cellspacing=0 border=0 width='400px'>\n";
      $text.="   <tr class='title'><td colspan=5>$key Projections</td></tr>\n";
      $text.="   <tr class='headline'><td class='hsc2_l'>Record Holder</td><td class='hsc2' colspan=3>Years</td><td class='hsc2'>Value</td></tr>\n";
      $text.="   <tr class='s2'>";
      $text.="<td class='s2_l'><a href='./player.php?player_id=".$pleaders[$stat]['car']['pid']."'>".$pleaders[$stat]['car']['pname']."</a></td>";
      $text.="<td colspan=3>".$bleaders[$stat]['car']['years']."</td>";
      $text.="<td>".$pleaders[$stat]['car']['value']."</td>";
      $text.="</tr>\n";
      krsort($carProj[$stat]);
      $cnt=0;
      $totLbl=$stat."Tot";
      $text.="   <tr class='headline'><td class='hsc2_l'>Player</td><td class='hsc2'>Tm</td><td class='hsc2'>Age</td><td class='hsc2'>Current</td><td class='hsc2'>Projected</td></tr>\n";
      foreach ($carProj[$stat] as $statVal => $pids)
       {
         $pids=trim($pids,",");
	 $pexp=explode(",",$pids);
	 for ($i=0;$i<count($pexp);$i++)
	  {
            $pid=$pexp[$i];
            $cls='s'.($cnt%2+1);
	    $text.="   <tr class='$cls'>";
   	    $text.="<td class='".$cls."_l'><a href='./player.php?player_id=$pid'>".$players[$pid]['name']."</a></td>";
	    $tid=$players[$pid]['tid'];
   	    $text.="<td><a href='./teamHist.php?page=year&team_id=$tid&year=$lgyear'>".$teams[$tid]['abbr']."</a></td>";
	    $text.="<td>".$players[$pid]['age']."</td>";
	    $text.="<td>".$players[$pid]['car'][$stat]."</td>";
   	    $text.="<td>".round($players[$pid]['car'][$totLbl],0)."</td>";
	    $text.="</tr>\n";
	    $cnt++;
	    if ($cnt>=5) {break;}
	  }
   	 if ($cnt>=5) {break;}
       }
      $dispStat=$stat;
      switch ($stat)
       {
         case 'k': $dispStat='pk'; break;
         case 'bb': $dispStat='pbb'; break;
       }
      if ($sub_league_id=="ALL") {$dispSL="All";} else {$dispSL=$sub_league_id;}
      if ($team_id=="ALL") {$dispTeam="All";} else {$dispTeam=$team_id;}
      $text.="   <tr class='headline'><td colspan=5 class='hsc2'>Leaderboard: <a href='./leaderHist.php?scope=Career&team_id=$dispTeam&listing=top100&subleague=$dispSL&who=all&position=All&split=regular&stat=$dispStat&ageBool=upto&age=All&draftBool=upto&draftRnd=All&draft_team_id=All&year=career'>Show</a></td></tr>\n";
      $text.="  </table>\n";
    }
   $text.=" </div>\n";
   $text.="  </td></tr>\n";
   $text.=" </table>\n";
   $text.="</div>\n";

   return $text;
 }

?>
