<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

if (!isset($_SESSION['adminpath']))
 {
    if (!set_adminpath())
     {
        echo "ERROR: Unable to find SQL admin path.";
     }
 }

if ($_SESSION['user_is_commish']!=1) {echo "You must be a commisioner to access this page";exit;}

$from=$_GET['from'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}

$adminpath=$_SESSION['adminpath'];
$date=new Date($_SESSION['lgdate']);
$year=$date->format("Y");

if ($year=="") {echo "ERROR: Unable to find year"; exit;}

##### Find Leagues #####
$query="SELECT league_id,abbr FROM leagues;";
$result=mysql_query($query,$db);
if (!mysql_num_rows($result)) {echo "ERROR: leagues table not loaded"; exit;}
 else
 {
   while ($row=mysql_fetch_array($result))
    {
      $league_id=$row['league_id'];
      $leagues[$league_id]['exists']=1;
      $leagues[$league_id]['abbr']=$row['abbr'];
    }
 }

##### Loop Through Leagues #####
$updText="";
foreach ($leagues as $lgid => $val)
 {
   ##### Unset Arrays #####
   unset($teams);
   unset($subleagues);
   unset($parks);

   ##### Check if regular season games have been played #####
   $lgAbbr=$leagues[$lgid]['abbr'];
   $query="SELECT game_id FROM games WHERE league_id=$lgid AND played=1 AND game_type=0 LIMIT 1;";
   $result=mysql_query($query,$db);
   if (!mysql_num_rows($result)) {$updText.="# $lgAbbr: No games played.  Skipping.\n";continue;}
    else {$updText.="# $lgAbbr: Calculating park factors\n";}

   ##### Check if park_factors table exists #####
   $query="SHOW TABLES LIKE 'park_factors';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result))
    {
      ##Clear out current year's entries
      $query="DELETE FROM park_factors WHERE year=$year AND league_id=$lgid;";
      mysql_query($query,$db);
    }
    else
    {
      ##Initialize Park Factors Table
      $query="CREATE TABLE IF NOT EXISTS park_factors (team_id INT,league_id INT,park_id INT,year INT,rpf DOUBLE DEFAULT 1,hrpf DOUBLE DEFAULT 1,spf DOUBLE DEFAULT 1,zl DOUBLE DEFAULT 1,PRIMARY KEY (team_id,year));";
      $result=mysql_query($query,$db);
    }

   ###############################################################################################
   # Get League Structure
   #
   ###############################################################################################
   $query="SELECT team_id,sub_league_id,park_id FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY team_id;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
   {
     $parkID=$row['park_id'];
     $tid=$row['team_id'];
     $slID=$row['sub_league_id'];
     $teams[$tid]['park_id']=$parkID;
     $teams[$tid]['slID']=$slID;
     $subleagues[$slID]['nTeams']=$subleagues[$slID]['nTeams']+1;
   }

   ###############################################################################################
   # Get Game Stats
   #
   ###############################################################################################
   $query="SELECT game_id,home_team,away_team,runs0,runs1 FROM games WHERE league_id=$lgid AND game_type=0 AND played=1;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $gid=$row['game_id'];   
      $hid=$row['home_team'];
      $aid=$row['away_team'];
      $aruns=$row['runs0'];
      $hruns=$row['runs1'];

      $parks['home'][$hid]['runs']=$parks['home'][$hid]['runs']+$hruns+$aruns;
      $parks['home'][$hid]['games']=$parks['home'][$hid]['games']+1;
      $parks['away'][$aid]['runs']=$parks['away'][$aid]['runs']+$hruns+$aruns;
      $parks['away'][$aid]['games']=$parks['away'][$aid]['games']+1;
      $parks['tot']['runs']=$parks['tot']['runs']+$hruns+$aruns;
      $parks['tot']['games']=$parks['tot']['games']+1;

      $teams[$hid]['rf']=$teams[$hid]['rf']+$hruns;
      $teams[$hid]['ra']=$teams[$hid]['ra']+$aruns;

      $teams[$aid]['rf']=$teams[$aid]['rf']+$aruns;
      $teams[$aid]['ra']=$teams[$aid]['ra']+$hruns;
    }

   $query="SELECT g.game_id,pgb.team_id,home_team,away_team,player_id,hr FROM players_game_batting as pgb,games as g WHERE g.league_id=$lgid AND pgb.game_id=g.game_id AND pgb.league_id=g.league_id AND game_type=0 AND played=1;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $gid=$row['game_id'];
      $tid=$row['team_id'];
      $hid=$row['home_team'];
      $aid=$row['away_team'];
      $hr=$row['hr'];

      $parks['home'][$hid]['hrs']=$parks['home'][$hid]['hrs']+$hr;
      $parks['away'][$aid]['hrs']=$parks['away'][$aid]['hrs']+$hr;
      $parks['tot']['hrs']=$parks['tot']['hrs']+$hr;
    }

   ###############################################################################################
   # Get League Batting Stats
   #
   ###############################################################################################
   $query="SELECT t.team_id,tr.sub_league_id,hr,r FROM team_batting_stats as t,team_relations as tr WHERE tr.league_id=$lgid AND t.league_id=tr.league_id AND t.team_id=tr.team_id;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $slID=$row['sub_league_id'];
      $hr=$row['hr'];
      $r=$row['r'];

      $subleagues[$slID]['hr']=$subleagues[$slID]['hr']+$hr;
      $subleagues[$slID]['r']=$subleagues[$slID]['r']+$r;
    }
   
   ###############################################################################################
   # Get Team and League Pitching Stats
   #
   ################################################################################################
   $query="SELECT t.team_id,tr.sub_league_id,ip,r,ipf FROM team_pitching_stats as t,team_relations as tr WHERE tr.league_id=$lgid AND t.league_id=tr.league_id AND t.team_id=tr.team_id;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $slID=$row['sub_league_id'];

      $actIP=($row['ip']*3+$row['ipf'])/3;
      $subleagues[$slID]['actIP']=$subleagues[$slID]['actIP']+$actIP;
      $subleagues[$slID]['pr']=$subleagues[$slID]['pr']+$row['r'];
    }

   ###############################################################################################
   # Calculate League Rate Stats
   #
   ###############################################################################################
   foreach ($subleagues as $slID => $val)
    {
      #Home Run Hit Rate
      $hr=$subleagues[$slID]['hr'];
      $r=$subleagues[$slID]['r'];
      if ($r==0) {$hrRate=0;} else {$hrRate=($hr/$r)*1.50;}
      $subleagues[$slID]['hrRate']=$hrRate;
    }

   ###############################################################################################
   # Calculate Park Factors
   #
   ###############################################################################################
   foreach ($teams as $tid => $val)
    {
      if ($tid=='tot') {continue;}
      if ($parks['home'][$tid]['games']==0) {$rpgHome=0;$hrpgHome=0;}
       else 
       {
         $rpgHome=$parks['home'][$tid]['runs']/$parks['home'][$tid]['games'];
         $hrpgHome=$parks['home'][$tid]['hrs']/$parks['home'][$tid]['games'];
       }

      if ($parks['away'][$tid]['games']==0) {$rpgAway=0;$hrpgAway=0;}
       else
       {
         $rpgAway=$parks['away'][$tid]['runs']/$parks['away'][$tid]['games'];
         $hrpgAway=$parks['away'][$tid]['hrs']/$parks['away'][$tid]['games'];
       }

      if ($rpgAway==0) {$iPFr=1;} else {$iPFr=$rpgHome/$rpgAway;}
      if ($hrpgAway==0) {$iPFhr=1;} else {$iPFhr=$hrpgHome/$hrpgAway;}

      $slID=$teams[$tid]['slID'];
      $nTeams=$subleagues[$slID]['nTeams'];
      $slHRrate=$subleagues[$slID]['hrRate'];

      $rPF=(($nTeams-1)*$iPFr + $nTeams - $iPFr) / (2*($nTeams-1));
      $hrPF=(($nTeams-1)*$iPFhr + $nTeams - $iPFhr) / (2*($nTeams-1));

      $sPF=($rPF-$slHRrate*$hrPF) / (1-$slHRrate);
      $sPF=sqrt($sPF);

      $parks[$tid]['rPF']=$rPF;
      $parks[$tid]['hrPF']=$hrPF;
      $parks[$tid]['sPF']=$sPF;

      #Calculate Zero Level
      $ZL = ($subleagues[$slID]['pr']*9/$subleagues[$slID]['actIP']) * $rPF*1.52;
      $parks[$tid]['ZL']=$ZL;
    }

   ###############################################################################################
   # Generate SQL Queries
   #
   ###############################################################################################
   foreach ($teams as $tid => $val)
    {
      $rPF=$parks[$tid]['rPF'];
      $hrPF=$parks[$tid]['hrPF'];
      $sPF=$parks[$tid]['sPF'];
      $zl=$parks[$tid]['ZL'];
      $parkID=$teams[$tid]['park_id'];
      $updText.="INSERT INTO park_factors (team_id,league_id,park_id,year,rpf,hrpf,spf,zl)";
      $updText.=" VALUES ($tid,$lgid,$parkID,$year,$rPF,$hrPF,$sPF,$zl)";
      $updText.=" ON DUPLICATE KEY UPDATE park_id=$parkID,rpf=$rPF,hrpf=$hrPF,spf=$sPF,zl=$zl";
      $updText.="\n";
    }
 }

###############################################################################################
# Save Queries to File and Load into Database
#
###############################################################################################
if ($updText!="")
 {
   $updText=trim($updText);
   $e=explode("\n",$updText);
   foreach ($e as $key => $query)
    {
      mysql_query($query,$db);
      $err=mysql_error();
      if ($err!="") {echo $err."<br />\n";}
    }
 }


if ($from=="") {header("Location: ".$_SERVER['HTTP_REFERER']);$_SESSION['pfrun']=1;}
 else {header("Location: ./".$from.".php");}

?>
