<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");

ini_set("memory_limit","64M");

##### Get Report Settings #####
$team_id=$_GET['team_id'];
if ($team_id=="All") {$team_id="";}
$position=$_GET['pos'];
if ($position=="") {$position='All';}
$dyear=$_GET['year'];
if ($dyear=="") {$dyear=$lgyear+1;}

if (($_SESSION['user_organization_id']!=$team_id)&&($view=='admin')) {$view='all_blocks';}
if ($view!="admin")
 {
   $view='all_blocks';
 }

##### Get Teams In League #####
$query="SELECT team_id,name,nickname,abbr,league_id,level,parent_team_id FROM teams WHERE";
$query.=" (league_id=$lgid OR parent_team_id IN (SELECT team_id FROM teams WHERE league_id=$lgid AND allstar_team=0))";
$query.=" AND allstar_team=0 ORDER BY name,nickname;";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
$tmList="";
while ($row=mysql_fetch_array($result))
 {
   $tid=$row['team_id'];
   $ptid=$row['parent_team_id'];
   $teams[$tid]['abbr']=$row['abbr'];
   $teams[$tid]['league_id']=$row['league_id'];
   $teams[$tid]['name']=$row['name']." ".$row['nickname'];
   $teams[$tid]['level']=get_level($row['level']);
   if (($team_id=="")||(($team_id==$tid)||($team_id==$ptid))) {$tmList.=",$tid";}
 }
$tmList=trim($tmList,",");

##### Start Page #####
$title="Projected Free Agents";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Front Office");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

##### Display Year Filter #####
echo " <div class='textbox'>\n";
echo "  <form method='get' action='projFreeAgents.php' style='clear:left;'>\n";
echo "  <table cellspacing=0 cellpadding=2 border=0>\n";
echo "   <tr class='title'><td colspan=7>Filters</td></tr>\n";
echo "   <tr>\n";

## Show Year Filter
echo "    <td><label for='year'><b>Year:</b></label></td>\n";
echo "    <td>\n";
echo "     <select name='year' id='year'>\n";
for ($yr=($lgyear+1);$yr<=($lgyear+10);$yr++)
 {
   echo "      <option value='$yr'";
   if ($dyear==$yr) {echo " selected";}
   echo ">".($yr-1)."</option>\n";
 }
echo "     </select>\n";
echo "    </td>\n";

## Show Team Filter
echo "    <td><label for='team_id'><b>Team:</b></label></td>\n";
echo "    <td>\n";
echo "     <select name='team_id' id='team_id'>\n";
echo "      <option value='All'>All Teams</option>\n";
foreach ($teams as $tid => $val)
 {
   if ($teams[$tid]['league_id']!=$lgid) {continue;}
   echo "      <option value='$tid'";
   if ($team_id==$tid) {echo " selected";}
   echo ">".$teams[$tid]['name']."</option>\n";
 }
echo "     </select>\n";
echo "    </td>\n";

## Show Position Filter
echo "    <td><label for='pos'><b>Position:</b></label></td>\n";
echo "    <td>\n";
echo "     <select name='pos' id='pos'>\n";
echo "      <option value='All'>All</option>\n";
echo "      <option value='-1'>All Batters</option>\n";
$posArray=array('All Pitchers','C','1B','2B','3B','SS','LF','CF','RF','DH','SP','RP','IF','CI','MI','OF');
for ($i=0;$i<count($posArray);$i++)
 {
   $idx=$i+1;
   echo "      <option value='$idx'";
   if ($idx==$position) {echo " selected";}
   echo ">".$posArray[$i]."</option>\n";
 }
echo "     </select>\n";
echo "    </td>\n";

## Close Form
if ($view!="")
 {
   ## Submission button
   echo "    <td><input type='submit' value='Go'></input></td>\n";
 }
echo "   </tr>\n";
echo "  </table>\n";
echo "  </form>\n";
echo " </div>\n";

##### Get League Settings #####
$query="SELECT rules_min_service_days,rules_fa_minimum_years,rules_salary_arbitration_minimum_years,rules_minor_league_fa_minimum_years FROM leagues WHERE league_id=$lgid;";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
$row=mysql_fetch_array($result);
$minService=$row['rules_min_service_days'];
$minFAyrs=$row['rules_fa_minimum_years'];
$minARByrs=$row['rules_salary_arbitration_minimum_years'];
$minMLFAyrs=$row['rules_minor_league_fa_minimum_years'];

##### Get Arbitration Eligible Players #####
$query="SELECT player_id,mlb_service_days,mlb_service_years FROM players_roster_status WHERE mlb_service_days<=($minService*$minFAyrs)";
$result=mysql_query($query,$db);
while ($row=mysql_fetch_array($result))
 {
   $pid=$row['player_id'];
   $mlbServ=$row['mlb_service_days'];
   $mlbServYrs=$row['mlb_service_years'];
   $mlbYrs=floor($mlbServ/$minService);
   $mlbDays=$mlbServ%$minService;
   $players[$pid]['arb']=1;
   $players[$pid]['days']=$minService-$mlbDays;
   $players[$pid]['yrs']=$mlbServYrs;
 }

##### Get Player Contracts #####
$query="SELECT player_id,season_year,last_year_team_option,last_year_player_option,salary0,salary1,salary2,salary3,salary4,salary5,salary6,salary7,salary8,salary9 FROM players_contract WHERE season_year!=0 AND team_id IN ($tmList);";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   $numFields=mysql_num_fields($result);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $yrOne=$row['season_year'];
      $players[$pid]['last_year_team_option']=$row['last_year_team_option'];
      $players[$pid]['last_year_player_option']=$row['last_year_player_option'];
   
      for ($i=4;$i<$numFields;$i++)
       {
         $fieldname=mysql_field_name($result,$i);
	 $yr=$yrOne+$i-4;
   	 $salary=$row[$fieldname];
	 $players[$pid][$yr]['salary']=$salary;
   	 if ($salary!=0)
	  {
	    $players[$pid]['finalYr']=$yr;
  	  }
       }
    }
 }

##### Get Player Contract Extensions #####
$query="SELECT player_id,season_year,last_year_team_option,last_year_player_option,salary0,salary1,salary2,salary3,salary4,salary5,salary6,salary7,salary8,salary9 FROM players_contract_extension WHERE season_year!=0 AND team_id IN ($tmList);";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   $numFields=mysql_num_fields($result);
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      if (isset($players[$pid]['finalYr'])) {$yrOne=$players[$pid]['finalYr']+1;}
       else {$yrOne=$row['season_year']+1;}
      $players[$pid]['last_year_team_option']=$row['last_year_team_option'];
      $players[$pid]['last_year_player_option']=$row['last_year_player_option'];
   
      for ($i=4;$i<$numFields;$i++)
       {
         $fieldname=mysql_field_name($result,$i);
	 $yr=$yrOne+$i-4;
   	 $salary=$row[$fieldname];
	 $players[$pid][$yr]['salary']=$salary;
   	 if ($salary!=0)
	  {
	    $players[$pid]['finalYr']=$yr;
  	  }
       }
    }
 }

##### Trim Player List Based on Year #####
foreach ($players as $pid => $val)
 {
   if ((isset($players[$pid]['yrs']))&&($players[$pid]['yrs']<($minFAyrs-1))&&($dyear==($lgyear+1))) {continue;}
   if ($players[$pid]['finalYr']==($dyear-1)) {$majList.=",$pid";}
    elseif (($players[$pid]['finalYr']==$dyear)&&(($players[$pid]['last_year_team_option']==1)||($players[$pid]['last_year_player_option']==1))) {$majList.=",$pid";}
 }
$majList=trim($majList,",");
$pList=$majList;

##### Get Player Stats #####
$query="SELECT player_id,SUM(w) as w,SUM(l) as l,SUM(s) as s,SUM(ip)+SUM(ipf)/3 as ip,9*SUM(er)/(SUM(ip)+SUM(ipf)/3) as era,(SUM(ha)+SUM(bb))/(SUM(ip)+SUM(ipf)/3) as whip,SUM(vorp) as vorp FROM players_career_pitching_stats WHERE league_id=$lgid AND year=$lgyear AND split_id=1";
if ($pList!="") {$query.=" AND player_id IN ($pList)";}
 else {$query.=" AND 0";}
$query.=" GROUP BY player_id;";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $players[$pid]['ip']=$row['ip'];
      $players[$pid]['w']=$row['w'];
      $players[$pid]['l']=$row['l'];
      $players[$pid]['s']=$row['s'];
      $players[$pid]['era']=$row['era'];
      $players[$pid]['whip']=$row['whip'];
      $players[$pid]['pvorp']=$row['vorp'];
    }
 }
$query="SELECT player_id,SUM(pa) as pa,SUM(hr) as hr,SUM(sb) as sb,SUM(rbi) as rbi,SUM(h)/SUM(ab) as avg,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))+(SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab) as ops,SUM(vorp) as vorp FROM players_career_batting_stats WHERE league_id=$lgid AND year=$lgyear AND split_id=1";
if ($pList!="") {$query.=" AND player_id IN ($pList)";}
 else {$query.=" AND 0";}
$query.=" GROUP BY player_id;";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $players[$pid]['pa']=$row['pa'];
      $players[$pid]['hr']=$row['hr'];
      $players[$pid]['sb']=$row['sb'];
      $players[$pid]['rbi']=$row['rbi'];
      $players[$pid]['avg']=$row['avg'];
      $players[$pid]['ops']=$row['ops'];
      $players[$pid]['vorp']=$row['vorp'];
    }
 }
##### Get Players #####
$query="SELECT player_id,first_name,last_name,if(position=1,role,position) as position,($dyear-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,team_id,organization_id FROM players WHERE retired=0 AND team_id!=0";
if ($position!='All') 
 {
   switch ($position)
    {
      case -1:
        $query.=" AND position!=1";
 	break;
      case 1:
        $query.=" AND position=1";
 	break;
      case 10:
        $query.=" AND position=10";
 	break;
      case 11:
        $query.=" AND role=11";
 	break;
      case 12:
        $query.=" AND role IN (12,13)";
 	break;
      default:
        $query.=" AND player_id IN (SELECT player_id FROM players_fielding WHERE";
	if ($pList!="") {$query.=" player_id IN ($pList)";} else {$query.=" AND 0";}
	switch ($position)
	 {
	   case 13:
	     $query.=" AND (fielding_rating_pos3>0 OR fielding_rating_pos4>0 OR fielding_rating_pos5>0 OR fielding_rating_pos6>0)";
	     break;
	   case 14:
	     $query.=" AND (fielding_rating_pos3>0 OR fielding_rating_pos5>0)";
	     break;
	   case 15:
	     $query.=" AND (fielding_rating_pos4>0 OR fielding_rating_pos6>0)";
	     break;
	   case 16:
	     $query.=" AND (fielding_rating_pos7>0 OR fielding_rating_pos8>0 OR fielding_rating_pos9>0)";
	     break;
	   default:
	     $query.=" AND fielding_rating_pos$position>0";
	     break;
	 }
	$query.=")";
 	break;
    }
 }
if ($pList!="") {$query.=" AND player_id IN ($pList)";}
 else {$query.=" AND 0";}
$query.=" ORDER BY last_name,first_name,age";
if ($_GET['showq']==1) {echo $query."<br/>\n";}
$result=mysql_query($query,$db);
echo " <div class='textbox'>\n";
echo "  <table cellpadding=0 cellspacing=0 border=0>\n";
echo "   <tr class='title2'><td>Major League Contracts Expiring After The ".($dyear-1)." Season<br/>($lgyear stats displayed)</td></tr>\n";
echo "   <tr><td>\n";   
if (mysql_num_rows($result))
 {
   echo "    <table cellpadding=2 cellspacing=0 border=0 width='935px' class='sortable'>\n";
   echo "     <tr class='headline'>";
   echo "<td class='hsc2_l'>Player</td>";
   echo "<td class='hsc2'>Pos</td>";
   echo "<td class='hsc2'>Age</td>";
   echo "<td class='hsc2'>Org</td>";
   echo "<td class='hsc2'>Level</td>";
   echo "<td class='hsc2'>".($dyear-1)." Salary</td>";
   echo "<td class='hsc2_l' style='padding-left:20px;'>Notes</td>";
   switch ($position)
    {
      case 'All':
        echo "<td class='hsc2'>PA/IP</td><td class='hsc2'>HR/W</td><td class='hsc2'>SB/L</td><td class='hsc2'>RBI/SV</td><td class='hsc2'>AVG/ERA</td><td class='hsc2'>OPS/WHIP</td>";
        break;
      case 1:
      case 11:
      case 12:
        echo "<td class='hsc2'>IP</td><td class='hsc2'>W</td><td class='hsc2'>L</td><td class='hsc2'>SV</td><td class='hsc2'>ERA</td><td class='hsc2'>WHIP</td><td class='hsc2'>VORP</td>";
        break;
      default:
        echo "<td class='hsc2'>PA</td><td class='hsc2'>HR</td><td class='hsc2'>SB</td><td class='hsc2'>RBI</td><td class='hsc2'>AVG</td><td class='hsc2'>OPS</td><td class='hsc2'>VORP</td>";
        break;
    }
   echo "</tr>\n";   
   $cnt=0;
   $salYr=$dyear-1;
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $name=$row['first_name']." ".$row['last_name'];
      $sortname=$row['last_name'].", ".$row['first_name'];
      $age=$row['age'];
      $pos=get_pos($row['position']);
      $sortpos=$row['position'];
      $tid=$row['team_id'];
      $orgID=$row['organization_id'];

      $cls='s'.($cnt%2+1);
      echo "     <tr class='$cls'>";
      echo "<td class='".$cls."_l' sorttable_customkey=\"".$sortname."\"><a href='./player.php?player_id=$pid'>$name</a></td>";
      echo "<td sorttable_customkey=\"".$sortpos."\">$pos</td>";
      echo "<td>$age</td>";
      echo "<td><a href='$lgpath/teams/team_$orgID.html'>".$teams[$orgID]['abbr']."</a></td>";
      echo "<td><a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['level']."</a></td>";
      echo "<td><a href='./payroll.php?player=$pid'>$".number_format($players[$pid][$salYr]['salary'])."</a></td>";
      echo "<td class='".$cls."_l' style='padding-left:20px;'>";
      if (($players[$pid]['last_year_team_option']==1)&&($players[$pid]['last_year_player_option']==1))
       {
         if ($players[$pid]['finalYr']==$dyear) {echo "Only if mutual option is not picked up";}
	 else {echo "Only if mutual option is picked up";}
       }
       elseif ($players[$pid]['last_year_team_option']==1)
       {
         if ($players[$pid]['finalYr']==$dyear) {echo "Only if team option is not picked up";}
	 else {echo "Only if team option is picked up";}
       }
       elseif ($players[$pid]['last_year_player_option']==1)
       {
         if ($players[$pid]['finalYr']==$dyear) {echo "Only if player option is not picked up";}
	 else {echo "Only if player option is picked up";}
       }
       elseif (isset($players[$pid]['arb'])&&($dyear==($lgyear+1))) {echo "Needs ".$players[$pid]['days']." more days for FA";}
       else {echo "&nbsp;";}
	       echo "</td>";
      $pos=$row['position'];
      if ($pos>10)
       {
         if (isset($players[$pid]['ip']))
          {
            echo "<td>".sprintf("%.1f",$players[$pid]['ip'])."</td>";
	    echo "<td>".$players[$pid]['w']."</td>";
	    echo "<td>".$players[$pid]['l']."</td>";
	    echo "<td>".$players[$pid]['s']."</td>";
	    echo "<td>".sprintf("%.2f",$players[$pid]['era'])."</td>";
	    $whip=$players[$pid]['whip'];
	    $whip=sprintf("%.2f",$whip);
	    if ($whip<1) {$whip=strstr($whip,".");}
	    echo "<td>".$whip."</td>";
	    if ($position!='All') {echo "<td>".sprintf("%.1f",$players[$pid]['pvorp'])."</td>";}
	  }
	  else
	  {
	    echo "<td>0.0</td><td>0</td><td>0</td><td>0</td><td>0.00</td><td>0.00</td>";
	    if ($position!='All') {echo "<td>0.0</td>\n";}
	  }
       }
       else
       {
         if (isset($players[$pid]['pa']))
	  {
  	    echo "<td>".$players[$pid]['pa']."</td>";
	    echo "<td>".$players[$pid]['hr']."</td>";
	    echo "<td>".$players[$pid]['sb']."</td>";
	    echo "<td>".$players[$pid]['rbi']."</td>";
	    $avg=$players[$pid]['avg'];
	    $avg=sprintf("%.3f",$avg);
	    if ($avg<1) {$avg=strstr($avg,".");}
	    echo "<td>".$avg."</td>";
	    $ops=$players[$pid]['ops'];
	    $ops=sprintf("%.3f",$ops);
	    if ($ops<1) {$ops=strstr($ops,".");}
	    echo "<td>".$ops."</td>";
	    if ($position!='All') {echo "<td>".sprintf("%.1f",$players[$pid]['vorp'])."</td>";}
	  }
	  else
	  {
	    echo "<td>0</td><td>0</td><td>0</td><td>0</td><td>.000</td><td>.000</td>";
	    if ($position!='All') {echo "<td>0.0</td>\n";}
	  }
       }

      echo "</tr>\n";
      $cnt++;
    }
   echo "    </table>\n";
 }
 else
 {
   echo "No players are due to become free agents in $dyear yet.";
 }
echo "   </td></tr>\n";
echo "  </table>\n";
echo " </div>\n";

##### End Page #####
echo "</div>   <!-- END contentpane DIV -->\n";
page_foot($lgpath);

?>
