<?php
session_start();
include("html_functions.php");
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

if (!isset($_SESSION['adminpath']))
 {
    if (!set_adminpath())
     {
        echo "ERROR: Unable to find SQL admin path.";
     }
 }

if ($_SESSION['user_is_commish']!=1) {echo "You must be a commisioner to access this page";exit;}

$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$precision=3;

$adminpath=$_SESSION['adminpath'];
include($adminpath."/dbopen.php");
$date=new Date($_SESSION['lgdate']);
$year=$date->format("Y");

if ($year=="") {echo "ERROR: Unable to find year"; exit;}
   
##### Check if regular season games have been played #####
$query="SELECT game_id FROM games WHERE league_id=$lgid AND played=1 AND game_type=0 LIMIT 1;";
$result=mysql_query($query,$db);
if (!mysql_num_rows($result)) {echo "ERROR: No regular season games played this year"; exit;}

##### Check if season metrics table exists #####
$query="SHOW TABLES LIKE 'players_season_metrics';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   ##Clear out current year's entries
   $query="DELETE FROM players_season_metrics WHERE year=$year AND league_id=$lgid;";
   mysql_query($query,$db);
 }
 else
 {
   ##### Initialize Table #####
   $query="CREATE TABLE IF NOT EXISTS players_season_metrics (player_id INT, year SMALLINT, league_id INT, team_id INT, ops_plus INT DEFAULT 0, era_plus INT DEFAULT 0, adj_ops_plus INT DEFAULT 0, adj_era_plus INT DEFAULT 0, wOBA DOUBLE DEFAULT 0, EqR DOUBLE DEFAULT 0, EqA DOUBLE DEFAULT 0, cERA DOUBLE DEFAULT 0, PRIMARY KEY (player_id, year, league_id,team_id));";
   $result=mysql_query($query,$db);
 }

##### Check if park factors table exists #####
$query="SHOW TABLES LIKE 'park_factors';";
$result=mysql_query($query,$db);
if (mysql_num_rows($result))
 {
   ##### Verify It's Been Run For This Season #####
   $query="SELECT COUNT(*) as cnt FROM park_factors WHERE league_id=$lgid AND year=$year;";
   $result=mysql_query($query,$db);
   $row=mysql_fetch_array($result);
   $cnt=$row['cnt'];
   if ($cnt==0) {header("Location: ./parkFactors.php?from=seasonMetrics");}  #Run it!
 }
else {header("Location: ./parkFactors.php?from=seasonMetrics");}  #Run it

###############################################################################################
# Load Park Factors & Team Structure
#
###############################################################################################
$query="SELECT t.team_id,t.sub_league_id,rpf,hrpf,spf,zl,tr.g FROM park_factors as pf,teams as t,team_record as tr WHERE pf.team_id=t.team_id AND pf.team_id=tr.team_id AND tr.team_id=t.team_id AND t.league_id=$lgid AND pf.year=$year;";
$result=mysql_query($query,$db);
while ($row=mysql_fetch_array($result))
 {
   $tid=$row['team_id'];
   $slid=$row['sub_league_id'];
   $teams[$tid]['slID']=$slid;
   $teams[$tid]['g']=$row['g'];
   $parks[$tid]['rPF']=$row['rpf'];
   $parks[$tid]['hrPF']=$row['hrpf'];
   $parks[$tid]['sPF']=$row['spf'];
   $parks[$tid]['ZL']=$row['zl'];
 }

###############################################################################################
# Get Player Batting Stats
#
###############################################################################################
$query="SELECT player_id,team_id,ab,h,pa,d,t,hr,r,sb,cs,bb,ibb,gdp,sh,sf,hp FROM players_career_batting_stats WHERE league_id=$lgid AND year=$year AND split_id=1 ORDER BY player_id;";
$result=mysql_query($query,$db);
while ($row=mysql_fetch_array($result))
 {
   $pid=$row['player_id'];
   $tid=$row['team_id'];
   $slid=$teams[$tid]['slID'];
   $ab=$row['ab'];
   $h=$row['h'];
   $pa=$row['pa'];
   $d=$row['d'];
   $t=$row['t'];
   $hr=$row['hr'];
   $r=$row['r'];
   $sb=$row['sb'];
   $cs=$row['cs'];
   $bb=$row['bb'];
   $ibb=$row['ibb'];
   $gdp=$row['gdp'];
   $sh=$row['sh'];
   $sf=$row['sf'];
   $hp=$row['hp'];
   $tb=$h+$d+2*$t+3*$hr;
   $outs=$ab-$h+$cs+$sh+$sf+$gdp;

   $playerList[$pid]=1;
   $key=$pid."_".$tid;
   $players[$key]['team_id']=$tid;
   $players[$key]['ab']=$ab;
   $players[$key]['h']=$h;
   $players[$key]['pa']=$pa;
   $players[$key]['d']=$d;
   $players[$key]['t']=$t;
   $players[$key]['hr']=$hr;
   $players[$key]['tb']=$tb;
   $players[$key]['r']=$r;
   $players[$key]['sb']=$sb;
   $players[$key]['cs']=$cs;
   $players[$key]['bb']=$bb;
   $players[$key]['ibb']=$ibb;
   $players[$key]['gdp']=$gdp;
   $players[$key]['sh']=$sh;
   $players[$key]['sf']=$sf;
   $players[$key]['hp']=$hp;
   $players[$key]['out']=$outs;

   $subleagues[$slid]['ab']=$subleagues[$slid]['ab']+$ab;
   $subleagues[$slid]['h']=$subleagues[$slid]['h']+$h;
   $subleagues[$slid]['pa']=$subleagues[$slid]['pa']+$pa;
   $subleagues[$slid]['d']=$subleagues[$slid]['d']+$d;
   $subleagues[$slid]['t']=$subleagues[$slid]['t']+$t;
   $subleagues[$slid]['hr']=$subleagues[$slid]['hr']+$hr;
   $subleagues[$slid]['tb']=$subleagues[$slid]['tb']+$tb;
   $subleagues[$slid]['r']=$subleagues[$slid]['r']+$r;
   $subleagues[$slid]['sb']=$subleagues[$slid]['sb']+$sb;
   $subleagues[$slid]['cs']=$subleagues[$slid]['cs']+$cs;
   $subleagues[$slid]['bb']=$subleagues[$slid]['bb']+$bb;
   $subleagues[$slid]['ibb']=$subleagues[$slid]['ibb']+$ibb;
   $subleagues[$slid]['gdp']=$subleagues[$slid]['gdp']+$gdp;
   $subleagues[$slid]['sh']=$subleagues[$slid]['sh']+$sh;
   $subleagues[$slid]['sf']=$subleagues[$slid]['sf']+$sf;
   $subleagues[$slid]['hp']=$subleagues[$slid]['hp']+$hp;
   $subleagues[$slid]['out']=$subleagues[$slid]['out']+$outs;
 }

###############################################################################################
# Get Player Pitching Stats
#
###############################################################################################
$query="SELECT p.player_id,ps.team_id,throws,ip,ha,k,bf,bb,r,er,ipf,w,l,s,sh,sf,hra,bk,iw,wp,hp,dp,sb,cs,hld FROM players_career_pitching_stats as ps,players as p WHERE ps.league_id=$lgid AND ps.player_id=p.player_id AND ps.year=$year AND ps.split_id=1 ORDER BY player_id;";
$result=mysql_query($query,$db);
while ($row=mysql_fetch_array($result))
 {
   $pid=$row['player_id'];
   $tid=$row['team_id'];
   $slid=$teams[$tid]['slID'];
   $ip=$row['ip'];
   $ha=$row['ha'];
   $k=$row['k'];
   $bf=$row['bf'];
   $bb=$row['bb'];
   $r=$row['r'];
   $er=$row['er'];
   $ipf=$row['ipf'];
   $w=$row['w'];
   $l=$row['l'];
   $s=$row['s'];
   $sh=$row['sh'];
   $sf=$row['sf'];
   $hra=$row['hra'];
   $bk=$row['bk'];
   $iw=$row['iw'];
   $wp=$row['wp'];
   $hp=$row['hp'];
   $dp=$row['dp'];
   $sb=$row['sb'];
   $cs=$row['cs'];
   $hld=$row['hld'];
   $actIP=(3*$ip+$ipf)/3;
   $bip=$bf-$hra-$k-$bb-$hp-$iw;
   $throws=$row['throws'];      #1=RHP, 2=LHP

   $playerList[$pid]=1;
   $key=$pid."_".$tid;
   $players[$key]['team_id']=$tid;
   $players[$key]['actIP']=$actIP;
   $players[$key]['pha']=$ha;
   $players[$key]['pk']=$k;
   $players[$key]['pbf']=$bf;
   $players[$key]['pbb']=$bb;
   $players[$key]['pr']=$r;
   $players[$key]['per']=$er;
   $players[$key]['pw']=$w;
   $players[$key]['pl']=$l;
   $players[$key]['ps']=$s;
   $players[$key]['psh']=$sh;
   $players[$key]['psf']=$sf;
   $players[$key]['phra']=$hra;
   $players[$key]['pbk']=$bk;
   $players[$key]['piw']=$iw;
   $players[$key]['pwp']=$wp;
   $players[$key]['php']=$hp;
   $players[$key]['pdp']=$dp;
   $players[$key]['psb']=$sb;
   $players[$key]['pcs']=$cs;
   $players[$key]['phld']=$hld;
   $players[$key]['bip']=$bip;
   $players[$key]['throws']=$throws;

   #Subleague
   $subleagues[$slid]['actIP']=$subleagues[$slid]['actIP']+$actIP;
   $subleagues[$slid]['pha']=$subleagues[$slid]['pha']+$ha;
   $subleagues[$slid]['pk']=$subleagues[$slid]['pk']+$k;
   $subleagues[$slid]['pbf']=$subleagues[$slid]['pbf']+$bf;
   $subleagues[$slid]['pbb']=$subleagues[$slid]['pbb']+$bb;
   $subleagues[$slid]['pr']=$subleagues[$slid]['pr']+$r;
   $subleagues[$slid]['per']=$subleagues[$slid]['per']+$er;
   $subleagues[$slid]['pw']=$subleagues[$slid]['pw']+$w;
   $subleagues[$slid]['pl']=$subleagues[$slid]['pl']+$l;
   $subleagues[$slid]['ps']=$subleagues[$slid]['ps']+$s;
   $subleagues[$slid]['psh']=$subleagues[$slid]['psh']+$sh;
   $subleagues[$slid]['psf']=$subleagues[$slid]['psf']+$sf;
   $subleagues[$slid]['phra']=$subleagues[$slid]['phra']+$hra;
   $subleagues[$slid]['pbk']=$subleagues[$slid]['pbk']+$bk;
   $subleagues[$slid]['piw']=$subleagues[$slid]['piw']+$iw;
   $subleagues[$slid]['pwp']=$subleagues[$slid]['pwp']+$wp;
   $subleagues[$slid]['php']=$subleagues[$slid]['php']+$hp;
   $subleagues[$slid]['pdp']=$subleagues[$slid]['pdp']+$dp;
   $subleagues[$slid]['psb']=$subleagues[$slid]['psb']+$sb;
   $subleagues[$slid]['pcs']=$subleagues[$slid]['pcs']+$cs;
   $subleagues[$slid]['phld']=$subleagues[$slid]['phld']+$hld;
   $subleagues[$slid]['pbip']=$subleagues[$slid]['pbip']+$bip;
 }

###############################################################################################
# Calculate League Average Metrics
#
###############################################################################################
foreach ($subleagues as $slid => $val)
 {
   #Batting Metrics
   $ab=$subleagues[$slid]['ab'];
   $h=$subleagues[$slid]['h'];
   $d=$subleagues[$slid]['d'];
   $t=$subleagues[$slid]['t'];
   $hr=$subleagues[$slid]['hr'];
   $bb=$subleagues[$slid]['bb'];
   $hp=$subleagues[$slid]['hp'];
   $pa=$subleagues[$slid]['pa'];
   $tb=$subleagues[$slid]['tb'];
   $sb=$subleagues[$slid]['sb'];
   $cs=$subleagues[$slid]['cs'];
   $sf=$subleagues[$slid]['sf'];
   $sh=$subleagues[$slid]['sh'];

   if (($ab+$bb+$hp+$sf)==0) {$obp=0;}
    else {$obp=($h+$bb+$hp)/($ab+$bb+$hp+$sf);}
   if ($ab==0) {$slg=0;}
    else {$slg=($h+$d+2*$t+3*$hr)/$ab;}

   $subleagues[$slid]['lgOBP']=$obp;
   $subleagues[$slid]['lgSLG']=$slg;

   $RAWpa=$ab+$bb+$hp+$sh+$sf+$sb+$cs;
   if ($RAWpa==0) {$RAW=0;}
    else {$RAW = ($h+$tb+1.5*($bb+$hp+$sb)+$sh+$sf)/($ab+$bb+$hp+$sh+$sf+$sb+$cs);}
   $subleagues[$slid]['lgRAW']=$RAW;

   #Pitching Metrics
   $ip=$subleagues[$slid]['actIP'];
   $er=$subleagues[$slid]['per'];
   if ($ip==0) {$era=0;}
    else {$era=(9*$er)/$ip;}
   $subleagues[$slid]['lgERA']=$era;
 }

###############################################################################################
# Calculate Player Metrics
#
###############################################################################################
$updText="";
foreach ($players as $key => $val)
 {
   $opsPlus=0;
   $eraPlus=0;
   $adjOpsPlus=0;
   $adjEraPlus=0;
   $wOBA=0;
   $EqR=0;
   $EqA=0;
   
   $e=explode("_",$key);
   $pid=$e[0];
   $tid=$e[1];
   $slid=$teams[$tid]['slID'];
   $tg=$teams[$tid]['g'];
   $rPF=$parks[$tid]['rPF'];

   #### Batting Metrics
   $ab=$players[$key]['ab'];
   $h=$players[$key]['h'];
   $d=$players[$key]['d'];
   $t=$players[$key]['t'];
   $hr=$players[$key]['hr'];
   $bb=$players[$key]['bb'];
   $hp=$players[$key]['hp'];
   $pa=$players[$key]['pa'];
   $tb=$players[$key]['tb'];
   $sb=$players[$key]['sb'];
   $cs=$players[$key]['cs'];
   $sf=$players[$key]['sf'];
   $sh=$players[$key]['sh'];
   $out=$players[$key]['out'];

   if (($ab+$bb+$hp+$sf)==0) {$obp=0;}
    else
    {
      $obp=($h+$bb+$hp)/($ab+$bb+$hp+$sf);
      if ($ab==0) {$slg=0;}
       else {$slg=($h+$d+2*$t+3*$hr)/$ab;}
      $lgOBP=$subleagues[$slid]['lgOBP'];
      $lgSLG=$subleagues[$slid]['lgSLG'];
      $opsPlus=100 * (($obp/$lgOBP) + ($slg/$lgSLG) - 1);
      $opsPlus=round($opsPlus,0);
      $players[$key]['OPS+']=$opsPlus;

      $adjlgOBP=$lgOBP*$rPF;
      $adjlgSLG=$lgSLG*$rPF;
      $adjOpsPlus=100 * (($obp/$adjlgOBP) + ($slg/$adjlgSLG) - 1);
      $adjOpsPlus=round($adjOpsPlus,0);
      $players[$key]['adjOPS+']=$adjOpsPlus;

      $lgRAW=$subleagues[$slid]['lgRAW'];
      $lgR=$subleagues[$slid]['r'];
      $lgPA=$subleagues[$slid]['pa'];
      $RAWpa=$ab+$bb+$hp+$sh+$sf+$sb+$cs;
      if ($RAWpa==0) {$RAW=0;}
       else {$RAW = ($h+$tb+1.5*($bb+$hp+$sb)+$sh+$sf)/($ab+$bb+$hp+$sh+$sf+$sb+$cs);}

      $rboe=0;
      if ($pa==0) {$wOBA=0;}
       else {$wOBA=(0.72*$bb+0.75*$hp+0.90*($h-$d-$t-$hr)+0.92*$rboe+1.24*$d+1.56*$t+1.95*$hr)/$pa;$wOBA=round($wOBA,5);}

      if ($lgRAW==0) {$EqR=0;}
       else {$EqR=(2*$RAW/$lgRAW-1)*$pa*($lgR/$lgPA);}
      if (($out==0)||($EqR<=0)) {$EqA=0;}
       else 
       {
	 $EqA=($EqR/$out)/5;
	 $EqA=pow($EqA,.4);
	 $EqA=round($EqA,5);
       }
      if ($EqR!=0) {$EqR=round($EqR,5);} 
    }
   
   #### Pitching Metrics
   $ip=$players[$key]['actIP'];
   $er=$players[$key]['per'];
   $ha=$players[$key]['pha'];
   $bba=$players[$key]['pbb'];
   $hpa=$players[$key]['php'];
   $hra=$players[$key]['phra'];
   $iw=$players[$key]['piw'];
   $bf=$players[$key]['pbf'];

   if ($ip==0) {$era=0;$RAC=0;}
    else
    {
      $era=(9*$er)/$ip;
      if ($era!=0) 
       {
         $lgERA=$subleagues[$slid]['lgERA'];
	 $eraPlus=100*$lgERA/$era;
	 $eraPlus=round($eraPlus,0);
         $adjlgERA=$lgERA*$rPF;
         $adjEraPlus=100*$adjlgERA/$era;
	 $adjEraPlus=round($adjEraPlus,0);
         $players[$key]['ERA+']=$eraPlus;
         $players[$key]['adjERA+']=$adjEraPlus;
       }
       elseif ($ip!=0)
       {
	 $eraPlus=100;
	 $adjEraPlus=100;
       }
      #Component ERA
      $A=$ha+$bba+$hpa;
      $B=(($ha-$hra)*1.255 + 4*$hra)*.89 + ($bba+$hpa-$iw)*.56;
      $C=$bf;
      if (($bf*$ip)==0) {$RAC=0;}
       else 
       {
         $RAC=($A*$B*9)/($bf*$ip);
         if ($RAC<=2.24) {$RAC=$RAC*0.75;} else {$RAC=$RAC-0.56;}
         $RAC=round($RAC,4);
       }
    }
  
   if ($opsPlus=="") {$opsPlus=0;}
   if ($eraPlus=="") {$eraPlus=0;}
   if ($adjOpsPlus=="") {$adjOpsPlus=0;}
   if ($adjEraPlus=="") {$adjEraPlus=0;}
   if ($wOBA=="") {$wOBA=0;}
   if ($EqR=="") {$EqR=0;}
   if ($EqA=="") {$EqA=0;}
   if ($RAC=="") {$RAC=0;}
   if (($opsPlus!=0)||($eraPlus!=0))
    {
      $updText.="INSERT INTO players_season_metrics (player_id,year,league_id,team_id,ops_plus,era_plus,adj_ops_plus,adj_era_plus,wOBA,EqR,EqA,cERA)";
      $updText.=" VALUES ($pid,$year,$lgid,$tid,$opsPlus,$eraPlus,$adjOpsPlus,$adjEraPlus,$wOBA,$EqR,$EqA,$RAC)";
      $updText.="\n";
    }
 }

###############################################################################################
# Save Data to File and Load into Database
#
###############################################################################################
if ($updText!="")
 {
   $updText=trim($updText);
   $e=explode("\n",$updText);
   foreach ($e as $key => $query)
    {
      mysql_query($query,$db);
      $err=mysql_error();
      if ($err!="") {echo $err."<br />\n";}
    }
 }

$_SESSION['smrun']=1;
header("Location: ".$_SERVER['HTTP_REFERER']);

?>
