<?php
  session_start();
  include("html_functions.php");
  check_cookie();
  include($_SESSION['adminpath']."/dbopen.php");

  $lgpath=$_SESSION['lgpath'];
  $lid=$_GET['league_id'];
  if ($lid!="") {$lgid=$lid;}
  if ($lgid=="") {$lgid=$_SESSION['lgid'];}
  if ($lgid=="") {$lgid=100;}

  ##### Check that regular season has begun #####
  $query="SELECT COUNT(game_id) as g FROM games WHERE league_id=".$lgid." AND played=1 AND game_type=2;";
  $result=mysql_query($query,$db);
  $row=mysql_fetch_array($result);
  $gp=$row['g'];
  
  $title="Spring Training Standings";
  page_head($title,$lgpath);

  echo " <div id='topbar'>\n";

  main_nav($lgid,$lgpath,$title);
  util_nav();
  util_sub_nav("Last Sim");

  echo " </div>   <!-- END topbar DIV -->\n";

  echo " <div id='contentpane'>\n";
  
  if ($gp>0) {echo make_st_standings($lgid);}
   else {echo "No spring training games played";}

  echo " </div>   <!-- END contentpane DIV -->\n";

  page_foot($lgpath);

function make_st_standings($lgid="")
 {
   if ($lgid=="") {return 0;}
   $lgpath=$_SESSION['lgpath'];
   
   ##### Open Database Connection #####
   include($_SESSION['adminpath']."/dbopen.php");

   ##### Get Playoff Odds Configuration #####
   $cwd=getcwd();
   $e=explode("/",$cwd);
   $maxE=count($e)-1;
   $instance=$e[$maxE];
   $query="SHOW TABLES LIKE 'ootp_sql_admin';";
   $result=mysql_query($query,$db);
   if (mysql_num_rows($result)) 
    {
      $query="SELECT * FROM ootp_sql_admin WHERE module='Last Sim' AND install='$instance' AND setting LIKE 'pyth%';";
      $result=mysql_query($query,$db);
      if (mysql_num_rows($result)) 
       {
         while ($row=mysql_fetch_array($result))
	  {
	    $field=$row['setting'];
	    $val=$row['value'];
   	    $val=stripslashes($val);
	    switch ($field)
  	     {
	       case 'pythMeth'     : $pythMeth=$val;     break;
     	       case 'pythExp'      : $pythExp=$val;      break;
   	     }
	  }
       }
    }

   switch ($pythMeth)
    {
      case 'Pythagorean Win Pct (Pythagenpat)': $pythMeth='pythPat';break;
      case 'Actual Win Pct': $pythMeth='record'; break;
      default: $pythMeth='pythExp';break;
    }
   if ($pythMeth=="") {$pythMeth='pythExp';}
   if ($pythExp=="") {$pythExp=1.82;}

   ##### Get League Structure Names #####
   $query="SELECT sl.sub_league_id,sl.name as slname,division_id,d.name as divname FROM sub_leagues as sl,divisions as d WHERE sl.league_id=d.league_id AND sl.sub_league_id=d.sub_league_id AND sl.league_id=$lgid;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $slid=$row['sub_league_id'];
      $divID=$row['division_id'];
      $cmpID=$slid."::".$divID;
      $subleagues[$slid]['name']=$row['slname'];
      $divisions[$cmpID]['name']=$row['divname'];
    }

   ##### Get Team Records #####
   $query="SELECT t.name,t.nickname,t.sub_league_id,tr.division_id,game_id,dte,tid,sum(ra) as ra,sum(rf) as rf,sum(loss) as l,sum(win) as w";
   $query.=" FROM (";
   $query.="SELECT game_id,games.date as dte,away_team as tid,runs1 as ra,runs0 as rf,(runs1>runs0) as loss,(runs0>runs1) as win";
   $query.=" FROM games";
   $query.=" WHERE played=1 AND league_id=$lgid AND game_type=2";
   $query.=" UNION";
   $query.=" SELECT game_id,games.date as dte,home_team as tid,runs0 as ra,runs1 as rf,(runs0>runs1) as loss,(runs1>runs0) as win";
   $query.=" FROM games";
   $query.=" WHERE played=1 AND league_id=$lgid AND game_type=2) as x,";
   $query.="teams as t,team_relations as tr";
   $query.=" WHERE x.tid=t.team_id AND x.tid=tr.team_id AND t.team_id=tr.team_id";
   $query.=" GROUP BY tid ORDER BY sub_league_id,division_id,w desc;";
   $result=mysql_query($query,$db);
   while ($row=mysql_fetch_array($result))
    {
      $tid=$row['tid'];
      $teams[$tid]['name']=$row['name']." ".$row['nickname'];
      $teams[$tid]['slid']=$row['sub_league_id'];
      $teams[$tid]['divID']=$row['division_id'];
      $teams[$tid]['rf']=$row['rf'];
      $teams[$tid]['ra']=$row['ra'];
      $teams[$tid]['w']=$row['w'];
      $teams[$tid]['l']=$row['l'];
      $teams[$tid]['g']=$row['w']+$row['l'];
      $teams[$tid]['winPct']=$row['w']/$teams[$tid]['g'];

      switch ($pythMeth)
       {
         case 'pythPat':
	    $pythExp=pow(($row['rf']+$row['ra'])/$teams[$tid]['g'],0.287);
	    $pythPct=pow($row['rf'],$pythExp)/(pow($row['rf'],$pythExp)+pow($row['ra'],$pythExp));
	    break;
	 case 'pythExp':
	    $pythPct=pow($row['rf'],$pythExp)/(pow($row['rf'],$pythExp)+pow($row['ra'],$pythExp));
	    break;
	 case 'record':
	 default:
	    $pythPct=$teams[$tid]['winPct'];
	    break;
       }
      $teams[$tid]['pythPct']=$pythPct;
      $teams[$tid]['pythW']=round($teams[$tid]['g']*$teams[$tid]['pythPct'],0);
      $teams[$tid]['pythL']=$teams[$tid]['g']-$teams[$tid]['pythW'];
      $teams[$tid]['pythDiff']=$row['w']-$teams[$tid]['pythW'];
    }

   $prevSL=-1;
   $prevDIV=-1;
   foreach ($teams as $tid => $val)
    {
      $slid=$teams[$tid]['slid'];
      $divID=$teams[$tid]['divID'];
      if (($prevSL!=$slid) || ($prevDIV!=$divID))
       {
          $teams[$tid]['gb']="-";
          $maxW=$teams[$tid]['w'];
          $maxL=$teams[$tid]['l'];
       }
       else
       {
          $tW=$teams[$tid]['w'];
	  $tL=$teams[$tid]['l'];
	  $gb=(($maxW-$tW) + ($tL-$maxL))/2;
	  $gb=sprintf("%.1f",$gb);
	  if ($gb==0) {$teams[$tid]['gb']="-";}
	  elseif ($gb<1) {$teams[$tid]['gb']=strstr($gb,".");}
	  else {$teams[$tid]['gb']=$gb;}
       }

      $prevSL=$slid;
      $prevDIV=$divID;
    }

   ##### Display Results #####
   $rownum=0;
   $prevSL=-1;
   $prevDiv=-1;
   $slCnt=0;
   $divCnt=0;
   foreach ($teams as $tid => $val)
    {
      $cls='s'.($rownum%2+1);
      $sl=$teams[$tid]['slid'];
      if ($sl!=$prevSL)
       {
         if ($slCnt>0)
	  {
	    $text.="   </table>\n";
	    $text.="  </td>\n";
	    $text.=" </tr>\n";
	    $text.="</table>\n";
	  }
	 $text.="<table class='textbox' cellspacing=0 cellpadding=1 class='lpo' width='100%' style='margin-top:12px;'>\n";
	 $text.=" <tr class='title'>\n";
	 $text.="  <td colspan=1>".$subleagues[$sl]['name']."</td>\n";
	 $text.=" </tr>\n";
         $slCnt+=1;
       }
      $div=$teams[$tid]['divID'];
      $cmpID=$sl."::".$div;
      if ($div!=$prevDiv)
       {
         if (($divCnt>0) && ($sl==$prevSL))
	  {
	    $text.="   </table>\n";
	    $text.="  </td>\n";
	    $text.=" </tr>\n";
	  }
         $text.=" <tr>\n";
	 $text.="  <td style='padding-top:12px;padding-left:12px;padding-right:12px;'>\n";
	 $text.="   <table cellspacing=0 cellpadding=1 class='lpo' width='100%' style='margin-bottom:12px;'>\n";
	 $text.="    <tr class='title'>\n";
	 $text.="     <td colspan=17>".$divisions[$cmpID]['name']."</td>\n";
	 $text.="    </tr>\n";
	 $text.="    <tr class='headline'><td class='hsc2_l' width='300px'>Team</td><td class='hsc2'>W</td><td class='hsc2'>L</td><td class='hsc2'>Pct</td><td class='hsc2'>GB</td><td class='hsc2'>RF</td><td class='hsc2'>RA</td><td class='hsc2'>PRec</td><td class='hsc2'>PPct</td><td class='hsc2'>Diff</td></tr>\n";
         $divCnt+=1;
       }
      $text.="    <tr class='$cls'>";
      $text.="<td class='".$cls."_l'><a href='$lgpath/teams/team_$tid.html'>".$teams[$tid]['name']."</a></td>";
      $text.="<td>".$teams[$tid]['w']."</td>";
      $text.="<td>".$teams[$tid]['l']."</td>";
      if ($teams[$tid]['winPct']>=1) {$winPctx=sprintf("%.3f",$teams[$tid]['winPct']);}
       else {$winPctx=strstr(sprintf("%.3f",$teams[$tid]['winPct']),".");}
      $text.="<td>".$winPctx."</td>";
      $text.="<td>".$teams[$tid]['gb']."</td>";
      $text.="<td>".$teams[$tid]['rf']."</td>";
      $text.="<td>".$teams[$tid]['ra']."</td>";
      $text.="<td>".$teams[$tid]['pythW']."-".$teams[$tid]['pythL']."</td>";
      if ($teams[$tid]['pythPct']>=1) {$pythPctx=sprintf("%.3f",$teams[$tid]['pythPct']);}
       else {$pythPctx=strstr(sprintf("%.3f",$teams[$tid]['pythPct']),".");}
      $text.="<td>".$pythPctx."</td>";
      $text.="<td>".$teams[$tid]['pythDiff']."</td>";
      $text.="</tr>\n";
      $prevSL=$sl;
      $prevDiv=$div;
      $rownum++;
    }
   $text.="   </table>\n";
   $text.="  </td>\n";
   $text.=" </tr>\n";
   $text.="</table>\n";

   return $text;
 }

?>
