<?php
session_start();
include('html_functions.php');
check_cookie();
include($_SESSION['adminpath']."/dbopen.php");

$lgpath=$_SESSION['lgpath'];
$lid=$_GET['league_id'];
if ($lid!="") {$lgid=$lid;}
if ($lgid=="") {$lgid=$_SESSION['lgid'];}
if ($lgid=="") {$lgid=100;}
$date=new Date($_SESSION['lgdate']);
$lgyear=$date->format("Y");

ini_set("memory_limit","64M");

##### Get Settings #####
$day=$_GET['fact'];
if ($day=="") {$day=date('z',time());}
$limit=$_GET['limit'];
if ($limit=="") {$limit=25;}
if ($limit>100) {$limit=100;}
$showLink=$_GET['show'];

##### Start Page #####
$title="Stat of the Day";
page_head($title,$lgpath);

echo " <div id='topbar'>\n";

main_nav($lgid,$lgpath,$title);
util_nav();
util_sub_nav("Last Sim");

echo " </div>   <!-- END topbar DIV -->\n";

echo "<div id='contentpane'>\n";

##### Initial Config #####
$noResult="No matching results";
$getTeams=0;
$chkDay=$day%191;

if ($_GET['showq']==1) {echo "$day :: $chkDay</br>\n";}

##### Queries #####
switch ($chkDay)
 {
   case 0:
     $title="Most Home Runs by Batter Weight";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT weight,player_id,first_name,last_name,team_abbr,year,MAX(hr) as hr FROM (SELECT CONCAT(floor(weight/5)*5,'-',floor(weight/5)*5+5-1) as weight,player_id,first_name,last_name,team_abbr,hr,year FROM (SELECT p.player_id,last_name,first_name,weight,pcs.team_id as team_abbr,SUM(hr) as hr,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY weight,hr DESC,year) as t) as x GROUP BY weight;";
     $cols="Weight|Player|Team|Year|HR";
     $noResult="No home runs hit";
     $getTeams=1;
     break;
   case 1:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        case 4: $yrs=3; $yrText="Three"; break;
        case 5: $yrs=4; $yrText="Four"; break;
        default: $yrs=5; $yrText="Five"; break;
      }
     $title="Most Wins Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,wTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,wTot FROM (SELECT t1.player_id,t1.year,SUM(t1.w) as wTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND w>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND w>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY wTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 2:
     $title="Most Runs Batted In by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(rbi) as rbi,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(rbi) as rbi,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY rbi DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|RBI|Year";
     $noResult="No runs batted in";
     $getTeams=1;
     break;
   case 3:
     $title="Most Career Wins Without Being An All-Star";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,Yrs,w,l,era FROM players as p,(SELECT player_id,COUNT(DISTINCT year) as Yrs,SUM(w) as w,SUM(l) as l,9*SUM(er)/(SUM(ip)+SUM(ipf)/3) as era FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND player_id NOT IN (SELECT DISTINCT player_id FROM players_awards WHERE league_id=$lgid AND award_id=9) GROUP BY player_id ORDER BY w DESC) as t WHERE p.player_id=t.player_id AND w>0 LIMIT $limit";
     $cols="Player|Seasons Played|W|L|ERA";
     $noResult="No players have won a game and not been an All-Star";
     $getTeams=1;
     break;
   case 4:
     $title="Largest Team Run Differentials";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT t1.team_id as team_name,t1.year,rf,ra,abs(rf-ra) as diff,if(rf>ra,'+',if(ra>rf,'-','')) as name FROM (SELECT team_id,year,r as rf FROM team_history_batting_stats WHERE league_id=$lgid AND split_id=0) as t1,(SELECT team_id,year,r as ra FROM team_history_pitching_stats WHERE league_id=$lgid AND split_id=0) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY diff DESC LIMIT $limit";
     $cols="Team|Year|RF|RA|Diff|+/-";
     $noResult="No games played";
     $getTeams=1;
     break;
   case 5:
     $title="Career Franchise Records for Hits";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,h FROM players as p,(SELECT team_id,player_id,MAX(h) as h FROM (SELECT player_id,team_id,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY h DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY h DESC";
     $cols="Team|Player|H";
     $noResult="No hits recorded";
     $getTeams=1;
     break;
   case 6:
     $title="More Strikeouts Than Hits Allowed";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(k) as k,SUM(ha) as ha,(k-ha) as diff FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|K|H|Diff";
     $noResult="No player has recorded more strikeouts than hits allowed in a season";
     $getTeams=1;
     break;
   case 7:
     $title="Highest Percentage of Wins Saved";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT team_id as team_name,year,w,s,s/w as pct FROM team_history_pitching_stats WHERE league_id=$lgid AND split_id=0 ORDER BY pct DESC,s DESC LIMIT $limit";
     $cols="Team|Year|W|SV|Pct";
     $noResult="No teams have recorded any saves";
     $getTeams=1;
     break;
   case 8:
     $title="Most Seasons Below .400 Winning Percentage";
     $query="SELECT team_id as team_name,COUNT(year) as cnt FROM team_history_record WHERE league_id=$lgid AND pct<.400 GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|Below .400 Seasons";
     $noResult="No team has finished with a winning percentage below .400.";
     $getTeams=1;
     break;
   case 9:
     $awquery="SELECT hitter_award_name,pitcher_award_name,rookie_award_name,defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName1=$row['hitter_award_name'];
     $awName2=$row['pitcher_award_name'];
     $awName3=$row['rookie_award_name'];
     $awName4=$row['defense_award_name'];
     $title="Players To Win A $awName4, End Of Season Award, And Be An All-Star In The Same Season";
     $title.="<br/>(EOS Awards: $awName1, $awName2, $awName3)";
     $query="SELECT p.player_id,first_name,last_name,team_name,year,if(award_id=4,'$awName2',if(award_id=5,'$awName1','$awName3')) as award,x.position FROM players as p,(SELECT t1.player_id,t1.team_id as team_name,award_id,position,t1.year FROM (SELECT player_id,team_id,position,year FROM players_awards WHERE league_id=$lgid AND award_id=7) as t1,(SELECT player_id,year FROM players_awards WHERE league_id=$lgid AND award_id=9) as t2,(SELECT player_id,year,award_id FROM players_awards WHERE league_id=$lgid AND award_id IN (4,5,6) GROUP BY player_id) as t3 WHERE t1.player_id=t2.player_id AND t1.player_id=t3.player_id AND t2.player_id=t3.player_id AND t1.year=t2.year AND t1.year=t3.year AND t2.year=t3.year) as x WHERE p.player_id=x.player_id ORDER BY year,last_name,first_name";
     $cols="Player|Team|Year|EOS Award|$awName4";
     $noResult="No player has won all three honors in the same season";
     $getTeams=1;
     break;
   case 10:
     $title="Lowest Ratio of Walks to Hit Batsmen";
     $title.="<br/>(Top $limit Players, Minimum 10 Career HP)";
     $query="SELECT p.player_id,first_name,last_name,ip,bb,hp,bb/hp as era FROM players as p,(SELECT player_id,(SUM(ip)+SUM(ipf)/3) as ip,SUM(bb) as bb,SUM(hp) as hp FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND hp>10 ORDER BY era LIMIT $limit";
     $cols="Player|IP|BB|HP|Ratio";
     $noResult="No players have hit batsmen";
     break;
   case 11:
     $subquery="SELECT MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Saves in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,s FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(s) as s FROM players_career_pitching_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY s DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|SV";
     $noResult="No saves recorded";
     $getTeams=1;
     break;
   case 12:
     $title="Highest Career Three True Outcome Totals (HR's, BB's, K's)";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,pa,hr,bb,k,tto,(tto/pa) as pct FROM players as p,(SELECT player_id,SUM(pa) as pa,SUM(hr) as hr,SUM(bb) as bb,SUM(k) as k,(SUM(hr)+SUM(bb)+SUM(k)) as tto FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND (hr>0 OR bb>0 OR k>0) GROUP BY player_id) as pcs WHERE p.player_id=pcs.player_id ORDER BY tto DESC,hr DESC,bb DESC LIMIT $limit";
     $cols="Player|PA|HR|BB|K|TTO|TTO%";
     $noResult="No players has recorded a HR, BB, or K";
     break;
   case 13:
     $title="Most Innings Without a Decision";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,ip FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(w) as w,SUM(l) as l FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND (ipf>0 OR ip>0) GROUP BY player_id,year ORDER BY ip DESC) as t WHERE w=0 AND l=0 LIMIT $limit";
     $cols="Player|Team|Year|IP";
     $noResult="No players without a decision";
     $getTeams=1;
     break;
   case 14:
     $title="Highest Number Of Runs Scored Relative to League";
     $title.="<br/>(Top $limit Teams, SD is number of standard deviations better than league average)";
     $query="SELECT team_id as team_name,ths.year,r,rAvg,rStd,((r-rAvg)/rStd) as SDscore FROM team_history_batting_stats as ths,(SELECT year,league_id,sub_league_id,AVG(r) as rAvg,STDDEV_POP(r) as rStd FROM team_history_batting_stats WHERE league_id=$lgid GROUP BY year,league_id,sub_league_id) as lgBat WHERE ths.league_id=lgBat.league_id AND ths.sub_league_id=lgBat.sub_league_id AND ths.year=lgBat.year ORDER BY SDscore DESC LIMIT $limit";
     $cols="Team|Year|R|Lg R Avg|Lg R Std|SD";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 15:
     $title="Most Career Stolen Bases by Batter Weight";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT weight,player_id,first_name,last_name,team_abbr,MAX(sb) as sb FROM (SELECT CONCAT(floor(weight/5)*5,'-',floor(weight/5)*5+5-1) as weight,player_id,first_name,last_name,team_abbr,sb FROM (SELECT p.player_id,last_name,first_name,weight,pcs.team_id as team_abbr,SUM(sb) as sb FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id ORDER BY weight,sb DESC) as t) as x GROUP BY weight;";
     $cols="Weight|Player|Team|SB";
     $noResult="No bases stolen";
     $getTeams=1;
     break;
   case 16:
     $title="Single Season Franchise Records for Wins";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,year,first_name,last_name,w FROM players as p,(SELECT team_id,year,player_id,MAX(w) as w FROM (SELECT player_id,team_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY w DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY w DESC,year";
     $cols="Team|Player|Year|W";
     $noResult="No wins recorded";
     $getTeams=1;
     break;
   case 17:
     $title="Most Different Teams to Appear As An All-Star With";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,cnt FROM players as p,(SELECT player_id,COUNT(DISTINCT team_id) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=9 GROUP BY player_id ORDER BY cnt DESC) as t WHERE p.player_id=t.player_id AND cnt>1 LIMIT $limit;";
     $cols="Player|Teams";
     $noResult="No player has been an All-Star with more than one team";
     break;
   case 18:
     $title="Most Games While Recording The Final Out In All Appearances";
     $title.="<br/>(Top $limit Players, Minimum 2 Appearances)";
     $query="SELECT p.player_id,first_name,last_name,t.team_id as team_abbr,year,g,cg,gf,w,l,s FROM players as p,(SELECT player_id,team_id,year,SUM(g) as g,SUM(cg) as cg,SUM(gf) as gf,SUM(w) as w,SUM(l) as l,SUM(s) as s FROM `players_career_pitching_stats` WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t WHERE p.player_id=t.player_id AND g=(gf+cg) AND g>1 ORDER BY g DESC;";
     $cols="Player|Team|Year|G|CG|GF|W|L|SV";
     $noResult="No pitcher has finished all the games in which he's pitched";
     $getTeams=1;
     break;
   case 19:
     $title="Most Unearned Runs Allowed";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(r) as r,SUM(er) as er,SUM(r)-SUM(er) as diff,9*SUM(er)/(SUM(ip)+SUM(ipf)/3) as era,9*SUM(r)/(SUM(ip)+SUM(ipf)/3) as whip FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC,r DESC) as t LIMIT $limit;";
     $cols="Player|Team|Year|IP|R|ER|UER|ERA|RAA";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 20:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        default: $yrs=3; $yrText="Three"; break;
      }
     $title="Most Hits Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,hTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,hTot FROM (SELECT t1.player_id,t1.year,SUM(t1.h) as hTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND h>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND h>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY hTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 21:
     $title="Highest Career Home Run/Stolen Base Combinations";
     $title.="<br/>(Top $limit Players, Sorted By Lower of HR/SB)";
     $query="SELECT p.player_id,first_name,last_name,hr,sb FROM players as p,(SELECT player_id,SUM(hr) as hr,SUM(sb) as sb,if(SUM(hr)>SUM(sb),SUM(sb),SUM(hr)) as minVal FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND hr>=5 AND sb>=5 ORDER BY minVal DESC,hr DESC,sb DESC LIMIT $limit";
     $cols="Player|HR|SB";
     $noResult="No runs";
     break;
   case 22:
     $title="Most Stolen Bases by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(sb) as sb,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(sb) as sb,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY sb DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|SB's|Year";
     $noResult="No bases stolen";
     $getTeams=1;
     break;
   case 23:
     $title="Highest Percentage of Runs Allowed From Home Runs";
     $title.="<br/>(Top $limit Players, Minimum 50 IP)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(hra) as hra,SUM(r) as r,1-(SUM(r)-SUM(hra))/SUM(r) as pct FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY pct DESC) as t WHERE ip>=50 LIMIT $limit";
     $cols="Player|Team|Year|IP|HR|R|Pct";
     $noResult="No players have allowed a home run";
     $getTeams=1;
     break;
   case 24:
     $query="SELECT player_id,year,team_id,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY rbi DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $rbi=$row['rbi'];
     if ($rbi>100) {$rbi=100;}
      else {$rbi=floor($rbi/10)*10;}
     $title="Most $rbi RBI Seasons";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,COUNT(year) as years FROM players as p,(SELECT player_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND rbi>0 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND rbi>=$rbi GROUP BY player_id ORDER BY years DESC,last_name,first_name) as t WHERE years>1 LIMIT $limit";
     $cols="Player|Seasons";
     $noResult="No player has had more than one $rbi RBI season";
     break;
   case 25:
     $title="Largest Difference Between OBP And AVG";
     $title.="<br/>(Top $limit Players, Minimum 200 PA)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(bb) as bb,if(SUM(ab)=0,0,(SUM(h)/SUM(ab))) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,(if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))-if(SUM(ab)=0,0,(SUM(h)/SUM(ab)))) as avg_diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY avg_diff DESC) as t WHERE pa>200 AND avg_diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|H|BB|AVG|OBP|Diff|PA";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 26:
     $title="Most Nations Represented On The Active Roster";
     $query="SELECT team_id as team_name,COUNT(DISTINCT nation_id) as cnt FROM players WHERE league_id=$lgid GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|Nations Represented";
     $getTeams=1;
     break;
   case 27:
     $title="Career Franchise Records for Home Runs";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,hr FROM players as p,(SELECT team_id,player_id,MAX(hr) as hr FROM (SELECT player_id,team_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY hr DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY hr DESC";
     $cols="Team|Player|HR";
     $noResult="No home runs recorded";
     $getTeams=1;
     break;
  case 28:
     $title="Most Teams Played For In the Postseason";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,teams FROM players as p,((SELECT player_id,COUNT(DISTINCT team_id) as teams FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=21 GROUP BY player_id) UNION (SELECT player_id,COUNT(DISTINCT team_id) as teams FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=21 GROUP BY player_id) ORDER BY teams DESC LIMIT $limit) as t WHERE p.player_id=t.player_id AND teams>1 ORDER BY teams DESC,last_name,first_name;";
     $cols="Player|Teams";
     $noResult="No players have played for more than one team";
     break;
   case 29:
     $title="Most All-Star Players";
     $query="SELECT * FROM (SELECT team_id as team_name,COUNT(player_id) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=9 GROUP BY team_id ORDER BY cnt DESC,year,team_id) as t WHERE cnt>1;";
     $cols="Team|Number of Players";
     $getTeams=1;
     break;
   case 30:
     $title="Most Innings With 0.00 ERA";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,if((SUM(ip)+SUM(ipf)/3)=0,999,9*SUM(er)/(SUM(ip)+SUM(ipf)/3)) as era FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND (ipf>0 OR ip>0) GROUP BY player_id,year ORDER BY ip DESC) as t WHERE era=0 LIMIT $limit";
     $cols="Player|Team|Year|IP|ERA";
     $noResult="No players with 0.00 ERA in any season";
     $getTeams=1;
     break;
   case 31:
     $title="Most Career Games Pitched Without a Win";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,g,ip,w,l,s FROM (SELECT p.player_id,first_name,last_name,SUM(g) as g,(SUM(ip)+SUM(ipf)/3) as ip,SUM(w) as w,SUM(l) as l,SUM(s) as s FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND (ipf>0 OR ip>0 OR g>0) GROUP BY player_id ORDER BY g DESC) as t WHERE w=0 AND l=0 LIMIT $limit";
     $cols="Player|G|IP|W|L|SV";
     $noResult="No players without a decision";
     break;
   case 32:
     $title="More CS than SB";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(sb) as sb,SUM(cs) as cs,(SUM(cs)-SUM(sb)) as diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|SB|CS|Diff|PA";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 33:
     $title="Most Hits in Final Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,h FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(h) as h FROM players_career_batting_stats as pcs,(SELECT player_id,MAX(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY h DESC) as x WHERE p.player_id=x.player_id AND retired=1 LIMIT $limit;";
     $cols="Player|Team|Year|H";
     $noResult="No retirees with hits recorded";
     $getTeams=1;
     break;
   case 34:
     $title="As Many Shutouts As Losses";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(sho) as sho,SUM(l) as l,(SUM(sho)-SUM(l)) as diff FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>=0 AND sho>1 LIMIT $limit;";
     $cols="Player|Team|Year|SHO|L|Diff";
     $noResult="No player has matched shutouts with losses over the course of a season";
     $getTeams=1;
     break;
   case 35:
     $title="Highest Percentage of RBI from Home Runs";
     $title.="<br/>(Top $limit Players, Minimum 20 RBI)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(hr) as hr,SUM(rbi) as rbi,1-(SUM(rbi)-SUM(hr))/SUM(rbi) as pct FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t WHERE rbi>=20 ORDER BY pct DESC LIMIT $limit;";
     $cols="Player|Team|Year|HR|RBI|Pct";
     $noResult="No player has had 20 RBI";
     $getTeams=1;
     break;
   case 36:
     $query="SELECT player_id,year,team_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY hr DESC LIMIT 100,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $hr=$row['hr'];
     if ($hr>20) {$hr=20;}
      else {$hr=floor($hr/5)*5;}
     $title="Most Players with $hr or More Home Runs";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,COUNT(player_id) as cnt FROM players_career_batting_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND hr>=$hr GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with $hr+ HR's in any season";
     $getTeams=1;
     break;
   case 37:
     $title="Most Earned Runs Without Allowing An Unearned Run";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(r) as r,SUM(er) as er,9*SUM(er)/(SUM(ip)+SUM(ipf)/3) as era FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY er DESC) as t WHERE r=er LIMIT $limit;";
     $cols="Player|Team|Year|IP|R|ER|ERA";
     $noResult="No player has failed to allow an unearned run";
     $getTeams=1;
     break;
   case 38:
     $title="Single Season Franchise Records for Walks";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,year,bb FROM players as p,(SELECT team_id,year,player_id,MAX(bb) as bb FROM (SELECT player_id,team_id,year,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY bb DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY bb DESC";
     $cols="Team|Player|Year|BB";
     $noResult="No walks recorded";
     $getTeams=1;
     break;
   case 39:
     $title="Most Years With One Team";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_name,COUNT(year) as years FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,pcs.team_id ORDER BY years DESC) as t WHERE years>0 ORDER BY years DESC,last_name,first_name LIMIT $limit;";
     $cols="Player|Team|Years";
     $noResult="No player has played more than one season with any team";
     $getTeams=1;
     break;
   case 40:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        default: $yrs=3; $yrText="Three"; break;
      }
     $title="Most Home Runs Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,hrTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,hrTot FROM (SELECT t1.player_id,t1.year,SUM(t1.hr) as hrTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND hr>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND hr>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY hrTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 41:
     $title="More Walks Than Strikeouts";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(bb) as bb,SUM(k) as k,(bb-k) as diff FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>=0 AND bb>1 LIMIT $limit;";
     $cols="Player|Team|Year|IP|BB|K|Diff";
     $noResult="No player has had more walks than strikeouts in a season";
     $getTeams=1;
     break;
   case 42:
     $awquery="SELECT defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['defense_award_name'];
     $title="Top $limit Oldest $awName Winners";
     $query="SELECT p.player_id,last_name,first_name,paw.team_id as team_abbr,paw.position,year,date_of_birth,(paw.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,DAYOFYEAR(date_of_birth) as dayBorn FROM players as p,players_awards as paw WHERE p.player_id=paw.player_id AND paw.league_id=$lgid AND award_id=7 ORDER BY age DESC,dayBorn,year,last_name,first_name LIMIT $limit;";
     $cols="Player|Team|Pos|Year|DOB|Age";
     $noResult="No players have won the $awName";
     $getTeams=1;
     break;
   case 43:
     $title="Most Plate Appearances With 0 Home Runs in a Career";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,pa FROM (SELECT p.player_id,first_name,last_name,SUM(pa) as pa,SUM(hr) as hr FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY pa DESC) as t WHERE hr=0 LIMIT $limit";
     $cols="Player|PA";
     $noResult="No players with 0 HR";
     $getTeams=1;
     break;
   case 44:
     $title="Most Wins by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(w) as w,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(w) as w,year FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY w DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|W's|Year";
     $noResult="No wins recorded";
     $getTeams=1;
     break;
   case 45:
     $title="Most Common First Names Among Active Players";
     $title.="<br/>(Top $limit Names)";
     $query="SELECT first_name as fname,count(player_id) as cnt FROM players WHERE league_id=$lgid AND retired=0 GROUP BY first_name ORDER BY cnt DESC,fname LIMIT $limit;";
     $cols="Name|Count";
     break;
   case 46:
     $query="SELECT player_id,year,team_id,SUM(r) as r FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY r DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $r=$row['r'];
     if ($r>100) {$r=100;}
      else {$r=floor($r/10)*10;}
     $query="SELECT player_id,year,team_id,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY rbi DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $rbi=$row['rbi'];
     if ($rbi>100) {$rbi=100;}
      else {$rbi=floor($rbi/10)*10;}
     $query="SELECT player_id,year,team_id,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY bb DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $bb=$row['bb'];
     if ($bb>100) {$bb=100;}
      else {$bb=floor($bb/10)*10;}
     $title="All Players with $r Runs, $rbi RBI, and $bb Walks in a Season";
     $query="SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,r,rbi,bb FROM players as p,(SELECT player_id,team_id,year,SUM(r) as r,SUM(rbi) as rbi,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND r>=$r AND rbi>=$rbi AND bb>=$bb ORDER BY (r+rbi+bb) DESC,year,r DESC";
     $cols="Player|Team|Year|R|RBI|BB";
     $noResult="No players have had a $r/$rbi/$bb season.";
     $getTeams=1;
     break;
   case 47:
     $title="Players With A Win In Their Only Game";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,ip FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(g) as g,SUM(w) as w,(SUM(ip)+SUM(ipf)/3) as ip FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE t.g=1 AND t.w=1 ORDER BY ip DESC,last_name,first_name";
     $cols="Player|Team|Year|IP";
     $noResult="No player has had a win in his only game";
     $getTeams=1;
     break;
   case 48:
     $title="Most Frustrated Playoff Teams";
     $query="SELECT team_id as team_name,won,made,won/made as pct FROM (SELECT t1.team_id,made,if(won IS NULL,0,won) as won FROM (SELECT team_id,COUNT(DISTINCT year) as made FROM team_history WHERE league_id=$lgid AND made_playoffs=1 GROUP BY team_id) as t1 LEFT JOIN (SELECT team_id,COUNT(DISTINCT year) as won FROM team_history WHERE league_id=$lgid AND won_playoffs=1 GROUP BY team_id) as t2 ON t1.team_id=t2.team_id) as x ORDER BY pct,made DESC,won;";
     $cols="Team|Won Championship|Made Playoffs|Pct";
     $noResult="No team history";
     $getTeams=1;
     break;
   case 49:
     $title="Career Franchise Records for RBI";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,rbi FROM players as p,(SELECT team_id,player_id,MAX(rbi) as rbi FROM (SELECT player_id,team_id,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY rbi DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY rbi DESC";
     $cols="Team|Player|RBI";
     $noResult="No runs batted in";
     $getTeams=1;
     break;
   case 50:
     $title="Fewest Career Games Played By An All-Star";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT p.player_id,first_name,last_name,Yrs,g FROM players as p,(SELECT player_id,COUNT(DISTINCT year) as Yrs,SUM(g) as g FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND player_id IN (SELECT DISTINCT player_id FROM players_awards WHERE league_id=$lgid AND award_id=9) GROUP BY player_id ORDER BY g) as t WHERE p.player_id=t.player_id AND p.position!=1 LIMIT $limit";
     $cols="Player|Seasons Played|G";
     break;
   case 51:
     $title="Most Intentional Walks Without a Home Run";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,ibb FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(hr) as hr,SUM(ibb) as ibb FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY ibb DESC) as t WHERE hr=0 LIMIT $limit";
     $cols="Player|Team|Year|IBB";
     $noResult="No players with 0 HR's in any season";
     $getTeams=1;
     break;
   case 52:
     $title="Farthest Finish Out of First Place";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT team_id as team_name,year,w,l,pct,pos as stanPos,gb FROM team_history_record WHERE league_id=$lgid AND gb!=0 ORDER BY gb DESC,w,year LIMIT $limit";
     $cols="Team|Year|W|L|Pct|Pos|GB";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 53:
     $title="If Nice Guys Finish Last... Most Hit Batsmen By Pitchers, With Team Finish";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT thr.team_id as team_name,thr.year,thr.w,thr.l,pct as winPct,pos as stanPos,hp FROM team_history_record as thr,team_history_pitching_stats as ths WHERE thr.team_id=ths.team_id AND thr.year=ths.year AND ths.league_id=$lgid ORDER BY hp DESC LIMIT $limit";
     $cols="Team|Year|W|L|Pct|Pos|HP";
     $noResult="No team history";
     $getTeams=1;
     break;
   case 54:
     $title="Highest Three True Outcome Totals (HR's, BB's, K's)";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,team_abbr,year,pa,hr,bb,k,tto,(tto/pa) as pct FROM players as p,(SELECT player_id,team_id as team_abbr,year,SUM(pa) as pa,SUM(hr) as hr,SUM(bb) as bb,SUM(k) as k,(SUM(hr)+SUM(bb)+SUM(k)) as tto FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND (hr>0 OR bb>0 OR k>0) GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id ORDER BY tto DESC,hr DESC,bb DESC LIMIT $limit";
     $cols="Player|Team|Year|PA|HR|BB|K|TTO|TTO%";
     $noResult="No players has recorded a HR, BB, or K";
     $getTeams=1;
     break;
   case 55:
     $subquery="SELECT MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Home Runs in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,hr FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(hr) as hr FROM players_career_batting_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY hr DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|HR";
     $noResult="No home runs recorded";
     $getTeams=1;
     break;
   case 56:
     $title="Lowest Net Stolen Bases By Team";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT t1.team_id as team_name,t1.year,sb,sba,(sb-sba) as diff FROM (SELECT team_id,year,sb FROM team_history_batting_stats WHERE league_id=$lgid) as t1,(SELECT team_id,year,(sba-rto) as sba FROM team_history_fielding_stats_stats WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY diff LIMIT $limit";
     $cols="Team|Year|SB|SBA|Diff";
     $noResult="No team data found";
     $getTeams=1;
     break;
   case 57:
     $title="More Walks Than Hits";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(h) as h,SUM(bb) as bb,(SUM(bb)-SUM(h)) as diff,if(SUM(ab)=0,0,(SUM(h)/SUM(ab))) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC,bb DESC) as t WHERE diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|PA|H|BB|Diff|AVG|OBP";
     $noResult="No player has had more walks than hits in a season";
     $getTeams=1;
     break;
   case 58:
     $title="Highest Career OPS";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(bb) as bb,SUM(pa) as pa,if(SUM(ab)=0,0,(SUM(h)/SUM(ab))) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,if(SUM(ab)=0,0,((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab))) as slg,(if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))+if(SUM(ab)=0,0,((SUM(h)+SUM(d)+2*SUM(t)+3*SUM(hr))/SUM(ab)))) as ops FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id ORDER BY ops DESC) as t LIMIT $limit;";
     $cols="Player|H|2B|3B|HR|BB|PA|AVG|OBP|SLG|OPS";
     $noResult="No seasons completed";
     break;
   case 59:
     $title="More Home Runs Than Strikeouts";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(hr) as hr,SUM(k) as k,(SUM(hr)-SUM(k)) as diff FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>0 AND hr>1 LIMIT $limit;";
     $cols="Player|Team|Year|PA|HR|K|Diff";
     $noResult="No player has had more home runs than strikeouts in a season";
     $getTeams=1;
     break;
   case 60:
     $title="Single Season Franchise Records for Strikeouts";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,year,first_name,last_name,k FROM players as p,(SELECT team_id,year,player_id,MAX(k) as k FROM (SELECT player_id,team_id,year,SUM(k) as k FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY k DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY k DESC,year";
     $cols="Team|Player|Year|K";
     $noResult="No strikeouts recorded";
     $getTeams=1;
     break;
   case 61:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        case 4: $yrs=3; $yrText="Three"; break;
        case 5: $yrs=4; $yrText="Four"; break;
        default: $yrs=5; $yrText="Five"; break;
      }
     $title="Most Runs Batted In Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,rbiTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,rbiTot FROM (SELECT t1.player_id,t1.year,SUM(t1.rbi) as rbiTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND rbi>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND rbi>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY rbiTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 62:
     $title="More Triples Than Stolen Bases";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,pcs.team_id as team_abbr,year,last_name,SUM(t) as t,SUM(sb) as sb,SUM(cs) as cs,(SUM(t)-SUM(sb)) as diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id,year) as t WHERE diff>0 ORDER BY t DESC,diff DESC,pa DESC LIMIT $limit;";
     $cols="Player|Team|Year|3B|SB|CS|Diff|PA";
     $noResult="No player has hit more triples than bases stolen";
     $getTeams=1;
     break;
   case 63:
     $title="Most All-Star Appearances Without Appearing in the Postseason";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,yrs FROM players as p,(SELECT player_id,COUNT(DISTINCT year) as yrs FROM players_awards WHERE league_id=$lgid AND award_id=9 AND player_id NOT IN (SELECT DISTINCT player_id FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=21 UNION SELECT DISTINCT player_id FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=21) GROUP BY player_id ORDER BY yrs DESC LIMIT $limit) as t WHERE p.player_id=t.player_id AND yrs>1 ORDER BY yrs DESC,last_name,first_name";
     $cols="Player|All-Star Appearances";
     $noResult="All players have reached the postseason";
     break;
   case 64:
     $title="Most .600+ Seasons";
     $query="SELECT team_id as team_name,COUNT(year) as cnt FROM team_history_record WHERE league_id=$lgid AND pct>=.600 GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|.600 Seasons";
     $noResult="No team has finished with a winning percentage of .600 or better.";
     $getTeams=1;
     break;
   case 65:
     $title="Most Games Played Without A Triple";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,g FROM (SELECT p.player_id,first_name,last_name,SUM(g) as g,SUM(t) as t FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id ORDER BY g DESC) as t WHERE t=0 LIMIT $limit";
     $cols="Player|G";
     $noResult="No players without a triple in their career";
     break;
   case 66:
     $title="Most Walks by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(bb) as bb,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(bb) as bb,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY bb DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|BB|Year";
     $noResult="No walks";
     $getTeams=1;
     break;
   case 67:
     $title="Most Strikeouts Without Allowing A Walk";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,ip,k FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(k) as k,SUM(bb) as bb FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND (k>0 OR bb>0) GROUP BY player_id,year ORDER BY k DESC) as t WHERE bb=0 LIMIT $limit";
     $cols="Player|Team|Year|IP|K";
     $noResult="No players have recorded a strikeout without allowing a walk";
     $getTeams=1;
     break;
   case 68:
     $subquery="SELECT MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Stolen Bases in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,sb FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(sb) as sb FROM players_career_batting_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY sb DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|SB";
     $noResult="No stolen bases recorded";
     $getTeams=1;
     break;
   case 69:
     $awquery="SELECT defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['defense_award_name'];
     $title="Most Defensive Innings Without Winning The $awName";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,Yrs,ip FROM players as p,(SELECT player_id,COUNT(DISTINCT year) as Yrs,(SUM(ip)+SUM(ipf)/3) as ip FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 AND player_id NOT IN (SELECT DISTINCT player_id FROM players_awards WHERE league_id=$lgid AND award_id=7) GROUP BY player_id ORDER BY ip DESC) as t WHERE p.player_id=t.player_id LIMIT $limit";
     $cols="Player|Seasons Played|Inn";
     break;
   case 70:
     $title="Most Hall of Famers Drafted By Franchise";
     $query="SELECT draft_team_id as team_name,COUNT(player_id) as cnt FROM players WHERE hall_of_fame=1 AND draft_league_id=$lgid GROUP BY draft_team_id ORDER BY cnt DESC";
     $cols="Team|HOFers Drafted";
     $noResult="No Hall of Famers";
     $teams[0][$lgyear]['name']='Undrafted Free Agent';
     $getTeams=1;
     break;
   case 71:
     $title="Career Franchise Records for Runs";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,r FROM players as p,(SELECT team_id,player_id,MAX(r) as r FROM (SELECT player_id,team_id,SUM(r) as r FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY r DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY r DESC";
     $cols="Team|Player|R";
     $noResult="No runs";
     $getTeams=1;
     break;
   case 72:
     $title="Most Games Played Without A Stolen Base";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,g,sb,cs FROM (SELECT p.player_id,first_name,last_name,SUM(g) as g,SUM(sb) as sb,SUM(cs) as cs FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id ORDER BY g DESC,cs DESC) as t WHERE sb=0 LIMIT $limit";
     $cols="Player|G|SB|CS";
     $noResult="No players without a stolen base in their career";
     break;
   case 73:
     $title="Most Innings Without a No-Decision";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,g,w,l,ip FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(g) as g,SUM(w) as w,SUM(l) as l FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND (ipf>0 OR ip>0) GROUP BY player_id,year ORDER BY ip DESC) as t WHERE g=(w+l) LIMIT $limit";
     $cols="Player|Team|Year|G|W|L|IP";
     $noResult="No players without a decision";
     $getTeams=1;
     break;
   case 74:
     $title="Players With At Least 10 GIDP And 10 SB's In The Same Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(gdp) as gdp,SUM(sb) as sb,SUM(cs) as cs FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t WHERE gdp>=10 AND sb>=10 ORDER BY gdp DESC,sb DESC LIMIT $limit";
     $cols="Player|Team|Year|GIDP|SB|CS";
     $noResult="No players have had a 10 GIDP and 10 SB in the same season.";
     $getTeams=1;
     break;
   case 75:
     $title="Most Saves by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(s) as s,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(s) as s,year FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY s DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|SV|Year";
     $noResult="No saves recorded";
     $getTeams=1;
     break;
   case 76:
     $title="Most Games Played Without A Home Run";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,g FROM (SELECT p.player_id,first_name,last_name,SUM(g) as g,SUM(hr) as hr FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id ORDER BY g DESC) as t WHERE hr=0 LIMIT $limit";
     $cols="Player|G";
     $noResult="No players without a home run in their career";
     break;
   case 77:
     $title="Most Wins in Final Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,w FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(w) as w FROM players_career_pitching_stats as pcs,(SELECT player_id,MAX(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY w DESC) as x WHERE p.player_id=x.player_id AND retired=1 LIMIT $limit;";
     $cols="Player|Team|Year|W";
     $noResult="No retirees with wins recorded";
     $getTeams=1;
     break;
   case 78:
     $query="SELECT player_id,year,team_id,SUM(k) as k FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY k DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $k=$row['k'];
     if ($k>200) {$k=200;}
      else {$k=floor($k/50)*50;}
     $title="Most $k Strikeout Seasons";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,COUNT(year) as years FROM players as p,(SELECT player_id,year,SUM(k) as k FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND k>0 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND k>=$k GROUP BY player_id ORDER BY years DESC,last_name,first_name) as t WHERE years>0 LIMIT $limit";
     $cols="Player|Seasons";
     $noResult="No player has had a $k strikeout season";
     break;
   case 79:
     $title="Largest Drop in the Standings";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT t1.team_id as team_name,t1.year as year1,t1.w,t1.pos as stanPos1,t2.year as year,t2.w as w2,t2.pos as stanPos2,t2.pos-t1.pos as diff FROM team_history_record as t1,team_history_record as t2 WHERE t1.team_id=t2.team_id AND t1.league_id=t2.league_id AND t1.league_id=$lgid AND t1.year=(t2.year-1) ORDER BY diff DESC,year LIMIT $limit;";
     $cols="Team|Year 1|W's|Finish|Year 2|W's|Finish|Decline";
     $getTeams=1;
     break;
   case 80:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        case 4: $yrs=3; $yrText="Three"; break;
        case 5: $yrs=4; $yrText="Four"; break;
        default: $yrs=5; $yrText="Five"; break;
      }
     $title="Most Hits Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,hTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,hTot FROM (SELECT t1.player_id,t1.year,SUM(t1.h) as hTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND h>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND h>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY hTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 81:
     $title="Highest Runs Scored/Runs Allowed Combination Relative To League";
     $title.="<br/>(Top $limit Teams, SD is number of standard deviations better than league average)";
     $query="SELECT t1.team_id as team_name,t1.year,t1.r,t1.rAvg,t1.rStd,t1.SDscore,t2.r as ra,t2.rAvg as raAvg,t2.rStd as raStd,t2.SDscore as raSDscore,(t1.SDscore+t2.SDscore) as totSDscore FROM (SELECT team_id,ths.year,r,rAvg,rStd,((rAvg-r)/rStd) as SDscore FROM team_history_pitching_stats as ths,(SELECT year,league_id,sub_league_id,AVG(r) as rAvg,STDDEV_POP(r) as rStd FROM team_history_pitching_stats WHERE league_id=$lgid GROUP BY year,league_id,sub_league_id) as lgBat WHERE ths.league_id=lgBat.league_id AND ths.sub_league_id=lgBat.sub_league_id AND ths.year=lgBat.year) as t2,(SELECT team_id,ths.year,r,rAvg,rStd,((r-rAvg)/rStd) as SDscore FROM team_history_batting_stats as ths,(SELECT year,league_id,sub_league_id,AVG(r) as rAvg,STDDEV_POP(r) as rStd FROM team_history_batting_stats WHERE league_id=$lgid GROUP BY year,league_id,sub_league_id) as lgBat WHERE ths.league_id=lgBat.league_id AND ths.sub_league_id=lgBat.sub_league_id AND ths.year=lgBat.year) as t1 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY totSDscore DESC LIMIT $limit";
     $cols="Team|Year|R|R Avg|R Std|R SD|RA|RA Avg|RA Std|RA SD|Tot SD";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 82:
     $title="Single Season Franchise Records for Stolen Bases";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,year,first_name,last_name,sb FROM players as p,(SELECT team_id,year,player_id,MAX(sb) as sb FROM (SELECT player_id,team_id,year,SUM(sb) as sb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY sb DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY sb DESC,year";
     $cols="Team|Player|Year|SB";
     $noResult="No stolen bases recorded";
     $getTeams=1;
     break;
   case 83:
     $title="Highest Percentage of Team Runs Knocked In By One Batter";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT tots.team_id as team_name,year,tr,tots.player_id,first_name,last_name,rbi,pct FROM players as p,(SELECT t1.team_id,t1.year,tr,player_id,rbi,rbi/tr as pct FROM (SELECT player_id,team_id,year,MAX(rbi) as rbi FROM (SELECT player_id,team_id,year,rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 ORDER BY rbi DESC) as x GROUP BY team_id,year) as t1,(SELECT team_id,year,r as tr FROM team_history_batting_stats WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY pct DESC,rbi DESC,tr DESC,year LIMIT $limit) as tots WHERE p.player_id=tots.player_id";
     $cols="Team|Year|Team Runs|Player|RBI|Pct";
     $noResult="No player has recorded any runs batted in";
     $getTeams=1;
     break;
   case 84:
     $title="Largest Power Increase";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,t.year1,t.team1 as team_abbr,t.hr1,t.year2,t.team2 as team_abbr,t.hr2,diff FROM players as p,(SELECT t1.player_id,t1.year as year1,t1.team_id as team1,t1.hr as hr1,t2.year as year2,t2.team_id as team2,t2.hr as hr2,(t2.hr-t1.hr) as diff FROM (SELECT player_id,team_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t1,(SELECT player_id,team_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year=(t2.year-1) ORDER BY diff DESC,t2.hr DESC LIMIT $limit) as t WHERE p.player_id=t.player_id";
     $cols="Player|Year 1|Team|HR|Year 2|Team|HR|Increase";
     $noResult="No home runs hit";
     $getTeams=1;
     break;
   case 85:
     $title="Most 2nd Place Finishes";
     $query="SELECT team_id as team_name,COUNT(year) as cnt FROM team_history_record WHERE league_id=$lgid AND pos=2 GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|2nd Place Finishes";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 86:
     $title="Highest Percentage of Team Runs Scored By One Batter";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT tots.team_id as team_name,year,tr,tots.player_id,first_name,last_name,r,pct FROM players as p,(SELECT t1.team_id,t1.year,tr,player_id,r,r/tr as pct FROM (SELECT player_id,team_id,year,MAX(r) as r FROM (SELECT player_id,team_id,year,r FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 ORDER BY r DESC) as x GROUP BY team_id,year) as t1,(SELECT team_id,year,r as tr FROM team_history_batting_stats WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY pct DESC,r DESC,tr DESC,year LIMIT $limit) as tots WHERE p.player_id=tots.player_id";
     $cols="Team|Year|Team Runs|Player|R|Pct";
     $noResult="No player has score any runs";
     $getTeams=1;
     break;
   case 87:
     $title="Most Home Runs Without An Intentional Walk";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,hr FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(hr) as hr,SUM(ibb) as ibb FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY hr DESC) as t WHERE ibb=0 LIMIT $limit";
     $cols="Player|Team|Year|HR";
     $noResult="No players with 0 IBB in any season";
     $getTeams=1;
     break;
   case 88:
     $title="Most Runs by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(r) as r,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(r) as r,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY r DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|R|Year";
     $noResult="No runs";
     $getTeams=1;
     break;
   case 89:
     $title="Highest Career Times On Base";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,(SUM(h)+SUM(bb)+SUM(hp)) as tot FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY tot DESC,h DESC,bb DESC LIMIT $limit;";
     $cols="Player|H|BB|HP|Tot";
     $noResult="No team data found";
     break;
   case 90:
     $awquery="SELECT defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['defense_award_name'];
     $title="Most Players to Win the $awName By Team";
     $query="SELECT * FROM (SELECT team_id as team_name,COUNT(player_id) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=7 GROUP BY team_id ORDER BY cnt DESC,year,team_id) as t WHERE cnt>1;";
     $cols="Team|Number of Players";
     $getTeams=1;
     break;
   case 91:
     $title="Highest Career Total of Runs Scored and Runs Driven In";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,SUM(r) as r,SUM(rbi) as rbi,(SUM(r)+SUM(rbi)) as tot FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY tot DESC,rbi DESC LIMIT $limit;";
     $cols="Player|R|RBI|Tot";
     $noResult="No team data found";
     break;
   case 92:
     $title="Highest Career Double/Stolen Base Combinations";
     $title.="<br/>(Top $limit Players, Sorted By Lower of 2B/SB)";
     $query="SELECT p.player_id,first_name,last_name,d,sb FROM players as p,(SELECT player_id,SUM(d) as d,SUM(sb) as sb,if(SUM(d)>SUM(sb),SUM(sb),SUM(d)) as minVal FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND d>=5 AND sb>=5 ORDER BY minVal DESC,d DESC,sb DESC LIMIT $limit";
     $cols="Player|2B|SB";
     $noResult="No runs";
     break;
   case 93:
     $title="Career Franchise Records for Wins";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,w FROM players as p,(SELECT team_id,player_id,MAX(w) as w FROM (SELECT player_id,team_id,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY w DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY w DESC";
     $cols="Team|Player|W";
     $noResult="No wins recorded";
     $getTeams=1;
     break;
   case 94:
     $title="Most Career Hits Without An Extra Base Hit";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,SUM(pa) as pa,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id ORDER BY h DESC,hr DESC,t DESC,d DESC) as t WHERE h=(h-d-t-hr) LIMIT $limit;";
     $cols="Player|PA|H|2B|3B|HR";
     $noResult="No player has managed a hit without a single";
     $getTeams=1;
     break;
   case 95:
     $title="More Triples Than Doubles";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,pcs.team_id as team_abbr,year,last_name,SUM(d) as d,SUM(t) as t,(SUM(t)-SUM(d)) as diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id,year) as t WHERE diff>0 ORDER BY t DESC,diff DESC,pa DESC LIMIT $limit;";
     $cols="Player|Team|Year|2B|3B|Diff|PA";
     $noResult="No player has hit more triples than doubles";
     $getTeams=1;
     break;
   case 96:
     $title="Highest Career Error Rate";
     $title.="<br/>(Top $limit Players, Minimum 5 errors committed)";
     $query="SELECT p.player_id,first_name,last_name,e,ip,eRate as avg FROM players as p,(SELECT player_id,SUM(e) as e,(SUM(ip)+SUM(ipf)/3) as ip,(SUM(e)/(SUM(ip)+SUM(ipf)/3)) as eRate FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 GROUP BY player_id ORDER BY eRate DESC) as t WHERE p.player_id=t.player_id AND e>=5 LIMIT $limit";
     $cols="Player|E|Inn|Rate";
     $noResult="No player has recorded more strikeouts than hits allowed in a season";
     $getTeams=1;
     break;
   case 97:
     $title="More Complete Games Than Wins";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(w) as w,SUM(l) as l,SUM(cg) as cg,SUM(sho) as sho,(SUM(cg)-SUM(w)) as diff FROM players_career_pitching_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY diff DESC) as t WHERE diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|W|L|CG|SHO|Diff";
     $noResult="No player has had more complete games than wins over the course of a season";
     $getTeams=1;
     break;
   case 98:
     $title="Most Plate Appearances With A 1.000 AVG";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,h,sf,sh,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(sf) as sf,SUM(sh) as sh,SUM(pa) as pa,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY pa DESC,h DESC) as t WHERE avg=1 LIMIT $limit";
     $cols="Player|Team|Year|H|SF|SH|PA";
     $noResult="No players with a 1.000 AVG";
     $getTeams=1;
     break;
   case 99:
     $subquery="SELECT MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Hits in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,h FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(h) as h FROM players_career_batting_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY h DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|H";
     $noResult="No hits recorded";
     $getTeams=1;
     break;
   case 100:
     $title="Worst Records To Make The Postseason";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT th.team_id as team_name,th.year,w,l,pct as winPct,pos as stanPos,won_playoffs FROM team_history as th,team_history_record as thr WHERE th.team_id=thr.team_id AND th.year=thr.year AND th.league_id=thr.league_id AND th.league_id=$lgid AND made_playoffs=1 ORDER BY pct LIMIT $limit;";
     $cols="Team|Year|W|L|Pct|Pos|Champion";
     $noResult="No postseason play";
     $getTeams=1;
     break;
   case 101:
     $title="Most Plate Appearances Without a Walk";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(bb) as bb FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id,year ORDER BY pa DESC) as t WHERE bb=0 AND pa>0 LIMIT $limit";
     $cols="Player|Team|Year|PA";
     $noResult="No players without a walk";
     $getTeams=1;
     break;
   case 102:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        default: $yrs=3; $yrText="Three"; break;
      }
     $title="Most Runs Batted In Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,rbiTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,rbiTot FROM (SELECT t1.player_id,t1.year,SUM(t1.rbi) as rbiTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND rbi>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND rbi>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY rbiTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 103:
     $title="Top $limit Oldest All-Stars";
     $query="SELECT p.player_id,last_name,first_name,paw.team_id as team_abbr,year,date_of_birth,(paw.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,DAYOFYEAR(date_of_birth) as dayBorn FROM players as p,players_awards as paw WHERE p.player_id=paw.player_id AND paw.league_id=$lgid AND award_id=9 ORDER BY age DESC,dayBorn,year,last_name,first_name LIMIT $limit;";
     $cols="Player|Team|Year|DOB|Age";
     $noResult="No players have been All-Stars";
     $getTeams=1;
     break;
   case 104:
     $title="Single Season Franchise Records for Hits";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,year,first_name,last_name,h FROM players as p,(SELECT team_id,year,player_id,MAX(h) as h FROM (SELECT player_id,team_id,year,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY h DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY h DESC,year";
     $cols="Team|Player|Year|H";
     $noResult="No hits recorded";
     $getTeams=1;
     break;
   case 105:
     $title="Most Stolen Bases Without Being Caught";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(sb) as sb,SUM(cs) as cs FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY sb DESC) as t WHERE cs=0 LIMIT $limit;";
     $cols="Player|Team|Year|SB|CS";
     $noResult="No player has had 100% stolen base success rate";
     $getTeams=1;
     break;
   case 106:
     $title="Highest Double Play Rate (DP/Inn)";
     $title.="<br/>(Top $limit Players, Minimum 180 Defensive Innings)";
     $query="SELECT p.player_id,first_name,last_name,t.team_id as team_abbr,year,dp,ip,dp/ip as avg FROM players as p,(SELECT player_id,team_id,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(dp) as dp FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 GROUP BY player_id,year) as t WHERE p.player_id=t.player_id AND ip>180 ORDER BY avg DESC,dp DESC LIMIT $limit";
     $cols="Player|Team|Year|DP|Inn|Rate";
     $noResult="No players have turned double plays";
     $getTeams=1;
     break;
   case 107:
     $title="Players with 10 L's and 10 SV's in a Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,team_abbr,year,w,l,s,bs FROM players as p,(SELECT player_id,team_id as team_abbr,year,SUM(w) as w,SUM(l) as l,SUM(s) as s,SUM(bs) as bs FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND l>=10 AND s>=10 ORDER BY l DESC,s DESC LIMIT $limit";
     $cols="Player|Team|Year|W|L|SV|BS";
     $noResult="No players with 10 L's and 10 SV's in the same season";
     $getTeams=1;
     break;
   case 108:
     $title="Most Plate Appearances Without a Hit";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,pa,bb,hp,sf,sh FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(sh) as sh FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id,year ORDER BY pa DESC) as t WHERE h=0 AND pa>0 LIMIT $limit";
     $cols="Player|Team|Year|PA|BB|HP|SF|SH";
     $noResult="No players without a hit";
     $getTeams=1;
     break;
   case 109:
     $title="Most Players On the All-Star Team";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT team_id as team_name,year,COUNT(DISTINCT player_id) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=9 GROUP BY team_id,year ORDER BY cnt DESC,year,team_id) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $getTeams=1;
     break;
   case 110:
     $title="Most Home Runs by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(hr) as hr,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(hr) as hr,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY hr DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|HR's|Year";
     $noResult="No home runs hit";
     $getTeams=1;
     break;
   case 111:
     $query="SELECT player_id,year,team_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY hr DESC LIMIT 100,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $hr=$row['hr'];
     if ($hr>20) {$hr=20;}
      else {$hr=floor($hr/5)*5;}
     $query="SELECT player_id,year,team_id,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY bb DESC LIMIT 100,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $bb=$row['bb'];
     if ($bb>70) {$bb=70;}
      else {$bb=floor($bb/10)*10;}
     $title="Most Players with $hr+ Home Runs And $bb+ Walks";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,COUNT(player_id) as cnt FROM players_career_batting_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND hr>=$hr AND bb>=$bb GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with $hr+ HR's and $bb+ BB's in any season";
     $getTeams=1;
     break;
   case 112:
     $title="Most Walks by Batter Height";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT height,player_id,first_name,last_name,team_abbr,year,MAX(bb) as bb FROM (SELECT CONCAT(floor((height/2.54)/12),'\' ',floor(mod((height/2.54),12)),'\"') as height,height as rawHt,player_id,first_name,last_name,team_abbr,bb,year FROM (SELECT p.player_id,last_name,first_name,height,pcs.team_id as team_abbr,SUM(bb) as bb,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY height,bb DESC,year) as t) as x GROUP BY height ORDER BY rawHt;";
     $cols="Height|Player|Team|Year|BB";
     $noResult="No walks recorded";
     $getTeams=1;
     break;
   case 113:
     $title="Most Runner-up Finishes Within 10 Games Of First";
     $query="SELECT team_id as team_name,COUNT(year) as cnt FROM team_history_record WHERE league_id=$lgid AND pos!=1 AND GB<=10 GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|Number of Finishes";
     $noResult="No team has finished within 10 games of first, but not won";
     $getTeams=1;
     break;
   case 114:
     $query="SELECT player_id,year,team_id,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY w DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $w=$row['w'];
     if ($w>20) {$w=20;}
      else {$w=floor($w/5)*5;}
     $title="Most $w Win Seasons";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,COUNT(year) as years FROM players as p,(SELECT player_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND w>0 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND w>=$w GROUP BY player_id ORDER BY years DESC,last_name,first_name) as t WHERE years>0 LIMIT $limit";
     $cols="Player|Seasons";
     $noResult="No player has had a $w win season";
     break;
   case 115:
     $title="Career Franchise Records for Walks";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,bb FROM players as p,(SELECT team_id,player_id,MAX(bb) as bb FROM (SELECT player_id,team_id,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY bb DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY bb DESC";
     $cols="Team|Player|BB";
     $noResult="No walks recorded";
     $getTeams=1;
     break;
   case 116:
     $title="Most Runs Scored Without Getting Self On Base";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,r FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(r) as r,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id,year ORDER BY r DESC) as t WHERE h=0 AND bb=0 AND hp=0 AND r>0 LIMIT $limit";
     $cols="Player|Team|Year|R";
     $noResult="No players have scored a run while failing to get on base under their own means";
     $getTeams=1;
     break;
   case 117:
     $title="Most Career Home Runs by Batter Weight";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT weight,player_id,first_name,last_name,team_abbr,MAX(hr) as hr FROM (SELECT CONCAT(floor(weight/5)*5,'-',floor(weight/5)*5+5-1) as weight,player_id,first_name,last_name,team_abbr,hr FROM (SELECT p.player_id,last_name,first_name,weight,pcs.team_id as team_abbr,SUM(hr) as hr FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id ORDER BY weight,hr DESC) as t) as x GROUP BY weight;";
     $cols="Weight|Player|Team|HR";
     $noResult="No home runs hit";
     $getTeams=1;
     break;
   case 118:
     $title="Most Runs Batted In Without Scoring A Run";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,pa,rbi FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(r) as r,SUM(rbi) as rbi,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id,year ORDER BY rbi DESC) as t WHERE r=0 AND rbi>0 LIMIT $limit";
     $cols="Player|Team|Year|PA|RBI";
     $noResult="No players have knocked in a run without also scoring one";
     $getTeams=1;
     break;
   case 119:
     $title="Most Common Last Names Among Active Players";
     $title.="<br/>(Top $limit Names)";
     $query="SELECT last_name as lname,count(player_id) as cnt FROM players WHERE league_id=$lgid AND retired=0 GROUP BY last_name ORDER BY cnt DESC,lname LIMIT $limit;";
     $cols="Name|Count";
     break;
   case 120:
     $awquery="SELECT rookie_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['rookie_award_name'];
     $title="Players With The Most Rookie of the Month Awards Who Did Not Win $awName";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT paw.player_id,first_name,last_name,paw.team_id as team_abbr,year,COUNT(DISTINCT month) as cnt FROM players as p,players_awards as paw WHERE p.player_id=paw.player_id AND paw.league_id=$lgid AND award_id=3 AND paw.player_id NOT IN (SELECT player_id FROM players_awards WHERE league_id=$lgid AND award_id=6) GROUP BY player_id,year ORDER BY cnt DESC,year,last_name,first_name LIMIT $limit;";
     $cols="Player|Team|Year|Times Rookie of the Month";
     $noResult="No players has won Rookie of the Month and not won $awName";
     $getTeams=1;
     break;
   case 121:
     $subquery="SELECT MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Strikeouts in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,k FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(k) as k FROM players_career_pitching_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY k DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|K";
     $noResult="No strikeouts recorded";
     $getTeams=1;
     break;
   case 122:
     $title="Most Players Used In Franchise History";
     $query="SELECT team_id as team_name,COUNT(DISTINCT player_id) as cnt FROM (SELECT player_id,team_id FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 UNION SELECT player_id,team_id FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1) as t GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|Players Used";
     $getTeams=1;
     break;
   case 123:
     $title="Most Plate Appearances With 0 Home Runs in a Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(hr) as hr FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY pa DESC) as t WHERE hr=0 LIMIT $limit";
     $cols="Player|Team|Year|PA";
     $noResult="No players with 0 HR in any season";
     $getTeams=1;
     break;
   case 124:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        default: $yrs=3; $yrText="Three"; break;
      }
     $title="Most Wins Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,wTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,wTot FROM (SELECT t1.player_id,t1.year,SUM(t1.w) as wTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND w>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND w>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY wTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 125:
     $title="Largest Net Deficit of Double Plays Grounded Into vs. Double Plays Turned";
     $title.="<br/>(Top $limit Players, Minimum 3 Double Plays Turned)";
     $query="SELECT p.player_id,first_name,last_name,x.team_id as team_abbr,year,gdp,dp,diff FROM players as p,(SELECT t1.player_id,t1.team_id,t1.year,gdp,dp,gdp-dp as diff FROM (SELECT player_id,team_id,year,SUM(dp) as dp FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 GROUP BY player_id,year) as t1,(SELECT player_id,team_id,year,SUM(gdp) as gdp FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year=t2.year) as x WHERE p.player_id=x.player_id AND dp>2 AND diff>0 ORDER BY diff DESC,gdp DESC,year LIMIT $limit";
     $cols="Player|Team|Year|GIDP|DP Turned|Difference";
     $noResult="No players have hit into more double plays than they've turned";
     $getTeams=1;
     break;
   case 126:
     $title="Single Season Franchise Records for Home Runs";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,year,hr FROM players as p,(SELECT team_id,year,player_id,MAX(hr) as hr FROM (SELECT player_id,team_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY hr DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY hr DESC";
     $cols="Team|Player|Year|HR";
     $noResult="No home runs recorded";
     $getTeams=1;
     break;
   case 127:
     $title="Most Defensive Innings Without Turning A Double Play At A Middle Infield Position";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT t.player_id,first_name,last_name,t.team_id as team_abbr,year,t.position,a,po,ip FROM players as p,(SELECT player_id,team_id,year,position,SUM(a) as a,SUM(po) as po,SUM(dp) as dp,(SUM(ip)+SUM(ipf)/3) as ip FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 AND position IN (4,6) GROUP BY player_id,year,position) as t WHERE p.player_id=t.player_id AND dp=0 ORDER BY ip DESC LIMIT $limit";
     $cols="Player|Team|Year|Pos|A|PO|IP";
     $noResult="No players have gone without turning a double play";
     $getTeams=1;
     break;
   case 128:
     $title="Highest Percentage of Team Wins from One Pitcher";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT tots.team_id as team_name,year,tw,tots.player_id,first_name,last_name,w,pct FROM players as p,(SELECT t1.team_id,t1.year,tw,player_id,w,w/tw as pct FROM (SELECT player_id,team_id,year,MAX(w) as w FROM (SELECT player_id,team_id,year,w FROM `players_career_pitching_stats` WHERE league_id=$lgid AND split_id=1 ORDER BY w DESC) as x GROUP BY team_id,year) as t1,(SELECT team_id,year,w as tw FROM team_history_record WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year ORDER BY pct DESC,w DESC,tw DESC,year LIMIT $limit) as tots WHERE p.player_id=tots.player_id";
     $cols="Team|Year|Team Wins|Player|Wins|Pct of Team";
     $noResult="No player has recorded any wins";
     $getTeams=1;
     break;
   case 129:
     $title="Higher AVG than OBP";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,if(SUM(ab)=0,0,(SUM(h)/SUM(ab))) as avg,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp,(if(SUM(ab)=0,0,(SUM(h)/SUM(ab)))-if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf)))) as avg_diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id,year ORDER BY avg_diff DESC) as t WHERE avg_diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|AVG|OBP|Diff|PA";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 130:
     $title="Longest Road To The Majors";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,draft_year,draft_team_id as team_abbr,year,t.team_id as team_abbr2,(year-draft_year) as yrs FROM players as p,(SELECT player_id,team_id,MIN(year) as year FROM (SELECT player_id,team_id,MIN(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id UNION SELECT player_id,team_id,MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY player_id) as t1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND draft_year!=0 AND draft_league_id=$lgid ORDER BY yrs DESC,draft_year,last_name LIMIT $limit;";
     $cols="Player|Drafted|By|Debuted|With|Years";
     $noResult="No player has entered this league via the draft";
     $getTeams=1;
     break;
   case 131:
     $title="Largest Decline in Team Wins";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT t1.team_id as team_name,t1.year as year1,t1.w,t1.pos as stanPos1,t2.year as year,t2.w as w2,t2.pos as stanPos2,t1.w-t2.w as diff FROM team_history_record as t1,team_history_record as t2 WHERE t1.team_id=t2.team_id AND t1.league_id=t2.league_id AND t1.league_id=$lgid AND t1.year=(t2.year-1) ORDER BY diff DESC,year LIMIT $limit;";
     $cols="Team|Year 1|W's|Finish|Year 2|W's|Finish|Decline";
     $getTeams=1;
     break;
   case 132:
     $title="Most Home Runs in Final Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,hr FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(hr) as hr FROM players_career_batting_stats as pcs,(SELECT player_id,MAX(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY hr DESC) as x WHERE p.player_id=x.player_id AND retired=1 LIMIT $limit;";
     $cols="Player|Team|Year|HR";
     $noResult="No retirees with home runs recorded";
     $getTeams=1;
     break;
   case 133:
     $title="Most Plate Appearances With A 1.000 OBP";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,h,bb,hp,sf,sh,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,SUM(sf) as sf,SUM(sh) as sh,SUM(pa) as pa,if((SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))=0,0,(SUM(h)+SUM(bb)+SUM(hp))/(SUM(ab)+SUM(bb)+SUM(hp)+SUM(sf))) as obp FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY pa DESC,h DESC,bb DESC) as t WHERE obp=1 LIMIT $limit";
     $cols="Player|Team|Year|H|BB|HP|SF|SH|PA";
     $noResult="No players with a 1.000 OBP";
     $getTeams=1;
     break;
   case 134:
     $title="Most 20 HR/20 SB Seasons";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,COUNT(DISTINCT year) as years FROM players as p,(SELECT player_id,team_id,year,SUM(hr) as hr,SUM(sb) as sb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND hr>=20 AND sb>=20 GROUP BY player_id ORDER BY years DESC";
     $cols="Player|20/20 Seasons";
     $noResult="No players have had a 20/20 season.";
     $getTeams=1;
     break;
   case 135:
     $query="SELECT player_id,year,team_id,SUM(w) as w FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY w DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $w=$row['w'];
     if ($w>20) {$w=20;}
      else {$w=floor($w/5)*5;}
     $title="Most Players with $w or More Wins";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,count(player_id) as cnt FROM players_career_pitching_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND w>=$w GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with $w+ W's in any season";
     $getTeams=1;
     break;
   case 136:
     $title="Most Innings Pitched Without Appearing in the Postseason";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,(SUM(ip)+SUM(ipf)/3) as ip FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 AND pcs.player_id NOT IN (SELECT DISTINCT player_id FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=21) GROUP BY pcs.player_id ORDER BY ip DESC LIMIT $limit";
     $cols="Player|IP";
     $noResult="All players have reached the postseason";
     break;
   case 137:
     $title="Career Franchise Records for Strikeouts";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,k FROM players as p,(SELECT team_id,player_id,MAX(k) as k FROM (SELECT player_id,team_id,SUM(k) as k FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY k DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY k DESC";
     $cols="Team|Player|K";
     $noResult="No strikeouts recorded";
     $getTeams=1;
     break;
   case 138:
     $awquery="SELECT hitter_award_name,pitcher_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName1=$row['hitter_award_name'];
     $awName2=$row['pitcher_award_name'];
     $title="Oldest Players To Win The $awName1 or $awName2";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,last_name,first_name,paw.team_id as team_abbr,year,if(award_id=4,'$awName2','$awName1') as award,date_of_birth,(paw.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,DAYOFYEAR(date_of_birth) as dayBorn FROM players as p,players_awards as paw WHERE p.player_id=paw.player_id AND paw.league_id=$lgid AND award_id IN (4,5) ORDER BY age DESC,dayBorn,year,last_name,first_name LIMIT $limit;";
     $cols="Player|Team|Year|Award|DOB|Age";
     $noResult="No players have won these awards";
     $getTeams=1;
     break;
   case 139:
     $title="Largest Improvement in Team Wins";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT t1.team_id as team_name,t1.year as year1,t1.w,t1.pos as stanPos1,t2.year as year,t2.w as w2,t2.pos as stanPos2,t2.w-t1.w as diff FROM team_history_record as t1,team_history_record as t2 WHERE t1.team_id=t2.team_id AND t1.league_id=t2.league_id AND t1.league_id=$lgid AND t1.year=(t2.year-1) ORDER BY diff DESC,year LIMIT $limit;";
     $cols="Team|Year 1|W's|Finish|Year 2|W's|Finish|Improvement";
     $getTeams=1;
     break;
   case 140:
     $title="Lowest Number Of Runs Allowed Relative To League";
     $title.="<br/>(Top $limit Teams, SD is number of standard deviations better than league average)";
     $query="SELECT team_id as team_name,ths.year,r,rAvg,rStd,((rAvg-r)/rStd) as SDscore FROM team_history_pitching_stats as ths,(SELECT year,league_id,sub_league_id,AVG(r) as rAvg,STDDEV_POP(r) as rStd FROM team_history_pitching_stats WHERE league_id=$lgid GROUP BY year,league_id,sub_league_id) as lgBat WHERE ths.league_id=lgBat.league_id AND ths.sub_league_id=lgBat.sub_league_id AND ths.year=lgBat.year ORDER BY SDscore DESC LIMIT $limit";
     $cols="Team|Year|RA|Lg RA Avg|Lg RA Std|SD";
     $noResult="No seasons completed";
     $getTeams=1;
     break;
   case 141:
     $title="Most Seasons Playing In All Games";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,COUNT(DISTINCT year) as yrs FROM players as p,(SELECT player_id,t1.team_id,t1.year,t1.g,t2.g as tg FROM (SELECT player_id,team_id,year,SUM(g) as g FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t1,(SELECT team_id,year,g FROM team_history_record WHERE league_id=$lgid) as t2 WHERE t1.team_id=t2.team_id AND t1.year=t2.year AND t1.g>=t2.g) as x WHERE p.player_id=x.player_id GROUP BY player_id ORDER BY yrs DESC,last_name,first_name LIMIT $limit";
     $cols="Player|Seasons";
     $noResult="No player has played every game of the season";
     break;
   case 142:
     $title="Most .500+ Seasons";
     $query="SELECT team_id as team_name,COUNT(year) as cnt FROM team_history_record WHERE league_id=$lgid AND pct>=.500 GROUP BY team_id ORDER BY cnt DESC;";
     $cols="Team|.500 Seasons";
     $getTeams=1;
     break;
   case 143:
     $title="Most Hits by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(h) as h,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(h) as h,year FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY h DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|H's|Year";
     $noResult="No hits recorded";
     $getTeams=1;
     break;
   case 144:
     $title="Most Strikeouts by Pitcher Height";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT height,player_id,first_name,last_name,team_abbr,year,MAX(k) as k FROM (SELECT CONCAT(floor((height/2.54)/12),'\' ',floor(mod((height/2.54),12)),'\"') as height,height as rawHt,player_id,first_name,last_name,team_abbr,k,year FROM (SELECT p.player_id,last_name,first_name,height,pcs.team_id as team_abbr,SUM(k) as k,year FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY height,k DESC,year) as t) as x GROUP BY height ORDER BY rawHt;";
     $cols="Height|Player|Team|Year|K";
     $noResult="No strikeouts recorded";
     $getTeams=1;
     break;
   case 145:
     $title="Most Games Played Without Appearing in the Postseason";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,SUM(g) as g FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 AND pcs.player_id NOT IN (SELECT DISTINCT player_id FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=21) GROUP BY pcs.player_id ORDER BY g DESC LIMIT $limit";
     $cols="Player|Games";
     $noResult="All players have reached the postseason";
     break;
   case 146:
     $awquery="SELECT defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['defense_award_name'];
     $title="Players Who Have Won the $awName at Multiple Positions";
     $query="SELECT t.player_id,first_name,last_name,cnt,yrcnt FROM players as p,(SELECT player_id,COUNT(DISTINCT year) as yrcnt,COUNT(DISTINCT position) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=7 GROUP BY player_id ORDER BY cnt DESC,yrcnt DESC) as t WHERE p.player_id=t.player_id AND cnt>1;";
     $cols="Player|Positions|Times Won";
     $noResult="No players have won the $awName at multiple positions";
     break;
   case 147:
     $title="Teams With The Closest Balance Between Power and Speed";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT team_id as team_name,year,hr,sb,hr+sb as tot,abs(hr-sb) as diff FROM team_history_batting_stats WHERE league_id=$lgid ORDER BY diff,tot DESC,year LIMIT $limit;";
     $cols="Team|Year|HR|SB|Tot|Diff";
     $noResult="No team data found";
     $getTeams=1;
     break;
   case 148:
     $title="Single Season Franchise Records for RBI";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,year,rbi FROM players as p,(SELECT team_id,year,player_id,MAX(rbi) as rbi FROM (SELECT player_id,team_id,year,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY rbi DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY rbi DESC";
     $cols="Team|Player|Year|RBI";
     $noResult="No runs batted in";
     $getTeams=1;
     break;
   case 149:
     $title="Most Innings In The Outfield With More Assists Than Putouts";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,t.team_id as team_abbr,year,a,po,ip FROM players as p,(SELECT player_id,year,team_id,SUM(a) as a,SUM(po) as po,(SUM(ip)+SUM(ipf)/3) as ip FROM `players_career_fielding_stats` WHERE league_id=$lgid AND split_id=0 AND position IN (7,8,9) GROUP BY player_id,year ORDER BY ip DESC) as t WHERE p.player_id=t.player_id AND a>0 AND a>po LIMIT $limit";
     $cols="Player|Team|Year|A|PO|Inn";
     $noResult="No players have had more assists than putouts as an outfielder";
     $getTeams=1;
     break;
   case 150:
     $query="SELECT COUNT(DISTINCT year) as yrs FROM players_career_batting_stats WHERE league_id=$lgid AND split_id =1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $lgYrs=$row['yrs'];
     switch ($lgYrs)
      {
        case 1: $yrs=1; $yrText="One"; break;
        case 2:
        case 3: $yrs=2; $yrText="Two"; break;
        case 4: $yrs=3; $yrText="Three"; break;
        case 5: $yrs=4; $yrText="Four"; break;
        default: $yrs=5; $yrText="Five"; break;
      }
     $title="Most Home Runs Over A $yrText Year Span";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,finYr,hrTot FROM players as p,(SELECT player_id,year as strt,if(year+$yrs-1>$lgyear,$lgyear,year+$yrs-1) as finYr,hrTot FROM (SELECT t1.player_id,t1.year,SUM(t1.hr) as hrTot,COUNT(t1.year) as cnt FROM (SELECT player_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND hr>0 GROUP BY player_id,year) as t1,(SELECT player_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND hr>0 GROUP BY player_id,year) as t2 WHERE t1.player_id=t2.player_id AND t1.year>=t2.year AND t1.year<(t2.year+$yrs) GROUP BY t1.player_id,t2.year) as tTot ORDER BY hrTot DESC LIMIT $limit) as x WHERE p.player_id=x.player_id AND strt=(finYr-$yrs+1);";
     $cols="Player|From|Through|Total";
     $noResult="No player has played $yrs seasons";
     break;
   case 151:
     $awquery="SELECT defense_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName=$row['defense_award_name'];
     $title="Most Different Teams to Win the $awName With";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,cnt FROM players as p,(SELECT player_id,COUNT(DISTINCT team_id) as cnt FROM players_awards WHERE league_id=$lgid AND award_id=7 GROUP BY player_id ORDER BY cnt DESC) as t WHERE p.player_id=t.player_id AND cnt>1 LIMIT $limit;";
     $cols="Player|Teams";
     $noResult="No player has won the $awName with more than one team";
     break;
   case 152:
     $title="Most Teams Played For";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,teams FROM players as p,((SELECT player_id,COUNT(DISTINCT team_id) as teams FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) UNION (SELECT player_id,COUNT(DISTINCT team_id) as teams FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) ORDER BY teams DESC LIMIT $limit) as t WHERE p.player_id=t.player_id AND teams>1 ORDER BY teams DESC,last_name,first_name;";
     $cols="Player|Teams";
     $noResult="No players have played for more than one team";
     break;
   case 153:
     $title="Highest Percentage of Hits As Home Runs";
     $title.="<br/>(Top $limit Players, Minimum 200 career hits)";
     $query="SELECT p.player_id,first_name,last_name,pa,hr,h,hr/h as pct FROM players as p,(SELECT player_id,SUM(pa) as pa,SUM(hr) as hr,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND h>200 ORDER BY pct DESC LIMIT $limit";
     $cols="Player|PA|HR|H|Pct";
     $noResult="No players have hit home runs";
     break;
   case 154:
     $title="Most Strikeouts in Final Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,ip,k FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(k) as k FROM players_career_pitching_stats as pcs,(SELECT player_id,MAX(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY k DESC) as x WHERE p.player_id=x.player_id AND retired=1 LIMIT $limit;";
     $cols="Player|Team|Year|IP|K";
     $noResult="No retirees with strikeouts recorded";
     $getTeams=1;
     break;
   case 155:
     $query="SELECT player_id,year,team_id,SUM(rbi) as rbi FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY rbi DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $rbi=$row['rbi'];
     if ($rbi>100) {$rbi=100;}
      else {$rbi=floor($rbi/10)*10;}
     $query="SELECT player_id,year,team_id,SUM(r) as r FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY r DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $r=$row['r'];
     if ($r>100) {$r=100;}
      else {$r=floor($r/10)*10;}
     $title="Most Players with $rbi RBI and $r Runs Scored";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,count(player_id) as cnt FROM players_career_batting_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND rbi>=$rbi AND r>=$r GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with players reaching $rbi RBI and $r runs in any season";
     $getTeams=1;
     break;
   case 156:
     $title="Most Players Used In A Season";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT team_id as team_name,year,COUNT(DISTINCT player_id) as cnt FROM (SELECT player_id,team_id,year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 UNION SELECT player_id,team_id,year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1) as t GROUP BY team_id,year ORDER BY cnt DESC,year LIMIT $limit;";
     $cols="Team|Year|Players Used";
     $getTeams=1;
     break;
   case 157:
     $title="Most Defensive Innings Without Recording A Putout Or Assist";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT t.player_id,first_name,last_name,t.team_id as team_abbr,year,t.position,ip FROM players as p,(SELECT player_id,team_id,year,position,SUM(a) as a,SUM(po) as po,(SUM(ip)+SUM(ipf)/3) as ip FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 GROUP BY player_id,year,position) as t WHERE p.player_id=t.player_id AND a=0 AND po=0 ORDER BY ip DESC LIMIT $limit";
     $cols="Player|Team|Year|Pos|IP";
     $noResult="No players have gone without recording a putout or assist";
     $getTeams=1;
     break;
   case 158:
     $title="Players With A Hit In Their Only At-Bat";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,h,d,t,hr,bb,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(ab) as ab,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr,SUM(bb) as bb,SUM(pa) as pa FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE t.ab=1 AND t.h=1 ORDER BY pa DESC,last_name,first_name";
     $cols="Player|Team|Year|H|2B|3B|HR|BB|PA";
     $noResult="No player has had a hit in his only at-bat";
     $getTeams=1;
     break;
   case 159:
     $title="Career Franchise Records for Stolen Bases";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,sb FROM players as p,(SELECT team_id,player_id,MAX(sb) as sb FROM (SELECT player_id,team_id,SUM(sb) as sb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id ORDER BY sb DESC) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY sb DESC";
     $cols="Team|Player|SB";
     $noResult="No stolen bases recorded";
     $getTeams=1;
     break;
   case 160:
     $title="Most All-Stars Drafted By Franchise";
     $query="SELECT draft_team_id as team_name,COUNT(player_id) as cnt FROM players WHERE player_id IN (SELECT DISTINCT player_id FROM players_awards WHERE league_id=$lgid AND award_id=9) GROUP BY draft_team_id ORDER BY cnt DESC";
     $cols="Team|All-Stars Drafted";
     $noResult="No All-Stars Drafted";
     $teams[0][$lgyear]['name']='Undrafted Free Agent';
     $getTeams=1;
     break;
   case 161:
     $title="Most Seasons Appeared In";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,strt,fini,years FROM players as p,(SELECT player_id,MIN(year) as strt,MAX(year) as fini,COUNT(DISTINCT year) as years FROM (SELECT player_id,year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 UNION SELECT player_id,year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1) as t GROUP BY player_id ORDER BY years DESC,strt LIMIT $limit) as t2 WHERE p.player_id=t2.player_id ORDER BY years DESC,strt,last_name,first_name";
     $cols="Player|Debut|Most Recent|Years Played";
     $noResult="No games played yet";
     break;
   case 162:
     $title="Highest Single Season Times On Base";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp,(SUM(h)+SUM(bb)+SUM(hp)) as tot FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY tot DESC,h DESC,bb DESC LIMIT $limit;";
     $cols="Player|Team|Year|H|BB|HP|Tot";
     $noResult="No team data found";
     $getTeams=1;
     break;
   case 163:
     $title="Most Plate Appearances With 0 Home Runs and 0 Stolen Bases in a Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,pa FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(pa) as pa,SUM(hr) as hr,SUM(sb) as sb FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY pa DESC) as t WHERE hr=0 AND sb=0 LIMIT $limit";
     $cols="Player|Team|Year|PA";
     $noResult="No players with 0 HR and 0 SB in any season";
     $getTeams=1;
     break;
   case 164:
     $query="SELECT player_id,year,team_id,SUM(h) as h FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY h DESC LIMIT 25,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $h=$row['h'];
     if ($h>200) {$h=200;}
      else {$h=floor($h/20)*20;}
     $title="Most Players with $h or More Hits";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,count(player_id) as cnt FROM players_career_batting_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND h>=$h GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>0 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with $h hits in any season";
     $getTeams=1;
     break;
   case 165:
     $title="Most Strikeouts by Age";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT age,player_id,first_name,last_name,team_abbr,MAX(k) as k,year FROM (SELECT p.player_id,last_name,first_name,(pcs.year-YEAR(date_of_birth)-(RIGHT(date_of_birth,5)>'07-01')) as age,pcs.team_id as team_abbr,SUM(k) as k,year FROM players as p,players_career_pitching_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND pcs.split_id=1 GROUP BY player_id,year ORDER BY k DESC,year) as t GROUP BY age ORDER BY age;";
     $cols="Age|Player|Team|K's|Year";
     $noResult="No strikeouts recorded";
     $getTeams=1;
     break;
   case 166:
     $title="Most Holds Without Starting Or Finishing A Game";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,t.team_id as team_abbr,year,ip,hld,era FROM players as p,(SELECT player_id,team_id,year,(SUM(ip)+SUM(ipf)/3) as ip,SUM(hld) as hld,SUM(gs) as gs,SUM(gf) as gf,9*SUM(er)/(SUM(ip)+SUM(ipf)/3) as era FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t WHERE p.player_id=t.player_id AND hld>0 AND gs=0 AND gf=0 ORDER BY hld DESC,year LIMIT 25;";
     $cols="Player|Team|Year|IP|HLD|ERA";
     $noResult="No pitcher has recorded a hold without starting or finishing a game";
     $getTeams=1;
     break;
   case 167:
     $query="SELECT player_id,year,team_id,SUM(bb) as bb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY bb DESC LIMIT 100,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $bb=$row['bb'];
     if ($bb>70) {$bb=70;}
      else {$bb=floor($bb/10)*10;}
     $title="Most Players with $bb or More Walks";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT * FROM (SELECT pcs.team_id as team_name,pcs.year,count(player_id) as cnt FROM players_career_batting_stats as pcs,team_history as th WHERE pcs.team_id=th.team_id AND pcs.year=th.year AND pcs.league_id=$lgid AND split_id=1 AND bb>=$bb GROUP BY pcs.team_id,year ORDER BY cnt DESC,year,team_name) as t WHERE cnt>1 LIMIT $limit;";
     $cols="Team|Year|Number of Players";
     $noResult="No teams with players with $bb+ BB's in any season";
     $getTeams=1;
     break;
   case 168:
     $title="Highest Ratio of Wild Pitches to Walks";
     $title.="<br/>(Top $limit Players, Minimum 10 Career WP)";
     $query="SELECT p.player_id,first_name,last_name,ip,wp,bb,wp/bb as avg FROM players as p,(SELECT player_id,(SUM(ip)+SUM(ipf)/3) as ip,SUM(bb) as bb,SUM(wp) as wp FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND wp>10 ORDER BY avg DESC LIMIT $limit";
     $cols="Player|IP|WP|BB|Ratio";
     $noResult="No players have thrown wild pitches";
     break;
   case 169:
     $title="Most Hits Without A Single";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(d) as d,SUM(t) as t,SUM(hr) as hr FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY pcs.player_id,year ORDER BY h DESC,hr DESC,t DESC,d DESC) as t WHERE h=(d+t+hr) LIMIT $limit;";
     $cols="Player|Team|Year|H|2B|3B|HR";
     $noResult="No player has managed a hit without a single";
     $getTeams=1;
     break;
   case 170:
     $title="Single Season Franchise Records for Runs";
     $title.="<br/>(Earliest Occurrence Shown)";
     $query="SELECT t1.team_id as team_name,t1.player_id,first_name,last_name,year,r FROM players as p,(SELECT team_id,year,player_id,MAX(r) as r FROM (SELECT player_id,team_id,year,SUM(r) as r FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year ORDER BY r DESC,year) as t GROUP BY team_id) as t1 WHERE p.player_id=t1.player_id ORDER BY r DESC";
     $cols="Team|Player|Year|R";
     $noResult="No runs";
     $getTeams=1;
     break;
   case 171:
     $title="Highest Career Win/Save Combinations";
     $title.="<br/>(Top $limit Players, Sorted By Lower of W/SV)";
     $query="SELECT p.player_id,first_name,last_name,w,l,s FROM players as p,(SELECT player_id,SUM(w) as w,SUM(l) as l,SUM(s) as s,if(SUM(w)>SUM(s),SUM(s),SUM(w)) as minVal FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE p.player_id=t.player_id AND w>=5 AND s>=5 ORDER BY minVal DESC,w DESC,s DESC LIMIT $limit";
     $cols="Player|W|L|S";
     $noResult="No runs";
     break;
   case 172:
     $title="More Career Triples Than Home Runs";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,SUM(t) as t,SUM(hr) as hr,(SUM(t)-SUM(hr)) as diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id) as t WHERE diff>0 ORDER BY t DESC,diff DESC,pa DESC LIMIT $limit;";
     $cols="Player|3B|HR|Diff|PA";
     $noResult="No player has hit more triples than home runs";
     break;
   case 173:
     $title="Teams Closest To Extinction: Fewest Players Still Active";
     $title.="<br/>(Top $limit Teams)";
     $query="SELECT team_id as team_name,year,COUNT(DISTINCT player_id) as cnt FROM (SELECT player_id,team_id,year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 AND year!=$lgyear AND player_id IN (SELECT player_id FROM players WHERE retired=0) UNION SELECT player_id,team_id,year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 AND year!=$lgyear AND player_id IN (SELECT player_id FROM players WHERE retired=0)) as t GROUP BY team_id,year ORDER BY cnt,year LIMIT $limit;";
     $cols="Team|Year|Remaining Active Players";
     $getTeams=1;
     break;
   case 174:
     $title="All Players with 30 HR/30 SB Seasons";
     $query="SELECT p.player_id,first_name,last_name,team_abbr,year,hr,sb FROM players as p,(SELECT player_id,team_id as team_abbr,year,SUM(hr) as hr,SUM(sb) as sb FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND hr>=30 AND sb>=30 ORDER BY hr DESC,sb DESC";
     $cols="Player|Team|Year|HR|SB";
     $noResult="No players have had a 30/30 season.";
     $getTeams=1;
     break;
   case 175:
     $title="Most Defensive Innings At Catcher Without Throwing Out A Runner";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT t.player_id,first_name,last_name,t.team_id as team_abbr,year,sba,rto,ip FROM players as p,(SELECT player_id,team_id,year,SUM(sba) as sba,SUM(rto) as rto,(SUM(ip)+SUM(ipf)/3) as ip FROM players_career_fielding_stats WHERE league_id=$lgid AND split_id=0 AND position=2 GROUP BY player_id,year) as t WHERE p.player_id=t.player_id AND rto=0 ORDER BY ip DESC,sba DESC LIMIT $limit";
     $cols="Player|Team|Year|SBA|RTO|IP";
     $noResult="No catchers have gone without throwing out a runner";
     $getTeams=1;
     break;
   case 176:
     $subquery="SELECT MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY league_id;";
     $subresult=mysql_query($subquery,$db);
     $row=mysql_fetch_array($subresult);
     $firstYr=$row['year'];
     $title="Most Wins in Debut Season";
     $title.="<br/>(Top $limit Players, Inaugural Season Ignored)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,w FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(w) as w FROM players_career_pitching_stats as pcs,(SELECT player_id,MIN(year) as year FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 AND pcs.year!=$firstYr GROUP BY player_id ORDER BY w DESC LIMIT $limit) as x WHERE p.player_id=x.player_id;";
     $cols="Player|Team|Year|W";
     $noResult="No wins recorded";
     $getTeams=1;
     break;
   case 177:
     $title="Players with 10 W's and 10 SV's in a Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT p.player_id,first_name,last_name,team_abbr,year,w,s FROM players as p,(SELECT player_id,team_id as team_abbr,year,SUM(w) as w,SUM(s) as s FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year) as pcs WHERE p.player_id=pcs.player_id AND w>=10 AND s>=10 ORDER BY w DESC,s DESC LIMIT $limit";
     $cols="Player|Team|Year|W|SV";
     $noResult="No players with 10 W's and 10 SV's in the same season";
     $getTeams=1;
     break;
   case 178:
     $title="Most Stolen Bases Without Getting Self On Base";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,sb FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(sb) as sb,SUM(h) as h,SUM(bb) as bb,SUM(hp) as hp FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY player_id,year ORDER BY sb DESC) as t WHERE h=0 AND bb=0 AND hp=0 AND sb>0 LIMIT $limit";
     $cols="Player|Team|Year|SB";
     $noResult="No players have stolen a base while failing to get on base under their own means";
     $getTeams=1;
     break;
   case 179:
     $awquery="SELECT hitter_award_name,pitcher_award_name,rookie_award_name FROM leagues WHERE league_id=$lgid;";
     $awresult=mysql_query($awquery,$db);
     $row=mysql_fetch_array($awresult);
     $awName1=$row['hitter_award_name'];
     $awName2=$row['pitcher_award_name'];
     $awName3=$row['rookie_award_name'];
     $title="Teams To Sweep The End Of Season Awards";
     $title.="<br/>(Win $awName1, $awName2, and $awName3)";
     $query="SELECT t1.team_id as team_name,t1.year FROM (SELECT team_id,year,award_id FROM players_awards WHERE league_id=$lgid AND award_id IN (4,5,6)) as t1,(SELECT team_id,year,award_id FROM players_awards WHERE league_id=$lgid AND award_id IN (4,5,6)) as t2,(SELECT team_id,year,award_id FROM players_awards WHERE league_id=$lgid AND award_id IN (4,5,6)) as t3 WHERE t1.team_id=t2.team_id AND t1.team_id=t3.team_id AND t2.team_id=t3.team_id AND t1.year=t2.year AND t1.year=t3.year AND t2.year=t3.year AND t1.award_id=4 AND t2.award_id=5 AND t3.award_id=6";
     $cols="Team|Year";
     $noResult="No team has won all three awards in the same season";
     $getTeams=1;
     break;
   case 180:
     $title="More Sacrifices Than Hits";
     $title.="<br/>(Top $limit Players, Pitchers Excluded)";
     $query="SELECT * FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(sf) as sf,SUM(sh) as sh,SUM(h) as h,(SUM(sh)+SUM(sf)-SUM(h)) as diff,SUM(pa) as pa FROM players_career_batting_stats as pcs,players as p WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 AND p.position!=1 GROUP BY pcs.player_id,year ORDER BY diff DESC,pa DESC) as t WHERE diff>0 LIMIT $limit;";
     $cols="Player|Team|Year|SF|SH|H|Diff|PA";
     $noResult="No player has had more sacrifices than hits in a season";
     $getTeams=1;
     break;
   case 181:
     $title="Failing to Hit His Weight";
     $title.="<br/>(Top $limit Players, Minimum 200 PA)";
     $query="SELECT player_id,first_name,last_name,team_abbr,year,h,pa,avg,weight as wt,(.001*weight-avg) as obp FROM (SELECT p.player_id,first_name,last_name,pcs.team_id as team_abbr,year,SUM(h) as h,SUM(pa) as pa,if(SUM(ab)=0,0,SUM(h)/SUM(ab)) as avg,weight FROM players as p,players_career_batting_stats as pcs WHERE p.player_id=pcs.player_id AND pcs.league_id=$lgid AND split_id=1 GROUP BY player_id,year) as t WHERE pa>=200 ORDER BY obp DESC LIMIT $limit";
     $cols="Player|Team|Year|H|PA|AVG|Wt (lbs)|Diff";
     $noResult="No player has hit below his weight";
     $getTeams=1;
     break;
   case 182:
     $title="Most Stolen Bases in Final Season";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT x.player_id,p.first_name,p.last_name,x.team_abbr,year,sb FROM players as p,(SELECT pcs.player_id,pcs.team_id as team_abbr,pcs.year,SUM(sb) as sb FROM players_career_batting_stats as pcs,(SELECT player_id,MAX(year) as year FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t WHERE pcs.player_id=t.player_id AND pcs.year=t.year AND league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY sb DESC) as x WHERE p.player_id=x.player_id AND retired=1 LIMIT $limit;";
     $cols="Player|Team|Year|SB";
     $noResult="No retirees with stolen bases recorded";
     $getTeams=1;
     break;
   case 183:
     $query="SELECT player_id,year,team_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year ORDER BY hr DESC LIMIT 100,1;";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $hr=$row['hr'];
     if ($hr>30) {$hr=30;}
      else {$hr=floor($hr/5)*5;}
     $title="Most Consecutive $hr Home Run Seasons";
     $title.="<br/>(Top $limit Players)";
     $query="SET @yrCnt:=0;SET @player_id:=0;SET @year:=0;SET @strk:=0;SELECT p.player_id,first_name,last_name,x.year-yrs+1 as strt,x.year,yrs FROM players as p,(SELECT player_id,MAX(yrCnt) as yrs,MAX(year) as year FROM (SELECT if(@player_id!=player_id,@yrCnt:=1,if(@year=year-1,@yrCnt:=@yrCnt+1,@yrCnt:=1)) as yrCnt,if(@player_id!=player_id,@strk:=1,if(@year=year-1,@strk,@strk:=@strk+1)) as strk,@player_id:=player_id as player_id,@year:=year as year,hr FROM (SELECT player_id,year,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,year HAVING SUM(hr)>=$hr ORDER BY player_id,year) as t1) as a GROUP BY player_id,strk) as x WHERE p.player_id=x.player_id AND yrs>1 ORDER BY yrs DESC,strt,last_name,first_name LIMIT $limit;";
     $cols="Player|First Year|Last Year|Seasons";
     $noResult="No player has had consecutive $hr home run seasons";
     break;
   case 184:
     $title="Most Seasons Between All-Star Appearances";
     $title.="<br/>(Top $limit Players)";
     $query="SET @asYr:=0;SET @player_id:=-1;SET @pYr:=0;SELECT p.player_id,first_name,last_name,year-asYr as firstyr,year,asYr FROM players as p,(SELECT IF(@player_id!=player_id,@asYr:=0,@asYr:=year-@pYr) as asYr,@player_id:=player_id as player_id,@pYr:=year as year FROM players_awards WHERE league_id=$lgid AND award_id=9 ORDER BY player_id,year) as t WHERE p.player_id=t.player_id AND asYr>2 ORDER BY asYr DESC,firstyr,last_name,first_name LIMIT $limit";
     $cols="Player|First Appearance|Next Appearance|Seasons Between";
     $noResult="No player has waited more than 2 seasons between All-Star appearances.";
     break;
   case 185:
     $title=".500 Pitchers On .500 Teams";
     $title.="<br/>(Top $limit Players by Wins)";
     $query="SELECT p.player_id,first_name,last_name,x.team_id as team_name,year,pw as w,pl as l FROM players as p,(SELECT player_id,t.team_id,t.year,pw,pl FROM (SELECT player_id,team_id,year,SUM(w) as pw,SUM(l) as pl FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id,team_id,year HAVING SUM(w)=SUM(l) AND SUM(w)>0) as t1,(SELECT team_id,year,w,l FROM team_history_record WHERE league_id=$lgid AND w=l) as t WHERE t1.team_id=t.team_id AND t1.year=t.year) as x WHERE p.player_id=x.player_id ORDER BY w DESC,year,last_name,first_name LIMIT $limit";
     $cols="Player|Team|Year|W|L";
     $noResult="No player has had a .500 record in a season during which his team did, too.";
     $getTeams=1;
     break;
   case 186:
     $title="Largest Changes In League Leading Stats";
     $title.="<br/>(Top $limit Players)";
     $query="SELECT sub_league_id as sl_name,category,year1,x2.player_id as player_id2,first_name2,last_name2,amt1,year2,player_id2 as player_id,first_name,last_name,amt2,pct FROM players as p,(SELECT sub_league_id,category,year1,p.player_id,first_name as first_name2,last_name as last_name2,amt1,year2,player_id2,amt2,pct FROM players as p,(SELECT a.sub_league_id,a.category,a.year as year1,a.player_id,a.amount as amt1,b.year as year2,b.player_id as player_id2,b.amount as amt2,ABS((b.amount-a.amount)/a.amount) as pct FROM players_league_leader as a,players_league_leader as b WHERE a.player_id<b.player_id AND a.league_id=$lgid AND b.league_id=$lgid AND a.sub_league_id=b.sub_league_id AND a.year=b.year-1 AND a.category=b.category AND a.category IN (3,6,7,8,9,10,11,12,18,29,32,34,38,40) AND a.place=1 AND b.place=1 ORDER BY pct DESC LIMIT $limit) as x1 WHERE p.player_id=x1.player_id) as x2 WHERE p.player_id=x2.player_id2";
     $cols="League|Stat|Year|Player|Value|Year|Player|Value|Pct Diff";
     $noResult="No player has waited more than 2 seasons between All-Star appearances.";
     $getSubLeagues=1;
     break;
   case 187:
     $title="Most Consecutive Seasons Playing The Same Position For The Same Team";
     $title.="<br/>(Top $limit Players by Seasons, Then Innings)";
     $query="SET @player_id:=-1;SET @team_id:=-1;SET @position:=-1;SET @year:=-1;SET @strk:=0;SET @strkID:=0;SELECT p.player_id,first_name,last_name,x.team_id as team_name,x.position,minYr,maxYr,inn as fip,yrs FROM players as p,(SELECT strkID,max(strk) as yrs,player_id,team_id,position,MIN(year) as minYr,MAX(year) as maxYr,SUM(inn) as inn FROM (SELECT if((@player_id!=player_id),@strkID:=1,if(((@team_id!=team_id)||(@position!=position)||(@year!=(year-1))),@strkID:=@strkID+1,@strkID)) as strkID,if(((@player_id!=player_id)||(@team_id!=team_id)||(@position!=position)||(@year!=(year-1))),@strk:=1,@strk:=@strk+1) as strk,@player_id:=player_id as player_id,@team_id:=team_id as team_id,@position:=position as position,@year:=year as year,inn FROM (SELECT player_id,team_id,position,year,ip+ipf/3 as inn FROM `players_career_fielding_stats` WHERE league_id=$lgid AND split_id=0 AND position>1 AND position<10 ORDER BY player_id,team_id,position,year) as t1) as t2 GROUP BY player_id,strkID ORDER BY yrs DESC,inn DESC LIMIT $limit) as x WHERE p.player_id=x.player_id";
     $cols="Player|Team|Position|Start|End|Inn|Seasons";
     $noResult="No fielding data stored";
     $getTeams=1;
     break;
   case 188:
     $title="Most Consecutive Seasons As Batterymates For The Same Team";
     $title.="<br/>(Top $limit Players by Seasons)";
     $query="SET @strkID:=0;SET @yrs:=0;SET @pID:=0;SET @cID:=0;SET @year:=0;SET @team_id:=0;SELECT x2.team_id as team_name,x2.player_id,x2.first_name,x2.last_name,w,l,s,pg,pgs,ip,cID as player_id2,p2.first_name as first_name2,p2.last_name as last_name2,g,gs,fip,minYr,maxYr,yrs FROM players as p2,(SELECT x1.team_id,p1.player_id,first_name,last_name,w,l,s,pg,pgs,ip,cID,g,gs,fip,minYr,maxYr,yrs FROM players as p1,(SELECT strkID,MAX(yrs) as yrs,team_id,MIN(year) as minYr,MAX(year) as maxYr,pID,SUM(w) as w,SUM(l) as l,SUM(s) as s,SUM(pg) as pg,SUM(pgs) as pgs,SUM(ip) as ip,cID,SUM(g) as g,SUM(gs) as gs,SUM(fip) as fip,if(SUM(ip)<(SUM(fip)/4),SUM(ip),(SUM(fip)/4)) as hide FROM (SELECT if((@pID!=pitcher),@strkID:=1,if((@cID!=catcher)||(@team_id!=team_id)||(@year!=(year-1)),@strkID:=@strkID+1,@strkID)) as strkID,if((@pID!=pitcher)||(@cID!=catcher)||(@team_id!=team_id)||(@year!=(year-1)),@yrs:=1,@yrs:=@yrs+1) as yrs,@team_id:=team_id as team_id,@year:=year as year,@pID:=pitcher as pID,w,l,s,pg,pgs,ip,@cID:=catcher as cID,g,gs,fip FROM (SELECT pcp.team_id,pcp.year,pcp.player_id as pitcher,w,l,s,pcp.g as pg,pcp.gs as pgs,pcp.ip+pcp.ipf/3 as ip,pcf.player_id as catcher,pcf.g,pcf.gs,pcf.ip+pcf.ipf/3 as fip FROM players_career_pitching_stats as pcp,players_career_fielding_stats as pcf WHERE pcp.team_id=pcf.team_id AND pcp.year=pcf.year AND pcp.league_id=$lgid AND pcf.league_id=$lgid AND pcp.split_id=1 AND pcf.split_id=0 AND pcf.position=2 ORDER BY pitcher,catcher,team_id,year) as t1) as t2 GROUP BY pID,strkID HAVING MAX(yrs)>1 ORDER BY yrs DESC,hide DESC LIMIT $limit) as x1 WHERE p1.player_id=x1.pID) as x2 WHERE p2.player_id=x2.cID";
     $cols="Team|Pitcher|W|L|SV|G|GS|IP|Catcher|G|GS|Inn|Start|End|Seasons";
     $noResult="No batterymates have spent two or more seasons together.";
     $getTeams=1;
     break;
   case 189:
     $title="Number of Players With Each Uniform Number";
     if ($showLink==1)
      {
        $uni=$_GET['uni'];
	$title.="<br/>(Players On Active Rosters Wearing Number $uni)";
	$query="SELECT player_id,first_name,last_name,team_id as team_name FROM players WHERE league_id=$lgid AND `Uniform Number`=$uni ORDER BY last_name,first_name,team_id;";
        $cols="Player|Team";
	$getTeams=1;
      }
      else
      {
        $title.="<br/>(Active Roster Only)";
        $query="SELECT `Uniform Number` as uni,'Show Players' as showLink,COUNT(DISTINCT player_id) as cnt,COUNT(DISTINCT team_id) as tms FROM players WHERE league_id=$lgid GROUP BY `Uniform Number` ORDER BY uni";
        $cols="Uniform Number|Link|Players|Teams";
        $noResult="No players in league";
      }
     break;
   case 190:
     $query="SELECT MAX(hr) as hr FROM (SELECT player_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id) as t1";
     $result=mysql_query($query,$db);
     $row=mysql_fetch_array($result);
     $maxHR=$row['hr'];
     switch ($maxHR)
      {
        case ($maxHR>=2000): $bkt=100; break;
	case ($maxHR>=1000): $bkt=50; break;
	case ($maxHR>=500): $bkt=25; break;
	case ($maxHR>=200): $bkt=10; break;
	default: $bkt=5; break;
      }
     $title="Players With X Home Runs Divided In Groups of $bkt Home Runs";
     if ($showLink==1)
      {
        $bucket=$_GET['bucket'];
	$title.="<br/>(Players With $bucket Home Runs)";
	$query="SELECT p.player_id,first_name,last_name,CONCAT(minYr,'-',maxYr) as years,hr FROM players as p,(SELECT player_id,MIN(year) as minYr,MAX(year) as maxYr,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id HAVING";
	if ($bucket==0) {$query.=" SUM(hr)=0";}
 	 else
	 {
	   $e=explode("-",$bucket);
           $query.=" SUM(hr)>=".$e[0]." AND SUM(hr)<=".$e[1];
	 }
	$query.=") as x WHERE p.player_id=x.player_id ORDER BY hr DESC,last_name,first_name;";
        $cols="Player|Years Played|Home Runs";
	$getTeams=1;
      }
      else
      {
        $title="Percentage of ".$title;
        $query="SELECT bucket as hide,if(bucket=-1,0,if(bucket=0,CONCAT('1-',$bkt-1),CONCAT(bucket*$bkt,'-',bucket*$bkt+$bkt-1))) as bucket,COUNT(DISTINCT player_id) as players,'Show Players' as showLink,COUNT(DISTINCT player_id)/(SELECT COUNT(DISTINCT player_id) FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1) as pct FROM (SELECT if(hr=0,-1,FLOOR(hr/$bkt)) as bucket,player_id,hr FROM (SELECT player_id,SUM(hr) as hr FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 GROUP BY player_id ORDER BY hr DESC) as t1) as t2 GROUP BY bucket ORDER BY hide DESC";
        $cols="Bucket|Players|Link|Percentage";
        $noResult="No players in league";
      }
     break;
 }

##### Get Team Names/Abbreviations #####
if ($getTeams==1)
 {
   $tquery="SELECT team_id,year,name,nickname,abbr FROM team_history WHERE league_id=$lgid UNION SELECT team_id,'$lgyear' as year,name,nickname,abbr FROM teams WHERE league_id=$lgid AND allstar_team=0 ORDER BY year,team_id;";
   $tresult=mysql_query($tquery,$db);
   while ($row=mysql_fetch_array($tresult))
    {
      $tid=$row['team_id'];
      $yr=$row['year'];
      $teams[$tid][$yr]['name']=$row['name']." ".$row['nickname'];
      $teams[$tid][$yr]['city']=$row['name'];
      $teams[$tid][$yr]['abbr']=$row['abbr'];
    }
 }
unset($yr);
##### Get SubLeague Names/Abbreviations #####
if ($getSubLeagues==1)
 {
   $slquery="SELECT * FROM sub_leagues WHERE league_id=$lgid;";
   $slresult=mysql_query($slquery,$db);
   while ($row=mysql_fetch_array($slresult))
    {
      $slid=$row['sub_league_id'];
      $subleagues[$slid]['name']=$row['name'];
      $subleagues[$slid]['abbr']=$row['abbr'];
    }
 }

echo "<div class='textbox'>\n";
##### Execute Query #####
$e=explode(";",$query);
for ($i=0;$i<count($e);$i++)
 {
   if ($e[$i]=="") {continue;}
   $query=$e[$i].";";
   if ($_GET['showq']==1) {echo $query."<br/>\n";}
   $result=mysql_query($query,$db);
 }
$nRows=mysql_num_rows($result);

##### Display Results #####
echo " <table cellpadding=0 cellspacing=0 border=0>\n";
echo "  <tr class='title2'><td>$title</td></tr>\n";
echo "  <tr><td>\n";
if (!mysql_num_rows($result)) {echo $noResult;}
 else
 {
   $cnt=0;
   echo "   <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='935px'>\n";
   ## Display Column Headers
   $eCols=explode("|",$cols);
   $nCols=count($eCols);
   echo "    <thead><tr class='headline'>";
   foreach ($eCols as $key => $lbl)
    {
      switch ($lbl)
       {
         case 'Player':
         case 'Pitcher':
         case 'Catcher':
	 case 'Team':
	 case 'By':
	 case 'With':
	 case 'Name':
	 case 'Height':
	 case 'Weight':
	 case 'League':
	 case 'Bucket':
	 case 'Uniform Number':
 	   echo "<td class='hsc2_l'>$lbl</td>";
	   break;
	 default:
 	   echo "<td class='hsc2'>$lbl</td>";
	   break;
       }
    }
   echo "</tr></thead>\n";

   ## Display Data
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $yr=$row['year'];
      $cls='s'.($cnt%2+1);
      $cnt++;

      echo "    <tr class='$cls'>";

      $numF=mysql_num_fields($result);
      for ($i=0;$i<$numF;$i++)
       {
         $fieldName=mysql_field_name($result,$i);
         switch ($fieldName)
	  {
            case 'player_id':
	      $name=$row['first_name']." ".$row['last_name'];
	      $sortname=$row['last_name'].", ".$row['first_name'];
	      echo "<td class='".$cls."_l' sorttable_customkey=\"".$sortname."\"><a href='./player.php?player_id=$pid'>$name</a></td>";
	      break;
            case 'player_id2':
	      $name=$row['first_name2']." ".$row['last_name2'];
	      $sortname=$row['last_name2'].", ".$row['first_name2'];
	      echo "<td class='".$cls."_l' sorttable_customkey=\"".$sortname."\"><a href='./player.php?player_id=$pid'>$name</a></td>";
	      break;
	    case 'first_name':
	    case 'last_name':
	    case 'first_name2':
	    case 'last_name2':
	    case 'dayBorn':
	    case 'hide':
	      break;
            case 'fname':
            case 'lname':
            case 'nname':
            case 'height':
            case 'bucket':
  	    case 'uni':
	      $val=$row[$fieldName];
	      echo "<td class='".$cls."_l'>$val</td>";
	      break;
            case 'weight':
	      $val=$row[$fieldName];
	      echo "<td class='".$cls."_l'>$val lbs</td>";
	      break;
            case 'wt':
	      $val=$row[$fieldName];
	      echo "<td>$val lbs</td>";
	      break;
            case 'team_name':
              $tid=$row[$fieldName];
	      if (isset($yr))
	       {
	         $name=$teams[$tid][$yr]['name'];
	         if (($name=="")||($name==" ")) {$name=$teams[$tid][$lgyear]['name'];}
		 if ($tid==0) {echo "<td class='".$cls."_l'>$name</td>";}
		  else {echo "<td class='".$cls."_l'><a href='./teamHist.php?page=year&team_id=$tid&year=$yr'>$name</a></td>";}
	       }
	       else
	       {
	         $name=$teams[$tid][$lgyear]['name'];
		 if ($tid==0) {echo "<td class='".$cls."_l'>$name</td>";}
		  else {echo "<td class='".$cls."_l'><a href='./teamHist.php?page=index&team_id=$tid'>$name</a></td>";}
	       }
	      break;
            case 'team_abbr':
            case 'team_abbr2':
              $tid=$row[$fieldName];
	      if (isset($yr))
	       {
	         $name=$teams[$tid][$yr]['abbr'];
	         if (($name=="")||($name==" ")) {$name=$teams[$tid][$lgyear]['abbr'];}
		 if ($tid==0) {echo "<td class='".$cls."_l'>$name</td>";}
	          else {echo "<td class='".$cls."_l'><a href='./teamHist.php?page=year&team_id=$tid&year=$yr'>$name</a></td>";}
	       }
	       else
	       {
	         $name=$teams[$tid][$lgyear]['abbr'];
		 if ($tid==0) {echo "<td class='".$cls."_l'>$name</td>";}
	          else {echo "<td class='".$cls."_l'><a href='./teamHist.php?page=index&team_id=$tid'>$name</a></td>";}
	       }
	      break;
	    case 'sl_name':
	      $val=$row[$fieldName];
              $val=$subleagues[$val]['name'];
	      echo "<td class='".$cls."_l'>$val</td>";
	      break;
	    case 'sl_abbr':
	      $val=$row[$fieldName];
              $val=$subleagues[$val]['abbr'];
	      echo "<td class='".$cls."_l'>$val</td>";
	      break;
	    case 'avg':
	    case 'obp':
	    case 'slg':
            case 'ops':
            case 'wOBA':
            case 'avg_diff':
            case 'winPct':
	      $val=$row[$fieldName];
  	      $val=sprintf("%.3f",$val);
              if ($val<1) {$val=strstr($val,".");}
	      echo "<td>$val</td>";
	      break;
 	    case 'era':
	    case 'whip':
            case 'kper9':
            case 'bbper9':
            case 'hper9':
            case 'kperbb':
	    case 'rng':
	    case 'SDscore':
	    case 'raSDscore':
	    case 'totSDscore':
	      $val=$row[$fieldName];
  	      $val=sprintf("%.2f",$val);
	      echo "<td>$val</td>";
	      break;
	    case 'ip':
	    case 'fip':
	    case 'rAvg':
	    case 'rStd':
	    case 'raAvg':
	    case 'raStd':
	      $val=$row[$fieldName];
  	      $val=sprintf("%.1f",$val);
              if (($val<1)&&($val!=0)) {$val=strstr($val,".");}
	      echo "<td>$val</td>";
	      break;
	    case 'rtoPct':
	    case 'pct':
	      $val=$row[$fieldName];
	      $val=sprintf("%.1f",100*$val);
	      if ($val==0) {$val="0.0";}
	       elseif ($val<1) {$val=strstr($val,".");}
	      echo "<td>$val</td>";
	      break;
            case 'stanPos':
            case 'stanPos1':
            case 'stanPos2':
	      $val=$row[$fieldName];
 	      $val=ordinal_suffix($val,1);
	      echo "<td>$val</td>";
	      break;
            case 'position':
	      $val=$row[$fieldName];
 	      $valText=get_pos($val);
	      echo "<td sorttable_customkey=\"".$val."\">$valText</td>";
	      break;
            case 'award_id':
	      $val=$row[$fieldName];
 	      $val=get_award($val);
	      echo "<td>$val</td>";
	      break;
	    case 'made_playoffs':
	    case 'won_playoffs':
	      $val=$row[$fieldName];
  	      if ($val==1) {$val="X";} else {$val="";}
	      echo "<td>$val</td>";
	      break;
            case 'category':
	      $val=$row[$fieldName];
	      switch ($val)
	       {
	         case 3: $val="H"; break;
	         case 6: $val="2B"; break;
	         case 7: $val="3B"; break;
	         case 8: $val="HR"; break;
	         case 9: $val="SB"; break;
	         case 10: $val="RBI"; break;
	         case 11: $val="R"; break;
	         case 12: $val="BB"; break;
	         case 18: $val="AVG"; break;
	         case 29: $val="W"; break;
	         case 32: $val="SV"; break;
	         case 34: $val="IP"; break;
	         case 38: $val="K"; break;
	         case 40: $val="ERA"; break;
	       }
	      echo "<td>$val</td>";
	      break;
            case 'amt1':
            case 'amt2':
	      $val=$row[$fieldName];
              $cat=$row['category'];
	      if ($cat>0)
	       {
	         switch ($cat)
	          {
	            case 18: $val=sprintf("%.3f",$val); if ($val<1) {$val=strstr($val,".");} break;
	            case 34: $val=sprintf("%.1f",$val); if (($val<1)&&($val!=0)) {$val=strstr($val,".");} break;
	            case 40: $val=sprintf("%.2f",$val); break;
		  }
	       }
	      echo "<td>$val</td>";
	      break;
            case 'showLink':
	      $val=$row[$fieldName];
	      echo "<td class='$cls'><a href='./statOfTheDay.php?fact=$chkDay&show=1";
              switch ($chkDay)
	       {
		 case 189: echo "&uni=".$row['uni']; break;
		 case 190: echo "&bucket=".$row['bucket']; break;
	       }
	      echo "'>$val</a></td>";
	      break;
            default:
	      $val=$row[$fieldName];
	      echo "<td>$val</td>";
	      break;
	  }
       }
      echo "</tr>\n";
    }
   echo "   </table>\n";
 }
echo "  <td></tr>\n";
echo " </table>\n";
echo "</div>\n";

echo "<div class='textbox' style='border:0;'>\n";
echo " <a href='./statOfTheDay.php?fact=$chkDay'>Permalink</a>\n";
echo "</div>\n";

##### Birthdays #####
$lgday=$date->format("d");
$lgmo=$date->format("m");
$query="SELECT player_id,first_name,last_name,organization_id,position,age,date_of_birth,retired FROM players WHERE MONTH(date_of_birth)=$lgmo AND DAY(date_of_birth)=$lgday AND player_id IN (SELECT DISTINCT player_id FROM players_career_batting_stats WHERE league_id=$lgid AND split_id=1 UNION SELECT DISTINCT player_id FROM players_career_pitching_stats WHERE league_id=$lgid AND split_id=1) ORDER BY age,last_name,first_name;";
$result=mysql_query($query,$db);

echo "<div class='textbox'>\n";
if ($_GET['showq']==1) {echo $query;}
echo " <table cellpadding=0 cellspacing=0 border=0>\n";
echo "  <tr class='title2'><td>Today's Birthdays</td></tr>\n";
echo "  <tr><td>\n";
## Display
if (!mysql_num_rows($result)) {echo "No players born on this date.";}
 else
 {
   $cnt=0;
   echo "   <table cellpadding=2 cellspacing=0 border=0 class='sortable' width='465px'>\n";
   ## Display Column Headers
   echo "    <thead><tr class='headline'><td class='hsc2'>Pos</td><td class='hsc2_l'>Player</td><td class='hsc2_l'>Team</td><td class='hsc2'>Age</td><td class='hsc2'>Birthday</td></tr></thead>\n";
   ## Display Data
   while ($row=mysql_fetch_array($result))
    {
      $pid=$row['player_id'];
      $yr=$row['year'];
      $cls='s'.($cnt%2+1);
      $cnt++;

      echo "    <tr class='$cls'>";
      echo "<td>".get_pos($row['position'])."</td>";
      $name=$row['first_name']." ".$row['last_name'];
      echo "<td class='".$cls."_l' sorttable_customkey=\"".$row['last_name'].", ".$row['first_name']."\"><a href='./player.php?player_id=$pid'>$name</a></td>";
      $tid=$row['organization_id'];
      $ret=$row['retired'];
      if (!isset($teams[$tid]))
       {
         $tquery="SELECT team_id,'$lgyear' as year,name,nickname,abbr FROM teams WHERE allstar_team=0 ORDER BY year,team_id;";
         $tresult=mysql_query($tquery,$db);
	 while ($trow=mysql_fetch_array($tresult))
     	  {
  	    $team_id=$trow['team_id'];
	    $yr=$trow['year'];
      	    $teams[$team_id][$yr]['name']=$trow['name']." ".$trow['nickname'];
	    $teams[$team_id][$yr]['city']=$trow['name'];
      	    $teams[$team_id][$yr]['abbr']=$trow['abbr'];
	  }
       }
      if ($ret==1) {$tname="Retired";}
       elseif ($tid==0) {$tname="Free Agent";}
       else {$tname="<a href='$lgpath/teams/team_$tid.html'>".$teams[$tid][$lgyear]['abbr']."</a>";}
      echo "<td class='".$cls."_l'>$tname</td>";
      echo "<td>".$row['age']."</td>";
      unset($dob);
      $dob=new Date($row['date_of_birth']);
      $dispDob=$dob->format("F j, Y");
      echo "<td>".$dispDob."</td>";
      echo "</tr>\n";
    }
   echo "   </table>\n";
 }
echo "  </td></tr>\n";
echo " </table>\n";
echo "</div>\n";

##### Close out page #####
echo "</div>   <!-- END contentpane DIV -->\n";

page_foot($lgpath);

?>
